//
// Verilog description for cell cpu_edt_top, 
// Mon Dec 30 11:42:14 2013
//
// LeonardoSpectrum Level 3, 2008a.5 
//


module cpu_edt_top ( clk, reset, paddr, pdata, portain, portbout, portcout, 
                     expdin, expdout, expaddr, expread, expwrite, debugw, 
                     debugpc, debugstatus, scan_en, edt_clock, edt_update, 
                     edt_bypass, edt_channels_in1, edt_channels_in2, 
                     edt_channels_in3, edt_channels_in4, edt_channels_out1, 
                     edt_channels_out2, edt_channels_out3, edt_channels_out4 ) ;

    input clk ;
    input reset ;
    output [10:0]paddr ;
    input [11:0]pdata ;
    input [7:0]portain ;
    output [7:0]portbout ;
    output [7:0]portcout ;
    input [7:0]expdin ;
    output [7:0]expdout ;
    output [6:0]expaddr ;
    output expread ;
    output expwrite ;
    output [7:0]debugw ;
    output [10:0]debugpc ;
    output [7:0]debugstatus ;
    input scan_en ;
    input edt_clock ;
    input edt_update ;
    input edt_bypass ;
    input edt_channels_in1 ;
    input edt_channels_in2 ;
    input edt_channels_in3 ;
    input edt_channels_in4 ;
    output edt_channels_out1 ;
    output edt_channels_out2 ;
    output edt_channels_out3 ;
    output edt_channels_out4 ;

    wire edt_scan_out_19, edt_scan_out_18, edt_scan_out_17, edt_scan_out_16, 
         edt_scan_out_15, edt_scan_out_14, edt_scan_out_13, edt_scan_out_12, 
         edt_scan_out_11, edt_scan_out_10, edt_scan_out_9, edt_scan_out_8, 
         edt_scan_out_7, edt_scan_out_6, edt_scan_out_5, edt_scan_out_4, 
         edt_scan_out_3, edt_scan_out_2, edt_scan_out_1, edt_scan_out_0, 
         edt_scan_in_19, edt_scan_in_18, edt_scan_in_17, edt_scan_in_16, 
         edt_scan_in_15, edt_scan_in_14, edt_scan_in_13, edt_scan_in_12, 
         edt_scan_in_11, edt_scan_in_10, edt_scan_in_9, edt_scan_in_8, 
         edt_scan_in_7, edt_scan_in_6, edt_scan_in_5, edt_scan_in_4, 
         edt_scan_in_3, edt_scan_in_2, edt_scan_in_1, edt_scan_in_0, GND0, nx330
         ;



    cpu cpu_i (.clk (clk), .reset (reset), .paddr ({paddr[10],paddr[9],paddr[8],
        paddr[7],paddr[6],paddr[5],paddr[4],paddr[3],paddr[2],paddr[1],paddr[0]}
        ), .pdata ({pdata[11],pdata[10],pdata[9],pdata[8],pdata[7],pdata[6],
        pdata[5],pdata[4],pdata[3],pdata[2],pdata[1],pdata[0]}), .portain ({
        portain[7],portain[6],portain[5],portain[4],portain[3],portain[2],
        portain[1],portain[0]}), .portbout ({portbout[7],portbout[6],portbout[5]
        ,portbout[4],portbout[3],portbout[2],portbout[1],edt_scan_out_18}), .portcout (
        {portcout[7],portcout[6],portcout[5],portcout[4],portcout[3],portcout[2]
        ,portcout[1],edt_scan_out_19}), .expdin ({expdin[7],expdin[6],expdin[5],
        expdin[4],expdin[3],expdin[2],expdin[1],expdin[0]}), .expdout ({
        expdout[7],expdout[6],expdout[5],expdout[4],expdout[3],expdout[2],
        expdout[1],expdout[0]}), .expaddr ({expaddr[6],expaddr[5],expaddr[4],
        expaddr[3],expaddr[2],expaddr[1],expaddr[0]}), .expread (expread), .expwrite (
        expwrite), .debugw ({debugw[7],debugw[6],debugw[5],debugw[4],debugw[3],
        debugw[2],debugw[1],edt_scan_out_1}), .debugpc ({edt_scan_out_0,
        debugpc[9],debugpc[8],debugpc[7],debugpc[6],debugpc[5],debugpc[4],
        debugpc[3],debugpc[2],debugpc[1],edt_scan_out_15}), .debuginst ({
        edt_scan_out_3,edt_scan_out_7,edt_scan_out_6,edt_scan_out_8,
        edt_scan_out_4,edt_scan_out_5,edt_scan_out_16,edt_scan_out_11,
        edt_scan_out_10,edt_scan_out_12,edt_scan_out_9,edt_scan_out_2}), .debugstatus (
        {debugstatus[7],edt_scan_out_13,edt_scan_out_14,debugstatus[4],
        debugstatus[3],debugstatus[2],debugstatus[1],edt_scan_out_17}), .scan_in1 (
        edt_scan_in_0), .scan_in2 (edt_scan_in_1), .scan_in3 (edt_scan_in_2), .scan_in4 (
        edt_scan_in_3), .scan_in5 (edt_scan_in_4), .scan_in6 (edt_scan_in_5), .scan_in7 (
        edt_scan_in_6), .scan_in8 (edt_scan_in_7), .scan_in9 (edt_scan_in_8), .scan_in10 (
        edt_scan_in_9), .scan_in11 (edt_scan_in_10), .scan_in12 (edt_scan_in_11)
        , .scan_in13 (edt_scan_in_12), .scan_in14 (edt_scan_in_13), .scan_in15 (
        edt_scan_in_14), .scan_in16 (edt_scan_in_15), .scan_in17 (edt_scan_in_16
        ), .scan_in18 (edt_scan_in_17), .scan_in19 (edt_scan_in_18), .scan_in20 (
        edt_scan_in_19), .scan_en (scan_en)) ;
    cpu_edt cpu_edt_i (.edt_clock (edt_clock), .edt_update (edt_update), .edt_bypass (
            edt_bypass), .edt_channels_in ({edt_channels_in4,edt_channels_in3,
            edt_channels_in2,edt_channels_in1}), .edt_channels_out ({
            edt_channels_out4,edt_channels_out3,edt_channels_out2,
            edt_channels_out1}), .edt_scan_in ({edt_scan_in_19,edt_scan_in_18,
            edt_scan_in_17,edt_scan_in_16,edt_scan_in_15,edt_scan_in_14,
            edt_scan_in_13,edt_scan_in_12,edt_scan_in_11,edt_scan_in_10,
            edt_scan_in_9,edt_scan_in_8,edt_scan_in_7,edt_scan_in_6,
            edt_scan_in_5,edt_scan_in_4,edt_scan_in_3,edt_scan_in_2,
            edt_scan_in_1,edt_scan_in_0}), .edt_scan_out ({edt_scan_out_19,
            edt_scan_out_18,edt_scan_out_17,edt_scan_out_16,edt_scan_out_15,
            edt_scan_out_14,edt_scan_out_13,edt_scan_out_12,edt_scan_out_11,
            edt_scan_out_10,edt_scan_out_9,edt_scan_out_8,edt_scan_out_7,
            edt_scan_out_6,edt_scan_out_5,edt_scan_out_4,edt_scan_out_3,
            edt_scan_out_2,edt_scan_out_1,edt_scan_out_0})) ;
    VCC ix331 (.Y (nx330)) ;
    GND ix215 (.Y (GND0)) ;
    tri01 tri_debugstatus_0 (.Y (debugstatus[0]), .A (nx330), .E (GND0)) ;
    tri01 tri_debugstatus_5 (.Y (debugstatus[5]), .A (nx330), .E (GND0)) ;
    tri01 tri_debugstatus_6 (.Y (debugstatus[6]), .A (nx330), .E (GND0)) ;
    tri01 tri_debugpc_0 (.Y (debugpc[0]), .A (nx330), .E (GND0)) ;
    tri01 tri_debugpc_10 (.Y (debugpc[10]), .A (nx330), .E (GND0)) ;
    tri01 tri_debugw_0 (.Y (debugw[0]), .A (nx330), .E (GND0)) ;
    tri01 tri_portcout_0 (.Y (portcout[0]), .A (nx330), .E (GND0)) ;
    tri01 tri_portbout_0 (.Y (portbout[0]), .A (nx330), .E (GND0)) ;
endmodule


module cpu_edt ( edt_clock, edt_update, edt_bypass, edt_channels_in, 
                 edt_channels_out, edt_scan_in, edt_scan_out ) ;

    input edt_clock ;
    input edt_update ;
    input edt_bypass ;
    input [3:0]edt_channels_in ;
    output [3:0]edt_channels_out ;
    output [19:0]edt_scan_in ;
    input [19:0]edt_scan_out ;

    wire edt_channels_out_from_controller_3, edt_channels_out_from_controller_2, 
         edt_channels_out_from_controller_1, edt_channels_out_from_controller_0, 
         masks_for_compactor_3_4, masks_for_compactor_3_3, 
         masks_for_compactor_3_2, masks_for_compactor_3_1, 
         masks_for_compactor_3_0, masks_for_compactor_2_4, 
         masks_for_compactor_2_3, masks_for_compactor_2_2, 
         masks_for_compactor_2_1, masks_for_compactor_2_0, 
         masks_for_compactor_1_4, masks_for_compactor_1_3, 
         masks_for_compactor_1_2, masks_for_compactor_1_1, 
         masks_for_compactor_1_0, masks_for_compactor_0_4, 
         masks_for_compactor_0_3, masks_for_compactor_0_2, 
         masks_for_compactor_0_1, masks_for_compactor_0_0, edt_bypass_out_3, 
         edt_bypass_out_2, edt_bypass_out_1, edt_bypass_out_0, edt_bypass_in_19, 
         edt_bypass_in_18, edt_bypass_in_17, edt_bypass_in_16, edt_bypass_in_15, 
         edt_bypass_in_14, edt_bypass_in_13, edt_bypass_in_12, edt_bypass_in_11, 
         edt_bypass_in_10, edt_bypass_in_9, edt_bypass_in_8, edt_bypass_in_7, 
         edt_bypass_in_6, edt_bypass_in_5, edt_bypass_in_4, edt_bypass_in_3, 
         edt_bypass_in_2, edt_bypass_in_1, edt_bypass_in_0;



    cpu_edt_decompressor cpu_edt_decompressor_i (.edt_clock (edt_clock), .edt_update (
                         edt_update), .edt_channels_in ({
                         edt_channels_out_from_controller_3,
                         edt_channels_out_from_controller_2,
                         edt_channels_out_from_controller_1,
                         edt_channels_out_from_controller_0}), .edt_scan_in ({
                         edt_bypass_in_19,edt_bypass_in_18,edt_bypass_in_17,
                         edt_bypass_in_16,edt_bypass_in_15,edt_bypass_in_14,
                         edt_bypass_in_13,edt_bypass_in_12,edt_bypass_in_11,
                         edt_bypass_in_10,edt_bypass_in_9,edt_bypass_in_8,
                         edt_bypass_in_7,edt_bypass_in_6,edt_bypass_in_5,
                         edt_bypass_in_4,edt_bypass_in_3,edt_bypass_in_2,
                         edt_bypass_in_1,edt_bypass_in_0})) ;
    cpu_edt_compactor cpu_edt_compactor_i (.edt_scan_out ({edt_scan_out[19],
                      edt_scan_out[18],edt_scan_out[17],edt_scan_out[16],
                      edt_scan_out[15],edt_scan_out[14],edt_scan_out[13],
                      edt_scan_out[12],edt_scan_out[11],edt_scan_out[10],
                      edt_scan_out[9],edt_scan_out[8],edt_scan_out[7],
                      edt_scan_out[6],edt_scan_out[5],edt_scan_out[4],
                      edt_scan_out[3],edt_scan_out[2],edt_scan_out[1],
                      edt_scan_out[0]}), .masks_for_compactor_0 ({
                      masks_for_compactor_0_4,masks_for_compactor_0_3,
                      masks_for_compactor_0_2,masks_for_compactor_0_1,
                      masks_for_compactor_0_0}), .masks_for_compactor_1 ({
                      masks_for_compactor_1_4,masks_for_compactor_1_3,
                      masks_for_compactor_1_2,masks_for_compactor_1_1,
                      masks_for_compactor_1_0}), .masks_for_compactor_2 ({
                      masks_for_compactor_2_4,masks_for_compactor_2_3,
                      masks_for_compactor_2_2,masks_for_compactor_2_1,
                      masks_for_compactor_2_0}), .masks_for_compactor_3 ({
                      masks_for_compactor_3_4,masks_for_compactor_3_3,
                      masks_for_compactor_3_2,masks_for_compactor_3_1,
                      masks_for_compactor_3_0}), .edt_channels_out ({
                      edt_bypass_out_3,edt_bypass_out_2,edt_bypass_out_1,
                      edt_bypass_out_0})) ;
    cpu_edt_controller cpu_edt_controller_i (.edt_clock (edt_clock), .edt_update (
                       edt_update), .edt_channels_in ({edt_channels_in[3],
                       edt_channels_in[2],edt_channels_in[1],edt_channels_in[0]}
                       ), .edt_channels_out_from_controller ({
                       edt_channels_out_from_controller_3,
                       edt_channels_out_from_controller_2,
                       edt_channels_out_from_controller_1,
                       edt_channels_out_from_controller_0}), .masks_for_compactor_0 (
                       {masks_for_compactor_0_4,masks_for_compactor_0_3,
                       masks_for_compactor_0_2,masks_for_compactor_0_1,
                       masks_for_compactor_0_0}), .masks_for_compactor_1 ({
                       masks_for_compactor_1_4,masks_for_compactor_1_3,
                       masks_for_compactor_1_2,masks_for_compactor_1_1,
                       masks_for_compactor_1_0}), .masks_for_compactor_2 ({
                       masks_for_compactor_2_4,masks_for_compactor_2_3,
                       masks_for_compactor_2_2,masks_for_compactor_2_1,
                       masks_for_compactor_2_0}), .masks_for_compactor_3 ({
                       masks_for_compactor_3_4,masks_for_compactor_3_3,
                       masks_for_compactor_3_2,masks_for_compactor_3_1,
                       masks_for_compactor_3_0})) ;
    cpu_edt_bypass_logic cpu_edt_bypass_logic_i (.edt_bypass (edt_bypass), .edt_channels_in (
                         {edt_channels_in[3],edt_channels_in[2],
                         edt_channels_in[1],edt_channels_in[0]}), .edt_channels_out (
                         {edt_channels_out[3],edt_channels_out[2],
                         edt_channels_out[1],edt_channels_out[0]}), .edt_scan_in (
                         {edt_scan_in[19],edt_scan_in[18],edt_scan_in[17],
                         edt_scan_in[16],edt_scan_in[15],edt_scan_in[14],
                         edt_scan_in[13],edt_scan_in[12],edt_scan_in[11],
                         edt_scan_in[10],edt_scan_in[9],edt_scan_in[8],
                         edt_scan_in[7],edt_scan_in[6],edt_scan_in[5],
                         edt_scan_in[4],edt_scan_in[3],edt_scan_in[2],
                         edt_scan_in[1],edt_scan_in[0]}), .edt_scan_out ({
                         edt_scan_out[19],edt_scan_out[18],edt_scan_out[17],
                         edt_scan_out[16],edt_scan_out[15],edt_scan_out[14],
                         edt_scan_out[13],edt_scan_out[12],edt_scan_out[11],
                         edt_scan_out[10],edt_scan_out[9],edt_scan_out[8],
                         edt_scan_out[7],edt_scan_out[6],edt_scan_out[5],
                         edt_scan_out[4],edt_scan_out[3],edt_scan_out[2],
                         edt_scan_out[1],edt_scan_out[0]}), .edt_bypass_in ({
                         edt_bypass_in_19,edt_bypass_in_18,edt_bypass_in_17,
                         edt_bypass_in_16,edt_bypass_in_15,edt_bypass_in_14,
                         edt_bypass_in_13,edt_bypass_in_12,edt_bypass_in_11,
                         edt_bypass_in_10,edt_bypass_in_9,edt_bypass_in_8,
                         edt_bypass_in_7,edt_bypass_in_6,edt_bypass_in_5,
                         edt_bypass_in_4,edt_bypass_in_3,edt_bypass_in_2,
                         edt_bypass_in_1,edt_bypass_in_0}), .edt_bypass_out ({
                         edt_bypass_out_3,edt_bypass_out_2,edt_bypass_out_1,
                         edt_bypass_out_0})) ;
endmodule


module cpu_edt_bypass_logic ( edt_bypass, edt_channels_in, edt_channels_out, 
                              edt_scan_in, edt_scan_out, edt_bypass_in, 
                              edt_bypass_out ) ;

    input edt_bypass ;
    input [3:0]edt_channels_in ;
    output [3:0]edt_channels_out ;
    output [19:0]edt_scan_in ;
    input [19:0]edt_scan_out ;
    input [19:0]edt_bypass_in ;
    input [3:0]edt_bypass_out ;

    wire nx201, nx204, nx207, nx210, nx213, nx216, nx219, nx222, nx225, nx228, 
         nx231, nx234, nx237, nx240, nx243, nx246, nx249, nx252, nx255, nx258, 
         nx261, nx264, nx267, nx270;



    inv02 ix9 (.Y (edt_scan_in[0]), .A (nx201)) ;
    mux21 ix202 (.Y (nx201), .A0 (edt_bypass_in[0]), .A1 (edt_channels_in[0]), .S0 (
          edt_bypass)) ;
    inv02 ix11 (.Y (edt_scan_in[1]), .A (nx204)) ;
    mux21 ix205 (.Y (nx204), .A0 (edt_bypass_in[1]), .A1 (edt_scan_out[0]), .S0 (
          edt_bypass)) ;
    inv02 ix13 (.Y (edt_scan_in[2]), .A (nx207)) ;
    mux21 ix208 (.Y (nx207), .A0 (edt_bypass_in[2]), .A1 (edt_scan_out[1]), .S0 (
          edt_bypass)) ;
    inv02 ix15 (.Y (edt_scan_in[3]), .A (nx210)) ;
    mux21 ix211 (.Y (nx210), .A0 (edt_bypass_in[3]), .A1 (edt_scan_out[2]), .S0 (
          edt_bypass)) ;
    inv02 ix17 (.Y (edt_scan_in[4]), .A (nx213)) ;
    mux21 ix214 (.Y (nx213), .A0 (edt_bypass_in[4]), .A1 (edt_scan_out[3]), .S0 (
          edt_bypass)) ;
    inv02 ix19 (.Y (edt_scan_in[5]), .A (nx216)) ;
    mux21 ix217 (.Y (nx216), .A0 (edt_bypass_in[5]), .A1 (edt_channels_in[1]), .S0 (
          edt_bypass)) ;
    inv02 ix21 (.Y (edt_scan_in[6]), .A (nx219)) ;
    mux21 ix220 (.Y (nx219), .A0 (edt_bypass_in[6]), .A1 (edt_scan_out[5]), .S0 (
          edt_bypass)) ;
    inv02 ix23 (.Y (edt_scan_in[7]), .A (nx222)) ;
    mux21 ix223 (.Y (nx222), .A0 (edt_bypass_in[7]), .A1 (edt_scan_out[6]), .S0 (
          edt_bypass)) ;
    inv02 ix25 (.Y (edt_scan_in[8]), .A (nx225)) ;
    mux21 ix226 (.Y (nx225), .A0 (edt_bypass_in[8]), .A1 (edt_scan_out[7]), .S0 (
          edt_bypass)) ;
    inv02 ix27 (.Y (edt_scan_in[9]), .A (nx228)) ;
    mux21 ix229 (.Y (nx228), .A0 (edt_bypass_in[9]), .A1 (edt_scan_out[8]), .S0 (
          edt_bypass)) ;
    inv02 ix29 (.Y (edt_scan_in[10]), .A (nx231)) ;
    mux21 ix232 (.Y (nx231), .A0 (edt_bypass_in[10]), .A1 (edt_channels_in[2]), 
          .S0 (edt_bypass)) ;
    inv02 ix31 (.Y (edt_scan_in[11]), .A (nx234)) ;
    mux21 ix235 (.Y (nx234), .A0 (edt_bypass_in[11]), .A1 (edt_scan_out[10]), .S0 (
          edt_bypass)) ;
    inv02 ix33 (.Y (edt_scan_in[12]), .A (nx237)) ;
    mux21 ix238 (.Y (nx237), .A0 (edt_bypass_in[12]), .A1 (edt_scan_out[11]), .S0 (
          edt_bypass)) ;
    inv02 ix35 (.Y (edt_scan_in[13]), .A (nx240)) ;
    mux21 ix241 (.Y (nx240), .A0 (edt_bypass_in[13]), .A1 (edt_scan_out[12]), .S0 (
          edt_bypass)) ;
    inv02 ix37 (.Y (edt_scan_in[14]), .A (nx243)) ;
    mux21 ix244 (.Y (nx243), .A0 (edt_bypass_in[14]), .A1 (edt_scan_out[13]), .S0 (
          edt_bypass)) ;
    inv02 ix39 (.Y (edt_scan_in[15]), .A (nx246)) ;
    mux21 ix247 (.Y (nx246), .A0 (edt_bypass_in[15]), .A1 (edt_channels_in[3]), 
          .S0 (edt_bypass)) ;
    inv02 ix41 (.Y (edt_scan_in[16]), .A (nx249)) ;
    mux21 ix250 (.Y (nx249), .A0 (edt_bypass_in[16]), .A1 (edt_scan_out[15]), .S0 (
          edt_bypass)) ;
    inv02 ix43 (.Y (edt_scan_in[17]), .A (nx252)) ;
    mux21 ix253 (.Y (nx252), .A0 (edt_bypass_in[17]), .A1 (edt_scan_out[16]), .S0 (
          edt_bypass)) ;
    inv02 ix45 (.Y (edt_scan_in[18]), .A (nx255)) ;
    mux21 ix256 (.Y (nx255), .A0 (edt_bypass_in[18]), .A1 (edt_scan_out[17]), .S0 (
          edt_bypass)) ;
    inv02 ix47 (.Y (edt_scan_in[19]), .A (nx258)) ;
    mux21 ix259 (.Y (nx258), .A0 (edt_bypass_in[19]), .A1 (edt_scan_out[18]), .S0 (
          edt_bypass)) ;
    inv02 ix49 (.Y (edt_channels_out[0]), .A (nx261)) ;
    mux21 ix262 (.Y (nx261), .A0 (edt_bypass_out[0]), .A1 (edt_scan_out[4]), .S0 (
          edt_bypass)) ;
    inv02 ix51 (.Y (edt_channels_out[1]), .A (nx264)) ;
    mux21 ix265 (.Y (nx264), .A0 (edt_bypass_out[1]), .A1 (edt_scan_out[9]), .S0 (
          edt_bypass)) ;
    inv02 ix53 (.Y (edt_channels_out[2]), .A (nx267)) ;
    mux21 ix268 (.Y (nx267), .A0 (edt_bypass_out[2]), .A1 (edt_scan_out[14]), .S0 (
          edt_bypass)) ;
    inv02 ix55 (.Y (edt_channels_out[3]), .A (nx270)) ;
    mux21 ix271 (.Y (nx270), .A0 (edt_bypass_out[3]), .A1 (edt_scan_out[19]), .S0 (
          edt_bypass)) ;
endmodule


module cpu_edt_controller ( edt_clock, edt_update, edt_channels_in, 
                            edt_channels_out_from_controller, 
                            masks_for_compactor_0, masks_for_compactor_1, 
                            masks_for_compactor_2, masks_for_compactor_3 ) ;

    input edt_clock ;
    input edt_update ;
    input [3:0]edt_channels_in ;
    output [3:0]edt_channels_out_from_controller ;
    output [4:0]masks_for_compactor_0 ;
    output [4:0]masks_for_compactor_1 ;
    output [4:0]masks_for_compactor_2 ;
    output [4:0]masks_for_compactor_3 ;

    wire onehot_decoded_masks_3_4, onehot_decoded_masks_3_3, 
         onehot_decoded_masks_3_2, onehot_decoded_masks_3_1, 
         onehot_decoded_masks_3_0, onehot_decoded_masks_2_4, 
         onehot_decoded_masks_2_3, onehot_decoded_masks_2_2, 
         onehot_decoded_masks_2_1, onehot_decoded_masks_2_0, 
         onehot_decoded_masks_1_4, onehot_decoded_masks_1_3, 
         onehot_decoded_masks_1_2, onehot_decoded_masks_1_1, 
         onehot_decoded_masks_1_0, onehot_decoded_masks_0_4, 
         onehot_decoded_masks_0_3, onehot_decoded_masks_0_2, 
         onehot_decoded_masks_0_1, onehot_decoded_masks_0_0, 
         xor_encoded_masks_17, xor_encoded_masks_16, xor_encoded_masks_15, 
         xor_encoded_masks_12, xor_encoded_masks_11, xor_encoded_masks_10, 
         xor_encoded_masks_7, xor_encoded_masks_6, xor_encoded_masks_5, 
         xor_encoded_masks_2, xor_encoded_masks_1, xor_encoded_masks_0, 
         masks_shift_reg_3_4, masks_shift_reg_3_3, masks_shift_reg_3_2, 
         masks_shift_reg_3_1, masks_shift_reg_2_4, masks_shift_reg_2_3, 
         masks_shift_reg_2_2, masks_shift_reg_2_1, masks_shift_reg_1_4, 
         masks_shift_reg_1_3, masks_shift_reg_1_2, masks_shift_reg_1_1, 
         masks_shift_reg_0_5, masks_shift_reg_0_4, masks_shift_reg_0_3, 
         masks_shift_reg_0_2, masks_shift_reg_0_1, GND0, nx6, nx8, nx10, nx12, 
         nx14, nx16, nx18, nx20, nx22, nx24, nx26, nx28, nx30, nx32, nx34, nx36, 
         nx38, nx40, nx42, nx44, nx46, nx389, nx393, nx401, nx403, nx411, nx413, 
         nx421, nx423, nx429, nx433, nx439, nx443, nx451, nx453, nx461, nx463, 
         nx471, nx473, nx479, nx483, nx489, nx493, nx501, nx503, nx511, nx513, 
         nx521, nx523, nx529, nx533, nx539, nx543, nx551, nx553, nx561, nx563, 
         nx571, nx573, nx579, nx583, nx589, nx593, nx605, nx610, nx613, nx620, 
         nx627, nx634, nx641, nx648, nx655, nx662, nx669, nx676, nx683, nx690, 
         nx693, nx698, nx701, nx704, nx713, nx715, nx726, nx729, nx732, nx735, 
         nx744, nx746, nx757, nx760, nx763, nx766, nx775, nx777, nx788, nx791, 
         nx794, nx797, nx806, nx808, nx819, nx832, nx834, nx836, nx838, nx840, 
         nx842, nx844, nx846, nx848;
    wire [24:0] \$dummy ;




    cpu_edt_onehot_decoder_3_to_5 decoder1 (.encoded_masks ({xor_encoded_masks_0
                                  ,xor_encoded_masks_1,xor_encoded_masks_2}), .decoded_masks (
                                  {onehot_decoded_masks_0_4,
                                  onehot_decoded_masks_0_3,
                                  onehot_decoded_masks_0_2,
                                  onehot_decoded_masks_0_1,
                                  onehot_decoded_masks_0_0})) ;
    cpu_edt_onehot_decoder_3_to_5 decoder2 (.encoded_masks ({xor_encoded_masks_5
                                  ,xor_encoded_masks_6,xor_encoded_masks_7}), .decoded_masks (
                                  {onehot_decoded_masks_1_4,
                                  onehot_decoded_masks_1_3,
                                  onehot_decoded_masks_1_2,
                                  onehot_decoded_masks_1_1,
                                  onehot_decoded_masks_1_0})) ;
    cpu_edt_onehot_decoder_3_to_5 decoder3 (.encoded_masks ({
                                  xor_encoded_masks_10,xor_encoded_masks_11,
                                  xor_encoded_masks_12}), .decoded_masks ({
                                  onehot_decoded_masks_2_4,
                                  onehot_decoded_masks_2_3,
                                  onehot_decoded_masks_2_2,
                                  onehot_decoded_masks_2_1,
                                  onehot_decoded_masks_2_0})) ;
    cpu_edt_onehot_decoder_3_to_5 decoder4 (.encoded_masks ({
                                  xor_encoded_masks_15,xor_encoded_masks_16,
                                  xor_encoded_masks_17}), .decoded_masks ({
                                  onehot_decoded_masks_3_4,
                                  onehot_decoded_masks_3_3,
                                  onehot_decoded_masks_3_2,
                                  onehot_decoded_masks_3_1,
                                  onehot_decoded_masks_3_0})) ;
    GND ix5 (.Y (GND0)) ;
    dffr reg_masks_hold_reg_0_4 (.Q (xor_encoded_masks_0), .QB (\$dummy [0]), .D (
         nx403), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix404 (.Y (nx403), .A0 (xor_encoded_masks_0), .A1 (nx605), .B0 (nx401)
         ) ;
    inv02 ix606 (.Y (nx605), .A (edt_update)) ;
    and02 ix402 (.Y (nx401), .A0 (masks_shift_reg_0_4), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_0_4 (.Q (masks_shift_reg_0_4), .QB (nx613), .D (
         nx38), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix360 (.Y (nx38), .A0 (nx610), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_0_5 (.Q (masks_shift_reg_0_5), .QB (nx610), .D (
         nx36), .CLK (edt_clock), .R (GND0)) ;
    and02 ix358 (.Y (nx36), .A0 (edt_channels_in[0]), .A1 (nx605)) ;
    dffr reg_masks_hold_reg_0_3 (.Q (xor_encoded_masks_1), .QB (\$dummy [1]), .D (
         nx413), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix414 (.Y (nx413), .A0 (xor_encoded_masks_1), .A1 (nx605), .B0 (nx411)
         ) ;
    and02 ix412 (.Y (nx411), .A0 (masks_shift_reg_0_3), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_0_3 (.Q (masks_shift_reg_0_3), .QB (nx620), .D (
         nx40), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix362 (.Y (nx40), .A0 (nx613), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_0_2 (.Q (xor_encoded_masks_2), .QB (\$dummy [2]), .D (
         nx423), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix424 (.Y (nx423), .A0 (xor_encoded_masks_2), .A1 (nx605), .B0 (nx421)
         ) ;
    and02 ix422 (.Y (nx421), .A0 (masks_shift_reg_0_2), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_0_2 (.Q (masks_shift_reg_0_2), .QB (nx627), .D (
         nx42), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix364 (.Y (nx42), .A0 (nx620), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_1_4 (.Q (xor_encoded_masks_5), .QB (\$dummy [3]), .D (
         nx453), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix454 (.Y (nx453), .A0 (xor_encoded_masks_5), .A1 (nx605), .B0 (nx451)
         ) ;
    and02 ix452 (.Y (nx451), .A0 (masks_shift_reg_1_4), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_1_4 (.Q (masks_shift_reg_1_4), .QB (nx634), .D (
         nx26), .CLK (edt_clock), .R (GND0)) ;
    and02 ix348 (.Y (nx26), .A0 (edt_channels_in[1]), .A1 (nx605)) ;
    dffr reg_masks_hold_reg_1_3 (.Q (xor_encoded_masks_6), .QB (\$dummy [4]), .D (
         nx463), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix464 (.Y (nx463), .A0 (xor_encoded_masks_6), .A1 (nx605), .B0 (nx461)
         ) ;
    and02 ix462 (.Y (nx461), .A0 (masks_shift_reg_1_3), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_1_3 (.Q (masks_shift_reg_1_3), .QB (nx641), .D (
         nx28), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix350 (.Y (nx28), .A0 (nx634), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_1_2 (.Q (xor_encoded_masks_7), .QB (\$dummy [5]), .D (
         nx473), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix474 (.Y (nx473), .A0 (xor_encoded_masks_7), .A1 (nx605), .B0 (nx471)
         ) ;
    and02 ix472 (.Y (nx471), .A0 (masks_shift_reg_1_2), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_1_2 (.Q (masks_shift_reg_1_2), .QB (nx648), .D (
         nx30), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix352 (.Y (nx30), .A0 (nx641), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_2_4 (.Q (xor_encoded_masks_10), .QB (\$dummy [6]), .D (
         nx503), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix504 (.Y (nx503), .A0 (xor_encoded_masks_10), .A1 (nx605), .B0 (nx501)
         ) ;
    and02 ix502 (.Y (nx501), .A0 (masks_shift_reg_2_4), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_2_4 (.Q (masks_shift_reg_2_4), .QB (nx655), .D (
         nx16), .CLK (edt_clock), .R (GND0)) ;
    and02 ix338 (.Y (nx16), .A0 (edt_channels_in[2]), .A1 (nx605)) ;
    dffr reg_masks_hold_reg_2_3 (.Q (xor_encoded_masks_11), .QB (\$dummy [7]), .D (
         nx513), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix514 (.Y (nx513), .A0 (xor_encoded_masks_11), .A1 (nx605), .B0 (nx511)
         ) ;
    and02 ix512 (.Y (nx511), .A0 (masks_shift_reg_2_3), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_2_3 (.Q (masks_shift_reg_2_3), .QB (nx662), .D (
         nx18), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix340 (.Y (nx18), .A0 (nx655), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_2_2 (.Q (xor_encoded_masks_12), .QB (\$dummy [8]), .D (
         nx523), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix524 (.Y (nx523), .A0 (xor_encoded_masks_12), .A1 (nx605), .B0 (nx521)
         ) ;
    and02 ix522 (.Y (nx521), .A0 (masks_shift_reg_2_2), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_2_2 (.Q (masks_shift_reg_2_2), .QB (nx669), .D (
         nx20), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix342 (.Y (nx20), .A0 (nx662), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_3_4 (.Q (xor_encoded_masks_15), .QB (\$dummy [9]), .D (
         nx553), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix554 (.Y (nx553), .A0 (xor_encoded_masks_15), .A1 (nx605), .B0 (nx551)
         ) ;
    and02 ix552 (.Y (nx551), .A0 (masks_shift_reg_3_4), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_3_4 (.Q (masks_shift_reg_3_4), .QB (nx676), .D (nx6
         ), .CLK (edt_clock), .R (GND0)) ;
    and02 ix328 (.Y (nx6), .A0 (edt_channels_in[3]), .A1 (nx605)) ;
    dffr reg_masks_hold_reg_3_3 (.Q (xor_encoded_masks_16), .QB (\$dummy [10]), 
         .D (nx563), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix564 (.Y (nx563), .A0 (xor_encoded_masks_16), .A1 (nx605), .B0 (nx561)
         ) ;
    and02 ix562 (.Y (nx561), .A0 (masks_shift_reg_3_3), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_3_3 (.Q (masks_shift_reg_3_3), .QB (nx683), .D (nx8
         ), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix330 (.Y (nx8), .A0 (nx676), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_3_2 (.Q (xor_encoded_masks_17), .QB (\$dummy [11]), 
         .D (nx573), .CLK (edt_clock), .R (GND0)) ;
    ao21 ix574 (.Y (nx573), .A0 (xor_encoded_masks_17), .A1 (nx605), .B0 (nx571)
         ) ;
    and02 ix572 (.Y (nx571), .A0 (masks_shift_reg_3_2), .A1 (edt_update)) ;
    dffr reg_masks_shift_reg_3_2 (.Q (masks_shift_reg_3_2), .QB (nx690), .D (
         nx10), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix332 (.Y (nx10), .A0 (nx683), .A1 (edt_update)) ;
    inv02 ix312 (.Y (masks_for_compactor_3[0]), .A (nx693)) ;
    ao21 ix394 (.Y (nx393), .A0 (masks_shift_reg_0_5), .A1 (edt_update), .B0 (
         nx389)) ;
    nor02 ix390 (.Y (nx389), .A0 (nx848), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_0_5 (.Q (\$dummy [12]), .QB (nx698), .D (nx393), .CLK (
         edt_clock), .R (GND0)) ;
    inv02 ix310 (.Y (masks_for_compactor_3[1]), .A (nx701)) ;
    inv02 ix308 (.Y (masks_for_compactor_3[2]), .A (nx704)) ;
    ao21 ix584 (.Y (nx583), .A0 (masks_shift_reg_3_1), .A1 (edt_update), .B0 (
         nx579)) ;
    dffr reg_masks_shift_reg_3_1 (.Q (masks_shift_reg_3_1), .QB (nx713), .D (
         nx12), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix334 (.Y (nx12), .A0 (nx690), .A1 (edt_update)) ;
    nor02 ix580 (.Y (nx579), .A0 (nx715), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_3_1 (.Q (\$dummy [13]), .QB (nx715), .D (nx583), .CLK (
         edt_clock), .R (GND0)) ;
    ao21 ix594 (.Y (nx593), .A0 (edt_channels_out_from_controller[3]), .A1 (
         edt_update), .B0 (nx589)) ;
    dffr reg_masks_shift_reg_3_0 (.Q (edt_channels_out_from_controller[3]), .QB (
         \$dummy [14]), .D (nx14), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix336 (.Y (nx14), .A0 (nx713), .A1 (edt_update)) ;
    nor02 ix590 (.Y (nx589), .A0 (nx726), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_3_0 (.Q (\$dummy [15]), .QB (nx726), .D (nx593), .CLK (
         edt_clock), .R (GND0)) ;
    inv02 ix302 (.Y (masks_for_compactor_2[0]), .A (nx729)) ;
    inv02 ix300 (.Y (masks_for_compactor_2[1]), .A (nx732)) ;
    inv02 ix298 (.Y (masks_for_compactor_2[2]), .A (nx735)) ;
    ao21 ix534 (.Y (nx533), .A0 (masks_shift_reg_2_1), .A1 (edt_update), .B0 (
         nx529)) ;
    dffr reg_masks_shift_reg_2_1 (.Q (masks_shift_reg_2_1), .QB (nx744), .D (
         nx22), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix344 (.Y (nx22), .A0 (nx669), .A1 (edt_update)) ;
    nor02 ix530 (.Y (nx529), .A0 (nx746), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_2_1 (.Q (\$dummy [16]), .QB (nx746), .D (nx533), .CLK (
         edt_clock), .R (GND0)) ;
    ao21 ix544 (.Y (nx543), .A0 (edt_channels_out_from_controller[2]), .A1 (
         edt_update), .B0 (nx539)) ;
    dffr reg_masks_shift_reg_2_0 (.Q (edt_channels_out_from_controller[2]), .QB (
         \$dummy [17]), .D (nx24), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix346 (.Y (nx24), .A0 (nx744), .A1 (edt_update)) ;
    nor02 ix540 (.Y (nx539), .A0 (nx757), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_2_0 (.Q (\$dummy [18]), .QB (nx757), .D (nx543), .CLK (
         edt_clock), .R (GND0)) ;
    inv02 ix292 (.Y (masks_for_compactor_1[0]), .A (nx760)) ;
    inv02 ix290 (.Y (masks_for_compactor_1[1]), .A (nx763)) ;
    inv02 ix288 (.Y (masks_for_compactor_1[2]), .A (nx766)) ;
    ao21 ix484 (.Y (nx483), .A0 (masks_shift_reg_1_1), .A1 (edt_update), .B0 (
         nx479)) ;
    dffr reg_masks_shift_reg_1_1 (.Q (masks_shift_reg_1_1), .QB (nx775), .D (
         nx32), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix354 (.Y (nx32), .A0 (nx648), .A1 (edt_update)) ;
    nor02 ix480 (.Y (nx479), .A0 (nx777), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_1_1 (.Q (\$dummy [19]), .QB (nx777), .D (nx483), .CLK (
         edt_clock), .R (GND0)) ;
    ao21 ix494 (.Y (nx493), .A0 (edt_channels_out_from_controller[1]), .A1 (
         edt_update), .B0 (nx489)) ;
    dffr reg_masks_shift_reg_1_0 (.Q (edt_channels_out_from_controller[1]), .QB (
         \$dummy [20]), .D (nx34), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix356 (.Y (nx34), .A0 (nx775), .A1 (edt_update)) ;
    nor02 ix490 (.Y (nx489), .A0 (nx788), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_1_0 (.Q (\$dummy [21]), .QB (nx788), .D (nx493), .CLK (
         edt_clock), .R (GND0)) ;
    inv02 ix282 (.Y (masks_for_compactor_0[0]), .A (nx791)) ;
    inv02 ix280 (.Y (masks_for_compactor_0[1]), .A (nx794)) ;
    inv02 ix278 (.Y (masks_for_compactor_0[2]), .A (nx797)) ;
    ao21 ix434 (.Y (nx433), .A0 (masks_shift_reg_0_1), .A1 (edt_update), .B0 (
         nx429)) ;
    dffr reg_masks_shift_reg_0_1 (.Q (masks_shift_reg_0_1), .QB (nx806), .D (
         nx44), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix366 (.Y (nx44), .A0 (nx627), .A1 (edt_update)) ;
    nor02 ix430 (.Y (nx429), .A0 (nx808), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_0_1 (.Q (\$dummy [22]), .QB (nx808), .D (nx433), .CLK (
         edt_clock), .R (GND0)) ;
    ao21 ix444 (.Y (nx443), .A0 (edt_channels_out_from_controller[0]), .A1 (
         edt_update), .B0 (nx439)) ;
    dffr reg_masks_shift_reg_0_0 (.Q (edt_channels_out_from_controller[0]), .QB (
         \$dummy [23]), .D (nx46), .CLK (edt_clock), .R (GND0)) ;
    nor02 ix368 (.Y (nx46), .A0 (nx806), .A1 (edt_update)) ;
    nor02 ix440 (.Y (nx439), .A0 (nx819), .A1 (edt_update)) ;
    dffr reg_masks_hold_reg_0_0 (.Q (\$dummy [24]), .QB (nx819), .D (nx443), .CLK (
         edt_clock), .R (GND0)) ;
    mux21 ix694 (.Y (nx693), .A0 (onehot_decoded_masks_3_0), .A1 (
          xor_encoded_masks_15), .S0 (nx848)) ;
    mux21 ix702 (.Y (nx701), .A0 (onehot_decoded_masks_3_1), .A1 (
          xor_encoded_masks_16), .S0 (nx848)) ;
    mux21 ix705 (.Y (nx704), .A0 (onehot_decoded_masks_3_2), .A1 (
          xor_encoded_masks_17), .S0 (nx848)) ;
    mux21 ix708 (.Y (masks_for_compactor_3[3]), .A0 (nx832), .A1 (nx715), .S0 (
          nx848)) ;
    inv02 ix831 (.Y (nx832), .A (onehot_decoded_masks_3_3)) ;
    mux21 ix719 (.Y (masks_for_compactor_3[4]), .A0 (nx834), .A1 (nx726), .S0 (
          nx848)) ;
    inv02 ix833 (.Y (nx834), .A (onehot_decoded_masks_3_4)) ;
    mux21 ix730 (.Y (nx729), .A0 (onehot_decoded_masks_2_0), .A1 (
          xor_encoded_masks_10), .S0 (nx848)) ;
    mux21 ix733 (.Y (nx732), .A0 (onehot_decoded_masks_2_1), .A1 (
          xor_encoded_masks_11), .S0 (nx848)) ;
    mux21 ix736 (.Y (nx735), .A0 (onehot_decoded_masks_2_2), .A1 (
          xor_encoded_masks_12), .S0 (nx848)) ;
    mux21 ix739 (.Y (masks_for_compactor_2[3]), .A0 (nx836), .A1 (nx746), .S0 (
          nx848)) ;
    inv02 ix835 (.Y (nx836), .A (onehot_decoded_masks_2_3)) ;
    mux21 ix750 (.Y (masks_for_compactor_2[4]), .A0 (nx838), .A1 (nx757), .S0 (
          nx848)) ;
    inv02 ix837 (.Y (nx838), .A (onehot_decoded_masks_2_4)) ;
    mux21 ix761 (.Y (nx760), .A0 (onehot_decoded_masks_1_0), .A1 (
          xor_encoded_masks_5), .S0 (nx848)) ;
    mux21 ix764 (.Y (nx763), .A0 (onehot_decoded_masks_1_1), .A1 (
          xor_encoded_masks_6), .S0 (nx848)) ;
    mux21 ix767 (.Y (nx766), .A0 (onehot_decoded_masks_1_2), .A1 (
          xor_encoded_masks_7), .S0 (nx848)) ;
    mux21 ix770 (.Y (masks_for_compactor_1[3]), .A0 (nx840), .A1 (nx777), .S0 (
          nx848)) ;
    inv02 ix839 (.Y (nx840), .A (onehot_decoded_masks_1_3)) ;
    mux21 ix781 (.Y (masks_for_compactor_1[4]), .A0 (nx842), .A1 (nx788), .S0 (
          nx848)) ;
    inv02 ix841 (.Y (nx842), .A (onehot_decoded_masks_1_4)) ;
    mux21 ix792 (.Y (nx791), .A0 (onehot_decoded_masks_0_0), .A1 (
          xor_encoded_masks_0), .S0 (nx848)) ;
    mux21 ix795 (.Y (nx794), .A0 (onehot_decoded_masks_0_1), .A1 (
          xor_encoded_masks_1), .S0 (nx848)) ;
    mux21 ix798 (.Y (nx797), .A0 (onehot_decoded_masks_0_2), .A1 (
          xor_encoded_masks_2), .S0 (nx848)) ;
    mux21 ix801 (.Y (masks_for_compactor_0[3]), .A0 (nx844), .A1 (nx808), .S0 (
          nx848)) ;
    inv02 ix843 (.Y (nx844), .A (onehot_decoded_masks_0_3)) ;
    mux21 ix812 (.Y (masks_for_compactor_0[4]), .A0 (nx846), .A1 (nx819), .S0 (
          nx848)) ;
    inv02 ix845 (.Y (nx846), .A (onehot_decoded_masks_0_4)) ;
    buf04 ix847 (.Y (nx848), .A (nx698)) ;
endmodule


module cpu_edt_onehot_decoder_3_to_5 ( encoded_masks, decoded_masks ) ;

    input [2:0]encoded_masks ;
    output [4:0]decoded_masks ;

    wire nx135, nx137, nx140, nx142, nx147;



    ao21 ix75 (.Y (decoded_masks[0]), .A0 (encoded_masks[2]), .A1 (
         encoded_masks[1]), .B0 (nx135)) ;
    nor03 ix136 (.Y (nx135), .A0 (nx137), .A1 (encoded_masks[1]), .A2 (
          encoded_masks[2])) ;
    inv02 ix138 (.Y (nx137), .A (encoded_masks[0])) ;
    aoi21 ix63 (.Y (decoded_masks[1]), .A0 (nx140), .A1 (encoded_masks[0]), .B0 (
          nx142)) ;
    inv02 ix141 (.Y (nx140), .A (encoded_masks[2])) ;
    inv02 ix143 (.Y (nx142), .A (encoded_masks[1])) ;
    aoi21 ix51 (.Y (decoded_masks[2]), .A0 (nx140), .A1 (nx137), .B0 (nx142)) ;
    aoi21 ix39 (.Y (decoded_masks[3]), .A0 (nx142), .A1 (encoded_masks[0]), .B0 (
          nx140)) ;
    ao21 ix27 (.Y (decoded_masks[4]), .A0 (encoded_masks[2]), .A1 (
         encoded_masks[1]), .B0 (nx147)) ;
    nor03 ix148 (.Y (nx147), .A0 (nx137), .A1 (encoded_masks[1]), .A2 (nx140)) ;
endmodule


module cpu_edt_compactor ( edt_scan_out, masks_for_compactor_0, 
                           masks_for_compactor_1, masks_for_compactor_2, 
                           masks_for_compactor_3, edt_channels_out ) ;

    input [19:0]edt_scan_out ;
    input [4:0]masks_for_compactor_0 ;
    input [4:0]masks_for_compactor_1 ;
    input [4:0]masks_for_compactor_2 ;
    input [4:0]masks_for_compactor_3 ;
    output [3:0]edt_channels_out ;

    wire masked_scan_outputs_3_4, masked_scan_outputs_3_3, 
         masked_scan_outputs_3_2, masked_scan_outputs_3_1, 
         masked_scan_outputs_3_0, masked_scan_outputs_2_4, 
         masked_scan_outputs_2_3, masked_scan_outputs_2_2, 
         masked_scan_outputs_2_1, masked_scan_outputs_2_0, 
         masked_scan_outputs_1_4, masked_scan_outputs_1_3, 
         masked_scan_outputs_1_2, masked_scan_outputs_1_1, 
         masked_scan_outputs_1_0, masked_scan_outputs_0_4, 
         masked_scan_outputs_0_3, masked_scan_outputs_0_2, 
         masked_scan_outputs_0_1, masked_scan_outputs_0_0;



    cpu_edt_spatial_compactor_5 compactor1 (.multi_bit_input ({
                                masked_scan_outputs_0_4,masked_scan_outputs_0_3,
                                masked_scan_outputs_0_2,masked_scan_outputs_0_1,
                                masked_scan_outputs_0_0}), .single_bit_output (
                                edt_channels_out[0])) ;
    cpu_edt_spatial_compactor_5 compactor2 (.multi_bit_input ({
                                masked_scan_outputs_1_4,masked_scan_outputs_1_3,
                                masked_scan_outputs_1_2,masked_scan_outputs_1_1,
                                masked_scan_outputs_1_0}), .single_bit_output (
                                edt_channels_out[1])) ;
    cpu_edt_spatial_compactor_5 compactor3 (.multi_bit_input ({
                                masked_scan_outputs_2_4,masked_scan_outputs_2_3,
                                masked_scan_outputs_2_2,masked_scan_outputs_2_1,
                                masked_scan_outputs_2_0}), .single_bit_output (
                                edt_channels_out[2])) ;
    cpu_edt_spatial_compactor_5 compactor4 (.multi_bit_input ({
                                masked_scan_outputs_3_4,masked_scan_outputs_3_3,
                                masked_scan_outputs_3_2,masked_scan_outputs_3_1,
                                masked_scan_outputs_3_0}), .single_bit_output (
                                edt_channels_out[3])) ;
    and02 ix11 (.Y (masked_scan_outputs_0_0), .A0 (edt_scan_out[0]), .A1 (
          masks_for_compactor_0[0])) ;
    and02 ix9 (.Y (masked_scan_outputs_0_1), .A0 (edt_scan_out[1]), .A1 (
          masks_for_compactor_0[1])) ;
    and02 ix7 (.Y (masked_scan_outputs_0_2), .A0 (edt_scan_out[2]), .A1 (
          masks_for_compactor_0[2])) ;
    and02 ix5 (.Y (masked_scan_outputs_0_3), .A0 (edt_scan_out[3]), .A1 (
          masks_for_compactor_0[3])) ;
    and02 ix3 (.Y (masked_scan_outputs_0_4), .A0 (edt_scan_out[4]), .A1 (
          masks_for_compactor_0[4])) ;
    and02 ix21 (.Y (masked_scan_outputs_1_0), .A0 (edt_scan_out[5]), .A1 (
          masks_for_compactor_1[0])) ;
    and02 ix19 (.Y (masked_scan_outputs_1_1), .A0 (edt_scan_out[6]), .A1 (
          masks_for_compactor_1[1])) ;
    and02 ix17 (.Y (masked_scan_outputs_1_2), .A0 (edt_scan_out[7]), .A1 (
          masks_for_compactor_1[2])) ;
    and02 ix15 (.Y (masked_scan_outputs_1_3), .A0 (edt_scan_out[8]), .A1 (
          masks_for_compactor_1[3])) ;
    and02 ix13 (.Y (masked_scan_outputs_1_4), .A0 (edt_scan_out[9]), .A1 (
          masks_for_compactor_1[4])) ;
    and02 ix31 (.Y (masked_scan_outputs_2_0), .A0 (edt_scan_out[10]), .A1 (
          masks_for_compactor_2[0])) ;
    and02 ix29 (.Y (masked_scan_outputs_2_1), .A0 (edt_scan_out[11]), .A1 (
          masks_for_compactor_2[1])) ;
    and02 ix27 (.Y (masked_scan_outputs_2_2), .A0 (edt_scan_out[12]), .A1 (
          masks_for_compactor_2[2])) ;
    and02 ix25 (.Y (masked_scan_outputs_2_3), .A0 (edt_scan_out[13]), .A1 (
          masks_for_compactor_2[3])) ;
    and02 ix23 (.Y (masked_scan_outputs_2_4), .A0 (edt_scan_out[14]), .A1 (
          masks_for_compactor_2[4])) ;
    and02 ix41 (.Y (masked_scan_outputs_3_0), .A0 (edt_scan_out[15]), .A1 (
          masks_for_compactor_3[0])) ;
    and02 ix39 (.Y (masked_scan_outputs_3_1), .A0 (edt_scan_out[16]), .A1 (
          masks_for_compactor_3[1])) ;
    and02 ix37 (.Y (masked_scan_outputs_3_2), .A0 (edt_scan_out[17]), .A1 (
          masks_for_compactor_3[2])) ;
    and02 ix35 (.Y (masked_scan_outputs_3_3), .A0 (edt_scan_out[18]), .A1 (
          masks_for_compactor_3[3])) ;
    and02 ix33 (.Y (masked_scan_outputs_3_4), .A0 (edt_scan_out[19]), .A1 (
          masks_for_compactor_3[4])) ;
endmodule


module cpu_edt_spatial_compactor_5 ( multi_bit_input, single_bit_output ) ;

    input [4:0]multi_bit_input ;
    output single_bit_output ;

    wire nx78, nx80, nx82;



    xnor2 modgen_xor_0_ix7 (.Y (single_bit_output), .A0 (nx78), .A1 (
          multi_bit_input[4])) ;
    xnor2 ix79 (.Y (nx78), .A0 (nx80), .A1 (nx82)) ;
    xnor2 ix81 (.Y (nx80), .A0 (multi_bit_input[2]), .A1 (multi_bit_input[3])) ;
    xnor2 ix83 (.Y (nx82), .A0 (multi_bit_input[0]), .A1 (multi_bit_input[1])) ;
endmodule


module cpu_edt_decompressor ( edt_clock, edt_update, edt_channels_in, 
                              edt_scan_in ) ;

    input edt_clock ;
    input edt_update ;
    input [3:0]edt_channels_in ;
    output [19:0]edt_scan_in ;

    wire lfsm_vec_lockup_15, lfsm_vec_lockup_14, lfsm_vec_lockup_13, 
         lfsm_vec_lockup_12, lfsm_vec_lockup_11, lfsm_vec_lockup_10, 
         lfsm_vec_lockup_9, lfsm_vec_lockup_8, lfsm_vec_lockup_7, 
         lfsm_vec_lockup_6, lfsm_vec_lockup_5, lfsm_vec_lockup_4, 
         lfsm_vec_lockup_3, lfsm_vec_lockup_2, lfsm_vec_lockup_1, 
         lfsm_vec_lockup_0, lfsm_vec_15, lfsm_vec_14, lfsm_vec_13, lfsm_vec_12, 
         lfsm_vec_11, lfsm_vec_10, lfsm_vec_9, lfsm_vec_8, lfsm_vec_7, 
         lfsm_vec_6, lfsm_vec_5, lfsm_vec_4, lfsm_vec_3, lfsm_vec_2, lfsm_vec_1, 
         lfsm_vec_0, GND0, nx28, nx30, nx32, nx34, nx36, nx38, nx40, nx42, nx44, 
         nx46, nx48, nx50, nx52, nx54, nx56, nx58, NOT_edt_clock, nx277, nx282, 
         nx285, nx289, nx293, nx297, nx301, nx305, nx309, nx313, nx316, nx320, 
         nx323, nx327, nx330, nx334, nx337, nx358, nx367, nx376, nx385, nx394, 
         nx397, nx400, nx403, nx408, nx411, nx414, nx417, nx420, nx423, nx426, 
         nx430, nx433, nx436;
    wire [26:0] \$dummy ;




    GND ix5 (.Y (GND0)) ;
    xnor2 ix129 (.Y (edt_scan_in[0]), .A0 (nx277), .A1 (lfsm_vec_lockup_9)) ;
    xnor2 ix278 (.Y (nx277), .A0 (lfsm_vec_lockup_6), .A1 (lfsm_vec_lockup_8)) ;
    dffr reg_lfsm_vec_lockup_6 (.Q (lfsm_vec_lockup_6), .QB (\$dummy [0]), .D (
         lfsm_vec_6), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_6 (.Q (lfsm_vec_6), .QB (\$dummy [1]), .D (nx46), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix239 (.Y (nx46), .A0 (nx282), .A1 (edt_update)) ;
    dffr reg_lfsm_vec_7 (.Q (lfsm_vec_7), .QB (nx282), .D (nx44), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix237 (.Y (nx44), .A0 (nx285), .A1 (edt_update)) ;
    xnor2 ix286 (.Y (nx285), .A0 (lfsm_vec_8), .A1 (edt_channels_in[3])) ;
    dffr reg_lfsm_vec_8 (.Q (lfsm_vec_8), .QB (\$dummy [2]), .D (nx42), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix235 (.Y (nx42), .A0 (nx289), .A1 (edt_update)) ;
    xnor2 ix290 (.Y (nx289), .A0 (lfsm_vec_9), .A1 (lfsm_vec_6)) ;
    dffr reg_lfsm_vec_9 (.Q (lfsm_vec_9), .QB (\$dummy [3]), .D (nx40), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix233 (.Y (nx40), .A0 (nx293), .A1 (edt_update)) ;
    xnor2 ix294 (.Y (nx293), .A0 (lfsm_vec_10), .A1 (edt_channels_in[2])) ;
    dffr reg_lfsm_vec_10 (.Q (lfsm_vec_10), .QB (\$dummy [4]), .D (nx38), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix231 (.Y (nx38), .A0 (nx297), .A1 (edt_update)) ;
    xnor2 ix298 (.Y (nx297), .A0 (lfsm_vec_11), .A1 (lfsm_vec_4)) ;
    dffr reg_lfsm_vec_11 (.Q (lfsm_vec_11), .QB (\$dummy [5]), .D (nx36), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix229 (.Y (nx36), .A0 (nx301), .A1 (edt_update)) ;
    xnor2 ix302 (.Y (nx301), .A0 (lfsm_vec_12), .A1 (edt_channels_in[1])) ;
    dffr reg_lfsm_vec_12 (.Q (lfsm_vec_12), .QB (\$dummy [6]), .D (nx34), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix227 (.Y (nx34), .A0 (nx305), .A1 (edt_update)) ;
    dffr reg_lfsm_vec_13 (.Q (lfsm_vec_13), .QB (\$dummy [7]), .D (nx32), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix225 (.Y (nx32), .A0 (nx309), .A1 (edt_update)) ;
    xnor2 ix310 (.Y (nx309), .A0 (lfsm_vec_14), .A1 (edt_channels_in[0])) ;
    dffr reg_lfsm_vec_14 (.Q (lfsm_vec_14), .QB (\$dummy [8]), .D (nx30), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix223 (.Y (nx30), .A0 (nx313), .A1 (edt_update)) ;
    dffr reg_lfsm_vec_15 (.Q (lfsm_vec_15), .QB (nx313), .D (nx28), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix221 (.Y (nx28), .A0 (nx316), .A1 (edt_update)) ;
    xnor2 ix317 (.Y (nx316), .A0 (lfsm_vec_0), .A1 (edt_channels_in[0])) ;
    dffr reg_lfsm_vec_0 (.Q (lfsm_vec_0), .QB (\$dummy [9]), .D (nx58), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix251 (.Y (nx58), .A0 (nx320), .A1 (edt_update)) ;
    dffr reg_lfsm_vec_1 (.Q (lfsm_vec_1), .QB (nx320), .D (nx56), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix249 (.Y (nx56), .A0 (nx323), .A1 (edt_update)) ;
    xnor2 ix324 (.Y (nx323), .A0 (lfsm_vec_2), .A1 (edt_channels_in[1])) ;
    dffr reg_lfsm_vec_2 (.Q (lfsm_vec_2), .QB (\$dummy [10]), .D (nx54), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix247 (.Y (nx54), .A0 (nx327), .A1 (edt_update)) ;
    dffr reg_lfsm_vec_3 (.Q (lfsm_vec_3), .QB (nx327), .D (nx52), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix245 (.Y (nx52), .A0 (nx330), .A1 (edt_update)) ;
    xnor2 ix331 (.Y (nx330), .A0 (lfsm_vec_4), .A1 (edt_channels_in[2])) ;
    dffr reg_lfsm_vec_4 (.Q (lfsm_vec_4), .QB (\$dummy [11]), .D (nx50), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix243 (.Y (nx50), .A0 (nx334), .A1 (edt_update)) ;
    dffr reg_lfsm_vec_5 (.Q (lfsm_vec_5), .QB (nx334), .D (nx48), .CLK (
         edt_clock), .R (GND0)) ;
    nor02 ix241 (.Y (nx48), .A0 (nx337), .A1 (edt_update)) ;
    xnor2 ix338 (.Y (nx337), .A0 (lfsm_vec_6), .A1 (edt_channels_in[3])) ;
    inv04 ix351 (.Y (NOT_edt_clock), .A (edt_clock)) ;
    dffr reg_lfsm_vec_lockup_8 (.Q (lfsm_vec_lockup_8), .QB (\$dummy [12]), .D (
         lfsm_vec_8), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_9 (.Q (lfsm_vec_lockup_9), .QB (\$dummy [13]), .D (
         lfsm_vec_9), .CLK (NOT_edt_clock), .R (GND0)) ;
    xnor2 ix133 (.Y (edt_scan_in[1]), .A0 (nx358), .A1 (lfsm_vec_lockup_13)) ;
    xnor2 ix359 (.Y (nx358), .A0 (lfsm_vec_lockup_1), .A1 (lfsm_vec_lockup_4)) ;
    dffr reg_lfsm_vec_lockup_1 (.Q (lfsm_vec_lockup_1), .QB (\$dummy [14]), .D (
         lfsm_vec_1), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_4 (.Q (lfsm_vec_lockup_4), .QB (\$dummy [15]), .D (
         lfsm_vec_4), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_13 (.Q (lfsm_vec_lockup_13), .QB (\$dummy [16]), .D (
         lfsm_vec_13), .CLK (NOT_edt_clock), .R (GND0)) ;
    xnor2 ix137 (.Y (edt_scan_in[2]), .A0 (nx367), .A1 (lfsm_vec_lockup_15)) ;
    xnor2 ix368 (.Y (nx367), .A0 (lfsm_vec_lockup_3), .A1 (lfsm_vec_lockup_10)
          ) ;
    dffr reg_lfsm_vec_lockup_3 (.Q (lfsm_vec_lockup_3), .QB (\$dummy [17]), .D (
         lfsm_vec_3), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_10 (.Q (lfsm_vec_lockup_10), .QB (\$dummy [18]), .D (
         lfsm_vec_10), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_15 (.Q (lfsm_vec_lockup_15), .QB (\$dummy [19]), .D (
         lfsm_vec_15), .CLK (NOT_edt_clock), .R (GND0)) ;
    xnor2 ix141 (.Y (edt_scan_in[3]), .A0 (nx376), .A1 (lfsm_vec_lockup_14)) ;
    xnor2 ix377 (.Y (nx376), .A0 (lfsm_vec_lockup_0), .A1 (lfsm_vec_lockup_7)) ;
    dffr reg_lfsm_vec_lockup_0 (.Q (lfsm_vec_lockup_0), .QB (\$dummy [20]), .D (
         lfsm_vec_0), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_7 (.Q (lfsm_vec_lockup_7), .QB (\$dummy [21]), .D (
         lfsm_vec_7), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_14 (.Q (lfsm_vec_lockup_14), .QB (\$dummy [22]), .D (
         lfsm_vec_14), .CLK (NOT_edt_clock), .R (GND0)) ;
    xnor2 ix145 (.Y (edt_scan_in[4]), .A0 (nx385), .A1 (lfsm_vec_lockup_12)) ;
    xnor2 ix386 (.Y (nx385), .A0 (lfsm_vec_lockup_2), .A1 (lfsm_vec_lockup_5)) ;
    dffr reg_lfsm_vec_lockup_2 (.Q (lfsm_vec_lockup_2), .QB (\$dummy [23]), .D (
         lfsm_vec_2), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_5 (.Q (lfsm_vec_lockup_5), .QB (\$dummy [24]), .D (
         lfsm_vec_5), .CLK (NOT_edt_clock), .R (GND0)) ;
    dffr reg_lfsm_vec_lockup_12 (.Q (lfsm_vec_lockup_12), .QB (\$dummy [25]), .D (
         lfsm_vec_12), .CLK (NOT_edt_clock), .R (GND0)) ;
    xnor2 ix149 (.Y (edt_scan_in[5]), .A0 (nx394), .A1 (lfsm_vec_lockup_12)) ;
    xnor2 ix395 (.Y (nx394), .A0 (lfsm_vec_lockup_1), .A1 (lfsm_vec_lockup_9)) ;
    xnor2 ix153 (.Y (edt_scan_in[6]), .A0 (nx397), .A1 (lfsm_vec_lockup_14)) ;
    xnor2 ix398 (.Y (nx397), .A0 (lfsm_vec_lockup_6), .A1 (lfsm_vec_lockup_7)) ;
    xnor2 ix157 (.Y (edt_scan_in[7]), .A0 (nx400), .A1 (lfsm_vec_lockup_15)) ;
    xnor2 ix401 (.Y (nx400), .A0 (lfsm_vec_lockup_0), .A1 (lfsm_vec_lockup_8)) ;
    xnor2 ix161 (.Y (edt_scan_in[8]), .A0 (nx403), .A1 (lfsm_vec_lockup_13)) ;
    xnor2 ix404 (.Y (nx403), .A0 (lfsm_vec_lockup_10), .A1 (lfsm_vec_lockup_11)
          ) ;
    dffr reg_lfsm_vec_lockup_11 (.Q (lfsm_vec_lockup_11), .QB (\$dummy [26]), .D (
         lfsm_vec_11), .CLK (NOT_edt_clock), .R (GND0)) ;
    xnor2 ix165 (.Y (edt_scan_in[9]), .A0 (nx408), .A1 (lfsm_vec_lockup_11)) ;
    xnor2 ix409 (.Y (nx408), .A0 (lfsm_vec_lockup_2), .A1 (lfsm_vec_lockup_3)) ;
    xnor2 ix169 (.Y (edt_scan_in[10]), .A0 (nx411), .A1 (lfsm_vec_lockup_15)) ;
    xnor2 ix412 (.Y (nx411), .A0 (lfsm_vec_lockup_2), .A1 (lfsm_vec_lockup_4)) ;
    xnor2 ix173 (.Y (edt_scan_in[11]), .A0 (nx414), .A1 (lfsm_vec_lockup_14)) ;
    xnor2 ix415 (.Y (nx414), .A0 (lfsm_vec_lockup_8), .A1 (lfsm_vec_lockup_13)
          ) ;
    xnor2 ix177 (.Y (edt_scan_in[12]), .A0 (nx417), .A1 (lfsm_vec_lockup_12)) ;
    xnor2 ix418 (.Y (nx417), .A0 (lfsm_vec_lockup_5), .A1 (lfsm_vec_lockup_6)) ;
    xnor2 ix181 (.Y (edt_scan_in[13]), .A0 (nx420), .A1 (lfsm_vec_lockup_11)) ;
    xnor2 ix421 (.Y (nx420), .A0 (lfsm_vec_lockup_1), .A1 (lfsm_vec_lockup_5)) ;
    xnor2 ix185 (.Y (edt_scan_in[14]), .A0 (nx423), .A1 (lfsm_vec_lockup_10)) ;
    xnor2 ix424 (.Y (nx423), .A0 (lfsm_vec_lockup_0), .A1 (lfsm_vec_lockup_4)) ;
    xnor2 ix189 (.Y (edt_scan_in[15]), .A0 (nx426), .A1 (lfsm_vec_lockup_9)) ;
    xnor2 ix427 (.Y (nx426), .A0 (lfsm_vec_lockup_2), .A1 (lfsm_vec_lockup_7)) ;
    xnor2 ix193 (.Y (edt_scan_in[16]), .A0 (nx358), .A1 (lfsm_vec_lockup_5)) ;
    xnor2 ix197 (.Y (edt_scan_in[17]), .A0 (nx430), .A1 (lfsm_vec_lockup_9)) ;
    xnor2 ix431 (.Y (nx430), .A0 (lfsm_vec_lockup_7), .A1 (lfsm_vec_lockup_8)) ;
    xnor2 ix201 (.Y (edt_scan_in[18]), .A0 (nx433), .A1 (lfsm_vec_lockup_13)) ;
    xnor2 ix434 (.Y (nx433), .A0 (lfsm_vec_lockup_0), .A1 (lfsm_vec_lockup_6)) ;
    xnor2 ix205 (.Y (edt_scan_in[19]), .A0 (nx436), .A1 (lfsm_vec_lockup_15)) ;
    xnor2 ix437 (.Y (nx436), .A0 (lfsm_vec_lockup_11), .A1 (lfsm_vec_lockup_12)
          ) ;
    xor2 ix306 (.Y (nx305), .A0 (lfsm_vec_13), .A1 (nx327)) ;
endmodule


module cpu ( clk, reset, paddr, pdata, portain, portbout, portcout, expdin, 
             expdout, expaddr, expread, expwrite, debugw, debugpc, debuginst, 
             debugstatus, scan_in1, scan_in2, scan_in3, scan_in4, scan_in5, 
             scan_in6, scan_in7, scan_in8, scan_in9, scan_in10, scan_in11, 
             scan_in12, scan_in13, scan_in14, scan_in15, scan_in16, scan_in17, 
             scan_in18, scan_in19, scan_in20, scan_en ) ;

    input clk ;
    input reset ;
    output [10:0]paddr ;
    input [11:0]pdata ;
    input [7:0]portain ;
    output [7:0]portbout ;
    output [7:0]portcout ;
    input [7:0]expdin ;
    output [7:0]expdout ;
    output [6:0]expaddr ;
    output expread ;
    output expwrite ;
    output [7:0]debugw ;
    output [10:0]debugpc ;
    output [11:0]debuginst ;
    output [7:0]debugstatus ;
    input scan_in1 ;
    input scan_in2 ;
    input scan_in3 ;
    input scan_in4 ;
    input scan_in5 ;
    input scan_in6 ;
    input scan_in7 ;
    input scan_in8 ;
    input scan_in9 ;
    input scan_in10 ;
    input scan_in11 ;
    input scan_in12 ;
    input scan_in13 ;
    input scan_in14 ;
    input scan_in15 ;
    input scan_in16 ;
    input scan_in17 ;
    input scan_in18 ;
    input scan_in19 ;
    input scan_in20 ;
    input scan_en ;

    wire nx20422, nx20420, nx20418, nx20410, nx20404, nx20394, nx20388, 
         nx2_dup_0_dup_8788, nx20374, nx4_dup_0_dup_8729, nx20370, nx20368, 
         nx20366, nx20364, nx20362, nx20360, nx20358, nx20356, nx20354, nx20352, 
         nx20350, nx20348, nx20346, nx20344, nx20342, nx20340, nx20338, nx20336, 
         nx20334, nx20332, nx20330, nx20328, nx20326, nx20324, nx20322, nx20320, 
         nx20318, nx20316, nx20314, nx20312, nx20310, nx20308, nx20306, nx20304, 
         nx20302, nx20300, nx20298, nx20296, nx20294, nx20292, nx20290, nx20288, 
         nx20286, nx20284, nx20282, nx20280, nx20278, nx20276, nx20274, nx20272, 
         nx20270, nx20268, nx20266, nx20264, nx20262, nx20260, nx20256, nx20254, 
         nx20252, nx20250, nx20248, nx20246, nx20244, nx20242, nx20240, nx20238, 
         nx20236, nx20234, nx20232, nx20230, nx20228, nx20226, nx20222, nx20218, 
         nx20216, nx20212, aluop_0, aluop_2, aluop_3, isoption, nx2_dup_0, 
         nx0_dup_0_dup_19172, nx0_dup_0_dup_20541, nx20151, nx20149, nx20139, 
         nx20136, nx20119, nx20106, nx20092, nx20082, nx20077, nx20072, nx20067, 
         nx20062, nx20057, nx20052, nx20029, nx20015, nx20002, nx19996, nx19992, 
         nx19990, nx19986, nx19984, nx19981, nx19978, nx19975, nx19970, nx19964, 
         nx19959, nx19953, nx19948, nx19942, nx19937, nx19931, nx19926, nx19920, 
         nx19915, nx19909, nx19904, nx19898, nx19893, nx19887, nx19885, nx19880, 
         nx19874, nx19869, nx19863, nx19858, nx19852, nx19847, nx19841, nx19836, 
         nx19830, nx19825, nx19819, nx19814, nx19808, nx19803, nx19797, nx19794, 
         nx19789, nx19783, nx19778, nx19772, nx19767, nx19761, nx19756, nx19750, 
         nx19745, nx19739, nx19734, nx19728, nx19723, nx19717, nx19712, nx19706, 
         nx19703, nx19698, nx19692, nx19687, nx19681, nx19676, nx19670, nx19665, 
         nx19659, nx19654, nx19648, nx19643, nx19637, nx19632, nx19626, nx19621, 
         nx19615, nx19611, nx19606, nx19600, nx19595, nx19589, nx19584, nx19578, 
         nx19573, nx19547, nx19542, nx19537, nx19523, nx19521, nx19513, nx19500, 
         nx19494, nx19489, nx19487, nx19483, nx19480, nx19477, nx19472, nx19466, 
         nx19461, nx19455, nx19450, nx19444, nx19439, nx19433, nx19428, nx19422, 
         nx19417, nx19411, nx19406, nx19400, nx19395, nx19389, nx19387, nx19382, 
         nx19376, nx19371, nx19365, nx19360, nx19354, nx19349, nx19343, nx19338, 
         nx19332, nx19327, nx19321, nx19316, nx19310, nx19305, nx19299, nx19296, 
         nx19291, nx19285, nx19280, nx19274, nx19269, nx19263, nx19258, nx19252, 
         nx19247, nx19241, nx19236, nx19230, nx19225, nx19219, nx19214, nx19208, 
         nx19205, nx19200, nx19194, nx19189, nx19183, nx19178, nx19172, nx19167, 
         nx19161, nx19156, nx19150, nx19145, nx19139, nx19134, nx19128, nx19123, 
         nx19117, nx19113, nx19108, nx19102, nx19097, nx19091, nx19086, nx19080, 
         nx19075, nx19049, nx19044, nx19039, nx19025, nx19015, nx19002, 
         nx0_dup_0_dup_19143, nx18991, nx18989, nx18985, nx18982, nx18979, 
         nx18974, nx18968, nx18963, nx18957, nx18952, nx18946, nx18941, nx18935, 
         nx18930, nx18924, nx18919, nx18913, nx18908, nx18902, nx18897, nx18891, 
         nx18889, nx18884, nx18878, nx18873, nx18867, nx18862, nx18856, nx18851, 
         nx18845, nx18840, nx18834, nx18829, nx18823, nx18818, nx18812, nx18807, 
         nx18801, nx18798, nx18793, nx18787, nx18782, nx18776, nx18771, nx18765, 
         nx18760, nx18754, nx18749, nx18743, nx18738, nx18732, nx18727, nx18721, 
         nx18716, nx18710, nx18707, nx18702, nx18696, nx18691, nx18685, nx18680, 
         nx18674, nx18669, nx18663, nx18658, nx18652, nx18647, nx18641, nx18636, 
         nx18630, nx18625, nx18619, nx18615, nx18610, nx18604, nx18599, nx18593, 
         nx18588, nx18582, nx18577, nx18551, nx18546, nx18541, nx18528, nx18523, 
         nx18515, nx18502, nx18491, nx18489, nx18485, nx18482, nx18479, nx18474, 
         nx18468, nx18463, nx18457, nx18452, nx18446, nx18441, nx18435, nx18430, 
         nx18424, nx18419, nx18413, nx18408, nx18402, nx18397, nx18391, nx18389, 
         nx18384, nx18378, nx18373, nx18367, nx18362, nx18356, nx18351, nx18345, 
         nx18340, nx18334, nx18329, nx18323, nx18318, nx18312, nx18307, nx18301, 
         nx18298, nx18293, nx18287, nx18282, nx18276, nx18271, nx18265, nx18260, 
         nx18254, nx18249, nx18243, nx18238, nx18232, nx18227, nx18221, nx18216, 
         nx18210, nx18207, nx18202, nx18196, nx18191, nx18185, nx18180, nx18174, 
         nx18169, nx18163, nx18158, nx18152, nx18147, nx18141, nx18136, nx18130, 
         nx18125, nx18119, nx18115, nx18110, nx18104, nx18099, nx18093, nx18088, 
         nx18082, nx18077, nx18051, nx18046, nx18041, nx18027, nx18016, nx18003, 
         nx17993, nx0_dup_0_dup_21288, nx17987, nx17984, nx17981, nx17976, 
         nx17970, nx17965, nx17959, nx17954, nx17948, nx17943, nx17937, nx17932, 
         nx17926, nx17921, nx17915, nx17910, nx17904, nx17899, nx17893, nx17891, 
         nx17886, nx17880, nx17875, nx17869, nx17864, nx17858, nx17853, nx17847, 
         nx17842, nx17836, nx17831, nx17825, nx17820, nx17814, nx17809, nx17803, 
         nx17800, nx17795, nx17789, nx17784, nx17778, nx17773, nx17767, nx17762, 
         nx17756, nx17751, nx17745, nx17740, nx17734, nx17729, nx17723, nx17718, 
         nx17712, nx17709, nx17704, nx17698, nx17693, nx17687, nx17682, nx17676, 
         nx17671, nx17665, nx17660, nx17654, nx17649, nx17643, nx17638, nx17632, 
         nx17627, nx17621, nx17617, nx17612, nx17606, nx17601, nx17595, nx17590, 
         nx17584, nx17579, nx17553, nx17548, nx17543, nx17530, nx17527, 
         nx2_dup_0_dup_20832, nx17516, nx17503, nx0_dup_0_dup_21246, nx17487, 
         nx17484, nx17481, nx17476, nx17470, nx17465, nx17459, nx17454, nx17448, 
         nx17443, nx17437, nx17432, nx17426, nx17421, nx17415, nx17410, nx17404, 
         nx17399, nx17393, nx17391, nx17386, nx17380, nx17375, nx17369, nx17364, 
         nx17358, nx17353, nx17347, nx17342, nx17336, nx17331, nx17325, nx17320, 
         nx17314, nx17309, nx17303, nx17300, nx17295, nx17289, nx17284, nx17278, 
         nx17273, nx17267, nx17262, nx17256, nx17251, nx17245, nx17240, nx17234, 
         nx17229, nx17223, nx17218, nx17212, nx17209, nx17204, nx17198, nx17193, 
         nx17187, nx17182, nx17176, nx17171, nx17165, nx17160, nx17154, nx17149, 
         nx17143, nx17138, nx17132, nx17127, nx17121, nx17117, nx17112, nx17106, 
         nx17101, nx17095, nx17090, nx17084, nx17079, nx17053, nx17048, nx17043, 
         nx17031, nx17020, nx17007, nx2_dup_0_dup_21289, nx16991, nx16988, 
         nx16985, nx16980, nx16974, nx16969, nx16963, nx16958, nx16952, nx16947, 
         nx16941, nx16936, nx16930, nx16925, nx16919, nx16914, nx16908, nx16903, 
         nx16897, nx16895, nx16890, nx16884, nx16879, nx16873, nx16868, nx16862, 
         nx16857, nx16851, nx16846, nx16840, nx16835, nx16829, nx16824, nx16818, 
         nx16813, nx16807, nx16804, nx16799, nx16793, nx16788, nx16782, nx16777, 
         nx16771, nx16766, nx16760, nx16755, nx16749, nx16744, nx16738, nx16733, 
         nx16727, nx16722, nx16716, nx16713, nx16708, nx16702, nx16697, nx16691, 
         nx16686, nx16680, nx16675, nx16669, nx16664, nx16658, nx16653, nx16647, 
         nx16642, nx16636, nx16631, nx16625, nx16621, nx16616, nx16610, nx16605, 
         nx16599, nx16594, nx16588, nx16583, nx16557, nx16552, nx16547, nx16526, 
         nx16521, nx16482, nx16479, nx16475, nx2_dup_0_dup_11370, nx16469, 
         nx16464, nx0_dup_0_dup_21182, nx0_dup_0_dup_11311, nx16421, nx16411, 
         nx4_dup_0_dup_11196, nx4_dup_0_dup_11212, nx16403, nx16401, nx16393, 
         nx16391, nx16385, nx16383, nx0_dup_0_dup_11165, nx0_dup_0_dup_11208, 
         nx4_dup_0_dup_11143, nx16362, nx16359, nx16356, nx4_dup_0_dup_11118, 
         nx16351, nx16349, nx0_dup_0_dup_11115, nx4_dup_0_dup_11079, nx16327, 
         nx0_dup_0_dup_21122, nx16321, nx4_dup_0_dup_11051, nx16315, nx16313, 
         nx0_dup_0_dup_11014, nx0_dup_0_dup_11048, nx16289, nx16275, nx16273, 
         nx16267, nx16263, nx16259, nx16251, nx16241, nx16233, nx16223, nx16213, 
         nx16203, nx16195, nx16185, nx16177, nx16167, nx16159, nx16149, nx16141, 
         nx16131, nx16121, nx16111, nx16107, nx16099, nx16087, nx16078, nx16071, 
         nx16063, nx16053, nx16045, nx16035, nx16029, nx16021, nx16013, nx16005, 
         nx15999, nx15989, nx15983, nx15976, nx15971, nx15965, nx15957, nx15951, 
         nx15941, nx15935, nx15927, nx15919, nx15911, nx15905, nx15895, nx15889, 
         nx15881, nx15873, nx15865, nx15859, nx15847, nx15841, nx15835, nx15827, 
         nx15819, nx15811, nx15805, nx15795, nx15789, nx15782, nx15772, nx15763, 
         nx15755, nx15751, nx15743, nx15735, nx15725, nx15717, nx15702, 
         nx0_dup_0, nx15683, nx15673, nx15665, nx15663, nx15649, nx15636, 
         nx15627, nx15619, nx15617, nx15605, nx0_dup_0_dup_10978, nx15578, 
         nx15551, nx15531, nx15521, nx15516, nx15505, nx15499, nx15484, nx15482, 
         nx15477, nx15475, nx15469, nx15467, nx15465, nx15442, nx15440, nx15438, 
         nx15428, nx15426, nx15417, nx15413, nx15407, nx15399, nx15396, nx15372, 
         nx15361, nx15357, nx15351, nx15349, nx15341, nx15339, nx15331, nx15327, 
         nx15321, nx15317, nx15311, nx15309, nx15301, nx14731, nx14727, nx14721, 
         nx14717, nx14711, nx14707, nx14701, nx14697, nx14691, nx14687, nx14681, 
         nx14677, nx14671, nx14667, nx14661, nx14657, nx14651, nx14647, nx14641, 
         nx14637, nx14631, nx14627, nx14621, nx14617, nx14611, nx14607, nx14601, 
         nx14597, nx14591, nx14587, nx14581, nx14577, nx14571, nx14567, nx14561, 
         nx14557, nx14551, nx14547, nx14541, nx14537, nx14531, nx14527, nx14521, 
         nx14517, nx14511, nx14507, nx14501, nx14497, nx14491, nx14487, nx14481, 
         nx14477, nx14471, nx14467, nx14461, nx14457, nx14451, nx14447, nx14441, 
         nx14437, nx14431, nx14427, nx14421, nx14417, nx14411, nx14407, nx14401, 
         nx14397, nx14391, nx14387, nx14381, nx14377, nx14371, nx14367, nx14361, 
         nx14357, nx14351, nx14347, nx14341, nx14337, nx14331, nx14327, nx14321, 
         nx14317, nx14311, nx14307, nx14301, nx14297, nx14291, nx14287, nx14281, 
         nx14277, nx14271, nx14267, nx14261, nx14257, nx14251, nx14247, nx14241, 
         nx14237, nx14231, nx14227, nx14221, nx14217, nx14211, nx14207, nx14201, 
         nx14197, nx14191, nx14187, nx14181, nx14177, nx14171, nx14167, nx14161, 
         nx14157, nx14151, nx14147, nx14141, nx14137, nx14131, nx14127, nx14121, 
         nx14117, nx14111, nx14107, nx14101, nx14097, nx14091, nx14087, nx14081, 
         nx14077, nx14071, nx14067, nx14061, nx14057, nx14051, nx14047, nx14041, 
         nx14037, nx14031, nx14027, nx14021, nx14017, nx14011, nx14009, nx14001, 
         nx13999, nx13991, nx13981, nx13979, nx13971, nx13967, nx13961, nx13951, 
         nx13941, nx13371, nx13367, nx13361, nx13357, nx13351, nx13347, nx13341, 
         nx13337, nx13331, nx13327, nx13321, nx13317, nx13311, nx13307, nx13301, 
         nx13297, nx13291, nx13287, nx13281, nx13277, nx13271, nx13267, nx13261, 
         nx13257, nx13251, nx13247, nx13241, nx13237, nx13231, nx13227, nx13221, 
         nx13217, nx13211, nx13207, nx13201, nx13197, nx13191, nx13187, nx13181, 
         nx13177, nx13171, nx13167, nx13161, nx13157, nx13151, nx13147, nx13141, 
         nx13137, nx13131, nx13127, nx13121, nx13117, nx13111, nx13107, nx13101, 
         nx13097, nx13091, nx13087, nx13081, nx13077, nx13071, nx13067, nx13061, 
         nx13057, nx13051, nx13047, nx13041, nx13037, nx13031, nx13027, nx13021, 
         nx13017, nx13011, nx13007, nx13001, nx12997, nx12991, nx12987, nx12981, 
         nx12977, nx12971, nx12967, nx12961, nx12957, nx12951, nx12947, nx12941, 
         nx12937, nx12931, nx12927, nx12921, nx12917, nx12911, nx12907, nx12901, 
         nx12897, nx12891, nx12887, nx12881, nx12877, nx12871, nx12867, nx12861, 
         nx12857, nx12851, nx12847, nx12841, nx12837, nx12831, nx12827, nx12821, 
         nx12817, nx12811, nx12807, nx12801, nx12797, nx12791, nx12787, nx12781, 
         nx12777, nx12771, nx12767, nx12761, nx12757, nx12751, nx12747, nx12741, 
         nx12737, nx12731, nx12727, nx12721, nx12717, nx12711, nx12707, nx12701, 
         nx12697, nx12691, nx12687, nx12681, nx12677, nx12671, nx12667, nx12661, 
         nx12657, nx12651, nx12649, nx12641, nx12639, nx12631, nx12629, nx12621, 
         nx12617, nx12611, nx12601, nx12031, nx12027, nx12021, nx12017, nx12011, 
         nx12007, nx12001, nx11997, nx11991, nx11987, nx11981, nx11977, nx11971, 
         nx11967, nx11961, nx11957, nx11951, nx11947, nx11941, nx11937, nx11931, 
         nx11927, nx11921, nx11917, nx11911, nx11907, nx11901, nx11897, nx11891, 
         nx11887, nx11881, nx11877, nx11871, nx11867, nx11861, nx11857, nx11851, 
         nx11847, nx11841, nx11837, nx11831, nx11827, nx11821, nx11817, nx11811, 
         nx11807, nx11801, nx11797, nx11791, nx11787, nx11781, nx11777, nx11771, 
         nx11767, nx11761, nx11757, nx11751, nx11747, nx11741, nx11737, nx11731, 
         nx11727, nx11721, nx11717, nx11711, nx11707, nx11701, nx11697, nx11691, 
         nx11687, nx11681, nx11677, nx11671, nx11667, nx11661, nx11657, nx11651, 
         nx11647, nx11641, nx11637, nx11631, nx11627, nx11621, nx11617, nx11611, 
         nx11607, nx11601, nx11597, nx11591, nx11587, nx11581, nx11577, nx11571, 
         nx11567, nx11561, nx11557, nx11551, nx11547, nx11541, nx11537, nx11531, 
         nx11527, nx11521, nx11517, nx11511, nx11507, nx11501, nx11497, nx11491, 
         nx11487, nx11481, nx11477, nx11471, nx11467, nx11461, nx11457, nx11451, 
         nx11447, nx11441, nx11437, nx11431, nx11427, nx11421, nx11417, nx11411, 
         nx11407, nx11401, nx11397, nx11391, nx11387, nx11381, nx11377, nx11371, 
         nx11367, nx11361, nx11357, nx11351, nx11347, nx11341, nx11337, nx11331, 
         nx11327, nx11321, nx11317, nx11311, nx11309, nx11301, nx11299, nx11291, 
         nx11289, nx11281, nx11277, nx11271, nx11261, nx10691, nx10687, nx10681, 
         nx10677, nx10671, nx10667, nx10661, nx10657, nx10651, nx10647, nx10641, 
         nx10637, nx10631, nx10627, nx10621, nx10617, nx10611, nx10607, nx10601, 
         nx10597, nx10591, nx10587, nx10581, nx10577, nx10571, nx10567, nx10561, 
         nx10557, nx10551, nx10547, nx10541, nx10537, nx10531, nx10527, nx10521, 
         nx10517, nx10511, nx10507, nx10501, nx10497, nx10491, nx10487, nx10481, 
         nx10477, nx10471, nx10467, nx10461, nx10457, nx10451, nx10447, nx10441, 
         nx10437, nx10431, nx10427, nx10421, nx10417, nx10411, nx10407, nx10401, 
         nx10397, nx10391, nx10387, nx10381, nx10377, nx10371, nx10367, nx10361, 
         nx10357, nx10351, nx10347, nx10341, nx10337, nx10331, nx10327, nx10321, 
         nx10317, nx10311, nx10307, nx10301, nx10297, nx10291, nx10287, nx10281, 
         nx10277, nx10271, nx10267, nx10261, nx10257, nx10251, nx10247, nx10241, 
         nx10237, nx10231, nx10227, nx10221, nx10217, nx10211, nx10207, nx10201, 
         nx10197, nx10191, nx10187, nx10181, nx10177, nx10171, nx10167, nx10161, 
         nx10157, nx10151, nx10147, nx10141, nx10137, nx10131, nx10127, nx10121, 
         nx10117, nx10111, nx10107, nx10101, nx10097, nx10091, nx10087, nx10081, 
         nx10077, nx10071, nx10067, nx10061, nx10057, nx10051, nx10047, nx10041, 
         nx10037, nx10031, nx10027, nx10021, nx10017, nx10011, nx10007, nx10001, 
         nx9997, nx9991, nx9987, nx9981, nx9977, nx9971, nx9969, nx9961, nx9959, 
         nx9951, nx9941, nx9939, nx9931, nx9927, nx9921, nx9911, nx9341, nx9337, 
         nx9331, nx9327, nx9321, nx9317, nx9311, nx9307, nx9301, nx9297, nx9291, 
         nx9287, nx9281, nx9277, nx9271, nx9267, nx9261, nx9257, nx9251, nx9247, 
         nx9241, nx9237, nx9231, nx9227, nx9221, nx9217, nx9211, nx9207, nx9201, 
         nx9197, nx9191, nx9187, nx9181, nx9177, nx9171, nx9167, nx9161, nx9157, 
         nx9151, nx9147, nx9141, nx9137, nx9131, nx9127, nx9121, nx9117, nx9111, 
         nx9107, nx9101, nx9097, nx9091, nx9087, nx9081, nx9077, nx9071, nx9067, 
         nx9061, nx9057, nx9051, nx9047, nx9041, nx9037, nx9031, nx9027, nx9021, 
         nx9017, nx9011, nx9007, nx9001, nx8997, nx8991, nx8987, nx8981, nx8977, 
         nx8971, nx8967, nx8961, nx8957, nx8951, nx8947, nx8941, nx8937, nx8931, 
         nx8927, nx8921, nx8917, nx8911, nx8907, nx8901, nx8897, nx8891, nx8887, 
         nx8881, nx8877, nx8871, nx8867, nx8861, nx8857, nx8851, nx8847, nx8841, 
         nx8837, nx8831, nx8827, nx8821, nx8817, nx8811, nx8807, nx8801, nx8797, 
         nx8791, nx8787, nx8781, nx8777, nx8771, nx8767, nx8761, nx8757, nx8751, 
         nx8747, nx8741, nx8737, nx8731, nx8727, nx8721, nx8717, nx8711, nx8707, 
         nx8701, nx8697, nx8691, nx8687, nx8681, nx8677, nx8671, nx8667, nx8661, 
         nx8657, nx8651, nx8647, nx8641, nx8637, nx8631, nx8627, nx8621, nx8619, 
         nx8611, nx8609, nx8601, nx8591, nx8589, nx8581, nx8577, nx8571, nx8561, 
         nx7991, nx7987, nx7981, nx7977, nx7971, nx7967, nx7961, nx7957, nx7951, 
         nx7947, nx7941, nx7937, nx7931, nx7927, nx7921, nx7917, nx7911, nx7907, 
         nx7901, nx7897, nx7891, nx7887, nx7881, nx7877, nx7871, nx7867, nx7861, 
         nx7857, nx7851, nx7847, nx7841, nx7837, nx7831, nx7827, nx7821, nx7817, 
         nx7811, nx7807, nx7801, nx7797, nx7791, nx7787, nx7781, nx7777, nx7771, 
         nx7767, nx7761, nx7757, nx7751, nx7747, nx7741, nx7737, nx7731, nx7727, 
         nx7721, nx7717, nx7711, nx7707, nx7701, nx7697, nx7691, nx7687, nx7681, 
         nx7677, nx7671, nx7667, nx7661, nx7657, nx7651, nx7647, nx7641, nx7637, 
         nx7631, nx7627, nx7621, nx7617, nx7611, nx7607, nx7601, nx7597, nx7591, 
         nx7587, nx7581, nx7577, nx7571, nx7567, nx7561, nx7557, nx7551, nx7547, 
         nx7541, nx7537, nx7531, nx7527, nx7521, nx7517, nx7511, nx7507, nx7501, 
         nx7497, nx7491, nx7487, nx7481, nx7477, nx7471, nx7467, nx7461, nx7457, 
         nx7451, nx7447, nx7441, nx7437, nx7431, nx7427, nx7421, nx7417, nx7411, 
         nx7407, nx7401, nx7397, nx7391, nx7387, nx7381, nx7377, nx7371, nx7367, 
         nx7361, nx7357, nx7351, nx7347, nx7341, nx7337, nx7331, nx7327, nx7321, 
         nx7317, nx7311, nx7307, nx7301, nx7297, nx7291, nx7287, nx7281, nx7277, 
         nx7271, nx7269, nx7261, nx7259, nx7251, nx7249, nx7241, nx7237, nx7231, 
         nx7221, nx6651, nx6647, nx6641, nx6637, nx6631, nx6627, nx6621, nx6617, 
         nx6611, nx6607, nx6601, nx6597, nx6591, nx6587, nx6581, nx6577, nx6571, 
         nx6567, nx6561, nx6557, nx6551, nx6547, nx6541, nx6537, nx6531, nx6527, 
         nx6521, nx6517, nx6511, nx6507, nx6501, nx6497, nx6491, nx6487, nx6481, 
         nx6477, nx6471, nx6467, nx6461, nx6457, nx6451, nx6447, nx6441, nx6437, 
         nx6431, nx6427, nx6421, nx6417, nx6411, nx6407, nx6401, nx6397, nx6391, 
         nx6387, nx6381, nx6377, nx6371, nx6367, nx6361, nx6357, nx6351, nx6347, 
         nx6341, nx6337, nx6331, nx6327, nx6321, nx6317, nx6311, nx6307, nx6301, 
         nx6297, nx6291, nx6287, nx6281, nx6277, nx6271, nx6267, nx6261, nx6257, 
         nx6251, nx6247, nx6241, nx6237, nx6231, nx6227, nx6221, nx6217, nx6211, 
         nx6207, nx6201, nx6197, nx6191, nx6187, nx6181, nx6177, nx6171, nx6167, 
         nx6161, nx6157, nx6151, nx6147, nx6141, nx6137, nx6131, nx6127, nx6121, 
         nx6117, nx6111, nx6107, nx6101, nx6097, nx6091, nx6087, nx6081, nx6077, 
         nx6071, nx6067, nx6061, nx6057, nx6051, nx6047, nx6041, nx6037, nx6031, 
         nx6027, nx6021, nx6017, nx6011, nx6007, nx6001, nx5997, nx5991, nx5987, 
         nx5981, nx5977, nx5971, nx5967, nx5961, nx5957, nx5951, nx5947, nx5941, 
         nx5937, nx5931, nx5929, nx5921, nx5919, nx5911, nx5901, nx5899, nx5891, 
         nx5887, nx5881, nx5311, nx5307, nx5301, nx5297, nx5291, nx5287, nx5281, 
         nx5277, nx5271, nx5267, nx5261, nx5257, nx5251, nx5247, nx5241, nx5237, 
         nx5231, nx5227, nx5221, nx5217, nx5211, nx5207, nx5201, nx5197, nx5191, 
         nx5187, nx5181, nx5177, nx5171, nx5167, nx5161, nx5157, nx5151, nx5147, 
         nx5141, nx5137, nx5131, nx5127, nx5121, nx5117, nx5111, nx5107, nx5101, 
         nx5097, nx5091, nx5087, nx5081, nx5077, nx5071, nx5067, nx5061, nx5057, 
         nx5051, nx5047, nx5041, nx5037, nx5031, nx5027, nx5021, nx5017, nx5011, 
         nx5007, nx5001, nx4997, nx4991, nx4987, nx4981, nx4977, nx4971, nx4967, 
         nx4961, nx4957, nx4951, nx4947, nx4941, nx4937, nx4931, nx4927, nx4921, 
         nx4917, nx4911, nx4907, nx4901, nx4897, nx4891, nx4887, nx4881, nx4877, 
         nx4871, nx4867, nx4861, nx4857, nx4851, nx4847, nx4841, nx4837, nx4831, 
         nx4827, nx4821, nx4817, nx4811, nx4807, nx4801, nx4797, nx4791, nx4787, 
         nx4781, nx4777, nx4771, nx4767, nx4761, nx4757, nx4751, nx4747, nx4741, 
         nx4737, nx4731, nx4727, nx4721, nx4717, nx4711, nx4707, nx4701, nx4697, 
         nx4691, nx4687, nx4681, nx4677, nx4671, nx4667, nx4661, nx4657, nx4651, 
         nx4647, nx4641, nx4637, nx4631, nx4627, nx4621, nx4617, nx4611, nx4607, 
         nx4601, nx4597, nx4591, nx4589, nx4581, nx4579, nx4571, nx4567, nx4561, 
         nx4559, nx4551, nx4549, nx4541, nx4531, nx4521, nx4511, nx4501, nx4491, 
         nx4481, nx4471, nx4461, nx4451, nx4441, nx4431, nx4421, nx4411, nx4401, 
         nx4391, nx4381, nx4371, nx4361, nx4351, nx4341, nx4331, nx4321, nx4311, 
         nx4301, stack2_10, stack1_10, nx16468, nx16460, stack1_9, nx16406, 
         stack2_9, stack2_8, nx16370, nx16348, stack1_8, nx16334, nx16304, 
         nx16272, nx16240, nx16206, nx16174, nx16140, nx16114, nx16064, nx16056, 
         nx15458, regs_dram_modgen_ram_ix26_a_79, regs_dram_modgen_ram_ix26_a_78, 
         regs_dram_modgen_ram_ix26_a_77, regs_dram_modgen_ram_ix26_a_76, nx15412, 
         nx4_dup_0_dup_19312, regs_dram_modgen_ram_ix26_a_75, 
         regs_dram_modgen_ram_ix26_a_74, regs_dram_modgen_ram_ix26_a_73, 
         regs_dram_modgen_ram_ix26_a_72, nx15364, regs_dram_modgen_ram_ix26_a_71, 
         regs_dram_modgen_ram_ix26_a_70, regs_dram_modgen_ram_ix26_a_69, 
         regs_dram_modgen_ram_ix26_a_68, nx15318, regs_dram_modgen_ram_ix26_a_67, 
         regs_dram_modgen_ram_ix26_a_66, regs_dram_modgen_ram_ix26_a_65, 
         regs_dram_modgen_ram_ix26_a_64, nx15260, regs_dram_modgen_ram_ix26_a_63, 
         regs_dram_modgen_ram_ix26_a_62, regs_dram_modgen_ram_ix26_a_61, 
         regs_dram_modgen_ram_ix26_a_60, nx15214, nx4_dup_0_dup_19510, 
         regs_dram_modgen_ram_ix26_a_59, regs_dram_modgen_ram_ix26_a_58, 
         regs_dram_modgen_ram_ix26_a_57, regs_dram_modgen_ram_ix26_a_56, nx15166, 
         regs_dram_modgen_ram_ix26_a_55, regs_dram_modgen_ram_ix26_a_54, 
         regs_dram_modgen_ram_ix26_a_53, regs_dram_modgen_ram_ix26_a_52, nx15120, 
         regs_dram_modgen_ram_ix26_a_51, regs_dram_modgen_ram_ix26_a_50, 
         regs_dram_modgen_ram_ix26_a_49, regs_dram_modgen_ram_ix26_a_48, nx15066, 
         regs_dram_modgen_ram_ix26_a_47, regs_dram_modgen_ram_ix26_a_46, 
         regs_dram_modgen_ram_ix26_a_45, regs_dram_modgen_ram_ix26_a_44, nx15020, 
         nx4_dup_0_dup_19737, regs_dram_modgen_ram_ix26_a_43, 
         regs_dram_modgen_ram_ix26_a_42, regs_dram_modgen_ram_ix26_a_41, 
         regs_dram_modgen_ram_ix26_a_40, nx14972, regs_dram_modgen_ram_ix26_a_39, 
         regs_dram_modgen_ram_ix26_a_38, regs_dram_modgen_ram_ix26_a_37, 
         regs_dram_modgen_ram_ix26_a_36, nx14926, regs_dram_modgen_ram_ix26_a_35, 
         regs_dram_modgen_ram_ix26_a_34, regs_dram_modgen_ram_ix26_a_33, 
         regs_dram_modgen_ram_ix26_a_32, nx14870, regs_dram_modgen_ram_ix26_a_31, 
         regs_dram_modgen_ram_ix26_a_30, regs_dram_modgen_ram_ix26_a_29, 
         regs_dram_modgen_ram_ix26_a_28, nx14824, nx4_dup_0_dup_19980, 
         regs_dram_modgen_ram_ix26_a_27, regs_dram_modgen_ram_ix26_a_26, 
         regs_dram_modgen_ram_ix26_a_25, regs_dram_modgen_ram_ix26_a_24, nx14776, 
         regs_dram_modgen_ram_ix26_a_23, regs_dram_modgen_ram_ix26_a_22, 
         regs_dram_modgen_ram_ix26_a_21, regs_dram_modgen_ram_ix26_a_20, nx14730, 
         regs_dram_modgen_ram_ix26_a_19, regs_dram_modgen_ram_ix26_a_18, 
         regs_dram_modgen_ram_ix26_a_17, regs_dram_modgen_ram_ix26_a_16, nx14676, 
         regs_dram_modgen_ram_ix26_a_15, regs_dram_modgen_ram_ix26_a_14, 
         regs_dram_modgen_ram_ix26_a_13, regs_dram_modgen_ram_ix26_a_12, nx14630, 
         nx4_dup_0_dup_20214, regs_dram_modgen_ram_ix26_a_11, 
         regs_dram_modgen_ram_ix26_a_10, regs_dram_modgen_ram_ix26_a_9, 
         regs_dram_modgen_ram_ix26_a_8, nx14582, regs_dram_modgen_ram_ix26_a_7, 
         regs_dram_modgen_ram_ix26_a_6_dup_411, 
         regs_dram_modgen_ram_ix26_a_5_dup_412, 
         regs_dram_modgen_ram_ix26_a_4_dup_413, nx14536, 
         regs_dram_modgen_ram_ix26_a_3_dup_414, 
         regs_dram_modgen_ram_ix26_a_2_dup_415, 
         regs_dram_modgen_ram_ix26_a_1_dup_416, 
         regs_dram_modgen_ram_ix26_a_0_dup_417, nx4_dup_0_dup_19276, nx14484, 
         nx14436, stack1_7, stack2_7, nx14384, nx14350, tmr0_7, nx14332, porta_7, 
         nx14300, nx14292, nx13694, regs_dram_modgen_ram_ix26_a_79_dup_466, 
         regs_dram_modgen_ram_ix26_a_78_dup_467, 
         regs_dram_modgen_ram_ix26_a_77_dup_468, 
         regs_dram_modgen_ram_ix26_a_76_dup_469, nx13648, nx4_dup_0_dup_18029, 
         regs_dram_modgen_ram_ix26_a_75_dup_470, 
         regs_dram_modgen_ram_ix26_a_74_dup_471, 
         regs_dram_modgen_ram_ix26_a_73_dup_472, 
         regs_dram_modgen_ram_ix26_a_72_dup_473, nx13600, 
         regs_dram_modgen_ram_ix26_a_71_dup_474, 
         regs_dram_modgen_ram_ix26_a_70_dup_475, 
         regs_dram_modgen_ram_ix26_a_69_dup_476, 
         regs_dram_modgen_ram_ix26_a_68_dup_477, nx13554, 
         regs_dram_modgen_ram_ix26_a_67_dup_478, 
         regs_dram_modgen_ram_ix26_a_66_dup_479, 
         regs_dram_modgen_ram_ix26_a_65_dup_480, 
         regs_dram_modgen_ram_ix26_a_64_dup_481, nx13496, 
         regs_dram_modgen_ram_ix26_a_63_dup_482, 
         regs_dram_modgen_ram_ix26_a_62_dup_483, 
         regs_dram_modgen_ram_ix26_a_61_dup_484, 
         regs_dram_modgen_ram_ix26_a_60_dup_485, nx13450, nx4_dup_0_dup_18223, 
         regs_dram_modgen_ram_ix26_a_59_dup_486, 
         regs_dram_modgen_ram_ix26_a_58_dup_487, 
         regs_dram_modgen_ram_ix26_a_57_dup_488, 
         regs_dram_modgen_ram_ix26_a_56_dup_489, nx13402, 
         regs_dram_modgen_ram_ix26_a_55_dup_490, 
         regs_dram_modgen_ram_ix26_a_54_dup_491, 
         regs_dram_modgen_ram_ix26_a_53_dup_492, 
         regs_dram_modgen_ram_ix26_a_52_dup_493, nx13356, 
         regs_dram_modgen_ram_ix26_a_51_dup_494, 
         regs_dram_modgen_ram_ix26_a_50_dup_495, 
         regs_dram_modgen_ram_ix26_a_49_dup_496, 
         regs_dram_modgen_ram_ix26_a_48_dup_497, nx13302, 
         regs_dram_modgen_ram_ix26_a_47_dup_498, 
         regs_dram_modgen_ram_ix26_a_46_dup_499, 
         regs_dram_modgen_ram_ix26_a_45_dup_500, 
         regs_dram_modgen_ram_ix26_a_44_dup_501, nx13256, nx4_dup_0_dup_18451, 
         regs_dram_modgen_ram_ix26_a_43_dup_502, 
         regs_dram_modgen_ram_ix26_a_42_dup_503, 
         regs_dram_modgen_ram_ix26_a_41_dup_504, 
         regs_dram_modgen_ram_ix26_a_40_dup_505, nx13208, 
         regs_dram_modgen_ram_ix26_a_39_dup_506, 
         regs_dram_modgen_ram_ix26_a_38_dup_507, 
         regs_dram_modgen_ram_ix26_a_37_dup_508, 
         regs_dram_modgen_ram_ix26_a_36_dup_509, nx13162, 
         regs_dram_modgen_ram_ix26_a_35_dup_510, 
         regs_dram_modgen_ram_ix26_a_34_dup_511, 
         regs_dram_modgen_ram_ix26_a_33_dup_512, 
         regs_dram_modgen_ram_ix26_a_32_dup_513, nx13106, 
         regs_dram_modgen_ram_ix26_a_31_dup_514, 
         regs_dram_modgen_ram_ix26_a_30_dup_515, 
         regs_dram_modgen_ram_ix26_a_29_dup_516, 
         regs_dram_modgen_ram_ix26_a_28_dup_517, nx13060, nx4_dup_0_dup_18687, 
         regs_dram_modgen_ram_ix26_a_27_dup_518, 
         regs_dram_modgen_ram_ix26_a_26_dup_519, 
         regs_dram_modgen_ram_ix26_a_25_dup_520, 
         regs_dram_modgen_ram_ix26_a_24_dup_521, nx13012, 
         regs_dram_modgen_ram_ix26_a_23_dup_522, 
         regs_dram_modgen_ram_ix26_a_22_dup_523, 
         regs_dram_modgen_ram_ix26_a_21_dup_524, 
         regs_dram_modgen_ram_ix26_a_20_dup_525, nx12966, 
         regs_dram_modgen_ram_ix26_a_19_dup_526, 
         regs_dram_modgen_ram_ix26_a_18_dup_527, 
         regs_dram_modgen_ram_ix26_a_17_dup_528, 
         regs_dram_modgen_ram_ix26_a_16_dup_529, nx12912, 
         regs_dram_modgen_ram_ix26_a_15_dup_530, 
         regs_dram_modgen_ram_ix26_a_14_dup_531, 
         regs_dram_modgen_ram_ix26_a_13_dup_532, 
         regs_dram_modgen_ram_ix26_a_12_dup_533, nx12866, nx4_dup_0_dup_18916, 
         regs_dram_modgen_ram_ix26_a_11_dup_534, 
         regs_dram_modgen_ram_ix26_a_10_dup_535, 
         regs_dram_modgen_ram_ix26_a_9_dup_536, 
         regs_dram_modgen_ram_ix26_a_8_dup_537, nx12818, 
         regs_dram_modgen_ram_ix26_a_7_dup_538, 
         regs_dram_modgen_ram_ix26_a_6_dup_539, 
         regs_dram_modgen_ram_ix26_a_5_dup_540, 
         regs_dram_modgen_ram_ix26_a_4_dup_541, nx12772, 
         regs_dram_modgen_ram_ix26_a_3_dup_542, 
         regs_dram_modgen_ram_ix26_a_2_dup_543, 
         regs_dram_modgen_ram_ix26_a_1_dup_544, 
         regs_dram_modgen_ram_ix26_a_0_dup_545, nx4_dup_0_dup_17993, nx12720, 
         nx12678, stack1_6, nx12642, stack2_6, nx12626, nx12602, nx12588, tmr0_6, 
         nx12578, porta_6, nx12546, nx12538, nx11940, 
         regs_dram_modgen_ram_ix26_a_79_dup_594, 
         regs_dram_modgen_ram_ix26_a_78_dup_595, 
         regs_dram_modgen_ram_ix26_a_77_dup_596, 
         regs_dram_modgen_ram_ix26_a_76_dup_597, nx11894, nx4_dup_0_dup_16746, 
         regs_dram_modgen_ram_ix26_a_75_dup_598, 
         regs_dram_modgen_ram_ix26_a_74_dup_599, 
         regs_dram_modgen_ram_ix26_a_73_dup_600, 
         regs_dram_modgen_ram_ix26_a_72_dup_601, nx11846, 
         regs_dram_modgen_ram_ix26_a_71_dup_602, 
         regs_dram_modgen_ram_ix26_a_70_dup_603, 
         regs_dram_modgen_ram_ix26_a_69_dup_604, 
         regs_dram_modgen_ram_ix26_a_68_dup_605, nx11800, 
         regs_dram_modgen_ram_ix26_a_67_dup_606, 
         regs_dram_modgen_ram_ix26_a_66_dup_607, 
         regs_dram_modgen_ram_ix26_a_65_dup_608, 
         regs_dram_modgen_ram_ix26_a_64_dup_609, nx11742, 
         regs_dram_modgen_ram_ix26_a_63_dup_610, 
         regs_dram_modgen_ram_ix26_a_62_dup_611, 
         regs_dram_modgen_ram_ix26_a_61_dup_612, 
         regs_dram_modgen_ram_ix26_a_60_dup_613, nx11696, nx4_dup_0_dup_16943, 
         regs_dram_modgen_ram_ix26_a_59_dup_614, 
         regs_dram_modgen_ram_ix26_a_58_dup_615, 
         regs_dram_modgen_ram_ix26_a_57_dup_616, 
         regs_dram_modgen_ram_ix26_a_56_dup_617, nx11648, 
         regs_dram_modgen_ram_ix26_a_55_dup_618, 
         regs_dram_modgen_ram_ix26_a_54_dup_619, 
         regs_dram_modgen_ram_ix26_a_53_dup_620, 
         regs_dram_modgen_ram_ix26_a_52_dup_621, nx11602, 
         regs_dram_modgen_ram_ix26_a_51_dup_622, 
         regs_dram_modgen_ram_ix26_a_50_dup_623, 
         regs_dram_modgen_ram_ix26_a_49_dup_624, 
         regs_dram_modgen_ram_ix26_a_48_dup_625, nx11548, 
         regs_dram_modgen_ram_ix26_a_47_dup_626, 
         regs_dram_modgen_ram_ix26_a_46_dup_627, 
         regs_dram_modgen_ram_ix26_a_45_dup_628, 
         regs_dram_modgen_ram_ix26_a_44_dup_629, nx11502, nx4_dup_0_dup_17165, 
         regs_dram_modgen_ram_ix26_a_43_dup_630, 
         regs_dram_modgen_ram_ix26_a_42_dup_631, 
         regs_dram_modgen_ram_ix26_a_41_dup_632, 
         regs_dram_modgen_ram_ix26_a_40_dup_633, nx11454, 
         regs_dram_modgen_ram_ix26_a_39_dup_634, 
         regs_dram_modgen_ram_ix26_a_38_dup_635, 
         regs_dram_modgen_ram_ix26_a_37_dup_636, 
         regs_dram_modgen_ram_ix26_a_36_dup_637, nx11408, 
         regs_dram_modgen_ram_ix26_a_35_dup_638, 
         regs_dram_modgen_ram_ix26_a_34_dup_639, 
         regs_dram_modgen_ram_ix26_a_33_dup_640, 
         regs_dram_modgen_ram_ix26_a_32_dup_641, nx11352, 
         regs_dram_modgen_ram_ix26_a_31_dup_642, 
         regs_dram_modgen_ram_ix26_a_30_dup_643, 
         regs_dram_modgen_ram_ix26_a_29_dup_644, 
         regs_dram_modgen_ram_ix26_a_28_dup_645, nx11306, nx4_dup_0_dup_17404, 
         regs_dram_modgen_ram_ix26_a_27_dup_646, 
         regs_dram_modgen_ram_ix26_a_26_dup_647, 
         regs_dram_modgen_ram_ix26_a_25_dup_648, 
         regs_dram_modgen_ram_ix26_a_24_dup_649, nx11258, 
         regs_dram_modgen_ram_ix26_a_23_dup_650, 
         regs_dram_modgen_ram_ix26_a_22_dup_651, 
         regs_dram_modgen_ram_ix26_a_21_dup_652, 
         regs_dram_modgen_ram_ix26_a_20_dup_653, nx11212, 
         regs_dram_modgen_ram_ix26_a_19_dup_654, 
         regs_dram_modgen_ram_ix26_a_18_dup_655, 
         regs_dram_modgen_ram_ix26_a_17_dup_656, 
         regs_dram_modgen_ram_ix26_a_16_dup_657, nx11158, 
         regs_dram_modgen_ram_ix26_a_15_dup_658, 
         regs_dram_modgen_ram_ix26_a_14_dup_659, 
         regs_dram_modgen_ram_ix26_a_13_dup_660, 
         regs_dram_modgen_ram_ix26_a_12_dup_661, nx11112, nx4_dup_0_dup_17629, 
         regs_dram_modgen_ram_ix26_a_11_dup_662, 
         regs_dram_modgen_ram_ix26_a_10_dup_663, 
         regs_dram_modgen_ram_ix26_a_9_dup_664, 
         regs_dram_modgen_ram_ix26_a_8_dup_665, nx11064, 
         regs_dram_modgen_ram_ix26_a_7_dup_666, 
         regs_dram_modgen_ram_ix26_a_6_dup_667, 
         regs_dram_modgen_ram_ix26_a_5_dup_668, 
         regs_dram_modgen_ram_ix26_a_4_dup_669, nx11018, 
         regs_dram_modgen_ram_ix26_a_3_dup_670, 
         regs_dram_modgen_ram_ix26_a_2_dup_671, 
         regs_dram_modgen_ram_ix26_a_1_dup_672, 
         regs_dram_modgen_ram_ix26_a_0_dup_673, nx4_dup_0_dup_16708, nx10966, 
         nx10924, stack1_5, stack2_5, nx10872, nx10846, tmr0_5, nx10824, porta_5, 
         nx10792, nx10784, nx10186, regs_dram_modgen_ram_ix26_a_79_dup_722, 
         regs_dram_modgen_ram_ix26_a_78_dup_723, 
         regs_dram_modgen_ram_ix26_a_77_dup_724, 
         regs_dram_modgen_ram_ix26_a_76_dup_725, nx10140, nx4_dup_0_dup_15445, 
         regs_dram_modgen_ram_ix26_a_75_dup_726, 
         regs_dram_modgen_ram_ix26_a_74_dup_727, 
         regs_dram_modgen_ram_ix26_a_73_dup_728, 
         regs_dram_modgen_ram_ix26_a_72_dup_729, nx10092, 
         regs_dram_modgen_ram_ix26_a_71_dup_730, 
         regs_dram_modgen_ram_ix26_a_70_dup_731, 
         regs_dram_modgen_ram_ix26_a_69_dup_732, 
         regs_dram_modgen_ram_ix26_a_68_dup_733, nx10046, 
         regs_dram_modgen_ram_ix26_a_67_dup_734, 
         regs_dram_modgen_ram_ix26_a_66_dup_735, 
         regs_dram_modgen_ram_ix26_a_65_dup_736, 
         regs_dram_modgen_ram_ix26_a_64_dup_737, nx9988, 
         regs_dram_modgen_ram_ix26_a_63_dup_738, 
         regs_dram_modgen_ram_ix26_a_62_dup_739, 
         regs_dram_modgen_ram_ix26_a_61_dup_740, 
         regs_dram_modgen_ram_ix26_a_60_dup_741, nx9942, nx4_dup_0_dup_15644, 
         regs_dram_modgen_ram_ix26_a_59_dup_742, 
         regs_dram_modgen_ram_ix26_a_58_dup_743, 
         regs_dram_modgen_ram_ix26_a_57_dup_744, 
         regs_dram_modgen_ram_ix26_a_56_dup_745, nx9894, 
         regs_dram_modgen_ram_ix26_a_55_dup_746, 
         regs_dram_modgen_ram_ix26_a_54_dup_747, 
         regs_dram_modgen_ram_ix26_a_53_dup_748, 
         regs_dram_modgen_ram_ix26_a_52_dup_749, nx9848, 
         regs_dram_modgen_ram_ix26_a_51_dup_750, 
         regs_dram_modgen_ram_ix26_a_50_dup_751, 
         regs_dram_modgen_ram_ix26_a_49_dup_752, 
         regs_dram_modgen_ram_ix26_a_48_dup_753, nx9794, 
         regs_dram_modgen_ram_ix26_a_47_dup_754, 
         regs_dram_modgen_ram_ix26_a_46_dup_755, 
         regs_dram_modgen_ram_ix26_a_45_dup_756, 
         regs_dram_modgen_ram_ix26_a_44_dup_757, nx9748, nx4_dup_0_dup_15867, 
         regs_dram_modgen_ram_ix26_a_43_dup_758, 
         regs_dram_modgen_ram_ix26_a_42_dup_759, 
         regs_dram_modgen_ram_ix26_a_41_dup_760, 
         regs_dram_modgen_ram_ix26_a_40_dup_761, nx9700, 
         regs_dram_modgen_ram_ix26_a_39_dup_762, 
         regs_dram_modgen_ram_ix26_a_38_dup_763, 
         regs_dram_modgen_ram_ix26_a_37_dup_764, 
         regs_dram_modgen_ram_ix26_a_36_dup_765, nx9654, 
         regs_dram_modgen_ram_ix26_a_35_dup_766, 
         regs_dram_modgen_ram_ix26_a_34_dup_767, 
         regs_dram_modgen_ram_ix26_a_33_dup_768, 
         regs_dram_modgen_ram_ix26_a_32_dup_769, nx9598, 
         regs_dram_modgen_ram_ix26_a_31_dup_770, 
         regs_dram_modgen_ram_ix26_a_30_dup_771, 
         regs_dram_modgen_ram_ix26_a_29_dup_772, 
         regs_dram_modgen_ram_ix26_a_28_dup_773, nx9552, nx4_dup_0_dup_16097, 
         regs_dram_modgen_ram_ix26_a_27_dup_774, 
         regs_dram_modgen_ram_ix26_a_26_dup_775, 
         regs_dram_modgen_ram_ix26_a_25_dup_776, 
         regs_dram_modgen_ram_ix26_a_24_dup_777, nx9504, 
         regs_dram_modgen_ram_ix26_a_23_dup_778, 
         regs_dram_modgen_ram_ix26_a_22_dup_779, 
         regs_dram_modgen_ram_ix26_a_21_dup_780, 
         regs_dram_modgen_ram_ix26_a_20_dup_781, nx9458, 
         regs_dram_modgen_ram_ix26_a_19_dup_782, 
         regs_dram_modgen_ram_ix26_a_18_dup_783, 
         regs_dram_modgen_ram_ix26_a_17_dup_784, 
         regs_dram_modgen_ram_ix26_a_16_dup_785, nx9404, 
         regs_dram_modgen_ram_ix26_a_15_dup_786, 
         regs_dram_modgen_ram_ix26_a_14_dup_787, 
         regs_dram_modgen_ram_ix26_a_13_dup_788, 
         regs_dram_modgen_ram_ix26_a_12_dup_789, nx9358, nx4_dup_0_dup_16323, 
         regs_dram_modgen_ram_ix26_a_11_dup_790, 
         regs_dram_modgen_ram_ix26_a_10_dup_791, 
         regs_dram_modgen_ram_ix26_a_9_dup_792, 
         regs_dram_modgen_ram_ix26_a_8_dup_793, nx9310, 
         regs_dram_modgen_ram_ix26_a_7_dup_794, 
         regs_dram_modgen_ram_ix26_a_6_dup_795, 
         regs_dram_modgen_ram_ix26_a_5_dup_796, 
         regs_dram_modgen_ram_ix26_a_4_dup_797, nx9264, 
         regs_dram_modgen_ram_ix26_a_3_dup_798, 
         regs_dram_modgen_ram_ix26_a_2_dup_799, 
         regs_dram_modgen_ram_ix26_a_1_dup_800, 
         regs_dram_modgen_ram_ix26_a_0_dup_801, nx4_dup_0_dup_15405, nx9212, 
         nx9162, stack1_4, nx9126, stack2_4, nx9110, nx9072, tmr0_4, nx9062, 
         porta_4, nx9030, nx9022, nx8424, regs_dram_modgen_ram_ix26_a_79_dup_850, 
         regs_dram_modgen_ram_ix26_a_78_dup_851, 
         regs_dram_modgen_ram_ix26_a_77_dup_852, 
         regs_dram_modgen_ram_ix26_a_76_dup_853, nx8378, nx4_dup_0_dup_14166, 
         regs_dram_modgen_ram_ix26_a_75_dup_854, 
         regs_dram_modgen_ram_ix26_a_74_dup_855, 
         regs_dram_modgen_ram_ix26_a_73_dup_856, 
         regs_dram_modgen_ram_ix26_a_72_dup_857, nx8330, 
         regs_dram_modgen_ram_ix26_a_71_dup_858, 
         regs_dram_modgen_ram_ix26_a_70_dup_859, 
         regs_dram_modgen_ram_ix26_a_69_dup_860, 
         regs_dram_modgen_ram_ix26_a_68_dup_861, nx8284, 
         regs_dram_modgen_ram_ix26_a_67_dup_862, 
         regs_dram_modgen_ram_ix26_a_66_dup_863, 
         regs_dram_modgen_ram_ix26_a_65_dup_864, 
         regs_dram_modgen_ram_ix26_a_64_dup_865, nx8226, 
         regs_dram_modgen_ram_ix26_a_63_dup_866, 
         regs_dram_modgen_ram_ix26_a_62_dup_867, 
         regs_dram_modgen_ram_ix26_a_61_dup_868, 
         regs_dram_modgen_ram_ix26_a_60_dup_869, nx8180, nx4_dup_0_dup_14377, 
         regs_dram_modgen_ram_ix26_a_59_dup_870, 
         regs_dram_modgen_ram_ix26_a_58_dup_871, 
         regs_dram_modgen_ram_ix26_a_57_dup_872, 
         regs_dram_modgen_ram_ix26_a_56_dup_873, nx8132, 
         regs_dram_modgen_ram_ix26_a_55_dup_874, 
         regs_dram_modgen_ram_ix26_a_54_dup_875, 
         regs_dram_modgen_ram_ix26_a_53_dup_876, 
         regs_dram_modgen_ram_ix26_a_52_dup_877, nx8086, 
         regs_dram_modgen_ram_ix26_a_51_dup_878, 
         regs_dram_modgen_ram_ix26_a_50_dup_879, 
         regs_dram_modgen_ram_ix26_a_49_dup_880, 
         regs_dram_modgen_ram_ix26_a_48_dup_881, nx8032, 
         regs_dram_modgen_ram_ix26_a_47_dup_882, 
         regs_dram_modgen_ram_ix26_a_46_dup_883, 
         regs_dram_modgen_ram_ix26_a_45_dup_884, 
         regs_dram_modgen_ram_ix26_a_44_dup_885, nx7986, nx4_dup_0_dup_14630, 
         regs_dram_modgen_ram_ix26_a_43_dup_886, 
         regs_dram_modgen_ram_ix26_a_42_dup_887, 
         regs_dram_modgen_ram_ix26_a_41_dup_888, 
         regs_dram_modgen_ram_ix26_a_40_dup_889, nx7938, 
         regs_dram_modgen_ram_ix26_a_39_dup_890, 
         regs_dram_modgen_ram_ix26_a_38_dup_891, 
         regs_dram_modgen_ram_ix26_a_37_dup_892, 
         regs_dram_modgen_ram_ix26_a_36_dup_893, nx7892, 
         regs_dram_modgen_ram_ix26_a_35_dup_894, 
         regs_dram_modgen_ram_ix26_a_34_dup_895, 
         regs_dram_modgen_ram_ix26_a_33_dup_896, 
         regs_dram_modgen_ram_ix26_a_32_dup_897, nx7836, 
         regs_dram_modgen_ram_ix26_a_31_dup_898, 
         regs_dram_modgen_ram_ix26_a_30_dup_899, 
         regs_dram_modgen_ram_ix26_a_29_dup_900, 
         regs_dram_modgen_ram_ix26_a_28_dup_901, nx7790, nx4_dup_0_dup_14862, 
         regs_dram_modgen_ram_ix26_a_27_dup_902, 
         regs_dram_modgen_ram_ix26_a_26_dup_903, 
         regs_dram_modgen_ram_ix26_a_25_dup_904, 
         regs_dram_modgen_ram_ix26_a_24_dup_905, nx7742, 
         regs_dram_modgen_ram_ix26_a_23_dup_906, 
         regs_dram_modgen_ram_ix26_a_22_dup_907, 
         regs_dram_modgen_ram_ix26_a_21_dup_908, 
         regs_dram_modgen_ram_ix26_a_20_dup_909, nx7696, 
         regs_dram_modgen_ram_ix26_a_19_dup_910, 
         regs_dram_modgen_ram_ix26_a_18_dup_911, 
         regs_dram_modgen_ram_ix26_a_17_dup_912, 
         regs_dram_modgen_ram_ix26_a_16_dup_913, nx7642, 
         regs_dram_modgen_ram_ix26_a_15_dup_914, 
         regs_dram_modgen_ram_ix26_a_14_dup_915, 
         regs_dram_modgen_ram_ix26_a_13_dup_916, 
         regs_dram_modgen_ram_ix26_a_12_dup_917, nx7596, nx4_dup_0_dup_15063, 
         regs_dram_modgen_ram_ix26_a_11_dup_918, 
         regs_dram_modgen_ram_ix26_a_10_dup_919, 
         regs_dram_modgen_ram_ix26_a_9_dup_920, 
         regs_dram_modgen_ram_ix26_a_8_dup_921, nx7548, 
         regs_dram_modgen_ram_ix26_a_7_dup_922, 
         regs_dram_modgen_ram_ix26_a_6_dup_923, 
         regs_dram_modgen_ram_ix26_a_5_dup_924, 
         regs_dram_modgen_ram_ix26_a_4_dup_925, nx7502, 
         regs_dram_modgen_ram_ix26_a_3_dup_926, 
         regs_dram_modgen_ram_ix26_a_2_dup_927, 
         regs_dram_modgen_ram_ix26_a_1_dup_928, 
         regs_dram_modgen_ram_ix26_a_0_dup_929, nx4_dup_0_dup_14126, nx7450, 
         nx7402, stack1_3, stack2_3, nx7350, tmr0_3, nx7302, porta_3, nx7270, 
         nx7262, nx6664, regs_dram_modgen_ram_ix26_a_79_dup_978, 
         regs_dram_modgen_ram_ix26_a_78_dup_979, 
         regs_dram_modgen_ram_ix26_a_77_dup_980, 
         regs_dram_modgen_ram_ix26_a_76_dup_981, nx6618, nx4_dup_0_dup_12873, 
         regs_dram_modgen_ram_ix26_a_75_dup_982, 
         regs_dram_modgen_ram_ix26_a_74_dup_983, 
         regs_dram_modgen_ram_ix26_a_73_dup_984, 
         regs_dram_modgen_ram_ix26_a_72_dup_985, nx6570, 
         regs_dram_modgen_ram_ix26_a_71_dup_986, 
         regs_dram_modgen_ram_ix26_a_70_dup_987, 
         regs_dram_modgen_ram_ix26_a_69_dup_988, 
         regs_dram_modgen_ram_ix26_a_68_dup_989, nx6524, 
         regs_dram_modgen_ram_ix26_a_67_dup_990, 
         regs_dram_modgen_ram_ix26_a_66_dup_991, 
         regs_dram_modgen_ram_ix26_a_65_dup_992, 
         regs_dram_modgen_ram_ix26_a_64_dup_993, nx6466, 
         regs_dram_modgen_ram_ix26_a_63_dup_994, 
         regs_dram_modgen_ram_ix26_a_62_dup_995, 
         regs_dram_modgen_ram_ix26_a_61_dup_996, 
         regs_dram_modgen_ram_ix26_a_60_dup_997, nx6420, nx4_dup_0_dup_13089, 
         regs_dram_modgen_ram_ix26_a_59_dup_998, 
         regs_dram_modgen_ram_ix26_a_58_dup_999, 
         regs_dram_modgen_ram_ix26_a_57_dup_1000, 
         regs_dram_modgen_ram_ix26_a_56_dup_1001, nx6372, 
         regs_dram_modgen_ram_ix26_a_55_dup_1002, 
         regs_dram_modgen_ram_ix26_a_54_dup_1003, 
         regs_dram_modgen_ram_ix26_a_53_dup_1004, 
         regs_dram_modgen_ram_ix26_a_52_dup_1005, nx6326, 
         regs_dram_modgen_ram_ix26_a_51_dup_1006, 
         regs_dram_modgen_ram_ix26_a_50_dup_1007, 
         regs_dram_modgen_ram_ix26_a_49_dup_1008, 
         regs_dram_modgen_ram_ix26_a_48_dup_1009, nx6272, 
         regs_dram_modgen_ram_ix26_a_47_dup_1010, 
         regs_dram_modgen_ram_ix26_a_46_dup_1011, 
         regs_dram_modgen_ram_ix26_a_45_dup_1012, 
         regs_dram_modgen_ram_ix26_a_44_dup_1013, nx6226, nx4_dup_0_dup_13339, 
         regs_dram_modgen_ram_ix26_a_43_dup_1014, 
         regs_dram_modgen_ram_ix26_a_42_dup_1015, 
         regs_dram_modgen_ram_ix26_a_41_dup_1016, 
         regs_dram_modgen_ram_ix26_a_40_dup_1017, nx6178, 
         regs_dram_modgen_ram_ix26_a_39_dup_1018, 
         regs_dram_modgen_ram_ix26_a_38_dup_1019, 
         regs_dram_modgen_ram_ix26_a_37_dup_1020, 
         regs_dram_modgen_ram_ix26_a_36_dup_1021, nx6132, 
         regs_dram_modgen_ram_ix26_a_35_dup_1022, 
         regs_dram_modgen_ram_ix26_a_34_dup_1023, 
         regs_dram_modgen_ram_ix26_a_33_dup_1024, 
         regs_dram_modgen_ram_ix26_a_32_dup_1025, nx6076, 
         regs_dram_modgen_ram_ix26_a_31_dup_1026, 
         regs_dram_modgen_ram_ix26_a_30_dup_1027, 
         regs_dram_modgen_ram_ix26_a_29_dup_1028, 
         regs_dram_modgen_ram_ix26_a_28_dup_1029, nx6030, nx4_dup_0_dup_13557, 
         regs_dram_modgen_ram_ix26_a_27_dup_1030, 
         regs_dram_modgen_ram_ix26_a_26_dup_1031, 
         regs_dram_modgen_ram_ix26_a_25_dup_1032, 
         regs_dram_modgen_ram_ix26_a_24_dup_1033, nx5982, 
         regs_dram_modgen_ram_ix26_a_23_dup_1034, 
         regs_dram_modgen_ram_ix26_a_22_dup_1035, 
         regs_dram_modgen_ram_ix26_a_21_dup_1036, 
         regs_dram_modgen_ram_ix26_a_20_dup_1037, nx5936, 
         regs_dram_modgen_ram_ix26_a_19_dup_1038, 
         regs_dram_modgen_ram_ix26_a_18_dup_1039, 
         regs_dram_modgen_ram_ix26_a_17_dup_1040, 
         regs_dram_modgen_ram_ix26_a_16_dup_1041, nx5882, 
         regs_dram_modgen_ram_ix26_a_15_dup_1042, 
         regs_dram_modgen_ram_ix26_a_14_dup_1043, 
         regs_dram_modgen_ram_ix26_a_13_dup_1044, 
         regs_dram_modgen_ram_ix26_a_12_dup_1045, nx5836, nx4_dup_0_dup_13757, 
         regs_dram_modgen_ram_ix26_a_11_dup_1046, 
         regs_dram_modgen_ram_ix26_a_10_dup_1047, 
         regs_dram_modgen_ram_ix26_a_9_dup_1048, 
         regs_dram_modgen_ram_ix26_a_8_dup_1049, nx5788, 
         regs_dram_modgen_ram_ix26_a_7_dup_1050, 
         regs_dram_modgen_ram_ix26_a_6_dup_1051, 
         regs_dram_modgen_ram_ix26_a_5_dup_1052, 
         regs_dram_modgen_ram_ix26_a_4_dup_1053, nx5742, 
         regs_dram_modgen_ram_ix26_a_3_dup_1054, 
         regs_dram_modgen_ram_ix26_a_2_dup_1055, 
         regs_dram_modgen_ram_ix26_a_1_dup_1056, 
         regs_dram_modgen_ram_ix26_a_0_dup_1057, nx4_dup_0_dup_12833, nx5690, 
         nx5652, nx5626, stack1_2, stack2_2, nx5574, tmr0_2, nx5526, porta_2, 
         nx5494, nx5486, nx4888, regs_dram_modgen_ram_ix26_a_79_dup_1106, 
         regs_dram_modgen_ram_ix26_a_78_dup_1107, 
         regs_dram_modgen_ram_ix26_a_77_dup_1108, 
         regs_dram_modgen_ram_ix26_a_76_dup_1109, nx4842, nx4_dup_0_dup_11609, 
         regs_dram_modgen_ram_ix26_a_75_dup_1110, 
         regs_dram_modgen_ram_ix26_a_74_dup_1111, 
         regs_dram_modgen_ram_ix26_a_73_dup_1112, 
         regs_dram_modgen_ram_ix26_a_72_dup_1113, nx4794, 
         regs_dram_modgen_ram_ix26_a_71_dup_1114, 
         regs_dram_modgen_ram_ix26_a_70_dup_1115, 
         regs_dram_modgen_ram_ix26_a_69_dup_1116, 
         regs_dram_modgen_ram_ix26_a_68_dup_1117, nx4748, 
         regs_dram_modgen_ram_ix26_a_67_dup_1118, 
         regs_dram_modgen_ram_ix26_a_66_dup_1119, 
         regs_dram_modgen_ram_ix26_a_65_dup_1120, 
         regs_dram_modgen_ram_ix26_a_64_dup_1121, nx4690, 
         regs_dram_modgen_ram_ix26_a_63_dup_1122, 
         regs_dram_modgen_ram_ix26_a_62_dup_1123, 
         regs_dram_modgen_ram_ix26_a_61_dup_1124, 
         regs_dram_modgen_ram_ix26_a_60_dup_1125, nx4644, nx4_dup_0_dup_11829, 
         regs_dram_modgen_ram_ix26_a_59_dup_1126, 
         regs_dram_modgen_ram_ix26_a_58_dup_1127, 
         regs_dram_modgen_ram_ix26_a_57_dup_1128, 
         regs_dram_modgen_ram_ix26_a_56_dup_1129, nx4596, 
         regs_dram_modgen_ram_ix26_a_55_dup_1130, 
         regs_dram_modgen_ram_ix26_a_54_dup_1131, 
         regs_dram_modgen_ram_ix26_a_53_dup_1132, 
         regs_dram_modgen_ram_ix26_a_52_dup_1133, nx4550, 
         regs_dram_modgen_ram_ix26_a_51_dup_1134, 
         regs_dram_modgen_ram_ix26_a_50_dup_1135, 
         regs_dram_modgen_ram_ix26_a_49_dup_1136, 
         regs_dram_modgen_ram_ix26_a_48_dup_1137, nx4496, 
         regs_dram_modgen_ram_ix26_a_47_dup_1138, 
         regs_dram_modgen_ram_ix26_a_46_dup_1139, 
         regs_dram_modgen_ram_ix26_a_45_dup_1140, 
         regs_dram_modgen_ram_ix26_a_44_dup_1141, nx4450, nx4_dup_0_dup_12066, 
         regs_dram_modgen_ram_ix26_a_43_dup_1142, 
         regs_dram_modgen_ram_ix26_a_42_dup_1143, 
         regs_dram_modgen_ram_ix26_a_41_dup_1144, 
         regs_dram_modgen_ram_ix26_a_40_dup_1145, nx4402, 
         regs_dram_modgen_ram_ix26_a_39_dup_1146, 
         regs_dram_modgen_ram_ix26_a_38_dup_1147, 
         regs_dram_modgen_ram_ix26_a_37_dup_1148, 
         regs_dram_modgen_ram_ix26_a_36_dup_1149, nx4356, 
         regs_dram_modgen_ram_ix26_a_35_dup_1150, 
         regs_dram_modgen_ram_ix26_a_34_dup_1151, 
         regs_dram_modgen_ram_ix26_a_33_dup_1152, 
         regs_dram_modgen_ram_ix26_a_32_dup_1153, nx4300, 
         regs_dram_modgen_ram_ix26_a_31_dup_1154, 
         regs_dram_modgen_ram_ix26_a_30_dup_1155, 
         regs_dram_modgen_ram_ix26_a_29_dup_1156, 
         regs_dram_modgen_ram_ix26_a_28_dup_1157, nx4254, nx4_dup_0_dup_12270, 
         regs_dram_modgen_ram_ix26_a_27_dup_1158, 
         regs_dram_modgen_ram_ix26_a_26_dup_1159, 
         regs_dram_modgen_ram_ix26_a_25_dup_1160, 
         regs_dram_modgen_ram_ix26_a_24_dup_1161, nx4206, 
         regs_dram_modgen_ram_ix26_a_23_dup_1162, 
         regs_dram_modgen_ram_ix26_a_22_dup_1163, 
         regs_dram_modgen_ram_ix26_a_21_dup_1164, 
         regs_dram_modgen_ram_ix26_a_20_dup_1165, nx4160, 
         regs_dram_modgen_ram_ix26_a_19_dup_1166, 
         regs_dram_modgen_ram_ix26_a_18_dup_1167, 
         regs_dram_modgen_ram_ix26_a_17_dup_1168, 
         regs_dram_modgen_ram_ix26_a_16_dup_1169, nx4106, 
         regs_dram_modgen_ram_ix26_a_15_dup_1170, 
         regs_dram_modgen_ram_ix26_a_14_dup_1171, 
         regs_dram_modgen_ram_ix26_a_13_dup_1172, 
         regs_dram_modgen_ram_ix26_a_12_dup_1173, nx4060, nx4_dup_0_dup_12464, 
         regs_dram_modgen_ram_ix26_a_11_dup_1174, 
         regs_dram_modgen_ram_ix26_a_10_dup_1175, 
         regs_dram_modgen_ram_ix26_a_9_dup_1176, 
         regs_dram_modgen_ram_ix26_a_8_dup_1177, nx4012, 
         regs_dram_modgen_ram_ix26_a_7_dup_1178, 
         regs_dram_modgen_ram_ix26_a_6_dup_1179, 
         regs_dram_modgen_ram_ix26_a_5_dup_1180, 
         regs_dram_modgen_ram_ix26_a_4_dup_1181, nx3966, 
         regs_dram_modgen_ram_ix26_a_3_dup_1182, 
         regs_dram_modgen_ram_ix26_a_2_dup_1183, 
         regs_dram_modgen_ram_ix26_a_1_dup_1184, 
         regs_dram_modgen_ram_ix26_a_0_dup_1185, nx4_dup_0_dup_11569, nx3914, 
         nx3866, stack1_1, stack2_1, nx3814, tmr0_1, nx3766, porta_1, 
         nx4_dup_0_dup_20615, nx3748, nx3740, nx2738, 
         regs_dram_modgen_ram_ix26_a_79_dup_1234, 
         regs_dram_modgen_ram_ix26_a_78_dup_1235, 
         regs_dram_modgen_ram_ix26_a_77_dup_1236, 
         regs_dram_modgen_ram_ix26_a_76_dup_1237, nx2660, nx4_dup_0_dup_9144, 
         regs_dram_modgen_ram_ix26_a_75_dup_1238, 
         regs_dram_modgen_ram_ix26_a_74_dup_1239, 
         regs_dram_modgen_ram_ix26_a_73_dup_1240, 
         regs_dram_modgen_ram_ix26_a_72_dup_1241, nx2580, 
         regs_dram_modgen_ram_ix26_a_71_dup_1242, 
         regs_dram_modgen_ram_ix26_a_70_dup_1243, 
         regs_dram_modgen_ram_ix26_a_69_dup_1244, 
         regs_dram_modgen_ram_ix26_a_68_dup_1245, nx2502, 
         regs_dram_modgen_ram_ix26_a_67_dup_1246, 
         regs_dram_modgen_ram_ix26_a_66_dup_1247, 
         regs_dram_modgen_ram_ix26_a_65_dup_1248, 
         regs_dram_modgen_ram_ix26_a_64_dup_1249, nx2408, 
         regs_dram_modgen_ram_ix26_a_63_dup_1250, 
         regs_dram_modgen_ram_ix26_a_62_dup_1251, 
         regs_dram_modgen_ram_ix26_a_61_dup_1252, 
         regs_dram_modgen_ram_ix26_a_60_dup_1253, nx2330, nx4_dup_0_dup_9580, 
         regs_dram_modgen_ram_ix26_a_59_dup_1254, 
         regs_dram_modgen_ram_ix26_a_58_dup_1255, 
         regs_dram_modgen_ram_ix26_a_57_dup_1256, 
         regs_dram_modgen_ram_ix26_a_56_dup_1257, nx2250, 
         regs_dram_modgen_ram_ix26_a_55_dup_1258, 
         regs_dram_modgen_ram_ix26_a_54_dup_1259, 
         regs_dram_modgen_ram_ix26_a_53_dup_1260, 
         regs_dram_modgen_ram_ix26_a_52_dup_1261, nx2172, 
         regs_dram_modgen_ram_ix26_a_51_dup_1262, 
         regs_dram_modgen_ram_ix26_a_50_dup_1263, 
         regs_dram_modgen_ram_ix26_a_49_dup_1264, 
         regs_dram_modgen_ram_ix26_a_48_dup_1265, nx2094, nx2076, 
         regs_dram_modgen_ram_ix26_a_47_dup_1266, 
         regs_dram_modgen_ram_ix26_a_46_dup_1267, 
         regs_dram_modgen_ram_ix26_a_45_dup_1268, 
         regs_dram_modgen_ram_ix26_a_44_dup_1269, nx1998, nx4_dup_0_dup_9904, 
         regs_dram_modgen_ram_ix26_a_43_dup_1270, 
         regs_dram_modgen_ram_ix26_a_42_dup_1271, 
         regs_dram_modgen_ram_ix26_a_41_dup_1272, 
         regs_dram_modgen_ram_ix26_a_40_dup_1273, nx1918, 
         regs_dram_modgen_ram_ix26_a_39_dup_1274, 
         regs_dram_modgen_ram_ix26_a_38_dup_1275, 
         regs_dram_modgen_ram_ix26_a_37_dup_1276, 
         regs_dram_modgen_ram_ix26_a_36_dup_1277, nx1840, 
         regs_dram_modgen_ram_ix26_a_35_dup_1278, 
         regs_dram_modgen_ram_ix26_a_34_dup_1279, 
         regs_dram_modgen_ram_ix26_a_33_dup_1280, 
         regs_dram_modgen_ram_ix26_a_32_dup_1281, nx1762, nx1744, 
         regs_dram_modgen_ram_ix26_a_31_dup_1282, 
         regs_dram_modgen_ram_ix26_a_30_dup_1283, 
         regs_dram_modgen_ram_ix26_a_29_dup_1284, 
         regs_dram_modgen_ram_ix26_a_28_dup_1285, nx1666, nx4_dup_0_dup_10307, 
         regs_dram_modgen_ram_ix26_a_27_dup_1286, 
         regs_dram_modgen_ram_ix26_a_26_dup_1287, 
         regs_dram_modgen_ram_ix26_a_25_dup_1288, 
         regs_dram_modgen_ram_ix26_a_24_dup_1289, nx1586, 
         regs_dram_modgen_ram_ix26_a_23_dup_1290, 
         regs_dram_modgen_ram_ix26_a_22_dup_1291, 
         regs_dram_modgen_ram_ix26_a_21_dup_1292, 
         regs_dram_modgen_ram_ix26_a_20_dup_1293, nx1508, 
         regs_dram_modgen_ram_ix26_a_19_dup_1294, 
         regs_dram_modgen_ram_ix26_a_18_dup_1295, 
         regs_dram_modgen_ram_ix26_a_17_dup_1296, 
         regs_dram_modgen_ram_ix26_a_16_dup_1297, nx1414, 
         regs_dram_modgen_ram_ix26_a_15_dup_1298, 
         regs_dram_modgen_ram_ix26_a_14_dup_1299, nx1350, 
         regs_dram_modgen_ram_ix26_a_13_dup_1300, nx1328, 
         regs_dram_modgen_ram_ix26_a_12_dup_1301, nx1324, nx4_dup_0_dup_10687, 
         regs_dram_modgen_ram_ix26_a_11_dup_1302, 
         regs_dram_modgen_ram_ix26_a_10_dup_1303, nx1260, 
         regs_dram_modgen_ram_ix26_a_9_dup_1304, 
         regs_dram_modgen_ram_ix26_a_8_dup_1305, nx1234, 
         regs_dram_modgen_ram_ix26_a_7_dup_1306, 
         regs_dram_modgen_ram_ix26_a_6_dup_1307, nx1170, 
         regs_dram_modgen_ram_ix26_a_5_dup_1308, nx1148, 
         regs_dram_modgen_ram_ix26_a_4_dup_1309, nx1142, 
         regs_dram_modgen_ram_ix26_a_3_dup_1310, 
         regs_dram_modgen_ram_ix26_a_2_dup_1311, nx1078, 
         regs_dram_modgen_ram_ix26_a_1_dup_1312, nx1056, 
         regs_dram_modgen_ram_ix26_a_0_dup_1313, nx1028, nx1020, nx1012, 
         nx4_dup_0_dup_8790, nx990, nx966, nx924, nx898, stack2_0, stack1_0, 
         nx816, nx792, nx4292, stacklevel_0, nx748, stacklevel_1, nx712, nx678, 
         nx654, nx638, nx634, nx628, nx606, option_0, prescaler_6, option_1, 
         nx506, prescaler_5, prescaler_4, option_2, prescaler_1, prescaler_2, 
         prescaler_3, nx0_dup_0_dup_11006, prescaler_0, option_3, 
         nx2_dup_0_dup_10979, option_5, nx378, tmr0_0, nx362, porta_0, nx338, 
         nx278, fsr_2, nx230, fsr_4, fsr_3, fsr_0, nx150, nx140, nx134, nx126, 
         nx116, nx106, nx96, nx4_dup_0_dup_8763, nx78, nx68, nx58, nx48, nx36, 
         nx4_dup_0_dup_8746, nx22, nx12, fsr_1, nx4179, aluasel_0, aluasel_1, 
         alubsel_0, alubsel_1, aluop_1, istris, bdpol, alua_0, alua_1, alua_2, 
         alua_3, alua_4, alua_5, alua_6, alua_7, alub_0, alub_1, alub_2, alub_3, 
         alub_4, alub_5, alub_6, alub_7, alucout, aluz, idecfwe, ideczwe, 
         ideccwe, U$dummy_139, U$dummy_136, U$dummy_134, U$dummy_129, 
         U$dummy_128, U$dummy_127, U$dummy_126, U$dummy_125, U$dummy_124, 
         U$dummy_123, U$dummy_122, U$dummy_121, U$dummy_120, U$dummy_119, 
         U$dummy_114, U$dummy_113, U$dummy_112, U$dummy_111, U$dummy_110, 
         U$dummy_109, U$dummy_108, U$dummy_107, U$dummy_106, U$dummy_105, 
         U$dummy_100, U$dummy_99, U$dummy_98, U$dummy_97, U$dummy_96, U$dummy_95, 
         U$dummy_94, U$dummy_93, U$dummy_92, U$dummy_91, U$dummy_85, U$dummy_84, 
         U$dummy_83, U$dummy_82, U$dummy_81, U$dummy_80, U$dummy_79, U$dummy_78, 
         U$dummy_77, U$dummy_76, U$dummy_71, U$dummy_69, U$dummy_68, U$dummy_67, 
         U$dummy_66, U$dummy_65, U$dummy_64, U$dummy_63, U$dummy_62, U$dummy_61, 
         U$dummy_56, U$dummy_54, U$dummy_53, U$dummy_52, U$dummy_51, U$dummy_50, 
         U$dummy_49, U$dummy_48, U$dummy_47, U$dummy_46, U$dummy_41, U$dummy_39, 
         U$dummy_38, U$dummy_37, U$dummy_36, U$dummy_35, U$dummy_34, U$dummy_33, 
         U$dummy_32, U$dummy_31, U$dummy_26, U$dummy_24, U$dummy_23, U$dummy_22, 
         U$dummy_21, U$dummy_20, U$dummy_19, U$dummy_18, U$dummy_17, U$dummy_16, 
         U$dummy_15, U$dummy_14, U$dummy_13, U$dummy_12, U$dummy_11, U$dummy_10, 
         nx8824, nx8855, nx9100, nx9196, nx9333, a_1__dup_21610, nx9497, nx9666, 
         nx9741, nx9830, nx10002, nx10095, nx10220, nx10400, nx10490, nx10600, 
         nx10765, nx10842, nx11288, nx11534, nx11594, nx11630, nx11690, nx11776, 
         nx11890, nx11950, nx12020, nx12115, nx12161, nx12227, nx12319, nx12365, 
         nx12421, nx12513, nx12560, nx12652, a_1__dup_21627, nx12755, nx12858, 
         nx12893, nx12950, nx13036, nx13150, nx13212, nx13283, nx13395, nx13443, 
         nx13513, nx13608, nx13656, nx13714, nx13806, nx13852, nx13929, 
         a_1__dup_21644, a_4__dup_21624, nx14022, nx14153, nx14186, nx14243, 
         nx14324, nx14443, nx14503, nx14576, nx14693, nx14749, nx14817, nx14914, 
         nx14961, nx15019, nx15114, nx15162, a_4__dup_21641, nx15335, nx15432, 
         nx15463, nx15517, nx15594, nx15705, nx15754, nx15820, nx15920, nx15970, 
         nx16047, nx16154, nx16207, nx16274, nx16384, nx16442, a_4__dup_21675, 
         nx16628, nx16645, nx16732, nx16765, nx16819, nx16893, nx17001, nx17051, 
         nx17113, nx17224, nx17276, nx17354, nx17462, nx17517, nx17580, nx17685, 
         nx17739, nx17933, nx18017, nx18048, nx18098, nx18172, nx18279, nx18332, 
         nx18400, nx18511, nx18563, nx18637, nx18745, nx18800, nx18865, nx18973, 
         nx19030, nx19211, nx19300, nx19333, nx19385, nx19460, nx19565, nx19620, 
         nx19686, nx19796, nx19850, nx19929, nx20039, nx20102, nx20164, nx20297, 
         nx20373, nx20573, nx20646, nx20769, nx20814, nx21098, nx21107, 
         nx0_dup_0_dup_11076, nx21168, nx21248, modgen_or_12_nx12, 
         modgen_or_12_nx14, modgen_or_12_nx18, modgen_or_13_nx12, 
         modgen_or_14_nx0, modgen_or_14_nx4, modgen_or_15_nx4, modgen_or_16_nx2, 
         modgen_or_16_nx4, modgen_or_17_nx0, modgen_or_17_nx4, modgen_or_18_nx0, 
         modgen_or_18_nx4, modgen_or_19_nx2, modgen_or_19_nx4, modgen_or_20_nx0, 
         modgen_or_20_nx4, modgen_or_21_nx0, modgen_or_21_nx4, modgen_or_22_nx2, 
         modgen_or_22_nx4, modgen_or_23_nx0, modgen_or_23_nx4, modgen_or_25_nx2, 
         modgen_or_25_nx4, modgen_or_26_nx0, modgen_or_26_nx4, modgen_or_27_nx0, 
         modgen_or_27_nx4, modgen_or_27_nx6, modgen_or_28_nx2, modgen_or_28_nx4, 
         modgen_or_29_nx0, modgen_or_29_nx4, modgen_or_30_nx0, modgen_or_30_nx4, 
         modgen_or_30_nx6, modgen_or_31_nx2, modgen_or_31_nx4, modgen_or_32_nx0, 
         modgen_or_32_nx4, modgen_or_33_nx2, modgen_or_33_nx4, modgen_or_34_nx0, 
         modgen_or_34_nx4, modgen_or_35_nx0, modgen_or_35_nx4, modgen_or_36_nx2, 
         modgen_or_36_nx4, modgen_or_37_nx2, modgen_or_37_nx4, modgen_or_38_nx0, 
         modgen_or_38_nx4, nx21747, nx21749, nx21752, nx21755, nx21758, nx21762, 
         nx21764, nx21769, nx21773, nx21780, nx21782, nx21790, nx21800, nx21802, 
         nx21804, nx21810, nx21812, nx21823, nx21831, nx21835, nx21843, nx21847, 
         nx21849, nx21851, nx21853, nx21856, nx21867, nx21871, nx21884, nx21918, 
         nx21922, nx21934, nx21945, nx21986, nx21990, nx22002, nx22013, nx22052, 
         nx22056, nx22068, nx22079, nx22118, nx22122, nx22134, nx22145, nx22184, 
         nx22188, nx22200, nx22211, nx22250, nx22254, nx22266, nx22277, nx22318, 
         nx22322, nx22334, nx22345, nx22382, nx22388, nx22390, nx22396, nx22402, 
         nx22408, nx22414, nx22420, nx22426, nx22432, nx22440, nx22442, nx22444, 
         nx22447, nx22449, nx22453, nx22466, nx22471, nx22481, nx22490, nx22492, 
         nx22501, nx22503, nx22511, nx22513, nx22522, nx22524, nx22536, nx22545, 
         nx22547, nx22549, nx22557, nx22567, nx22569, nx22571, nx22579, nx22585, 
         nx22590, nx22592, nx22594, nx22601, nx22614, nx22645, nx22651, nx22662, 
         nx22676, nx22689, nx22691, nx22693, nx22695, nx22698, nx22701, nx22709, 
         nx22715, nx22720, nx22728, nx22733, nx22738, nx22740, nx22742, nx22751, 
         nx22758, nx22763, nx22772, nx22777, nx22782, nx22792, nx22797, nx22802, 
         nx22811, nx22818, nx22823, nx22873, nx22875, nx22925, nx22927, nx22980, 
         nx23007, nx23011, nx23013, nx23179, nx23342, nx23344, nx23347, nx23349, 
         nx23351, nx23353, nx23512, nx23515, nx23678, nx23843, nx24003, nx24176, 
         nx24179, nx24185, nx24187, nx24191, nx24198, nx24200, nx24202, nx24204, 
         nx24206, nx24208, nx24210, nx24212, nx24214, nx24216, nx24218, nx24220, 
         nx24222, nx24224, nx24226, nx24228, nx24230, nx24232, nx24234, nx24236, 
         nx24238, nx24240, nx24242, nx24244, nx24246, nx24248, nx24250, nx24252, 
         nx24254, nx24256, nx24258, nx24260, nx24262, nx24264, nx24266, nx24268, 
         nx24270, nx24272, nx24274, nx24276, nx24278, nx24280, nx24282, nx24284, 
         nx24286, nx24288, nx24290, nx24292, nx24294, nx24296, nx24298, nx24300, 
         nx24302, nx24304, nx24306, nx24308, nx24310, nx24312, nx24314, nx24316, 
         nx24318, nx24320, nx24322, nx24324, nx24326, nx24328, nx24330, nx24332, 
         nx24334, nx24336, nx24338, nx24340, nx24342, nx24344, nx24346, nx24348, 
         nx24350, nx24352, nx24354, nx24356, nx24358, nx24360, nx24362, nx24364, 
         nx24366, nx24368, nx24370, nx24372, nx24374, nx24376, nx24378, nx24380, 
         nx24384, nx24386, nx24388, nx24390, nx24392, nx24394, nx24396, nx24398, 
         nx24400, nx24402, nx24404, nx24406, nx24408, nx24410, nx24412, nx24414, 
         nx24416, nx24418, nx24420, nx24422, nx24424, nx24426, nx24428, nx24432, 
         nx24436, nx24440, nx24442, nx24444, nx24446, nx24448, nx24450, nx24452, 
         nx24454, nx24456, nx24458, nx24460, nx24466, nx24468, nx24470, nx24472, 
         nx24474, nx24476, nx24478, nx24480, nx24482, nx24484, nx24486, nx24488, 
         nx24490, nx24492, nx24494, nx24496, nx24498, nx24500, nx24502, nx24504, 
         nx24506;
    wire [49:0] \$dummy ;




    alu alu_EXMPLR (.op ({nx24388,nx24386,aluop_1,aluop_0}), .a ({alua_7,alua_6,
        alua_5,alua_4,alua_3,alua_2,alua_1,alua_0}), .b ({alub_7,alub_6,alub_5,
        alub_4,alub_3,alub_2,alub_1,alub_0}), .y ({expdout[7],expdout[6],
        expdout[5],expdout[4],expdout[3],expdout[2],expdout[1],expdout[0]}), .cin (
        debugstatus[0]), .cout (alucout), .zout (aluz)) ;
    idec idec_EXMPLR (.inst ({nx24490,debuginst[10],nx24204,nx24488,
         nx0_dup_0_dup_20541,nx0_dup_0_dup_19172,debuginst[5],debuginst[4],
         debuginst[3],nx24398,nx24396,nx24394}), .aluasel ({aluasel_1,aluasel_0}
         ), .alubsel ({alubsel_1,alubsel_0}), .aluop ({aluop_3,aluop_2,aluop_1,
         aluop_0}), .wwe (nx2_dup_0), .fwe (idecfwe), .zwe (ideczwe), .cwe (
         ideccwe), .bdpol (bdpol), .option (isoption), .tris (istris)) ;
    sffr_macro reg_w_0 (.D (nx4391), .SI (
               regs_dram_modgen_ram_ix26_a_51_dup_1262), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugw[0]), .QB (\$dummy [0])) ;
    sffr_macro reg_inst_0 (.D (nx150), .SI (
               regs_dram_modgen_ram_ix26_a_14_dup_1299), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debuginst[0]), .QB (\$dummy [1])) ;
    sffr_macro reg_inst_11 (.D (nx12), .SI (U$dummy_36), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debuginst[11]), .QB (\$dummy [2])) ;
    sffr_macro reg_inst_7 (.D (nx36), .SI (
               regs_dram_modgen_ram_ix26_a_39_dup_1146), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debuginst[7]), .QB (nx15396)) ;
    sffr_macro reg_inst_6 (.D (nx48), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_1183), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debuginst[6]), .QB (nx15399)) ;
    sffr_macro reg_inst_9 (.D (nx58), .SI (
               regs_dram_modgen_ram_ix26_a_45_dup_1012), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debuginst[9]), .QB (\$dummy [3])) ;
    sffr_macro reg_inst_10 (.D (nx22), .SI (
               regs_dram_modgen_ram_ix26_a_8_dup_1049), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debuginst[10]), .QB (nx15407)) ;
    sffr_macro reg_inst_8 (.D (nx78), .SI (
               regs_dram_modgen_ram_ix26_a_59_dup_870), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debuginst[8]), .QB (nx15413)) ;
    sffr_macro reg_fsr_2 (.D (nx4341), .SI (fsr_0), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (fsr_2), .QB (nx15428)) ;
    sffr_macro reg_fsr_0 (.D (nx4311), .SI (fsr_1), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (fsr_0), .QB (nx15440)) ;
    sffr_macro reg_inst_1 (.D (nx140), .SI (
               regs_dram_modgen_ram_ix26_a_22_dup_907), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debuginst[1]), .QB (\$dummy [4])) ;
    sffr_macro reg_inst_3 (.D (nx126), .SI (
               regs_dram_modgen_ram_ix26_a_65_dup_736), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debuginst[3]), .QB (\$dummy [5])) ;
    sffr_macro reg_inst_4 (.D (nx116), .SI (
               regs_dram_modgen_ram_ix26_a_28_dup_773), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debuginst[4]), .QB (\$dummy [6])) ;
    sffr_macro reg_inst_2 (.D (nx106), .SI (U$dummy_93), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debuginst[2]), .QB (\$dummy [7])) ;
    sffr_macro reg_fsr_1 (.D (nx4301), .SI (fsr_3), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (fsr_1), .QB (nx15467)) ;
    sffr_macro reg_fsr_3 (.D (nx4321), .SI (fsr_4), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (fsr_3), .QB (nx15477)) ;
    sffr_macro reg_fsr_4 (.D (nx4331), .SI (U$dummy_10), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (fsr_4), .QB (nx15484)) ;
    sffr_macro reg_status_6 (.D (nx4361), .SI (
               regs_dram_modgen_ram_ix26_a_42_dup_631), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debugstatus[6]), .QB (\$dummy [8])) ;
    sffr_macro reg_status_5 (.D (nx4381), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_672), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (debugstatus[5]), .QB (\$dummy [9])) ;
    sffr_macro reg_fsr_6 (.D (nx4351), .SI (U$dummy_11), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (U$dummy_10), .QB (nx15516)) ;
    sffr_macro reg_fsr_5 (.D (nx4371), .SI (U$dummy_12), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (U$dummy_11), .QB (nx15521)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3953 (.D (
               regs_dram_modgen_ram_ix26_a_77_dup_1236), .SI (U$dummy_13), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_77_dup_1236), .QB (U$dummy_12)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3957 (.D (
               regs_dram_modgen_ram_ix26_a_76_dup_1237), .SI (U$dummy_14), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_76_dup_1237), .QB (U$dummy_13)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3945 (.D (
               regs_dram_modgen_ram_ix26_a_79_dup_1234), .SI (U$dummy_15), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_79_dup_1234), .QB (U$dummy_14)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3949 (.D (
               regs_dram_modgen_ram_ix26_a_78_dup_1235), .SI (U$dummy_16), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_78_dup_1235), .QB (U$dummy_15)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3969 (.D (
               regs_dram_modgen_ram_ix26_a_73_dup_1240), .SI (U$dummy_17), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_73_dup_1240), .QB (U$dummy_16)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3973 (.D (
               regs_dram_modgen_ram_ix26_a_72_dup_1241), .SI (U$dummy_18), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_72_dup_1241), .QB (U$dummy_17)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3961 (.D (
               regs_dram_modgen_ram_ix26_a_75_dup_1238), .SI (U$dummy_19), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_75_dup_1238), .QB (U$dummy_18)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3965 (.D (
               regs_dram_modgen_ram_ix26_a_74_dup_1239), .SI (
               regs_dram_modgen_ram_ix26_a_69_dup_1244), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_74_dup_1239), 
               .QB (U$dummy_19)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3985 (.D (nx5291), .SI (
               regs_dram_modgen_ram_ix26_a_68_dup_1245), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_69_dup_1244), 
               .QB (nx15605)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3989 (.D (nx5281), .SI (
               regs_dram_modgen_ram_ix26_a_71_dup_1242), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_68_dup_1245), 
               .QB (nx15617)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3977 (.D (nx5311), .SI (
               regs_dram_modgen_ram_ix26_a_70_dup_1243), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_71_dup_1242), 
               .QB (nx15627)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3981 (.D (nx5301), .SI (
               regs_dram_modgen_ram_ix26_a_65_dup_1248), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_70_dup_1243), 
               .QB (nx15636)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4001 (.D (nx5251), .SI (
               regs_dram_modgen_ram_ix26_a_64_dup_1249), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_65_dup_1248), 
               .QB (nx15649)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4005 (.D (nx5241), .SI (
               regs_dram_modgen_ram_ix26_a_67_dup_1246), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_64_dup_1249), 
               .QB (nx15663)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3993 (.D (nx5271), .SI (
               regs_dram_modgen_ram_ix26_a_66_dup_1247), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_67_dup_1246), 
               .QB (nx15673)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3997 (.D (nx5261), .SI (
               regs_dram_modgen_ram_ix26_a_61_dup_1252), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_66_dup_1247), 
               .QB (nx15683)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4017 (.D (nx5211), .SI (
               regs_dram_modgen_ram_ix26_a_60_dup_1253), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_61_dup_1252), 
               .QB (nx15717)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4021 (.D (nx5201), .SI (
               regs_dram_modgen_ram_ix26_a_63_dup_1250), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_60_dup_1253), 
               .QB (nx15725)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4009 (.D (nx5231), .SI (
               regs_dram_modgen_ram_ix26_a_62_dup_1251), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_63_dup_1250), 
               .QB (nx15735)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4013 (.D (nx5221), .SI (
               regs_dram_modgen_ram_ix26_a_57_dup_1256), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_62_dup_1251), 
               .QB (nx15743)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4033 (.D (nx5171), .SI (
               regs_dram_modgen_ram_ix26_a_56_dup_1257), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_57_dup_1256), 
               .QB (nx15755)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4037 (.D (nx5161), .SI (
               regs_dram_modgen_ram_ix26_a_59_dup_1254), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_56_dup_1257), 
               .QB (nx15763)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4025 (.D (nx5191), .SI (
               regs_dram_modgen_ram_ix26_a_58_dup_1255), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_59_dup_1254), 
               .QB (nx15772)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4029 (.D (nx5181), .SI (
               regs_dram_modgen_ram_ix26_a_53_dup_1260), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_58_dup_1255), 
               .QB (nx15782)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4049 (.D (nx5131), .SI (
               regs_dram_modgen_ram_ix26_a_52_dup_1261), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_53_dup_1260), 
               .QB (nx15789)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4053 (.D (nx5121), .SI (
               regs_dram_modgen_ram_ix26_a_55_dup_1258), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_52_dup_1261), 
               .QB (nx15795)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4041 (.D (nx5151), .SI (
               regs_dram_modgen_ram_ix26_a_54_dup_1259), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_55_dup_1258), 
               .QB (nx15805)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4045 (.D (nx5141), .SI (
               regs_dram_modgen_ram_ix26_a_49_dup_1264), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_54_dup_1259), 
               .QB (nx15811)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4065 (.D (nx5091), .SI (
               regs_dram_modgen_ram_ix26_a_48_dup_1265), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_49_dup_1264), 
               .QB (nx15819)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4069 (.D (nx5081), .SI (scan_in1), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_48_dup_1265), .QB (nx15827)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4057 (.D (nx5111), .SI (
               regs_dram_modgen_ram_ix26_a_50_dup_1263), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_51_dup_1262), 
               .QB (nx15835)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4061 (.D (nx5101), .SI (
               regs_dram_modgen_ram_ix26_a_45_dup_1268), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_50_dup_1263), 
               .QB (nx15841)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4081 (.D (nx5051), .SI (
               regs_dram_modgen_ram_ix26_a_44_dup_1269), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_45_dup_1268), 
               .QB (nx15859)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4085 (.D (nx5041), .SI (
               regs_dram_modgen_ram_ix26_a_47_dup_1266), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_44_dup_1269), 
               .QB (nx15865)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4073 (.D (nx5071), .SI (
               regs_dram_modgen_ram_ix26_a_46_dup_1267), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_47_dup_1266), 
               .QB (nx15873)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4077 (.D (nx5061), .SI (
               regs_dram_modgen_ram_ix26_a_41_dup_1272), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_46_dup_1267), 
               .QB (nx15881)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4097 (.D (nx5011), .SI (
               regs_dram_modgen_ram_ix26_a_40_dup_1273), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_41_dup_1272), 
               .QB (nx15889)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4101 (.D (nx5001), .SI (
               regs_dram_modgen_ram_ix26_a_43_dup_1270), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_40_dup_1273), 
               .QB (nx15895)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4089 (.D (nx5031), .SI (
               regs_dram_modgen_ram_ix26_a_42_dup_1271), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_43_dup_1270), 
               .QB (nx15905)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4093 (.D (nx5021), .SI (
               regs_dram_modgen_ram_ix26_a_37_dup_1276), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_42_dup_1271), 
               .QB (nx15911)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4113 (.D (nx4971), .SI (
               regs_dram_modgen_ram_ix26_a_36_dup_1277), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_37_dup_1276), 
               .QB (nx15919)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4117 (.D (nx4961), .SI (
               regs_dram_modgen_ram_ix26_a_39_dup_1274), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_36_dup_1277), 
               .QB (nx15927)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4105 (.D (nx4991), .SI (
               regs_dram_modgen_ram_ix26_a_38_dup_1275), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_39_dup_1274), 
               .QB (nx15935)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4109 (.D (nx4981), .SI (
               regs_dram_modgen_ram_ix26_a_33_dup_1280), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_38_dup_1275), 
               .QB (nx15941)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4129 (.D (nx4931), .SI (
               regs_dram_modgen_ram_ix26_a_32_dup_1281), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_33_dup_1280), 
               .QB (nx15951)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4133 (.D (nx4921), .SI (
               regs_dram_modgen_ram_ix26_a_35_dup_1278), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_32_dup_1281), 
               .QB (nx15957)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4121 (.D (nx4951), .SI (
               regs_dram_modgen_ram_ix26_a_34_dup_1279), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_35_dup_1278), 
               .QB (nx15965)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4125 (.D (nx4941), .SI (
               regs_dram_modgen_ram_ix26_a_29_dup_1284), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_34_dup_1279), 
               .QB (nx15971)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4145 (.D (nx4891), .SI (
               regs_dram_modgen_ram_ix26_a_28_dup_1285), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_29_dup_1284), 
               .QB (nx15983)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4149 (.D (nx4881), .SI (
               regs_dram_modgen_ram_ix26_a_31_dup_1282), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_28_dup_1285), 
               .QB (nx15989)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4137 (.D (nx4911), .SI (
               regs_dram_modgen_ram_ix26_a_30_dup_1283), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_31_dup_1282), 
               .QB (nx15999)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4141 (.D (nx4901), .SI (
               regs_dram_modgen_ram_ix26_a_25_dup_1288), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_30_dup_1283), 
               .QB (nx16005)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4161 (.D (nx4851), .SI (
               regs_dram_modgen_ram_ix26_a_24_dup_1289), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_25_dup_1288), 
               .QB (nx16013)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4165 (.D (nx4841), .SI (
               regs_dram_modgen_ram_ix26_a_27_dup_1286), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_24_dup_1289), 
               .QB (nx16021)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4153 (.D (nx4871), .SI (
               regs_dram_modgen_ram_ix26_a_26_dup_1287), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_27_dup_1286), 
               .QB (nx16029)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4157 (.D (nx4861), .SI (
               regs_dram_modgen_ram_ix26_a_21_dup_1292), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_26_dup_1287), 
               .QB (nx16035)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4177 (.D (nx4811), .SI (
               regs_dram_modgen_ram_ix26_a_20_dup_1293), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_21_dup_1292), 
               .QB (nx16045)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4181 (.D (nx4801), .SI (
               regs_dram_modgen_ram_ix26_a_23_dup_1290), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_20_dup_1293), 
               .QB (nx16053)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4169 (.D (nx4831), .SI (
               regs_dram_modgen_ram_ix26_a_22_dup_1291), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_23_dup_1290), 
               .QB (nx16063)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4173 (.D (nx4821), .SI (
               regs_dram_modgen_ram_ix26_a_17_dup_1296), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_22_dup_1291), 
               .QB (nx16071)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4193 (.D (nx4771), .SI (
               regs_dram_modgen_ram_ix26_a_16_dup_1297), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_17_dup_1296), 
               .QB (nx16078)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4197 (.D (nx4761), .SI (
               regs_dram_modgen_ram_ix26_a_19_dup_1294), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_16_dup_1297), 
               .QB (nx16087)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4185 (.D (nx4791), .SI (
               regs_dram_modgen_ram_ix26_a_18_dup_1295), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_19_dup_1294), 
               .QB (nx16099)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4189 (.D (nx4781), .SI (
               regs_dram_modgen_ram_ix26_a_13_dup_1300), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_18_dup_1295), 
               .QB (nx16107)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4209 (.D (nx4731), .SI (
               regs_dram_modgen_ram_ix26_a_12_dup_1301), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_13_dup_1300), 
               .QB (nx16121)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4213 (.D (nx4721), .SI (
               regs_dram_modgen_ram_ix26_a_15_dup_1298), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_12_dup_1301), 
               .QB (nx16131)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4201 (.D (nx4751), .SI (scan_in2), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_15_dup_1298), .QB (nx16141)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4205 (.D (nx4741), .SI (
               regs_dram_modgen_ram_ix26_a_9_dup_1304), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_14_dup_1299), .QB (
               nx16149)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4225 (.D (nx4691), .SI (
               regs_dram_modgen_ram_ix26_a_8_dup_1305), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_9_dup_1304), .QB (
               nx16159)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4229 (.D (nx4681), .SI (
               regs_dram_modgen_ram_ix26_a_11_dup_1302), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_8_dup_1305), .QB (
               nx16167)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4217 (.D (nx4711), .SI (
               regs_dram_modgen_ram_ix26_a_10_dup_1303), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_11_dup_1302), 
               .QB (nx16177)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4221 (.D (nx4701), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_1308), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10_dup_1303), .QB (
               nx16185)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4241 (.D (nx4651), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_1309), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_1308), .QB (
               nx16195)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4245 (.D (nx4641), .SI (
               regs_dram_modgen_ram_ix26_a_7_dup_1306), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_1309), .QB (
               nx16203)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4233 (.D (nx4671), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_1307), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7_dup_1306), .QB (
               nx16213)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4237 (.D (nx4661), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_1312), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_6_dup_1307), .QB (
               nx16223)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4257 (.D (nx4611), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_1313), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_1312), .QB (
               nx16233)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4261 (.D (nx4601), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_1310), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_1313), .QB (
               nx16241)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4249 (.D (nx4631), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_1311), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_3_dup_1310), .QB (
               nx16251)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix4253 (.D (nx4621), .SI (tmr0_0), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_1311), .QB (nx16259)) ;
    sffr_macro reg_tmr0_0 (.D (nx4531), .SI (U$dummy_20), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_0), .QB (nx16273)) ;
    sffr_macro reg_option_5 (.D (nx4401), .SI (prescaler_0), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (option_5), .QB (U$dummy_20)) ;
    sffr_macro reg_prescaler_0 (.D (nx4421), .SI (option_2), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (prescaler_0), .QB (nx0_dup_0_dup_11048)) ;
    sffr_macro reg_option_2 (.D (nx4461), .SI (nx16313), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (option_2), .QB (nx0_dup_0_dup_11014)) ;
    sffr_macro reg_prescaler_1 (.D (nx4431), .SI (nx16321), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (prescaler_1), .QB (nx16313)) ;
    sffr_macro reg_option_0 (.D (nx4511), .SI (prescaler_2), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (option_0), .QB (nx16321)) ;
    sffr_macro reg_prescaler_2 (.D (nx4441), .SI (U$dummy_21), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (prescaler_2), .QB (nx0_dup_0_dup_21122)) ;
    sffr_macro reg_option_1 (.D (nx4491), .SI (prescaler_3), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (option_1), .QB (U$dummy_21)) ;
    sffr_macro reg_prescaler_3 (.D (nx4451), .SI (prescaler_4), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (prescaler_3), .QB (nx16349)) ;
    sffr_macro reg_prescaler_4 (.D (nx4471), .SI (prescaler_6), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (prescaler_4), .QB (nx16359)) ;
    sffr_macro reg_prescaler_6 (.D (nx4501), .SI (prescaler_5), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (prescaler_6), .QB (nx16391)) ;
    sffr_macro reg_prescaler_5 (.D (nx4481), .SI (U$dummy_22), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (prescaler_5), .QB (nx16401)) ;
    sffr_macro prescaler_7 (.D (nx4521), .SI (U$dummy_23), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (U$dummy_22), .QB (nx16411)) ;
    sffr_macro reg_option_3 (.D (nx4411), .SI (U$dummy_24), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (option_3), .QB (U$dummy_23)) ;
    sffr_macro reg_porta_0 (.D (nx362), .SI (nx16479), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (porta_0), .QB (U$dummy_24)) ;
    sffr_macro reg_pc_0 (.D (nx898), .SI (regs_dram_modgen_ram_ix26_a_48_dup_497
               ), .SE (scan_en), .CLK (clk), .R (nx4179), .Q (debugpc[0]), .QB (
               \$dummy [10])) ;
    sffr_macro reg_inst_5 (.D (nx712), .SI (
               regs_dram_modgen_ram_ix26_a_15_dup_530), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debuginst[5]), .QB (nx0_dup_0_dup_21182)) ;
    sffr_macro reg_stacklevel_1 (.D (nx4551), .SI (stacklevel_0), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (stacklevel_1), .QB (nx16479)) ;
    sffr_macro reg_stacklevel_0 (.D (nx4541), .SI (stack2_0), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stacklevel_0), .QB (nx16464)) ;
    sffr_macro reg_stack2_0 (.D (nx4571), .SI (U$dummy_26), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_0), .QB (nx16482)) ;
    sffr_macro reg_stack1_0 (.D (nx4561), .SI (U$dummy_31), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_0), .QB (U$dummy_26)) ;
    sffr_macro reg_status_0 (.D (nx924), .SI (regs_dram_modgen_ram_ix26_a_63), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (debugstatus[0]), .QB (
               \$dummy [11])) ;
    sffr_macro reg_portb_0 (.D (nx4591), .SI (regs_dram_modgen_ram_ix26_a_27), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (portbout[0]), .QB (
               \$dummy [12])) ;
    sffr_macro reg_portc_0 (.D (nx4581), .SI (U$dummy_139), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[0]), .QB (\$dummy [13])) ;
    sffr_macro reg_w_1 (.D (nx7221), .SI (debugpc[1]), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (debugw[1]), .QB (\$dummy [14])) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3440 (.D (
               regs_dram_modgen_ram_ix26_a_77_dup_1108), .SI (U$dummy_32), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_77_dup_1108), .QB (U$dummy_31)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3444 (.D (
               regs_dram_modgen_ram_ix26_a_76_dup_1109), .SI (U$dummy_33), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_76_dup_1109), .QB (U$dummy_32)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3432 (.D (
               regs_dram_modgen_ram_ix26_a_79_dup_1106), .SI (U$dummy_34), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_79_dup_1106), .QB (U$dummy_33)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3436 (.D (
               regs_dram_modgen_ram_ix26_a_78_dup_1107), .SI (U$dummy_35), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_78_dup_1107), .QB (U$dummy_34)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3456 (.D (
               regs_dram_modgen_ram_ix26_a_73_dup_1112), .SI (scan_in3), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_73_dup_1112), .QB (U$dummy_35)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3460 (.D (
               regs_dram_modgen_ram_ix26_a_72_dup_1113), .SI (U$dummy_37), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_72_dup_1113), .QB (U$dummy_36)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3448 (.D (
               regs_dram_modgen_ram_ix26_a_75_dup_1110), .SI (U$dummy_38), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_75_dup_1110), .QB (U$dummy_37)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3452 (.D (
               regs_dram_modgen_ram_ix26_a_74_dup_1111), .SI (
               regs_dram_modgen_ram_ix26_a_69_dup_1116), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_74_dup_1111), 
               .QB (U$dummy_38)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3472 (.D (nx6631), .SI (
               regs_dram_modgen_ram_ix26_a_68_dup_1117), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_69_dup_1116), 
               .QB (nx16583)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3476 (.D (nx6621), .SI (
               regs_dram_modgen_ram_ix26_a_71_dup_1114), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_68_dup_1117), 
               .QB (nx16588)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3464 (.D (nx6651), .SI (
               regs_dram_modgen_ram_ix26_a_70_dup_1115), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_71_dup_1114), 
               .QB (nx16594)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3468 (.D (nx6641), .SI (
               regs_dram_modgen_ram_ix26_a_65_dup_1120), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_70_dup_1115), 
               .QB (nx16599)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3488 (.D (nx6591), .SI (
               regs_dram_modgen_ram_ix26_a_64_dup_1121), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_65_dup_1120), 
               .QB (nx16605)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3492 (.D (nx6581), .SI (
               regs_dram_modgen_ram_ix26_a_67_dup_1118), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_64_dup_1121), 
               .QB (nx16610)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3480 (.D (nx6611), .SI (
               regs_dram_modgen_ram_ix26_a_66_dup_1119), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_67_dup_1118), 
               .QB (nx16616)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3484 (.D (nx6601), .SI (
               regs_dram_modgen_ram_ix26_a_61_dup_1124), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_66_dup_1119), 
               .QB (nx16621)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3504 (.D (nx6551), .SI (
               regs_dram_modgen_ram_ix26_a_60_dup_1125), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_61_dup_1124), 
               .QB (nx16631)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3508 (.D (nx6541), .SI (
               regs_dram_modgen_ram_ix26_a_63_dup_1122), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_60_dup_1125), 
               .QB (nx16636)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3496 (.D (nx6571), .SI (
               regs_dram_modgen_ram_ix26_a_62_dup_1123), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_63_dup_1122), 
               .QB (nx16642)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3500 (.D (nx6561), .SI (
               regs_dram_modgen_ram_ix26_a_57_dup_1128), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_62_dup_1123), 
               .QB (nx16647)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3520 (.D (nx6511), .SI (
               regs_dram_modgen_ram_ix26_a_56_dup_1129), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_57_dup_1128), 
               .QB (nx16653)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3524 (.D (nx6501), .SI (
               regs_dram_modgen_ram_ix26_a_59_dup_1126), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_56_dup_1129), 
               .QB (nx16658)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3512 (.D (nx6531), .SI (
               regs_dram_modgen_ram_ix26_a_58_dup_1127), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_59_dup_1126), 
               .QB (nx16664)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3516 (.D (nx6521), .SI (
               regs_dram_modgen_ram_ix26_a_53_dup_1132), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_58_dup_1127), 
               .QB (nx16669)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3536 (.D (nx6471), .SI (
               regs_dram_modgen_ram_ix26_a_52_dup_1133), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_53_dup_1132), 
               .QB (nx16675)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3540 (.D (nx6461), .SI (
               regs_dram_modgen_ram_ix26_a_55_dup_1130), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_52_dup_1133), 
               .QB (nx16680)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3528 (.D (nx6491), .SI (
               regs_dram_modgen_ram_ix26_a_54_dup_1131), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_55_dup_1130), 
               .QB (nx16686)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3532 (.D (nx6481), .SI (
               regs_dram_modgen_ram_ix26_a_49_dup_1136), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_54_dup_1131), 
               .QB (nx16691)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3552 (.D (nx6431), .SI (
               regs_dram_modgen_ram_ix26_a_48_dup_1137), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_49_dup_1136), 
               .QB (nx16697)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3556 (.D (nx6421), .SI (
               regs_dram_modgen_ram_ix26_a_51_dup_1134), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_48_dup_1137), 
               .QB (nx16702)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3544 (.D (nx6451), .SI (
               regs_dram_modgen_ram_ix26_a_50_dup_1135), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_51_dup_1134), 
               .QB (nx16708)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3548 (.D (nx6441), .SI (
               regs_dram_modgen_ram_ix26_a_45_dup_1140), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_50_dup_1135), 
               .QB (nx16713)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3568 (.D (nx6391), .SI (
               regs_dram_modgen_ram_ix26_a_44_dup_1141), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_45_dup_1140), 
               .QB (nx16722)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3572 (.D (nx6381), .SI (
               regs_dram_modgen_ram_ix26_a_47_dup_1138), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_44_dup_1141), 
               .QB (nx16727)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3560 (.D (nx6411), .SI (
               regs_dram_modgen_ram_ix26_a_46_dup_1139), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_47_dup_1138), 
               .QB (nx16733)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3564 (.D (nx6401), .SI (
               regs_dram_modgen_ram_ix26_a_41_dup_1144), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_46_dup_1139), 
               .QB (nx16738)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3584 (.D (nx6351), .SI (
               regs_dram_modgen_ram_ix26_a_40_dup_1145), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_41_dup_1144), 
               .QB (nx16744)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3588 (.D (nx6341), .SI (
               regs_dram_modgen_ram_ix26_a_43_dup_1142), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_40_dup_1145), 
               .QB (nx16749)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3576 (.D (nx6371), .SI (
               regs_dram_modgen_ram_ix26_a_42_dup_1143), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_43_dup_1142), 
               .QB (nx16755)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3580 (.D (nx6361), .SI (
               regs_dram_modgen_ram_ix26_a_37_dup_1148), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_42_dup_1143), 
               .QB (nx16760)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3600 (.D (nx6311), .SI (
               regs_dram_modgen_ram_ix26_a_36_dup_1149), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_37_dup_1148), 
               .QB (nx16766)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3604 (.D (nx6301), .SI (scan_in4), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_36_dup_1149), .QB (nx16771)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3592 (.D (nx6331), .SI (
               regs_dram_modgen_ram_ix26_a_38_dup_1147), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_39_dup_1146), 
               .QB (nx16777)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3596 (.D (nx6321), .SI (
               regs_dram_modgen_ram_ix26_a_33_dup_1152), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_38_dup_1147), 
               .QB (nx16782)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3616 (.D (nx6271), .SI (
               regs_dram_modgen_ram_ix26_a_32_dup_1153), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_33_dup_1152), 
               .QB (nx16788)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3620 (.D (nx6261), .SI (
               regs_dram_modgen_ram_ix26_a_35_dup_1150), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_32_dup_1153), 
               .QB (nx16793)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3608 (.D (nx6291), .SI (
               regs_dram_modgen_ram_ix26_a_34_dup_1151), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_35_dup_1150), 
               .QB (nx16799)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3612 (.D (nx6281), .SI (
               regs_dram_modgen_ram_ix26_a_29_dup_1156), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_34_dup_1151), 
               .QB (nx16804)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3632 (.D (nx6231), .SI (
               regs_dram_modgen_ram_ix26_a_28_dup_1157), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_29_dup_1156), 
               .QB (nx16813)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3636 (.D (nx6221), .SI (
               regs_dram_modgen_ram_ix26_a_31_dup_1154), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_28_dup_1157), 
               .QB (nx16818)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3624 (.D (nx6251), .SI (
               regs_dram_modgen_ram_ix26_a_30_dup_1155), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_31_dup_1154), 
               .QB (nx16824)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3628 (.D (nx6241), .SI (
               regs_dram_modgen_ram_ix26_a_25_dup_1160), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_30_dup_1155), 
               .QB (nx16829)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3648 (.D (nx6191), .SI (
               regs_dram_modgen_ram_ix26_a_24_dup_1161), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_25_dup_1160), 
               .QB (nx16835)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3652 (.D (nx6181), .SI (
               regs_dram_modgen_ram_ix26_a_27_dup_1158), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_24_dup_1161), 
               .QB (nx16840)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3640 (.D (nx6211), .SI (
               regs_dram_modgen_ram_ix26_a_26_dup_1159), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_27_dup_1158), 
               .QB (nx16846)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3644 (.D (nx6201), .SI (
               regs_dram_modgen_ram_ix26_a_21_dup_1164), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_26_dup_1159), 
               .QB (nx16851)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3664 (.D (nx6151), .SI (
               regs_dram_modgen_ram_ix26_a_20_dup_1165), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_21_dup_1164), 
               .QB (nx16857)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3668 (.D (nx6141), .SI (
               regs_dram_modgen_ram_ix26_a_23_dup_1162), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_20_dup_1165), 
               .QB (nx16862)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3656 (.D (nx6171), .SI (
               regs_dram_modgen_ram_ix26_a_22_dup_1163), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_23_dup_1162), 
               .QB (nx16868)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3660 (.D (nx6161), .SI (
               regs_dram_modgen_ram_ix26_a_17_dup_1168), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_22_dup_1163), 
               .QB (nx16873)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3680 (.D (nx6111), .SI (
               regs_dram_modgen_ram_ix26_a_16_dup_1169), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_17_dup_1168), 
               .QB (nx16879)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3684 (.D (nx6101), .SI (
               regs_dram_modgen_ram_ix26_a_19_dup_1166), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_16_dup_1169), 
               .QB (nx16884)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3672 (.D (nx6131), .SI (
               regs_dram_modgen_ram_ix26_a_18_dup_1167), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_19_dup_1166), 
               .QB (nx16890)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3676 (.D (nx6121), .SI (
               regs_dram_modgen_ram_ix26_a_13_dup_1172), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_18_dup_1167), 
               .QB (nx16895)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3696 (.D (nx6071), .SI (
               regs_dram_modgen_ram_ix26_a_12_dup_1173), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_13_dup_1172), 
               .QB (nx16903)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3700 (.D (nx6061), .SI (
               regs_dram_modgen_ram_ix26_a_15_dup_1170), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_12_dup_1173), 
               .QB (nx16908)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3688 (.D (nx6091), .SI (
               regs_dram_modgen_ram_ix26_a_14_dup_1171), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_15_dup_1170), 
               .QB (nx16914)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3692 (.D (nx6081), .SI (
               regs_dram_modgen_ram_ix26_a_9_dup_1176), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_14_dup_1171), .QB (
               nx16919)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3712 (.D (nx6031), .SI (
               regs_dram_modgen_ram_ix26_a_8_dup_1177), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_9_dup_1176), .QB (
               nx16925)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3716 (.D (nx6021), .SI (
               regs_dram_modgen_ram_ix26_a_11_dup_1174), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_8_dup_1177), .QB (
               nx16930)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3704 (.D (nx6051), .SI (
               regs_dram_modgen_ram_ix26_a_10_dup_1175), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_11_dup_1174), 
               .QB (nx16936)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3708 (.D (nx6041), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_1180), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10_dup_1175), .QB (
               nx16941)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3728 (.D (nx5991), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_1181), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_1180), .QB (
               nx16947)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3732 (.D (nx5981), .SI (
               regs_dram_modgen_ram_ix26_a_7_dup_1178), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_1181), .QB (
               nx16952)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3720 (.D (nx6011), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_1179), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7_dup_1178), .QB (
               nx16958)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3724 (.D (nx6001), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_1184), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_6_dup_1179), .QB (
               nx16963)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3744 (.D (nx5951), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_1185), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_1184), .QB (
               nx16969)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3748 (.D (nx5941), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_1182), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_1185), .QB (
               nx16974)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3736 (.D (nx5971), .SI (scan_in5), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_3_dup_1182), .QB (nx16980)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3740 (.D (nx5961), .SI (tmr0_1), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_1183), .QB (nx16985)) ;
    sffr_macro reg_tmr0_1 (.D (nx5881), .SI (U$dummy_39), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_1), .QB (nx2_dup_0_dup_21289)) ;
    sffr_macro reg_porta_1 (.D (nx3766), .SI (U$dummy_41), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (porta_1), .QB (U$dummy_39)) ;
    sffr_macro reg_pc_1 (.D (nx3866), .SI (debugstatus[1]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[1]), .QB (\$dummy [15])) ;
    sffr_macro reg_stack1_1 (.D (nx5901), .SI (stack2_1), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_1), .QB (U$dummy_41)) ;
    sffr_macro reg_stack2_1 (.D (nx5891), .SI (U$dummy_46), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_1), .QB (nx17020)) ;
    sffr_macro reg_status_1 (.D (nx5911), .SI (portbout[1]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugstatus[1]), .QB (\$dummy [16])) ;
    sffr_macro reg_portb_1 (.D (nx5931), .SI (portcout[1]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portbout[1]), .QB (\$dummy [17])) ;
    sffr_macro reg_portc_1 (.D (nx5921), .SI (debugw[2]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[1]), .QB (\$dummy [18])) ;
    sffr_macro reg_w_2 (.D (nx8561), .SI (debugpc[2]), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (debugw[2]), .QB (\$dummy [19])) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2927 (.D (
               regs_dram_modgen_ram_ix26_a_77_dup_980), .SI (U$dummy_47), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_77_dup_980), .QB (U$dummy_46)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2931 (.D (
               regs_dram_modgen_ram_ix26_a_76_dup_981), .SI (U$dummy_48), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_76_dup_981), .QB (U$dummy_47)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2919 (.D (
               regs_dram_modgen_ram_ix26_a_79_dup_978), .SI (U$dummy_49), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_79_dup_978), .QB (U$dummy_48)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2923 (.D (
               regs_dram_modgen_ram_ix26_a_78_dup_979), .SI (U$dummy_50), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_78_dup_979), .QB (U$dummy_49)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2943 (.D (
               regs_dram_modgen_ram_ix26_a_73_dup_984), .SI (U$dummy_51), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_73_dup_984), .QB (U$dummy_50)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2947 (.D (
               regs_dram_modgen_ram_ix26_a_72_dup_985), .SI (U$dummy_52), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_72_dup_985), .QB (U$dummy_51)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2935 (.D (
               regs_dram_modgen_ram_ix26_a_75_dup_982), .SI (U$dummy_53), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_75_dup_982), .QB (U$dummy_52)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2939 (.D (
               regs_dram_modgen_ram_ix26_a_74_dup_983), .SI (
               regs_dram_modgen_ram_ix26_a_69_dup_988), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_74_dup_983), .QB (
               U$dummy_53)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2959 (.D (nx7971), .SI (
               regs_dram_modgen_ram_ix26_a_68_dup_989), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_69_dup_988), .QB (
               nx17079)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2963 (.D (nx7961), .SI (
               regs_dram_modgen_ram_ix26_a_71_dup_986), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_68_dup_989), .QB (
               nx17084)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2951 (.D (nx7991), .SI (
               regs_dram_modgen_ram_ix26_a_70_dup_987), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_71_dup_986), .QB (
               nx17090)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2955 (.D (nx7981), .SI (
               regs_dram_modgen_ram_ix26_a_65_dup_992), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_70_dup_987), .QB (
               nx17095)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2975 (.D (nx7931), .SI (
               regs_dram_modgen_ram_ix26_a_64_dup_993), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_65_dup_992), .QB (
               nx17101)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2979 (.D (nx7921), .SI (
               regs_dram_modgen_ram_ix26_a_67_dup_990), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_64_dup_993), .QB (
               nx17106)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2967 (.D (nx7951), .SI (
               regs_dram_modgen_ram_ix26_a_66_dup_991), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_67_dup_990), .QB (
               nx17112)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2971 (.D (nx7941), .SI (
               regs_dram_modgen_ram_ix26_a_61_dup_996), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_66_dup_991), .QB (
               nx17117)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2991 (.D (nx7891), .SI (
               regs_dram_modgen_ram_ix26_a_60_dup_997), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_61_dup_996), .QB (
               nx17127)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2995 (.D (nx7881), .SI (
               regs_dram_modgen_ram_ix26_a_63_dup_994), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_60_dup_997), .QB (
               nx17132)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2983 (.D (nx7911), .SI (
               regs_dram_modgen_ram_ix26_a_62_dup_995), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_63_dup_994), .QB (
               nx17138)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2987 (.D (nx7901), .SI (
               regs_dram_modgen_ram_ix26_a_57_dup_1000), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_62_dup_995), .QB (
               nx17143)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3007 (.D (nx7851), .SI (
               regs_dram_modgen_ram_ix26_a_56_dup_1001), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_57_dup_1000), 
               .QB (nx17149)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3011 (.D (nx7841), .SI (
               regs_dram_modgen_ram_ix26_a_59_dup_998), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_56_dup_1001), .QB (
               nx17154)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2999 (.D (nx7871), .SI (
               regs_dram_modgen_ram_ix26_a_58_dup_999), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_59_dup_998), .QB (
               nx17160)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3003 (.D (nx7861), .SI (
               regs_dram_modgen_ram_ix26_a_53_dup_1004), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_58_dup_999), .QB (
               nx17165)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3023 (.D (nx7811), .SI (
               regs_dram_modgen_ram_ix26_a_52_dup_1005), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_53_dup_1004), 
               .QB (nx17171)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3027 (.D (nx7801), .SI (
               regs_dram_modgen_ram_ix26_a_55_dup_1002), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_52_dup_1005), 
               .QB (nx17176)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3015 (.D (nx7831), .SI (
               regs_dram_modgen_ram_ix26_a_54_dup_1003), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_55_dup_1002), 
               .QB (nx17182)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3019 (.D (nx7821), .SI (
               regs_dram_modgen_ram_ix26_a_49_dup_1008), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_54_dup_1003), 
               .QB (nx17187)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3039 (.D (nx7771), .SI (
               regs_dram_modgen_ram_ix26_a_48_dup_1009), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_49_dup_1008), 
               .QB (nx17193)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3043 (.D (nx7761), .SI (
               regs_dram_modgen_ram_ix26_a_51_dup_1006), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_48_dup_1009), 
               .QB (nx17198)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3031 (.D (nx7791), .SI (
               regs_dram_modgen_ram_ix26_a_50_dup_1007), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_51_dup_1006), 
               .QB (nx17204)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3035 (.D (nx7781), .SI (scan_in6), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_50_dup_1007), .QB (nx17209)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3055 (.D (nx7731), .SI (
               regs_dram_modgen_ram_ix26_a_44_dup_1013), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_45_dup_1012), 
               .QB (nx17218)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3059 (.D (nx7721), .SI (
               regs_dram_modgen_ram_ix26_a_47_dup_1010), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_44_dup_1013), 
               .QB (nx17223)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3047 (.D (nx7751), .SI (
               regs_dram_modgen_ram_ix26_a_46_dup_1011), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_47_dup_1010), 
               .QB (nx17229)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3051 (.D (nx7741), .SI (
               regs_dram_modgen_ram_ix26_a_41_dup_1016), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_46_dup_1011), 
               .QB (nx17234)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3071 (.D (nx7691), .SI (
               regs_dram_modgen_ram_ix26_a_40_dup_1017), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_41_dup_1016), 
               .QB (nx17240)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3075 (.D (nx7681), .SI (
               regs_dram_modgen_ram_ix26_a_43_dup_1014), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_40_dup_1017), 
               .QB (nx17245)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3063 (.D (nx7711), .SI (
               regs_dram_modgen_ram_ix26_a_42_dup_1015), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_43_dup_1014), 
               .QB (nx17251)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3067 (.D (nx7701), .SI (
               regs_dram_modgen_ram_ix26_a_37_dup_1020), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_42_dup_1015), 
               .QB (nx17256)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3087 (.D (nx7651), .SI (
               regs_dram_modgen_ram_ix26_a_36_dup_1021), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_37_dup_1020), 
               .QB (nx17262)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3091 (.D (nx7641), .SI (
               regs_dram_modgen_ram_ix26_a_39_dup_1018), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_36_dup_1021), 
               .QB (nx17267)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3079 (.D (nx7671), .SI (
               regs_dram_modgen_ram_ix26_a_38_dup_1019), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_39_dup_1018), 
               .QB (nx17273)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3083 (.D (nx7661), .SI (
               regs_dram_modgen_ram_ix26_a_33_dup_1024), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_38_dup_1019), 
               .QB (nx17278)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3103 (.D (nx7611), .SI (
               regs_dram_modgen_ram_ix26_a_32_dup_1025), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_33_dup_1024), 
               .QB (nx17284)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3107 (.D (nx7601), .SI (
               regs_dram_modgen_ram_ix26_a_35_dup_1022), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_32_dup_1025), 
               .QB (nx17289)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3095 (.D (nx7631), .SI (
               regs_dram_modgen_ram_ix26_a_34_dup_1023), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_35_dup_1022), 
               .QB (nx17295)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3099 (.D (nx7621), .SI (
               regs_dram_modgen_ram_ix26_a_29_dup_1028), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_34_dup_1023), 
               .QB (nx17300)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3119 (.D (nx7571), .SI (
               regs_dram_modgen_ram_ix26_a_28_dup_1029), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_29_dup_1028), 
               .QB (nx17309)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3123 (.D (nx7561), .SI (
               regs_dram_modgen_ram_ix26_a_31_dup_1026), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_28_dup_1029), 
               .QB (nx17314)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3111 (.D (nx7591), .SI (
               regs_dram_modgen_ram_ix26_a_30_dup_1027), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_31_dup_1026), 
               .QB (nx17320)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3115 (.D (nx7581), .SI (
               regs_dram_modgen_ram_ix26_a_25_dup_1032), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_30_dup_1027), 
               .QB (nx17325)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3135 (.D (nx7531), .SI (
               regs_dram_modgen_ram_ix26_a_24_dup_1033), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_25_dup_1032), 
               .QB (nx17331)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3139 (.D (nx7521), .SI (
               regs_dram_modgen_ram_ix26_a_27_dup_1030), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_24_dup_1033), 
               .QB (nx17336)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3127 (.D (nx7551), .SI (
               regs_dram_modgen_ram_ix26_a_26_dup_1031), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_27_dup_1030), 
               .QB (nx17342)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3131 (.D (nx7541), .SI (
               regs_dram_modgen_ram_ix26_a_21_dup_1036), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_26_dup_1031), 
               .QB (nx17347)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3151 (.D (nx7491), .SI (
               regs_dram_modgen_ram_ix26_a_20_dup_1037), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_21_dup_1036), 
               .QB (nx17353)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3155 (.D (nx7481), .SI (
               regs_dram_modgen_ram_ix26_a_23_dup_1034), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_20_dup_1037), 
               .QB (nx17358)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3143 (.D (nx7511), .SI (
               regs_dram_modgen_ram_ix26_a_22_dup_1035), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_23_dup_1034), 
               .QB (nx17364)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3147 (.D (nx7501), .SI (
               regs_dram_modgen_ram_ix26_a_17_dup_1040), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_22_dup_1035), 
               .QB (nx17369)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3167 (.D (nx7451), .SI (
               regs_dram_modgen_ram_ix26_a_16_dup_1041), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_17_dup_1040), 
               .QB (nx17375)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3171 (.D (nx7441), .SI (
               regs_dram_modgen_ram_ix26_a_19_dup_1038), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_16_dup_1041), 
               .QB (nx17380)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3159 (.D (nx7471), .SI (
               regs_dram_modgen_ram_ix26_a_18_dup_1039), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_19_dup_1038), 
               .QB (nx17386)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3163 (.D (nx7461), .SI (
               regs_dram_modgen_ram_ix26_a_13_dup_1044), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_18_dup_1039), 
               .QB (nx17391)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3183 (.D (nx7411), .SI (
               regs_dram_modgen_ram_ix26_a_12_dup_1045), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_13_dup_1044), 
               .QB (nx17399)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3187 (.D (nx7401), .SI (
               regs_dram_modgen_ram_ix26_a_15_dup_1042), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_12_dup_1045), 
               .QB (nx17404)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3175 (.D (nx7431), .SI (
               regs_dram_modgen_ram_ix26_a_14_dup_1043), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_15_dup_1042), 
               .QB (nx17410)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3179 (.D (nx7421), .SI (
               regs_dram_modgen_ram_ix26_a_9_dup_1048), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_14_dup_1043), .QB (
               nx17415)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3199 (.D (nx7371), .SI (scan_in7), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_9_dup_1048), .QB (nx17421)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3203 (.D (nx7361), .SI (
               regs_dram_modgen_ram_ix26_a_11_dup_1046), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_8_dup_1049), .QB (
               nx17426)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3191 (.D (nx7391), .SI (
               regs_dram_modgen_ram_ix26_a_10_dup_1047), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_11_dup_1046), 
               .QB (nx17432)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3195 (.D (nx7381), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_1052), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10_dup_1047), .QB (
               nx17437)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3215 (.D (nx7331), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_1053), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_1052), .QB (
               nx17443)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3219 (.D (nx7321), .SI (
               regs_dram_modgen_ram_ix26_a_7_dup_1050), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_1053), .QB (
               nx17448)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3207 (.D (nx7351), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_1051), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7_dup_1050), .QB (
               nx17454)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3211 (.D (nx7341), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_1056), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_6_dup_1051), .QB (
               nx17459)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3231 (.D (nx7291), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_1057), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_1056), .QB (
               nx17465)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3235 (.D (nx7281), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_1054), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_1057), .QB (
               nx17470)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3223 (.D (nx7311), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_1055), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_3_dup_1054), .QB (
               nx17476)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix3227 (.D (nx7301), .SI (tmr0_2), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_1055), .QB (nx17481)) ;
    sffr_macro reg_tmr0_2 (.D (nx7231), .SI (U$dummy_54), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_2), .QB (nx0_dup_0_dup_21246)) ;
    sffr_macro reg_porta_2 (.D (nx5526), .SI (U$dummy_56), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (porta_2), .QB (U$dummy_54)) ;
    sffr_macro reg_pc_2 (.D (nx5626), .SI (debugstatus[2]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[2]), .QB (\$dummy [20])) ;
    sffr_macro reg_stack1_2 (.D (nx7251), .SI (stack2_2), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_2), .QB (U$dummy_56)) ;
    sffr_macro reg_stack2_2 (.D (nx7241), .SI (U$dummy_61), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_2), .QB (nx17516)) ;
    sffr_macro reg_status_2 (.D (nx5652), .SI (portbout[2]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugstatus[2]), .QB (\$dummy [21])) ;
    sffr_macro reg_portb_2 (.D (nx7271), .SI (portcout[2]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portbout[2]), .QB (\$dummy [22])) ;
    sffr_macro reg_portc_2 (.D (nx7261), .SI (debugw[3]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[2]), .QB (\$dummy [23])) ;
    sffr_macro reg_w_3 (.D (nx9911), .SI (debugpc[3]), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (debugw[3]), .QB (\$dummy [24])) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2414 (.D (
               regs_dram_modgen_ram_ix26_a_77_dup_852), .SI (U$dummy_62), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_77_dup_852), .QB (U$dummy_61)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2418 (.D (
               regs_dram_modgen_ram_ix26_a_76_dup_853), .SI (U$dummy_63), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_76_dup_853), .QB (U$dummy_62)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2406 (.D (
               regs_dram_modgen_ram_ix26_a_79_dup_850), .SI (U$dummy_64), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_79_dup_850), .QB (U$dummy_63)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2410 (.D (
               regs_dram_modgen_ram_ix26_a_78_dup_851), .SI (U$dummy_65), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_78_dup_851), .QB (U$dummy_64)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2430 (.D (
               regs_dram_modgen_ram_ix26_a_73_dup_856), .SI (U$dummy_66), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_73_dup_856), .QB (U$dummy_65)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2434 (.D (
               regs_dram_modgen_ram_ix26_a_72_dup_857), .SI (U$dummy_67), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_72_dup_857), .QB (U$dummy_66)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2422 (.D (
               regs_dram_modgen_ram_ix26_a_75_dup_854), .SI (U$dummy_68), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_75_dup_854), .QB (U$dummy_67)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2426 (.D (
               regs_dram_modgen_ram_ix26_a_74_dup_855), .SI (
               regs_dram_modgen_ram_ix26_a_69_dup_860), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_74_dup_855), .QB (
               U$dummy_68)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2446 (.D (nx9321), .SI (
               regs_dram_modgen_ram_ix26_a_68_dup_861), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_69_dup_860), .QB (
               nx17579)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2450 (.D (nx9311), .SI (
               regs_dram_modgen_ram_ix26_a_71_dup_858), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_68_dup_861), .QB (
               nx17584)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2438 (.D (nx9341), .SI (
               regs_dram_modgen_ram_ix26_a_70_dup_859), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_71_dup_858), .QB (
               nx17590)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2442 (.D (nx9331), .SI (
               regs_dram_modgen_ram_ix26_a_65_dup_864), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_70_dup_859), .QB (
               nx17595)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2462 (.D (nx9281), .SI (
               regs_dram_modgen_ram_ix26_a_64_dup_865), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_65_dup_864), .QB (
               nx17601)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2466 (.D (nx9271), .SI (
               regs_dram_modgen_ram_ix26_a_67_dup_862), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_64_dup_865), .QB (
               nx17606)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2454 (.D (nx9301), .SI (
               regs_dram_modgen_ram_ix26_a_66_dup_863), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_67_dup_862), .QB (
               nx17612)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2458 (.D (nx9291), .SI (
               regs_dram_modgen_ram_ix26_a_61_dup_868), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_66_dup_863), .QB (
               nx17617)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2478 (.D (nx9241), .SI (
               regs_dram_modgen_ram_ix26_a_60_dup_869), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_61_dup_868), .QB (
               nx17627)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2482 (.D (nx9231), .SI (
               regs_dram_modgen_ram_ix26_a_63_dup_866), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_60_dup_869), .QB (
               nx17632)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2470 (.D (nx9261), .SI (
               regs_dram_modgen_ram_ix26_a_62_dup_867), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_63_dup_866), .QB (
               nx17638)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2474 (.D (nx9251), .SI (
               regs_dram_modgen_ram_ix26_a_57_dup_872), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_62_dup_867), .QB (
               nx17643)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2494 (.D (nx9201), .SI (
               regs_dram_modgen_ram_ix26_a_56_dup_873), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_57_dup_872), .QB (
               nx17649)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2498 (.D (nx9191), .SI (scan_in8), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_56_dup_873), .QB (nx17654)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2486 (.D (nx9221), .SI (
               regs_dram_modgen_ram_ix26_a_58_dup_871), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_59_dup_870), .QB (
               nx17660)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2490 (.D (nx9211), .SI (
               regs_dram_modgen_ram_ix26_a_53_dup_876), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_58_dup_871), .QB (
               nx17665)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2510 (.D (nx9161), .SI (
               regs_dram_modgen_ram_ix26_a_52_dup_877), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_53_dup_876), .QB (
               nx17671)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2514 (.D (nx9151), .SI (
               regs_dram_modgen_ram_ix26_a_55_dup_874), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_52_dup_877), .QB (
               nx17676)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2502 (.D (nx9181), .SI (
               regs_dram_modgen_ram_ix26_a_54_dup_875), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_55_dup_874), .QB (
               nx17682)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2506 (.D (nx9171), .SI (
               regs_dram_modgen_ram_ix26_a_49_dup_880), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_54_dup_875), .QB (
               nx17687)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2526 (.D (nx9121), .SI (
               regs_dram_modgen_ram_ix26_a_48_dup_881), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_49_dup_880), .QB (
               nx17693)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2530 (.D (nx9111), .SI (
               regs_dram_modgen_ram_ix26_a_51_dup_878), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_48_dup_881), .QB (
               nx17698)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2518 (.D (nx9141), .SI (
               regs_dram_modgen_ram_ix26_a_50_dup_879), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_51_dup_878), .QB (
               nx17704)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2522 (.D (nx9131), .SI (
               regs_dram_modgen_ram_ix26_a_45_dup_884), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_50_dup_879), .QB (
               nx17709)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2542 (.D (nx9081), .SI (
               regs_dram_modgen_ram_ix26_a_44_dup_885), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_45_dup_884), .QB (
               nx17718)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2546 (.D (nx9071), .SI (
               regs_dram_modgen_ram_ix26_a_47_dup_882), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_44_dup_885), .QB (
               nx17723)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2534 (.D (nx9101), .SI (
               regs_dram_modgen_ram_ix26_a_46_dup_883), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_47_dup_882), .QB (
               nx17729)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2538 (.D (nx9091), .SI (
               regs_dram_modgen_ram_ix26_a_41_dup_888), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_46_dup_883), .QB (
               nx17734)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2558 (.D (nx9041), .SI (
               regs_dram_modgen_ram_ix26_a_40_dup_889), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_41_dup_888), .QB (
               nx17740)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2562 (.D (nx9031), .SI (
               regs_dram_modgen_ram_ix26_a_43_dup_886), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_40_dup_889), .QB (
               nx17745)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2550 (.D (nx9061), .SI (
               regs_dram_modgen_ram_ix26_a_42_dup_887), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_43_dup_886), .QB (
               nx17751)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2554 (.D (nx9051), .SI (
               regs_dram_modgen_ram_ix26_a_37_dup_892), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_42_dup_887), .QB (
               nx17756)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2574 (.D (nx9001), .SI (
               regs_dram_modgen_ram_ix26_a_36_dup_893), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_37_dup_892), .QB (
               nx17762)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2578 (.D (nx8991), .SI (
               regs_dram_modgen_ram_ix26_a_39_dup_890), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_36_dup_893), .QB (
               nx17767)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2566 (.D (nx9021), .SI (
               regs_dram_modgen_ram_ix26_a_38_dup_891), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_39_dup_890), .QB (
               nx17773)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2570 (.D (nx9011), .SI (
               regs_dram_modgen_ram_ix26_a_33_dup_896), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_38_dup_891), .QB (
               nx17778)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2590 (.D (nx8961), .SI (
               regs_dram_modgen_ram_ix26_a_32_dup_897), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_33_dup_896), .QB (
               nx17784)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2594 (.D (nx8951), .SI (
               regs_dram_modgen_ram_ix26_a_35_dup_894), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_32_dup_897), .QB (
               nx17789)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2582 (.D (nx8981), .SI (
               regs_dram_modgen_ram_ix26_a_34_dup_895), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_35_dup_894), .QB (
               nx17795)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2586 (.D (nx8971), .SI (
               regs_dram_modgen_ram_ix26_a_29_dup_900), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_34_dup_895), .QB (
               nx17800)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2606 (.D (nx8921), .SI (
               regs_dram_modgen_ram_ix26_a_28_dup_901), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_29_dup_900), .QB (
               nx17809)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2610 (.D (nx8911), .SI (
               regs_dram_modgen_ram_ix26_a_31_dup_898), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_28_dup_901), .QB (
               nx17814)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2598 (.D (nx8941), .SI (
               regs_dram_modgen_ram_ix26_a_30_dup_899), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_31_dup_898), .QB (
               nx17820)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2602 (.D (nx8931), .SI (
               regs_dram_modgen_ram_ix26_a_25_dup_904), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_30_dup_899), .QB (
               nx17825)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2622 (.D (nx8881), .SI (
               regs_dram_modgen_ram_ix26_a_24_dup_905), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_25_dup_904), .QB (
               nx17831)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2626 (.D (nx8871), .SI (
               regs_dram_modgen_ram_ix26_a_27_dup_902), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_24_dup_905), .QB (
               nx17836)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2614 (.D (nx8901), .SI (
               regs_dram_modgen_ram_ix26_a_26_dup_903), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_27_dup_902), .QB (
               nx17842)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2618 (.D (nx8891), .SI (
               regs_dram_modgen_ram_ix26_a_21_dup_908), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_26_dup_903), .QB (
               nx17847)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2638 (.D (nx8841), .SI (
               regs_dram_modgen_ram_ix26_a_20_dup_909), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_21_dup_908), .QB (
               nx17853)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2642 (.D (nx8831), .SI (
               regs_dram_modgen_ram_ix26_a_23_dup_906), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_20_dup_909), .QB (
               nx17858)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2630 (.D (nx8861), .SI (scan_in9), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_23_dup_906), .QB (nx17864)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2634 (.D (nx8851), .SI (
               regs_dram_modgen_ram_ix26_a_17_dup_912), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_22_dup_907), .QB (
               nx17869)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2654 (.D (nx8801), .SI (
               regs_dram_modgen_ram_ix26_a_16_dup_913), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_17_dup_912), .QB (
               nx17875)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2658 (.D (nx8791), .SI (
               regs_dram_modgen_ram_ix26_a_19_dup_910), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_16_dup_913), .QB (
               nx17880)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2646 (.D (nx8821), .SI (
               regs_dram_modgen_ram_ix26_a_18_dup_911), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_19_dup_910), .QB (
               nx17886)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2650 (.D (nx8811), .SI (
               regs_dram_modgen_ram_ix26_a_13_dup_916), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_18_dup_911), .QB (
               nx17891)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2670 (.D (nx8761), .SI (
               regs_dram_modgen_ram_ix26_a_12_dup_917), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_13_dup_916), .QB (
               nx17899)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2674 (.D (nx8751), .SI (
               regs_dram_modgen_ram_ix26_a_15_dup_914), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_12_dup_917), .QB (
               nx17904)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2662 (.D (nx8781), .SI (
               regs_dram_modgen_ram_ix26_a_14_dup_915), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_15_dup_914), .QB (
               nx17910)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2666 (.D (nx8771), .SI (
               regs_dram_modgen_ram_ix26_a_9_dup_920), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_14_dup_915), .QB (
               nx17915)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2686 (.D (nx8721), .SI (
               regs_dram_modgen_ram_ix26_a_8_dup_921), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_9_dup_920), .QB (
               nx17921)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2690 (.D (nx8711), .SI (
               regs_dram_modgen_ram_ix26_a_11_dup_918), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_8_dup_921), .QB (
               nx17926)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2678 (.D (nx8741), .SI (
               regs_dram_modgen_ram_ix26_a_10_dup_919), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_11_dup_918), .QB (
               nx17932)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2682 (.D (nx8731), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_924), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10_dup_919), .QB (
               nx17937)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2702 (.D (nx8681), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_925), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_924), .QB (
               nx17943)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2706 (.D (nx8671), .SI (
               regs_dram_modgen_ram_ix26_a_7_dup_922), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_925), .QB (
               nx17948)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2694 (.D (nx8701), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_923), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7_dup_922), .QB (
               nx17954)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2698 (.D (nx8691), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_928), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_6_dup_923), .QB (
               nx17959)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2718 (.D (nx8641), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_929), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_928), .QB (
               nx17965)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2722 (.D (nx8631), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_926), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_929), .QB (
               nx17970)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2710 (.D (nx8661), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_927), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_3_dup_926), .QB (
               nx17976)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2714 (.D (nx8651), .SI (tmr0_3), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_927), .QB (nx17981)) ;
    sffr_macro reg_tmr0_3 (.D (nx8571), .SI (U$dummy_69), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_3), .QB (nx0_dup_0_dup_21288)) ;
    sffr_macro reg_porta_3 (.D (nx7302), .SI (U$dummy_71), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (porta_3), .QB (U$dummy_69)) ;
    sffr_macro reg_pc_3 (.D (nx7402), .SI (debugstatus[3]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[3]), .QB (\$dummy [25])) ;
    sffr_macro reg_stack1_3 (.D (nx8591), .SI (stack2_3), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_3), .QB (U$dummy_71)) ;
    sffr_macro reg_stack2_3 (.D (nx8581), .SI (U$dummy_76), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_3), .QB (nx18016)) ;
    sffr_macro reg_status_3 (.D (nx8601), .SI (portbout[3]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugstatus[3]), .QB (\$dummy [26])) ;
    sffr_macro reg_portb_3 (.D (nx8621), .SI (portcout[3]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portbout[3]), .QB (\$dummy [27])) ;
    sffr_macro reg_portc_3 (.D (nx8611), .SI (debugw[4]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[3]), .QB (\$dummy [28])) ;
    sffr_macro reg_w_4 (.D (nx11261), .SI (debugpc[4]), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debugw[4]), .QB (\$dummy [29])) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1901 (.D (
               regs_dram_modgen_ram_ix26_a_77_dup_724), .SI (U$dummy_77), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_77_dup_724), .QB (U$dummy_76)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1905 (.D (
               regs_dram_modgen_ram_ix26_a_76_dup_725), .SI (U$dummy_78), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_76_dup_725), .QB (U$dummy_77)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1893 (.D (
               regs_dram_modgen_ram_ix26_a_79_dup_722), .SI (U$dummy_79), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_79_dup_722), .QB (U$dummy_78)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1897 (.D (
               regs_dram_modgen_ram_ix26_a_78_dup_723), .SI (U$dummy_80), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_78_dup_723), .QB (U$dummy_79)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1917 (.D (
               regs_dram_modgen_ram_ix26_a_73_dup_728), .SI (U$dummy_81), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_73_dup_728), .QB (U$dummy_80)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1921 (.D (
               regs_dram_modgen_ram_ix26_a_72_dup_729), .SI (U$dummy_82), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_72_dup_729), .QB (U$dummy_81)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1909 (.D (
               regs_dram_modgen_ram_ix26_a_75_dup_726), .SI (U$dummy_83), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_75_dup_726), .QB (U$dummy_82)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1913 (.D (
               regs_dram_modgen_ram_ix26_a_74_dup_727), .SI (
               regs_dram_modgen_ram_ix26_a_69_dup_732), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_74_dup_727), .QB (
               U$dummy_83)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1933 (.D (nx10671), .SI (
               regs_dram_modgen_ram_ix26_a_68_dup_733), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_69_dup_732), .QB (
               nx18077)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1937 (.D (nx10661), .SI (
               regs_dram_modgen_ram_ix26_a_71_dup_730), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_68_dup_733), .QB (
               nx18082)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1925 (.D (nx10691), .SI (
               regs_dram_modgen_ram_ix26_a_70_dup_731), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_71_dup_730), .QB (
               nx18088)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1929 (.D (nx10681), .SI (scan_in10), 
               .SE (scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_70_dup_731), .QB (nx18093)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1949 (.D (nx10631), .SI (
               regs_dram_modgen_ram_ix26_a_64_dup_737), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_65_dup_736), .QB (
               nx18099)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1953 (.D (nx10621), .SI (
               regs_dram_modgen_ram_ix26_a_67_dup_734), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_64_dup_737), .QB (
               nx18104)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1941 (.D (nx10651), .SI (
               regs_dram_modgen_ram_ix26_a_66_dup_735), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_67_dup_734), .QB (
               nx18110)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1945 (.D (nx10641), .SI (
               regs_dram_modgen_ram_ix26_a_61_dup_740), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_66_dup_735), .QB (
               nx18115)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1965 (.D (nx10591), .SI (
               regs_dram_modgen_ram_ix26_a_60_dup_741), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_61_dup_740), .QB (
               nx18125)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1969 (.D (nx10581), .SI (
               regs_dram_modgen_ram_ix26_a_63_dup_738), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_60_dup_741), .QB (
               nx18130)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1957 (.D (nx10611), .SI (
               regs_dram_modgen_ram_ix26_a_62_dup_739), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_63_dup_738), .QB (
               nx18136)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1961 (.D (nx10601), .SI (
               regs_dram_modgen_ram_ix26_a_57_dup_744), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_62_dup_739), .QB (
               nx18141)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1981 (.D (nx10551), .SI (
               regs_dram_modgen_ram_ix26_a_56_dup_745), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_57_dup_744), .QB (
               nx18147)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1985 (.D (nx10541), .SI (
               regs_dram_modgen_ram_ix26_a_59_dup_742), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_56_dup_745), .QB (
               nx18152)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1973 (.D (nx10571), .SI (
               regs_dram_modgen_ram_ix26_a_58_dup_743), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_59_dup_742), .QB (
               nx18158)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1977 (.D (nx10561), .SI (
               regs_dram_modgen_ram_ix26_a_53_dup_748), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_58_dup_743), .QB (
               nx18163)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1997 (.D (nx10511), .SI (
               regs_dram_modgen_ram_ix26_a_52_dup_749), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_53_dup_748), .QB (
               nx18169)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2001 (.D (nx10501), .SI (
               regs_dram_modgen_ram_ix26_a_55_dup_746), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_52_dup_749), .QB (
               nx18174)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1989 (.D (nx10531), .SI (
               regs_dram_modgen_ram_ix26_a_54_dup_747), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_55_dup_746), .QB (
               nx18180)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1993 (.D (nx10521), .SI (
               regs_dram_modgen_ram_ix26_a_49_dup_752), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_54_dup_747), .QB (
               nx18185)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2013 (.D (nx10471), .SI (
               regs_dram_modgen_ram_ix26_a_48_dup_753), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_49_dup_752), .QB (
               nx18191)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2017 (.D (nx10461), .SI (
               regs_dram_modgen_ram_ix26_a_51_dup_750), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_48_dup_753), .QB (
               nx18196)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2005 (.D (nx10491), .SI (
               regs_dram_modgen_ram_ix26_a_50_dup_751), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_51_dup_750), .QB (
               nx18202)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2009 (.D (nx10481), .SI (
               regs_dram_modgen_ram_ix26_a_45_dup_756), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_50_dup_751), .QB (
               nx18207)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2029 (.D (nx10431), .SI (
               regs_dram_modgen_ram_ix26_a_44_dup_757), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_45_dup_756), .QB (
               nx18216)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2033 (.D (nx10421), .SI (
               regs_dram_modgen_ram_ix26_a_47_dup_754), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_44_dup_757), .QB (
               nx18221)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2021 (.D (nx10451), .SI (
               regs_dram_modgen_ram_ix26_a_46_dup_755), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_47_dup_754), .QB (
               nx18227)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2025 (.D (nx10441), .SI (
               regs_dram_modgen_ram_ix26_a_41_dup_760), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_46_dup_755), .QB (
               nx18232)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2045 (.D (nx10391), .SI (
               regs_dram_modgen_ram_ix26_a_40_dup_761), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_41_dup_760), .QB (
               nx18238)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2049 (.D (nx10381), .SI (
               regs_dram_modgen_ram_ix26_a_43_dup_758), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_40_dup_761), .QB (
               nx18243)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2037 (.D (nx10411), .SI (
               regs_dram_modgen_ram_ix26_a_42_dup_759), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_43_dup_758), .QB (
               nx18249)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2041 (.D (nx10401), .SI (
               regs_dram_modgen_ram_ix26_a_37_dup_764), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_42_dup_759), .QB (
               nx18254)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2061 (.D (nx10351), .SI (
               regs_dram_modgen_ram_ix26_a_36_dup_765), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_37_dup_764), .QB (
               nx18260)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2065 (.D (nx10341), .SI (
               regs_dram_modgen_ram_ix26_a_39_dup_762), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_36_dup_765), .QB (
               nx18265)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2053 (.D (nx10371), .SI (
               regs_dram_modgen_ram_ix26_a_38_dup_763), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_39_dup_762), .QB (
               nx18271)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2057 (.D (nx10361), .SI (
               regs_dram_modgen_ram_ix26_a_33_dup_768), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_38_dup_763), .QB (
               nx18276)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2077 (.D (nx10311), .SI (
               regs_dram_modgen_ram_ix26_a_32_dup_769), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_33_dup_768), .QB (
               nx18282)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2081 (.D (nx10301), .SI (
               regs_dram_modgen_ram_ix26_a_35_dup_766), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_32_dup_769), .QB (
               nx18287)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2069 (.D (nx10331), .SI (
               regs_dram_modgen_ram_ix26_a_34_dup_767), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_35_dup_766), .QB (
               nx18293)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2073 (.D (nx10321), .SI (
               regs_dram_modgen_ram_ix26_a_29_dup_772), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_34_dup_767), .QB (
               nx18298)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2093 (.D (nx10271), .SI (scan_in11), 
               .SE (scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_29_dup_772), .QB (nx18307)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2097 (.D (nx10261), .SI (
               regs_dram_modgen_ram_ix26_a_31_dup_770), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_28_dup_773), .QB (
               nx18312)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2085 (.D (nx10291), .SI (
               regs_dram_modgen_ram_ix26_a_30_dup_771), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_31_dup_770), .QB (
               nx18318)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2089 (.D (nx10281), .SI (
               regs_dram_modgen_ram_ix26_a_25_dup_776), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_30_dup_771), .QB (
               nx18323)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2109 (.D (nx10231), .SI (
               regs_dram_modgen_ram_ix26_a_24_dup_777), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_25_dup_776), .QB (
               nx18329)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2113 (.D (nx10221), .SI (
               regs_dram_modgen_ram_ix26_a_27_dup_774), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_24_dup_777), .QB (
               nx18334)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2101 (.D (nx10251), .SI (
               regs_dram_modgen_ram_ix26_a_26_dup_775), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_27_dup_774), .QB (
               nx18340)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2105 (.D (nx10241), .SI (
               regs_dram_modgen_ram_ix26_a_21_dup_780), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_26_dup_775), .QB (
               nx18345)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2125 (.D (nx10191), .SI (
               regs_dram_modgen_ram_ix26_a_20_dup_781), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_21_dup_780), .QB (
               nx18351)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2129 (.D (nx10181), .SI (
               regs_dram_modgen_ram_ix26_a_23_dup_778), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_20_dup_781), .QB (
               nx18356)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2117 (.D (nx10211), .SI (
               regs_dram_modgen_ram_ix26_a_22_dup_779), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_23_dup_778), .QB (
               nx18362)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2121 (.D (nx10201), .SI (
               regs_dram_modgen_ram_ix26_a_17_dup_784), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_22_dup_779), .QB (
               nx18367)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2141 (.D (nx10151), .SI (
               regs_dram_modgen_ram_ix26_a_16_dup_785), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_17_dup_784), .QB (
               nx18373)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2145 (.D (nx10141), .SI (
               regs_dram_modgen_ram_ix26_a_19_dup_782), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_16_dup_785), .QB (
               nx18378)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2133 (.D (nx10171), .SI (
               regs_dram_modgen_ram_ix26_a_18_dup_783), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_19_dup_782), .QB (
               nx18384)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2137 (.D (nx10161), .SI (
               regs_dram_modgen_ram_ix26_a_13_dup_788), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_18_dup_783), .QB (
               nx18389)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2157 (.D (nx10111), .SI (
               regs_dram_modgen_ram_ix26_a_12_dup_789), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_13_dup_788), .QB (
               nx18397)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2161 (.D (nx10101), .SI (
               regs_dram_modgen_ram_ix26_a_15_dup_786), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_12_dup_789), .QB (
               nx18402)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2149 (.D (nx10131), .SI (
               regs_dram_modgen_ram_ix26_a_14_dup_787), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_15_dup_786), .QB (
               nx18408)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2153 (.D (nx10121), .SI (
               regs_dram_modgen_ram_ix26_a_9_dup_792), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_14_dup_787), .QB (
               nx18413)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2173 (.D (nx10071), .SI (
               regs_dram_modgen_ram_ix26_a_8_dup_793), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_9_dup_792), .QB (
               nx18419)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2177 (.D (nx10061), .SI (
               regs_dram_modgen_ram_ix26_a_11_dup_790), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_8_dup_793), .QB (
               nx18424)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2165 (.D (nx10091), .SI (
               regs_dram_modgen_ram_ix26_a_10_dup_791), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_11_dup_790), .QB (
               nx18430)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2169 (.D (nx10081), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_796), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10_dup_791), .QB (
               nx18435)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2189 (.D (nx10031), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_797), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_796), .QB (
               nx18441)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2193 (.D (nx10021), .SI (
               regs_dram_modgen_ram_ix26_a_7_dup_794), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_797), .QB (
               nx18446)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2181 (.D (nx10051), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_795), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7_dup_794), .QB (
               nx18452)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2185 (.D (nx10041), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_800), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_6_dup_795), .QB (
               nx18457)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2205 (.D (nx9991), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_801), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_800), .QB (
               nx18463)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2209 (.D (nx9981), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_798), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_801), .QB (
               nx18468)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2197 (.D (nx10011), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_799), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_3_dup_798), .QB (
               nx18474)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix2201 (.D (nx10001), .SI (tmr0_4), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_799), .QB (nx18479)) ;
    sffr_macro reg_tmr0_4 (.D (nx9921), .SI (U$dummy_84), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_4), .QB (nx18489)) ;
    sffr_macro reg_porta_4 (.D (nx9062), .SI (U$dummy_85), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (porta_4), .QB (U$dummy_84)) ;
    sffr_macro reg_stack1_4 (.D (nx9941), .SI (stack2_4), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_4), .QB (U$dummy_85)) ;
    sffr_macro reg_stack2_4 (.D (nx9931), .SI (U$dummy_91), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_4), .QB (nx18515)) ;
    sffr_macro reg_pc_4 (.D (nx9162), .SI (debugstatus[4]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[4]), .QB (\$dummy [30])) ;
    sffr_macro reg_status_4 (.D (nx9951), .SI (portbout[4]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugstatus[4]), .QB (\$dummy [31])) ;
    sffr_macro reg_portb_4 (.D (nx9971), .SI (portcout[4]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portbout[4]), .QB (\$dummy [32])) ;
    sffr_macro reg_portc_4 (.D (nx9961), .SI (debugw[5]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[4]), .QB (\$dummy [33])) ;
    sffr_macro reg_w_5 (.D (nx12601), .SI (debugpc[5]), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debugw[5]), .QB (\$dummy [34])) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1388 (.D (
               regs_dram_modgen_ram_ix26_a_77_dup_596), .SI (U$dummy_92), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_77_dup_596), .QB (U$dummy_91)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1392 (.D (
               regs_dram_modgen_ram_ix26_a_76_dup_597), .SI (scan_in12), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_76_dup_597), .QB (U$dummy_92)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1380 (.D (
               regs_dram_modgen_ram_ix26_a_79_dup_594), .SI (U$dummy_94), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_79_dup_594), .QB (U$dummy_93)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1384 (.D (
               regs_dram_modgen_ram_ix26_a_78_dup_595), .SI (U$dummy_95), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_78_dup_595), .QB (U$dummy_94)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1404 (.D (
               regs_dram_modgen_ram_ix26_a_73_dup_600), .SI (U$dummy_96), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_73_dup_600), .QB (U$dummy_95)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1408 (.D (
               regs_dram_modgen_ram_ix26_a_72_dup_601), .SI (U$dummy_97), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_72_dup_601), .QB (U$dummy_96)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1396 (.D (
               regs_dram_modgen_ram_ix26_a_75_dup_598), .SI (U$dummy_98), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_75_dup_598), .QB (U$dummy_97)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1400 (.D (
               regs_dram_modgen_ram_ix26_a_74_dup_599), .SI (
               regs_dram_modgen_ram_ix26_a_69_dup_604), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_74_dup_599), .QB (
               U$dummy_98)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1420 (.D (nx12011), .SI (
               regs_dram_modgen_ram_ix26_a_68_dup_605), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_69_dup_604), .QB (
               nx18577)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1424 (.D (nx12001), .SI (
               regs_dram_modgen_ram_ix26_a_71_dup_602), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_68_dup_605), .QB (
               nx18582)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1412 (.D (nx12031), .SI (
               regs_dram_modgen_ram_ix26_a_70_dup_603), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_71_dup_602), .QB (
               nx18588)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1416 (.D (nx12021), .SI (
               regs_dram_modgen_ram_ix26_a_65_dup_608), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_70_dup_603), .QB (
               nx18593)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1436 (.D (nx11971), .SI (
               regs_dram_modgen_ram_ix26_a_64_dup_609), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_65_dup_608), .QB (
               nx18599)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1440 (.D (nx11961), .SI (
               regs_dram_modgen_ram_ix26_a_67_dup_606), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_64_dup_609), .QB (
               nx18604)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1428 (.D (nx11991), .SI (
               regs_dram_modgen_ram_ix26_a_66_dup_607), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_67_dup_606), .QB (
               nx18610)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1432 (.D (nx11981), .SI (
               regs_dram_modgen_ram_ix26_a_61_dup_612), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_66_dup_607), .QB (
               nx18615)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1452 (.D (nx11931), .SI (
               regs_dram_modgen_ram_ix26_a_60_dup_613), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_61_dup_612), .QB (
               nx18625)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1456 (.D (nx11921), .SI (
               regs_dram_modgen_ram_ix26_a_63_dup_610), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_60_dup_613), .QB (
               nx18630)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1444 (.D (nx11951), .SI (
               regs_dram_modgen_ram_ix26_a_62_dup_611), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_63_dup_610), .QB (
               nx18636)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1448 (.D (nx11941), .SI (
               regs_dram_modgen_ram_ix26_a_57_dup_616), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_62_dup_611), .QB (
               nx18641)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1468 (.D (nx11891), .SI (
               regs_dram_modgen_ram_ix26_a_56_dup_617), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_57_dup_616), .QB (
               nx18647)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1472 (.D (nx11881), .SI (
               regs_dram_modgen_ram_ix26_a_59_dup_614), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_56_dup_617), .QB (
               nx18652)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1460 (.D (nx11911), .SI (
               regs_dram_modgen_ram_ix26_a_58_dup_615), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_59_dup_614), .QB (
               nx18658)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1464 (.D (nx11901), .SI (
               regs_dram_modgen_ram_ix26_a_53_dup_620), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_58_dup_615), .QB (
               nx18663)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1484 (.D (nx11851), .SI (
               regs_dram_modgen_ram_ix26_a_52_dup_621), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_53_dup_620), .QB (
               nx18669)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1488 (.D (nx11841), .SI (
               regs_dram_modgen_ram_ix26_a_55_dup_618), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_52_dup_621), .QB (
               nx18674)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1476 (.D (nx11871), .SI (
               regs_dram_modgen_ram_ix26_a_54_dup_619), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_55_dup_618), .QB (
               nx18680)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1480 (.D (nx11861), .SI (
               regs_dram_modgen_ram_ix26_a_49_dup_624), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_54_dup_619), .QB (
               nx18685)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1500 (.D (nx11811), .SI (
               regs_dram_modgen_ram_ix26_a_48_dup_625), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_49_dup_624), .QB (
               nx18691)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1504 (.D (nx11801), .SI (
               regs_dram_modgen_ram_ix26_a_51_dup_622), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_48_dup_625), .QB (
               nx18696)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1492 (.D (nx11831), .SI (
               regs_dram_modgen_ram_ix26_a_50_dup_623), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_51_dup_622), .QB (
               nx18702)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1496 (.D (nx11821), .SI (
               regs_dram_modgen_ram_ix26_a_45_dup_628), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_50_dup_623), .QB (
               nx18707)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1516 (.D (nx11771), .SI (
               regs_dram_modgen_ram_ix26_a_44_dup_629), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_45_dup_628), .QB (
               nx18716)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1520 (.D (nx11761), .SI (
               regs_dram_modgen_ram_ix26_a_47_dup_626), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_44_dup_629), .QB (
               nx18721)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1508 (.D (nx11791), .SI (
               regs_dram_modgen_ram_ix26_a_46_dup_627), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_47_dup_626), .QB (
               nx18727)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1512 (.D (nx11781), .SI (
               regs_dram_modgen_ram_ix26_a_41_dup_632), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_46_dup_627), .QB (
               nx18732)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1532 (.D (nx11731), .SI (
               regs_dram_modgen_ram_ix26_a_40_dup_633), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_41_dup_632), .QB (
               nx18738)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1536 (.D (nx11721), .SI (
               regs_dram_modgen_ram_ix26_a_43_dup_630), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_40_dup_633), .QB (
               nx18743)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1524 (.D (nx11751), .SI (scan_in13), 
               .SE (scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_43_dup_630), .QB (nx18749)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1528 (.D (nx11741), .SI (
               regs_dram_modgen_ram_ix26_a_37_dup_636), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_42_dup_631), .QB (
               nx18754)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1548 (.D (nx11691), .SI (
               regs_dram_modgen_ram_ix26_a_36_dup_637), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_37_dup_636), .QB (
               nx18760)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1552 (.D (nx11681), .SI (
               regs_dram_modgen_ram_ix26_a_39_dup_634), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_36_dup_637), .QB (
               nx18765)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1540 (.D (nx11711), .SI (
               regs_dram_modgen_ram_ix26_a_38_dup_635), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_39_dup_634), .QB (
               nx18771)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1544 (.D (nx11701), .SI (
               regs_dram_modgen_ram_ix26_a_33_dup_640), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_38_dup_635), .QB (
               nx18776)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1564 (.D (nx11651), .SI (
               regs_dram_modgen_ram_ix26_a_32_dup_641), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_33_dup_640), .QB (
               nx18782)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1568 (.D (nx11641), .SI (
               regs_dram_modgen_ram_ix26_a_35_dup_638), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_32_dup_641), .QB (
               nx18787)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1556 (.D (nx11671), .SI (
               regs_dram_modgen_ram_ix26_a_34_dup_639), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_35_dup_638), .QB (
               nx18793)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1560 (.D (nx11661), .SI (
               regs_dram_modgen_ram_ix26_a_29_dup_644), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_34_dup_639), .QB (
               nx18798)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1580 (.D (nx11611), .SI (
               regs_dram_modgen_ram_ix26_a_28_dup_645), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_29_dup_644), .QB (
               nx18807)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1584 (.D (nx11601), .SI (
               regs_dram_modgen_ram_ix26_a_31_dup_642), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_28_dup_645), .QB (
               nx18812)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1572 (.D (nx11631), .SI (
               regs_dram_modgen_ram_ix26_a_30_dup_643), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_31_dup_642), .QB (
               nx18818)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1576 (.D (nx11621), .SI (
               regs_dram_modgen_ram_ix26_a_25_dup_648), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_30_dup_643), .QB (
               nx18823)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1596 (.D (nx11571), .SI (
               regs_dram_modgen_ram_ix26_a_24_dup_649), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_25_dup_648), .QB (
               nx18829)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1600 (.D (nx11561), .SI (
               regs_dram_modgen_ram_ix26_a_27_dup_646), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_24_dup_649), .QB (
               nx18834)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1588 (.D (nx11591), .SI (
               regs_dram_modgen_ram_ix26_a_26_dup_647), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_27_dup_646), .QB (
               nx18840)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1592 (.D (nx11581), .SI (
               regs_dram_modgen_ram_ix26_a_21_dup_652), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_26_dup_647), .QB (
               nx18845)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1612 (.D (nx11531), .SI (
               regs_dram_modgen_ram_ix26_a_20_dup_653), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_21_dup_652), .QB (
               nx18851)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1616 (.D (nx11521), .SI (
               regs_dram_modgen_ram_ix26_a_23_dup_650), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_20_dup_653), .QB (
               nx18856)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1604 (.D (nx11551), .SI (
               regs_dram_modgen_ram_ix26_a_22_dup_651), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_23_dup_650), .QB (
               nx18862)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1608 (.D (nx11541), .SI (
               regs_dram_modgen_ram_ix26_a_17_dup_656), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_22_dup_651), .QB (
               nx18867)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1628 (.D (nx11491), .SI (
               regs_dram_modgen_ram_ix26_a_16_dup_657), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_17_dup_656), .QB (
               nx18873)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1632 (.D (nx11481), .SI (
               regs_dram_modgen_ram_ix26_a_19_dup_654), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_16_dup_657), .QB (
               nx18878)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1620 (.D (nx11511), .SI (
               regs_dram_modgen_ram_ix26_a_18_dup_655), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_19_dup_654), .QB (
               nx18884)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1624 (.D (nx11501), .SI (
               regs_dram_modgen_ram_ix26_a_13_dup_660), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_18_dup_655), .QB (
               nx18889)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1644 (.D (nx11451), .SI (
               regs_dram_modgen_ram_ix26_a_12_dup_661), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_13_dup_660), .QB (
               nx18897)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1648 (.D (nx11441), .SI (
               regs_dram_modgen_ram_ix26_a_15_dup_658), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_12_dup_661), .QB (
               nx18902)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1636 (.D (nx11471), .SI (
               regs_dram_modgen_ram_ix26_a_14_dup_659), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_15_dup_658), .QB (
               nx18908)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1640 (.D (nx11461), .SI (
               regs_dram_modgen_ram_ix26_a_9_dup_664), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_14_dup_659), .QB (
               nx18913)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1660 (.D (nx11411), .SI (
               regs_dram_modgen_ram_ix26_a_8_dup_665), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_9_dup_664), .QB (
               nx18919)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1664 (.D (nx11401), .SI (
               regs_dram_modgen_ram_ix26_a_11_dup_662), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_8_dup_665), .QB (
               nx18924)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1652 (.D (nx11431), .SI (
               regs_dram_modgen_ram_ix26_a_10_dup_663), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_11_dup_662), .QB (
               nx18930)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1656 (.D (nx11421), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_668), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10_dup_663), .QB (
               nx18935)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1676 (.D (nx11371), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_669), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_668), .QB (
               nx18941)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1680 (.D (nx11361), .SI (
               regs_dram_modgen_ram_ix26_a_7_dup_666), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_669), .QB (
               nx18946)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1668 (.D (nx11391), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_667), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7_dup_666), .QB (
               nx18952)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1672 (.D (nx11381), .SI (scan_in14), 
               .SE (scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_6_dup_667), .QB (nx18957)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1692 (.D (nx11331), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_673), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_672), .QB (
               nx18963)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1696 (.D (nx11321), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_670), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_673), .QB (
               nx18968)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1684 (.D (nx11351), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_671), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_3_dup_670), .QB (
               nx18974)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1688 (.D (nx11341), .SI (tmr0_5), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_671), .QB (nx18979)) ;
    sffr_macro reg_tmr0_5 (.D (nx11271), .SI (U$dummy_99), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_5), .QB (nx18989)) ;
    sffr_macro reg_porta_5 (.D (nx10824), .SI (U$dummy_100), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (porta_5), .QB (U$dummy_99)) ;
    sffr_macro reg_stack1_5 (.D (nx11291), .SI (stack2_5), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_5), .QB (U$dummy_100)) ;
    sffr_macro reg_stack2_5 (.D (nx11281), .SI (U$dummy_105), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_5), .QB (nx19015)) ;
    sffr_macro reg_pc_5 (.D (nx10924), .SI (portbout[5]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[5]), .QB (\$dummy [35])) ;
    sffr_macro reg_portb_5 (.D (nx11311), .SI (portcout[5]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portbout[5]), .QB (\$dummy [36])) ;
    sffr_macro reg_portc_5 (.D (nx11301), .SI (debugw[6]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[5]), .QB (\$dummy [37])) ;
    sffr_macro reg_w_6 (.D (nx13941), .SI (debugpc[6]), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debugw[6]), .QB (\$dummy [38])) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix875 (.D (
               regs_dram_modgen_ram_ix26_a_77_dup_468), .SI (U$dummy_106), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_77_dup_468), .QB (U$dummy_105)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix879 (.D (
               regs_dram_modgen_ram_ix26_a_76_dup_469), .SI (U$dummy_107), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_76_dup_469), .QB (U$dummy_106)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix867 (.D (
               regs_dram_modgen_ram_ix26_a_79_dup_466), .SI (U$dummy_108), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_79_dup_466), .QB (U$dummy_107)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix871 (.D (
               regs_dram_modgen_ram_ix26_a_78_dup_467), .SI (U$dummy_109), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_78_dup_467), .QB (U$dummy_108)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix891 (.D (
               regs_dram_modgen_ram_ix26_a_73_dup_472), .SI (U$dummy_110), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_73_dup_472), .QB (U$dummy_109)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix895 (.D (
               regs_dram_modgen_ram_ix26_a_72_dup_473), .SI (U$dummy_111), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_72_dup_473), .QB (U$dummy_110)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix883 (.D (
               regs_dram_modgen_ram_ix26_a_75_dup_470), .SI (U$dummy_112), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_75_dup_470), .QB (U$dummy_111)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix887 (.D (
               regs_dram_modgen_ram_ix26_a_74_dup_471), .SI (
               regs_dram_modgen_ram_ix26_a_69_dup_476), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_74_dup_471), .QB (
               U$dummy_112)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix907 (.D (nx13351), .SI (
               regs_dram_modgen_ram_ix26_a_68_dup_477), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_69_dup_476), .QB (
               nx19075)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix911 (.D (nx13341), .SI (
               regs_dram_modgen_ram_ix26_a_71_dup_474), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_68_dup_477), .QB (
               nx19080)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix899 (.D (nx13371), .SI (
               regs_dram_modgen_ram_ix26_a_70_dup_475), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_71_dup_474), .QB (
               nx19086)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix903 (.D (nx13361), .SI (
               regs_dram_modgen_ram_ix26_a_65_dup_480), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_70_dup_475), .QB (
               nx19091)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix923 (.D (nx13311), .SI (
               regs_dram_modgen_ram_ix26_a_64_dup_481), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_65_dup_480), .QB (
               nx19097)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix927 (.D (nx13301), .SI (
               regs_dram_modgen_ram_ix26_a_67_dup_478), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_64_dup_481), .QB (
               nx19102)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix915 (.D (nx13331), .SI (
               regs_dram_modgen_ram_ix26_a_66_dup_479), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_67_dup_478), .QB (
               nx19108)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix919 (.D (nx13321), .SI (
               regs_dram_modgen_ram_ix26_a_61_dup_484), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_66_dup_479), .QB (
               nx19113)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix939 (.D (nx13271), .SI (
               regs_dram_modgen_ram_ix26_a_60_dup_485), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_61_dup_484), .QB (
               nx19123)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix943 (.D (nx13261), .SI (
               regs_dram_modgen_ram_ix26_a_63_dup_482), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_60_dup_485), .QB (
               nx19128)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix931 (.D (nx13291), .SI (
               regs_dram_modgen_ram_ix26_a_62_dup_483), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_63_dup_482), .QB (
               nx19134)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix935 (.D (nx13281), .SI (
               regs_dram_modgen_ram_ix26_a_57_dup_488), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_62_dup_483), .QB (
               nx19139)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix955 (.D (nx13231), .SI (
               regs_dram_modgen_ram_ix26_a_56_dup_489), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_57_dup_488), .QB (
               nx19145)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix959 (.D (nx13221), .SI (
               regs_dram_modgen_ram_ix26_a_59_dup_486), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_56_dup_489), .QB (
               nx19150)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix947 (.D (nx13251), .SI (
               regs_dram_modgen_ram_ix26_a_58_dup_487), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_59_dup_486), .QB (
               nx19156)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix951 (.D (nx13241), .SI (
               regs_dram_modgen_ram_ix26_a_53_dup_492), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_58_dup_487), .QB (
               nx19161)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix971 (.D (nx13191), .SI (
               regs_dram_modgen_ram_ix26_a_52_dup_493), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_53_dup_492), .QB (
               nx19167)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix975 (.D (nx13181), .SI (
               regs_dram_modgen_ram_ix26_a_55_dup_490), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_52_dup_493), .QB (
               nx19172)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix963 (.D (nx13211), .SI (
               regs_dram_modgen_ram_ix26_a_54_dup_491), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_55_dup_490), .QB (
               nx19178)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix967 (.D (nx13201), .SI (
               regs_dram_modgen_ram_ix26_a_49_dup_496), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_54_dup_491), .QB (
               nx19183)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix987 (.D (nx13151), .SI (scan_in15), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_49_dup_496), .QB (nx19189)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix991 (.D (nx13141), .SI (
               regs_dram_modgen_ram_ix26_a_51_dup_494), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_48_dup_497), .QB (
               nx19194)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix979 (.D (nx13171), .SI (
               regs_dram_modgen_ram_ix26_a_50_dup_495), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_51_dup_494), .QB (
               nx19200)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix983 (.D (nx13161), .SI (
               regs_dram_modgen_ram_ix26_a_45_dup_500), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_50_dup_495), .QB (
               nx19205)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1003 (.D (nx13111), .SI (
               regs_dram_modgen_ram_ix26_a_44_dup_501), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_45_dup_500), .QB (
               nx19214)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1007 (.D (nx13101), .SI (
               regs_dram_modgen_ram_ix26_a_47_dup_498), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_44_dup_501), .QB (
               nx19219)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix995 (.D (nx13131), .SI (
               regs_dram_modgen_ram_ix26_a_46_dup_499), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_47_dup_498), .QB (
               nx19225)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix999 (.D (nx13121), .SI (
               regs_dram_modgen_ram_ix26_a_41_dup_504), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_46_dup_499), .QB (
               nx19230)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1019 (.D (nx13071), .SI (
               regs_dram_modgen_ram_ix26_a_40_dup_505), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_41_dup_504), .QB (
               nx19236)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1023 (.D (nx13061), .SI (
               regs_dram_modgen_ram_ix26_a_43_dup_502), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_40_dup_505), .QB (
               nx19241)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1011 (.D (nx13091), .SI (
               regs_dram_modgen_ram_ix26_a_42_dup_503), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_43_dup_502), .QB (
               nx19247)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1015 (.D (nx13081), .SI (
               regs_dram_modgen_ram_ix26_a_37_dup_508), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_42_dup_503), .QB (
               nx19252)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1035 (.D (nx13031), .SI (
               regs_dram_modgen_ram_ix26_a_36_dup_509), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_37_dup_508), .QB (
               nx19258)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1039 (.D (nx13021), .SI (
               regs_dram_modgen_ram_ix26_a_39_dup_506), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_36_dup_509), .QB (
               nx19263)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1027 (.D (nx13051), .SI (
               regs_dram_modgen_ram_ix26_a_38_dup_507), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_39_dup_506), .QB (
               nx19269)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1031 (.D (nx13041), .SI (
               regs_dram_modgen_ram_ix26_a_33_dup_512), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_38_dup_507), .QB (
               nx19274)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1051 (.D (nx12991), .SI (
               regs_dram_modgen_ram_ix26_a_32_dup_513), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_33_dup_512), .QB (
               nx19280)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1055 (.D (nx12981), .SI (
               regs_dram_modgen_ram_ix26_a_35_dup_510), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_32_dup_513), .QB (
               nx19285)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1043 (.D (nx13011), .SI (
               regs_dram_modgen_ram_ix26_a_34_dup_511), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_35_dup_510), .QB (
               nx19291)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1047 (.D (nx13001), .SI (
               regs_dram_modgen_ram_ix26_a_29_dup_516), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_34_dup_511), .QB (
               nx19296)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1067 (.D (nx12951), .SI (
               regs_dram_modgen_ram_ix26_a_28_dup_517), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_29_dup_516), .QB (
               nx19305)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1071 (.D (nx12941), .SI (
               regs_dram_modgen_ram_ix26_a_31_dup_514), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_28_dup_517), .QB (
               nx19310)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1059 (.D (nx12971), .SI (
               regs_dram_modgen_ram_ix26_a_30_dup_515), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_31_dup_514), .QB (
               nx19316)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1063 (.D (nx12961), .SI (
               regs_dram_modgen_ram_ix26_a_25_dup_520), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_30_dup_515), .QB (
               nx19321)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1083 (.D (nx12911), .SI (
               regs_dram_modgen_ram_ix26_a_24_dup_521), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_25_dup_520), .QB (
               nx19327)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1087 (.D (nx12901), .SI (
               regs_dram_modgen_ram_ix26_a_27_dup_518), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_24_dup_521), .QB (
               nx19332)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1075 (.D (nx12931), .SI (
               regs_dram_modgen_ram_ix26_a_26_dup_519), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_27_dup_518), .QB (
               nx19338)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1079 (.D (nx12921), .SI (
               regs_dram_modgen_ram_ix26_a_21_dup_524), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_26_dup_519), .QB (
               nx19343)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1099 (.D (nx12871), .SI (
               regs_dram_modgen_ram_ix26_a_20_dup_525), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_21_dup_524), .QB (
               nx19349)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1103 (.D (nx12861), .SI (
               regs_dram_modgen_ram_ix26_a_23_dup_522), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_20_dup_525), .QB (
               nx19354)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1091 (.D (nx12891), .SI (
               regs_dram_modgen_ram_ix26_a_22_dup_523), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_23_dup_522), .QB (
               nx19360)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1095 (.D (nx12881), .SI (
               regs_dram_modgen_ram_ix26_a_17_dup_528), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_22_dup_523), .QB (
               nx19365)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1115 (.D (nx12831), .SI (
               regs_dram_modgen_ram_ix26_a_16_dup_529), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_17_dup_528), .QB (
               nx19371)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1119 (.D (nx12821), .SI (
               regs_dram_modgen_ram_ix26_a_19_dup_526), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_16_dup_529), .QB (
               nx19376)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1107 (.D (nx12851), .SI (
               regs_dram_modgen_ram_ix26_a_18_dup_527), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_19_dup_526), .QB (
               nx19382)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1111 (.D (nx12841), .SI (
               regs_dram_modgen_ram_ix26_a_13_dup_532), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_18_dup_527), .QB (
               nx19387)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1131 (.D (nx12791), .SI (
               regs_dram_modgen_ram_ix26_a_12_dup_533), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_13_dup_532), .QB (
               nx19395)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1135 (.D (nx12781), .SI (scan_in16), 
               .SE (scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_12_dup_533), .QB (nx19400)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1123 (.D (nx12811), .SI (
               regs_dram_modgen_ram_ix26_a_14_dup_531), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_15_dup_530), .QB (
               nx19406)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1127 (.D (nx12801), .SI (
               regs_dram_modgen_ram_ix26_a_9_dup_536), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_14_dup_531), .QB (
               nx19411)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1147 (.D (nx12751), .SI (
               regs_dram_modgen_ram_ix26_a_8_dup_537), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_9_dup_536), .QB (
               nx19417)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1151 (.D (nx12741), .SI (
               regs_dram_modgen_ram_ix26_a_11_dup_534), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_8_dup_537), .QB (
               nx19422)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1139 (.D (nx12771), .SI (
               regs_dram_modgen_ram_ix26_a_10_dup_535), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_11_dup_534), .QB (
               nx19428)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1143 (.D (nx12761), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_540), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10_dup_535), .QB (
               nx19433)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1163 (.D (nx12711), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_541), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_540), .QB (
               nx19439)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1167 (.D (nx12701), .SI (
               regs_dram_modgen_ram_ix26_a_7_dup_538), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_541), .QB (
               nx19444)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1155 (.D (nx12731), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_539), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7_dup_538), .QB (
               nx19450)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1159 (.D (nx12721), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_544), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_6_dup_539), .QB (
               nx19455)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1179 (.D (nx12671), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_545), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_544), .QB (
               nx19461)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1183 (.D (nx12661), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_542), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_545), .QB (
               nx19466)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1171 (.D (nx12691), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_543), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_3_dup_542), .QB (
               nx19472)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix1175 (.D (nx12681), .SI (tmr0_6), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_543), .QB (nx19477)) ;
    sffr_macro reg_tmr0_6 (.D (nx12611), .SI (U$dummy_113), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_6), .QB (nx19487)) ;
    sffr_macro reg_porta_6 (.D (nx12578), .SI (U$dummy_114), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (porta_6), .QB (U$dummy_113)) ;
    sffr_macro reg_stack1_6 (.D (nx12631), .SI (stack2_6), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_6), .QB (U$dummy_114)) ;
    sffr_macro reg_stack2_6 (.D (nx12621), .SI (U$dummy_119), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_6), .QB (nx19513)) ;
    sffr_macro reg_pc_6 (.D (nx12678), .SI (portbout[6]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[6]), .QB (\$dummy [39])) ;
    sffr_macro reg_portb_6 (.D (nx12651), .SI (portcout[6]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portbout[6]), .QB (\$dummy [40])) ;
    sffr_macro reg_portc_6 (.D (nx12641), .SI (debugw[7]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[6]), .QB (\$dummy [41])) ;
    sffr_macro reg_w_7 (.D (nx15301), .SI (debugpc[7]), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debugw[7]), .QB (\$dummy [42])) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix360 (.D (
               regs_dram_modgen_ram_ix26_a_77), .SI (U$dummy_120), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_77), .QB (
               U$dummy_119)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix364 (.D (
               regs_dram_modgen_ram_ix26_a_76), .SI (U$dummy_121), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_76), .QB (
               U$dummy_120)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix352 (.D (
               regs_dram_modgen_ram_ix26_a_79), .SI (U$dummy_122), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_79), .QB (
               U$dummy_121)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix356 (.D (
               regs_dram_modgen_ram_ix26_a_78), .SI (U$dummy_123), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_78), .QB (
               U$dummy_122)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix376 (.D (
               regs_dram_modgen_ram_ix26_a_73), .SI (U$dummy_124), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_73), .QB (
               U$dummy_123)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix380 (.D (
               regs_dram_modgen_ram_ix26_a_72), .SI (U$dummy_125), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_72), .QB (
               U$dummy_124)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix368 (.D (
               regs_dram_modgen_ram_ix26_a_75), .SI (U$dummy_126), .SE (scan_en)
               , .CLK (clk), .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_75), .QB (
               U$dummy_125)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix372 (.D (
               regs_dram_modgen_ram_ix26_a_74), .SI (
               regs_dram_modgen_ram_ix26_a_69), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_74), .QB (U$dummy_126)
               ) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix392 (.D (nx14711), .SI (
               regs_dram_modgen_ram_ix26_a_68), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_69), .QB (nx19573)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix396 (.D (nx14701), .SI (
               regs_dram_modgen_ram_ix26_a_71), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_68), .QB (nx19578)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix384 (.D (nx14731), .SI (
               regs_dram_modgen_ram_ix26_a_70), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_71), .QB (nx19584)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix388 (.D (nx14721), .SI (
               regs_dram_modgen_ram_ix26_a_65), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_70), .QB (nx19589)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix408 (.D (nx14671), .SI (
               regs_dram_modgen_ram_ix26_a_64), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_65), .QB (nx19595)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix412 (.D (nx14661), .SI (
               regs_dram_modgen_ram_ix26_a_67), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_64), .QB (nx19600)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix400 (.D (nx14691), .SI (
               regs_dram_modgen_ram_ix26_a_66), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_67), .QB (nx19606)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix404 (.D (nx14681), .SI (
               regs_dram_modgen_ram_ix26_a_61), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_66), .QB (nx19611)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix424 (.D (nx14631), .SI (
               regs_dram_modgen_ram_ix26_a_60), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_61), .QB (nx19621)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix428 (.D (nx14621), .SI (scan_in17), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_60), .QB (nx19626)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix416 (.D (nx14651), .SI (
               regs_dram_modgen_ram_ix26_a_62), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_63), .QB (nx19632)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix420 (.D (nx14641), .SI (
               regs_dram_modgen_ram_ix26_a_57), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_62), .QB (nx19637)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix440 (.D (nx14591), .SI (
               regs_dram_modgen_ram_ix26_a_56), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_57), .QB (nx19643)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix444 (.D (nx14581), .SI (
               regs_dram_modgen_ram_ix26_a_59), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_56), .QB (nx19648)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix432 (.D (nx14611), .SI (
               regs_dram_modgen_ram_ix26_a_58), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_59), .QB (nx19654)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix436 (.D (nx14601), .SI (
               regs_dram_modgen_ram_ix26_a_53), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_58), .QB (nx19659)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix456 (.D (nx14551), .SI (
               regs_dram_modgen_ram_ix26_a_52), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_53), .QB (nx19665)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix460 (.D (nx14541), .SI (
               regs_dram_modgen_ram_ix26_a_55), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_52), .QB (nx19670)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix448 (.D (nx14571), .SI (
               regs_dram_modgen_ram_ix26_a_54), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_55), .QB (nx19676)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix452 (.D (nx14561), .SI (
               regs_dram_modgen_ram_ix26_a_49), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_54), .QB (nx19681)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix472 (.D (nx14511), .SI (
               regs_dram_modgen_ram_ix26_a_48), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_49), .QB (nx19687)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix476 (.D (nx14501), .SI (
               regs_dram_modgen_ram_ix26_a_51), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_48), .QB (nx19692)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix464 (.D (nx14531), .SI (
               regs_dram_modgen_ram_ix26_a_50), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_51), .QB (nx19698)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix468 (.D (nx14521), .SI (
               regs_dram_modgen_ram_ix26_a_45), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_50), .QB (nx19703)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix488 (.D (nx14471), .SI (
               regs_dram_modgen_ram_ix26_a_44), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_45), .QB (nx19712)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix492 (.D (nx14461), .SI (
               regs_dram_modgen_ram_ix26_a_47), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_44), .QB (nx19717)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix480 (.D (nx14491), .SI (
               regs_dram_modgen_ram_ix26_a_46), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_47), .QB (nx19723)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix484 (.D (nx14481), .SI (
               regs_dram_modgen_ram_ix26_a_41), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_46), .QB (nx19728)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix504 (.D (nx14431), .SI (
               regs_dram_modgen_ram_ix26_a_40), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_41), .QB (nx19734)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix508 (.D (nx14421), .SI (
               regs_dram_modgen_ram_ix26_a_43), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_40), .QB (nx19739)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix496 (.D (nx14451), .SI (
               regs_dram_modgen_ram_ix26_a_42), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_43), .QB (nx19745)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix500 (.D (nx14441), .SI (
               regs_dram_modgen_ram_ix26_a_37), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_42), .QB (nx19750)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix520 (.D (nx14391), .SI (
               regs_dram_modgen_ram_ix26_a_36), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_37), .QB (nx19756)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix524 (.D (nx14381), .SI (
               regs_dram_modgen_ram_ix26_a_39), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_36), .QB (nx19761)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix512 (.D (nx14411), .SI (
               regs_dram_modgen_ram_ix26_a_38), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_39), .QB (nx19767)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix516 (.D (nx14401), .SI (
               regs_dram_modgen_ram_ix26_a_33), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_38), .QB (nx19772)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix536 (.D (nx14351), .SI (
               regs_dram_modgen_ram_ix26_a_32), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_33), .QB (nx19778)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix540 (.D (nx14341), .SI (
               regs_dram_modgen_ram_ix26_a_35), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_32), .QB (nx19783)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix528 (.D (nx14371), .SI (
               regs_dram_modgen_ram_ix26_a_34), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_35), .QB (nx19789)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix532 (.D (nx14361), .SI (
               regs_dram_modgen_ram_ix26_a_29), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_34), .QB (nx19794)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix552 (.D (nx14311), .SI (
               regs_dram_modgen_ram_ix26_a_28), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_29), .QB (nx19803)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix556 (.D (nx14301), .SI (
               regs_dram_modgen_ram_ix26_a_31), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_28), .QB (nx19808)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix544 (.D (nx14331), .SI (
               regs_dram_modgen_ram_ix26_a_30), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_31), .QB (nx19814)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix548 (.D (nx14321), .SI (
               regs_dram_modgen_ram_ix26_a_25), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_30), .QB (nx19819)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix568 (.D (nx14271), .SI (
               regs_dram_modgen_ram_ix26_a_24), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_25), .QB (nx19825)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix572 (.D (nx14261), .SI (scan_in18), .SE (
               scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_24), .QB (nx19830)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix560 (.D (nx14291), .SI (
               regs_dram_modgen_ram_ix26_a_26), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_27), .QB (nx19836)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix564 (.D (nx14281), .SI (
               regs_dram_modgen_ram_ix26_a_21), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_26), .QB (nx19841)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix584 (.D (nx14231), .SI (
               regs_dram_modgen_ram_ix26_a_20), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_21), .QB (nx19847)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix588 (.D (nx14221), .SI (
               regs_dram_modgen_ram_ix26_a_23), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_20), .QB (nx19852)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix576 (.D (nx14251), .SI (
               regs_dram_modgen_ram_ix26_a_22), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_23), .QB (nx19858)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix580 (.D (nx14241), .SI (
               regs_dram_modgen_ram_ix26_a_17), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_22), .QB (nx19863)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix600 (.D (nx14191), .SI (
               regs_dram_modgen_ram_ix26_a_16), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_17), .QB (nx19869)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix604 (.D (nx14181), .SI (
               regs_dram_modgen_ram_ix26_a_19), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_16), .QB (nx19874)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix592 (.D (nx14211), .SI (
               regs_dram_modgen_ram_ix26_a_18), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_19), .QB (nx19880)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix596 (.D (nx14201), .SI (
               regs_dram_modgen_ram_ix26_a_13), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_18), .QB (nx19885)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix616 (.D (nx14151), .SI (
               regs_dram_modgen_ram_ix26_a_12), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_13), .QB (nx19893)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix620 (.D (nx14141), .SI (
               regs_dram_modgen_ram_ix26_a_15), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_12), .QB (nx19898)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix608 (.D (nx14171), .SI (
               regs_dram_modgen_ram_ix26_a_14), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_15), .QB (nx19904)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix612 (.D (nx14161), .SI (
               regs_dram_modgen_ram_ix26_a_9), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_14), .QB (nx19909)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix632 (.D (nx14111), .SI (
               regs_dram_modgen_ram_ix26_a_8), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_9), .QB (nx19915)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix636 (.D (nx14101), .SI (
               regs_dram_modgen_ram_ix26_a_11), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_8), .QB (nx19920)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix624 (.D (nx14131), .SI (
               regs_dram_modgen_ram_ix26_a_10), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_11), .QB (nx19926)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix628 (.D (nx14121), .SI (
               regs_dram_modgen_ram_ix26_a_5_dup_412), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_10), .QB (nx19931)
               ) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix648 (.D (nx14071), .SI (
               regs_dram_modgen_ram_ix26_a_4_dup_413), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_5_dup_412), .QB (
               nx19937)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix652 (.D (nx14061), .SI (
               regs_dram_modgen_ram_ix26_a_7), .SE (scan_en), .CLK (clk), .R (
               nx4179), .Q (regs_dram_modgen_ram_ix26_a_4_dup_413), .QB (nx19942
               )) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix640 (.D (nx14091), .SI (
               regs_dram_modgen_ram_ix26_a_6_dup_411), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_7), .QB (nx19948)
               ) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix644 (.D (nx14081), .SI (
               regs_dram_modgen_ram_ix26_a_1_dup_416), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_6_dup_411), .QB (
               nx19953)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix664 (.D (nx14031), .SI (
               regs_dram_modgen_ram_ix26_a_0_dup_417), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_1_dup_416), .QB (
               nx19959)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix668 (.D (nx14021), .SI (
               regs_dram_modgen_ram_ix26_a_3_dup_414), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_0_dup_417), .QB (
               nx19964)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix656 (.D (nx14051), .SI (
               regs_dram_modgen_ram_ix26_a_2_dup_415), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (regs_dram_modgen_ram_ix26_a_3_dup_414), .QB (
               nx19970)) ;
    sffr_macro regs_dram_modgen_ram_ix26_ix660 (.D (nx14041), .SI (U$dummy_127)
               , .SE (scan_en), .CLK (clk), .R (nx4179), .Q (
               regs_dram_modgen_ram_ix26_a_2_dup_415), .QB (nx19975)) ;
    sffr_macro reg_fsr_7 (.D (nx13961), .SI (tmr0_7), .SE (scan_en), .CLK (clk)
               , .R (nx4179), .Q (U$dummy_127), .QB (nx19981)) ;
    sffr_macro reg_tmr0_7 (.D (nx13951), .SI (U$dummy_128), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (tmr0_7), .QB (nx19990)) ;
    sffr_macro reg_porta_7 (.D (nx14332), .SI (U$dummy_129), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (porta_7), .QB (U$dummy_128)) ;
    sffr_macro reg_stack1_7 (.D (nx13981), .SI (stack2_7), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_7), .QB (U$dummy_129)) ;
    sffr_macro reg_stack2_7 (.D (nx13971), .SI (stack2_8), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_7), .QB (nx20015)) ;
    sffr_macro reg_pc_7 (.D (nx14436), .SI (debugstatus[7]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[7]), .QB (\$dummy [43])) ;
    sffr_macro reg_status_7 (.D (nx13991), .SI (portbout[7]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugstatus[7]), .QB (\$dummy [44])) ;
    sffr_macro reg_portb_7 (.D (nx14011), .SI (portcout[7]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portbout[7]), .QB (\$dummy [45])) ;
    sffr_macro reg_portc_7 (.D (nx14001), .SI (debugpc[8]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (portcout[7]), .QB (\$dummy [46])) ;
    sffr_macro reg_stack2_8 (.D (nx15321), .SI (U$dummy_134), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_8), .QB (nx20092)) ;
    sffr_macro reg_stack1_8 (.D (nx15311), .SI (U$dummy_136), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_8), .QB (U$dummy_134)) ;
    sffr_macro reg_pc_8 (.D (nx16348), .SI (debugpc[9]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (debugpc[8]), .QB (\$dummy [47])) ;
    sffr_macro reg_stack1_9 (.D (nx15341), .SI (stack2_9), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_9), .QB (U$dummy_136)) ;
    sffr_macro reg_stack2_9 (.D (nx15331), .SI (stack2_10), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_9), .QB (nx20119)) ;
    sffr_macro reg_pc_9 (.D (nx16406), .SI (scan_in20), .SE (scan_en), .CLK (clk
               ), .R (nx4179), .Q (debugpc[9]), .QB (\$dummy [48])) ;
    sffr_macro reg_pc_10 (.D (nx16460), .SI (fsr_2), .SE (scan_en), .CLK (clk), 
               .R (nx4179), .Q (debugpc[10]), .QB (\$dummy [49])) ;
    sffr_macro reg_stack2_10 (.D (nx15361), .SI (scan_in19), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack2_10), .QB (nx20136)) ;
    sffr_macro reg_stack1_10 (.D (nx15351), .SI (debugw[1]), .SE (scan_en), .CLK (
               clk), .R (nx4179), .Q (stack1_10), .QB (U$dummy_139)) ;
    oai22 ix16091_ix9 (.Y (alub_7), .A0 (nx20646), .A1 (nx21749), .B0 (alubsel_0
          ), .B1 (nx20082)) ;
    nand02 ix20055_ix5 (.Y (nx20646), .A0 (nx21747), .A1 (alubsel_0)) ;
    inv02 ix21748 (.Y (nx21747), .A (alubsel_1)) ;
    inv02 ix21750 (.Y (nx21749), .A (nx16064)) ;
    ao221 ix16065_ix7 (.Y (nx16064), .A0 (expdin[7]), .A1 (nx21752), .B0 (
          nx24224), .B1 (nx16056), .C0 (nx4_dup_0_dup_19276)) ;
    nand04 modgen_or_13_ix13 (.Y (modgen_or_13_nx12), .A0 (nx21755), .A1 (
           nx21762), .A2 (nx21764), .A3 (nx21769)) ;
    ao21 ix21756 (.Y (nx21755), .A0 (debugstatus[5]), .A1 (debugstatus[6]), .B0 (
         expaddr[5])) ;
    mux21 ix323_ix3 (.Y (expaddr[5]), .A0 (nx21758), .A1 (nx15521), .S0 (nx24428
          )) ;
    inv02 ix21759 (.Y (nx21758), .A (debugstatus[5])) ;
    nor04 ix15443_ix13 (.Y (nx15442), .A0 (nx24394), .A1 (nx24396), .A2 (nx134)
          , .A3 (nx24398)) ;
    or02 ix135_ix1 (.Y (nx134), .A0 (debuginst[4]), .A1 (debuginst[3])) ;
    ao21 ix21763 (.Y (nx21762), .A0 (debuginst[3]), .A1 (debuginst[4]), .B0 (
         expaddr[5])) ;
    ao21 ix21765 (.Y (nx21764), .A0 (debugstatus[5]), .A1 (debugstatus[6]), .B0 (
         expaddr[6])) ;
    ao21 ix21770 (.Y (nx21769), .A0 (debuginst[3]), .A1 (debuginst[4]), .B0 (
         expaddr[6])) ;
    nor02 ix15526_ix5 (.Y (nx2_dup_0_dup_8788), .A0 (nx21752), .A1 (nx230)) ;
    ao21 ix207_ix3 (.Y (expaddr[3]), .A0 (fsr_3), .A1 (nx24428), .B0 (
         debuginst[3])) ;
    ao21 ix225_ix3 (.Y (expaddr[4]), .A0 (fsr_4), .A1 (nx24428), .B0 (
         debuginst[4])) ;
    ao21 modgen_or_34_ix7 (.Y (nx16056), .A0 (nx24496), .A1 (nx21782), .B0 (
         modgen_or_34_nx4)) ;
    inv02 ix21783 (.Y (nx21782), .A (nx19547)) ;
    nor04 ix19548_ix13 (.Y (nx19547), .A0 (nx15458), .A1 (nx15412), .A2 (nx15364
          ), .A3 (nx15318)) ;
    ao221 ix15459_ix7 (.Y (nx15458), .A0 (regs_dram_modgen_ram_ix26_a_78), .A1 (
          nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79), .B1 (nx24222), .C0 (
          nx19300)) ;
    ao21 ix251_ix3 (.Y (expaddr[2]), .A0 (fsr_2), .A1 (nx24428), .B0 (nx24398)
         ) ;
    ao21 ix169_ix3 (.Y (expaddr[1]), .A0 (fsr_1), .A1 (nx24428), .B0 (nx24396)
         ) ;
    nor02 ix15558_ix5 (.Y (nx20388), .A0 (nx1328), .A1 (nx278)) ;
    nand02 ix279_ix5 (.Y (nx278), .A0 (expaddr[1]), .A1 (expaddr[0])) ;
    ao21 ix187_ix3 (.Y (expaddr[0]), .A0 (fsr_0), .A1 (nx24428), .B0 (nx24394)
         ) ;
    ao22 ix15459_ix5 (.Y (nx19300), .A0 (regs_dram_modgen_ram_ix26_a_77), .A1 (
         nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76), .B1 (nx24424)) ;
    nor02 ix21801 (.Y (nx21800), .A0 (nx21802), .A1 (nx1328)) ;
    nand02 ix21803 (.Y (nx21802), .A0 (expaddr[0]), .A1 (nx21804)) ;
    nor03 ix15552_ix9 (.Y (nx15551), .A0 (nx1328), .A1 (expaddr[0]), .A2 (
          expaddr[1])) ;
    ao221 ix15413_ix7 (.Y (nx15412), .A0 (regs_dram_modgen_ram_ix26_a_73), .A1 (
          nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72), .B1 (nx24422), .C0 (
          nx4_dup_0_dup_19312)) ;
    nor04 ix15579_ix13 (.Y (nx15578), .A0 (nx21810), .A1 (nx24202), .A2 (
          expaddr[0]), .A3 (expaddr[1])) ;
    nor03 ix15585_ix9 (.Y (nx20394), .A0 (nx21810), .A1 (nx24202), .A2 (nx278)
          ) ;
    ao221 ix15365_ix7 (.Y (nx15364), .A0 (regs_dram_modgen_ram_ix26_a_70), .A1 (
          nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71), .B1 (nx24216), .C0 (
          nx19333)) ;
    nand02 ix1149_ix1 (.Y (nx1148), .A0 (nx24202), .A1 (nx21810)) ;
    nor02 ix15630_ix5 (.Y (nx20404), .A0 (nx1148), .A1 (nx278)) ;
    ao22 ix15365_ix5 (.Y (nx19333), .A0 (regs_dram_modgen_ram_ix26_a_69), .A1 (
         nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68), .B1 (nx24420)) ;
    nor02 ix21824 (.Y (nx21823), .A0 (nx21802), .A1 (nx1148)) ;
    nor03 ix15620_ix9 (.Y (nx15619), .A0 (nx1148), .A1 (expaddr[0]), .A2 (
          expaddr[1])) ;
    ao221 ix15319_ix7 (.Y (nx15318), .A0 (regs_dram_modgen_ram_ix26_a_66), .A1 (
          nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67), .B1 (nx24212), .C0 (
          nx19385)) ;
    ao221 ix1057_ix7 (.Y (nx1056), .A0 (fsr_2), .A1 (nx24428), .B0 (nx21812), .B1 (
          nx24198), .C0 (nx24398)) ;
    nor02 ix15676_ix5 (.Y (nx20410), .A0 (nx1056), .A1 (nx278)) ;
    ao22 ix15319_ix5 (.Y (nx19385), .A0 (regs_dram_modgen_ram_ix26_a_65), .A1 (
         nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64), .B1 (nx24418)) ;
    nor02 ix21832 (.Y (nx21831), .A0 (nx21802), .A1 (nx1056)) ;
    nor03 ix15666_ix9 (.Y (nx15665), .A0 (nx1056), .A1 (expaddr[0]), .A2 (
          expaddr[1])) ;
    ao221 modgen_or_34_ix5 (.Y (modgen_or_34_nx4), .A0 (nx24448), .A1 (nx21856)
          , .B0 (nx24450), .B1 (nx21871), .C0 (modgen_or_34_nx0)) ;
    nor02 ix21836 (.Y (nx21835), .A0 (nx21107), .A1 (nx21843)) ;
    nand04 ix1029_ix13 (.Y (nx1028), .A0 (nx24200), .A1 (nx24198), .A2 (
           expaddr[6]), .A3 (expaddr[5])) ;
    nor02 ix21844 (.Y (nx21843), .A0 (modgen_or_15_nx4), .A1 (a_1__dup_21610)) ;
    ao221 modgen_or_15_ix5 (.Y (modgen_or_15_nx4), .A0 (nx1012), .A1 (nx21847), 
          .B0 (nx21851), .B1 (nx21853), .C0 (nx21790)) ;
    mux21 ix21848 (.Y (nx21847), .A0 (debugstatus[6]), .A1 (nx21849), .S0 (
          nx24428)) ;
    inv02 ix21850 (.Y (nx21849), .A (nx15516)) ;
    ao21 ix21854 (.Y (nx21853), .A0 (nx24200), .A1 (expaddr[5]), .B0 (nx21790)
         ) ;
    nor02 ix15691_ix25 (.Y (a_1__dup_21610), .A0 (expaddr[5]), .A1 (expaddr[6])
          ) ;
    inv02 ix21857 (.Y (nx21856), .A (nx19887)) ;
    nor04 ix19888_ix13 (.Y (nx19887), .A0 (nx14676), .A1 (nx14630), .A2 (nx14582
          ), .A3 (nx14536)) ;
    ao221 ix14677_ix7 (.Y (nx14676), .A0 (regs_dram_modgen_ram_ix26_a_14), .A1 (
          nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15), .B1 (nx24222), .C0 (
          nx20164)) ;
    ao22 ix14677_ix5 (.Y (nx20164), .A0 (regs_dram_modgen_ram_ix26_a_13), .A1 (
         nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12), .B1 (nx24424)) ;
    ao221 ix14631_ix7 (.Y (nx14630), .A0 (regs_dram_modgen_ram_ix26_a_9), .A1 (
          nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8), .B1 (nx24422), .C0 (
          nx4_dup_0_dup_20214)) ;
    ao221 ix14583_ix7 (.Y (nx14582), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_411)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7), .B1 (nx24216), .C0 (
          nx20297)) ;
    ao22 ix14583_ix5 (.Y (nx20297), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_412)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_413), .B1 (
         nx24420)) ;
    ao221 ix14537_ix7 (.Y (nx14536), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_415)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_414), .B1 (
          nx24212), .C0 (nx20373)) ;
    ao22 ix14537_ix5 (.Y (nx20373), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_416)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_417), .B1 (
         nx24418)) ;
    nor02 ix21868 (.Y (nx21867), .A0 (nx21098), .A1 (nx21843)) ;
    nand02 ix15689_ix5 (.Y (nx21098), .A0 (nx1020), .A1 (nx1028)) ;
    mux21 ix1021_ix11 (.Y (nx1020), .A0 (nx1012), .A1 (nx21810), .S0 (expaddr[5]
          )) ;
    inv02 ix21872 (.Y (nx21871), .A (nx19797)) ;
    nor04 ix19798_ix13 (.Y (nx19797), .A0 (nx14870), .A1 (nx14824), .A2 (nx14776
          ), .A3 (nx14730)) ;
    ao221 ix14871_ix7 (.Y (nx14870), .A0 (regs_dram_modgen_ram_ix26_a_30), .A1 (
          nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31), .B1 (nx24222), .C0 (
          nx19929)) ;
    ao22 ix14871_ix5 (.Y (nx19929), .A0 (regs_dram_modgen_ram_ix26_a_29), .A1 (
         nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28), .B1 (nx24424)) ;
    ao221 ix14825_ix7 (.Y (nx14824), .A0 (regs_dram_modgen_ram_ix26_a_25), .A1 (
          nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24), .B1 (nx24422), .C0 (
          nx4_dup_0_dup_19980)) ;
    ao221 ix14777_ix7 (.Y (nx14776), .A0 (regs_dram_modgen_ram_ix26_a_22), .A1 (
          nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23), .B1 (nx24216), .C0 (
          nx20039)) ;
    ao22 ix14777_ix5 (.Y (nx20039), .A0 (regs_dram_modgen_ram_ix26_a_21), .A1 (
         nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20), .B1 (nx24420)) ;
    ao221 ix14731_ix7 (.Y (nx14730), .A0 (regs_dram_modgen_ram_ix26_a_18), .A1 (
          nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19), .B1 (nx24212), .C0 (
          nx20102)) ;
    ao22 ix14731_ix5 (.Y (nx20102), .A0 (regs_dram_modgen_ram_ix26_a_17), .A1 (
         nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16), .B1 (nx24418)) ;
    oai22 modgen_or_34_ix1 (.Y (modgen_or_34_nx0), .A0 (nx1762), .A1 (nx19706), 
          .B0 (nx2094), .B1 (nx19615)) ;
    nand02 ix15844_ix3 (.Y (nx1762), .A0 (nx21884), .A1 (nx21843)) ;
    nor02 ix21885 (.Y (nx21884), .A0 (nx1020), .A1 (nx21851)) ;
    nor04 ix19707_ix13 (.Y (nx19706), .A0 (nx15066), .A1 (nx15020), .A2 (nx14972
          ), .A3 (nx14926)) ;
    ao221 ix15067_ix7 (.Y (nx15066), .A0 (regs_dram_modgen_ram_ix26_a_46), .A1 (
          nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47), .B1 (nx24222), .C0 (
          nx19686)) ;
    ao22 ix15067_ix5 (.Y (nx19686), .A0 (regs_dram_modgen_ram_ix26_a_45), .A1 (
         nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44), .B1 (nx24424)) ;
    ao221 ix15021_ix7 (.Y (nx15020), .A0 (regs_dram_modgen_ram_ix26_a_41), .A1 (
          nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40), .B1 (nx24422), .C0 (
          nx4_dup_0_dup_19737)) ;
    ao221 ix14973_ix7 (.Y (nx14972), .A0 (regs_dram_modgen_ram_ix26_a_38), .A1 (
          nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39), .B1 (nx24216), .C0 (
          nx19796)) ;
    ao22 ix14973_ix5 (.Y (nx19796), .A0 (regs_dram_modgen_ram_ix26_a_37), .A1 (
         nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36), .B1 (nx24420)) ;
    ao221 ix14927_ix7 (.Y (nx14926), .A0 (regs_dram_modgen_ram_ix26_a_34), .A1 (
          nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35), .B1 (nx24212), .C0 (
          nx19850)) ;
    ao22 ix14927_ix5 (.Y (nx19850), .A0 (regs_dram_modgen_ram_ix26_a_33), .A1 (
         nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32), .B1 (nx24418)) ;
    nor04 ix19616_ix13 (.Y (nx19615), .A0 (nx15260), .A1 (nx15214), .A2 (nx15166
          ), .A3 (nx15120)) ;
    ao221 ix15261_ix7 (.Y (nx15260), .A0 (regs_dram_modgen_ram_ix26_a_62), .A1 (
          nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63), .B1 (nx24222), .C0 (
          nx19460)) ;
    ao22 ix15261_ix5 (.Y (nx19460), .A0 (regs_dram_modgen_ram_ix26_a_61), .A1 (
         nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60), .B1 (nx24424)) ;
    ao221 ix15215_ix7 (.Y (nx15214), .A0 (regs_dram_modgen_ram_ix26_a_57), .A1 (
          nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56), .B1 (nx24422), .C0 (
          nx4_dup_0_dup_19510)) ;
    ao221 ix15167_ix7 (.Y (nx15166), .A0 (regs_dram_modgen_ram_ix26_a_54), .A1 (
          nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55), .B1 (nx24216), .C0 (
          nx19565)) ;
    ao22 ix15167_ix5 (.Y (nx19565), .A0 (regs_dram_modgen_ram_ix26_a_53), .A1 (
         nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52), .B1 (nx24420)) ;
    ao221 ix15121_ix7 (.Y (nx15120), .A0 (regs_dram_modgen_ram_ix26_a_50), .A1 (
          nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51), .B1 (nx24212), .C0 (
          nx19620)) ;
    ao22 ix15121_ix5 (.Y (nx19620), .A0 (regs_dram_modgen_ram_ix26_a_49), .A1 (
         nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48), .B1 (nx24418)) ;
    nor03 ix14491_ix9 (.Y (nx4_dup_0_dup_19276), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx19978)) ;
    mux21 ix19979_ix11 (.Y (nx19978), .A0 (nx14384), .A1 (nx14484), .S0 (nx24396
          )) ;
    mux21 ix14385_ix11 (.Y (nx14384), .A0 (nx19981), .A1 (nx19986), .S0 (nx24394
          )) ;
    mux21 ix19987_ix11 (.Y (nx19986), .A0 (tmr0_7), .A1 (porta_7), .S0 (nx24398)
          ) ;
    mux21 ix14485_ix11 (.Y (nx14484), .A0 (nx20002), .A1 (nx20029), .S0 (nx24398
          )) ;
    mux21 ix20003_ix11 (.Y (nx20002), .A0 (debugpc[7]), .A1 (debugstatus[7]), .S0 (
          nx24394)) ;
    mux21 ix20030_ix11 (.Y (nx20029), .A0 (portbout[7]), .A1 (portcout[7]), .S0 (
          nx24394)) ;
    inv02 ix21916 (.Y (nx0_dup_0_dup_20541), .A (nx15396)) ;
    oai22 ix14327_ix9 (.Y (alub_6), .A0 (nx20646), .A1 (nx21918), .B0 (alubsel_0
          ), .B1 (nx20077)) ;
    inv02 ix21919 (.Y (nx21918), .A (nx14300)) ;
    ao221 ix14301_ix7 (.Y (nx14300), .A0 (expdin[6]), .A1 (nx21752), .B0 (
          nx24224), .B1 (nx14292), .C0 (nx4_dup_0_dup_17993)) ;
    ao21 modgen_or_32_ix7 (.Y (nx14292), .A0 (nx24496), .A1 (nx21922), .B0 (
         modgen_or_32_nx4)) ;
    inv02 ix21923 (.Y (nx21922), .A (nx19049)) ;
    nor04 ix19050_ix13 (.Y (nx19049), .A0 (nx13694), .A1 (nx13648), .A2 (nx13600
          ), .A3 (nx13554)) ;
    ao221 ix13695_ix7 (.Y (nx13694), .A0 (regs_dram_modgen_ram_ix26_a_78_dup_467
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79_dup_466), .B1 (
          nx24222), .C0 (nx18017)) ;
    ao22 ix13695_ix5 (.Y (nx18017), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_468)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_469), .B1 (
         nx24424)) ;
    ao221 ix13649_ix7 (.Y (nx13648), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_472
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_473), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_18029)) ;
    ao221 ix13601_ix7 (.Y (nx13600), .A0 (regs_dram_modgen_ram_ix26_a_70_dup_475
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71_dup_474), .B1 (
          nx24216), .C0 (nx18048)) ;
    ao22 ix13601_ix5 (.Y (nx18048), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_476)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_477), .B1 (
         nx24420)) ;
    ao221 ix13555_ix7 (.Y (nx13554), .A0 (regs_dram_modgen_ram_ix26_a_66_dup_479
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67_dup_478), .B1 (
          nx24212), .C0 (nx18098)) ;
    ao22 ix13555_ix5 (.Y (nx18098), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_480)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_481), .B1 (
         nx24418)) ;
    ao221 modgen_or_32_ix5 (.Y (modgen_or_32_nx4), .A0 (nx24448), .A1 (nx21934)
          , .B0 (nx24450), .B1 (nx21945), .C0 (modgen_or_32_nx0)) ;
    inv02 ix21935 (.Y (nx21934), .A (nx19389)) ;
    nor04 ix19390_ix13 (.Y (nx19389), .A0 (nx12912), .A1 (nx12866), .A2 (nx12818
          ), .A3 (nx12772)) ;
    ao221 ix12913_ix7 (.Y (nx12912), .A0 (regs_dram_modgen_ram_ix26_a_14_dup_531
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15_dup_530), .B1 (
          nx24222), .C0 (nx18865)) ;
    ao22 ix12913_ix5 (.Y (nx18865), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_532)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_533), .B1 (
         nx24424)) ;
    ao221 ix12867_ix7 (.Y (nx12866), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_536)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_537), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_18916)) ;
    ao221 ix12819_ix7 (.Y (nx12818), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_539)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7_dup_538), .B1 (
          nx24216), .C0 (nx18973)) ;
    ao22 ix12819_ix5 (.Y (nx18973), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_540)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_541), .B1 (
         nx24420)) ;
    ao221 ix12773_ix7 (.Y (nx12772), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_543)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_542), .B1 (
          nx24212), .C0 (nx19030)) ;
    ao22 ix12773_ix5 (.Y (nx19030), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_544)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_545), .B1 (
         nx24418)) ;
    inv02 ix21946 (.Y (nx21945), .A (nx19299)) ;
    nor04 ix19300_ix13 (.Y (nx19299), .A0 (nx13106), .A1 (nx13060), .A2 (nx13012
          ), .A3 (nx12966)) ;
    ao221 ix13107_ix7 (.Y (nx13106), .A0 (regs_dram_modgen_ram_ix26_a_30_dup_515
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31_dup_514), .B1 (
          nx24222), .C0 (nx18637)) ;
    ao22 ix13107_ix5 (.Y (nx18637), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_516)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_517), .B1 (
         nx24424)) ;
    ao221 ix13061_ix7 (.Y (nx13060), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_520
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_521), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_18687)) ;
    ao221 ix13013_ix7 (.Y (nx13012), .A0 (regs_dram_modgen_ram_ix26_a_22_dup_523
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23_dup_522), .B1 (
          nx24216), .C0 (nx18745)) ;
    ao22 ix13013_ix5 (.Y (nx18745), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_524)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_525), .B1 (
         nx24420)) ;
    ao221 ix12967_ix7 (.Y (nx12966), .A0 (regs_dram_modgen_ram_ix26_a_18_dup_527
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19_dup_526), .B1 (
          nx24212), .C0 (nx18800)) ;
    ao22 ix12967_ix5 (.Y (nx18800), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_528)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_529), .B1 (
         nx24418)) ;
    oai22 modgen_or_32_ix1 (.Y (modgen_or_32_nx0), .A0 (nx1762), .A1 (nx19208), 
          .B0 (nx2094), .B1 (nx19117)) ;
    nor04 ix19209_ix13 (.Y (nx19208), .A0 (nx13302), .A1 (nx13256), .A2 (nx13208
          ), .A3 (nx13162)) ;
    ao221 ix13303_ix7 (.Y (nx13302), .A0 (regs_dram_modgen_ram_ix26_a_46_dup_499
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47_dup_498), .B1 (
          nx24222), .C0 (nx18400)) ;
    ao22 ix13303_ix5 (.Y (nx18400), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_500)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_501), .B1 (
         nx24424)) ;
    ao221 ix13257_ix7 (.Y (nx13256), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_504
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_505), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_18451)) ;
    ao221 ix13209_ix7 (.Y (nx13208), .A0 (regs_dram_modgen_ram_ix26_a_38_dup_507
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39_dup_506), .B1 (
          nx24216), .C0 (nx18511)) ;
    ao22 ix13209_ix5 (.Y (nx18511), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_508)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_509), .B1 (
         nx24420)) ;
    ao221 ix13163_ix7 (.Y (nx13162), .A0 (regs_dram_modgen_ram_ix26_a_34_dup_511
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35_dup_510), .B1 (
          nx24212), .C0 (nx18563)) ;
    ao22 ix13163_ix5 (.Y (nx18563), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_512)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_513), .B1 (
         nx24418)) ;
    nor04 ix19118_ix13 (.Y (nx19117), .A0 (nx13496), .A1 (nx13450), .A2 (nx13402
          ), .A3 (nx13356)) ;
    ao221 ix13497_ix7 (.Y (nx13496), .A0 (regs_dram_modgen_ram_ix26_a_62_dup_483
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63_dup_482), .B1 (
          nx24222), .C0 (nx18172)) ;
    ao22 ix13497_ix5 (.Y (nx18172), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_484)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_485), .B1 (
         nx24424)) ;
    ao221 ix13451_ix7 (.Y (nx13450), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_488
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_489), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_18223)) ;
    ao221 ix13403_ix7 (.Y (nx13402), .A0 (regs_dram_modgen_ram_ix26_a_54_dup_491
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55_dup_490), .B1 (
          nx24216), .C0 (nx18279)) ;
    ao22 ix13403_ix5 (.Y (nx18279), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_492)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_493), .B1 (
         nx24420)) ;
    ao221 ix13357_ix7 (.Y (nx13356), .A0 (regs_dram_modgen_ram_ix26_a_50_dup_495
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51_dup_494), .B1 (
          nx24212), .C0 (nx18332)) ;
    ao22 ix13357_ix5 (.Y (nx18332), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_496)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_497), .B1 (
         nx24418)) ;
    nor03 ix12727_ix9 (.Y (nx4_dup_0_dup_17993), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx19480)) ;
    mux21 ix19481_ix11 (.Y (nx19480), .A0 (nx12626), .A1 (nx12720), .S0 (nx24396
          )) ;
    mux21 ix12627_ix11 (.Y (nx12626), .A0 (nx15516), .A1 (nx19483), .S0 (nx24394
          )) ;
    mux21 ix19484_ix11 (.Y (nx19483), .A0 (tmr0_6), .A1 (porta_6), .S0 (nx24398)
          ) ;
    mux21 ix12721_ix11 (.Y (nx12720), .A0 (nx19500), .A1 (nx19523), .S0 (nx24398
          )) ;
    mux21 ix19501_ix11 (.Y (nx19500), .A0 (debugpc[6]), .A1 (debugstatus[6]), .S0 (
          nx24394)) ;
    mux21 ix19524_ix11 (.Y (nx19523), .A0 (portbout[6]), .A1 (portcout[6]), .S0 (
          nx24394)) ;
    inv02 ix21984 (.Y (nx0_dup_0_dup_19172), .A (nx15399)) ;
    oai22 ix12573_ix9 (.Y (alub_5), .A0 (nx20646), .A1 (nx21986), .B0 (alubsel_0
          ), .B1 (nx20072)) ;
    inv02 ix21987 (.Y (nx21986), .A (nx12546)) ;
    ao221 ix12547_ix7 (.Y (nx12546), .A0 (expdin[5]), .A1 (nx21752), .B0 (
          nx24224), .B1 (nx12538), .C0 (nx4_dup_0_dup_16708)) ;
    ao21 modgen_or_29_ix7 (.Y (nx12538), .A0 (nx24496), .A1 (nx21990), .B0 (
         modgen_or_29_nx4)) ;
    inv02 ix21991 (.Y (nx21990), .A (nx18551)) ;
    nor04 ix18552_ix13 (.Y (nx18551), .A0 (nx11940), .A1 (nx11894), .A2 (nx11846
          ), .A3 (nx11800)) ;
    ao221 ix11941_ix7 (.Y (nx11940), .A0 (regs_dram_modgen_ram_ix26_a_78_dup_595
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79_dup_594), .B1 (
          nx24222), .C0 (nx16732)) ;
    ao22 ix11941_ix5 (.Y (nx16732), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_596)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_597), .B1 (
         nx24424)) ;
    ao221 ix11895_ix7 (.Y (nx11894), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_600
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_601), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_16746)) ;
    ao221 ix11847_ix7 (.Y (nx11846), .A0 (regs_dram_modgen_ram_ix26_a_70_dup_603
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71_dup_602), .B1 (
          nx24216), .C0 (nx16765)) ;
    ao22 ix11847_ix5 (.Y (nx16765), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_604)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_605), .B1 (
         nx24420)) ;
    ao221 ix11801_ix7 (.Y (nx11800), .A0 (regs_dram_modgen_ram_ix26_a_66_dup_607
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67_dup_606), .B1 (
          nx24212), .C0 (nx16819)) ;
    ao22 ix11801_ix5 (.Y (nx16819), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_608)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_609), .B1 (
         nx24418)) ;
    ao221 modgen_or_29_ix5 (.Y (modgen_or_29_nx4), .A0 (nx24448), .A1 (nx22002)
          , .B0 (nx24450), .B1 (nx22013), .C0 (modgen_or_29_nx0)) ;
    inv02 ix22003 (.Y (nx22002), .A (nx18891)) ;
    nor04 ix18892_ix13 (.Y (nx18891), .A0 (nx11158), .A1 (nx11112), .A2 (nx11064
          ), .A3 (nx11018)) ;
    ao221 ix11159_ix7 (.Y (nx11158), .A0 (regs_dram_modgen_ram_ix26_a_14_dup_659
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15_dup_658), .B1 (
          nx24222), .C0 (nx17580)) ;
    ao22 ix11159_ix5 (.Y (nx17580), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_660)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_661), .B1 (
         nx24424)) ;
    ao221 ix11113_ix7 (.Y (nx11112), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_664)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_665), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_17629)) ;
    ao221 ix11065_ix7 (.Y (nx11064), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_667)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7_dup_666), .B1 (
          nx24216), .C0 (nx17685)) ;
    ao22 ix11065_ix5 (.Y (nx17685), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_668)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_669), .B1 (
         nx24420)) ;
    ao221 ix11019_ix7 (.Y (nx11018), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_671)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_670), .B1 (
          nx24212), .C0 (nx17739)) ;
    ao22 ix11019_ix5 (.Y (nx17739), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_672)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_673), .B1 (
         nx24418)) ;
    inv02 ix22014 (.Y (nx22013), .A (nx18801)) ;
    nor04 ix18802_ix13 (.Y (nx18801), .A0 (nx11352), .A1 (nx11306), .A2 (nx11258
          ), .A3 (nx11212)) ;
    ao221 ix11353_ix7 (.Y (nx11352), .A0 (regs_dram_modgen_ram_ix26_a_30_dup_643
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31_dup_642), .B1 (
          nx24222), .C0 (nx17354)) ;
    ao22 ix11353_ix5 (.Y (nx17354), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_644)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_645), .B1 (
         nx24424)) ;
    ao221 ix11307_ix7 (.Y (nx11306), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_648
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_649), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_17404)) ;
    ao221 ix11259_ix7 (.Y (nx11258), .A0 (regs_dram_modgen_ram_ix26_a_22_dup_651
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23_dup_650), .B1 (
          nx24216), .C0 (nx17462)) ;
    ao22 ix11259_ix5 (.Y (nx17462), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_652)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_653), .B1 (
         nx24420)) ;
    ao221 ix11213_ix7 (.Y (nx11212), .A0 (regs_dram_modgen_ram_ix26_a_18_dup_655
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19_dup_654), .B1 (
          nx24212), .C0 (nx17517)) ;
    ao22 ix11213_ix5 (.Y (nx17517), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_656)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_657), .B1 (
         nx24418)) ;
    oai22 modgen_or_29_ix1 (.Y (modgen_or_29_nx0), .A0 (nx1762), .A1 (nx18710), 
          .B0 (nx2094), .B1 (nx18619)) ;
    nor04 ix18711_ix13 (.Y (nx18710), .A0 (nx11548), .A1 (nx11502), .A2 (nx11454
          ), .A3 (nx11408)) ;
    ao221 ix11549_ix7 (.Y (nx11548), .A0 (regs_dram_modgen_ram_ix26_a_46_dup_627
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47_dup_626), .B1 (
          nx24222), .C0 (nx17113)) ;
    ao22 ix11549_ix5 (.Y (nx17113), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_628)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_629), .B1 (
         nx24424)) ;
    ao221 ix11503_ix7 (.Y (nx11502), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_632
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_633), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_17165)) ;
    ao221 ix11455_ix7 (.Y (nx11454), .A0 (regs_dram_modgen_ram_ix26_a_38_dup_635
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39_dup_634), .B1 (
          nx24216), .C0 (nx17224)) ;
    ao22 ix11455_ix5 (.Y (nx17224), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_636)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_637), .B1 (
         nx24420)) ;
    ao221 ix11409_ix7 (.Y (nx11408), .A0 (regs_dram_modgen_ram_ix26_a_34_dup_639
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35_dup_638), .B1 (
          nx24212), .C0 (nx17276)) ;
    ao22 ix11409_ix5 (.Y (nx17276), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_640)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_641), .B1 (
         nx24418)) ;
    nor04 ix18620_ix13 (.Y (nx18619), .A0 (nx11742), .A1 (nx11696), .A2 (nx11648
          ), .A3 (nx11602)) ;
    ao221 ix11743_ix7 (.Y (nx11742), .A0 (regs_dram_modgen_ram_ix26_a_62_dup_611
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63_dup_610), .B1 (
          nx24222), .C0 (nx16893)) ;
    ao22 ix11743_ix5 (.Y (nx16893), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_612)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_613), .B1 (
         nx24424)) ;
    ao221 ix11697_ix7 (.Y (nx11696), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_616
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_617), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_16943)) ;
    ao221 ix11649_ix7 (.Y (nx11648), .A0 (regs_dram_modgen_ram_ix26_a_54_dup_619
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55_dup_618), .B1 (
          nx24216), .C0 (nx17001)) ;
    ao22 ix11649_ix5 (.Y (nx17001), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_620)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_621), .B1 (
         nx24420)) ;
    ao221 ix11603_ix7 (.Y (nx11602), .A0 (regs_dram_modgen_ram_ix26_a_50_dup_623
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51_dup_622), .B1 (
          nx24212), .C0 (nx17051)) ;
    ao22 ix11603_ix5 (.Y (nx17051), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_624)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_625), .B1 (
         nx24418)) ;
    nor03 ix10973_ix9 (.Y (nx4_dup_0_dup_16708), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx18982)) ;
    mux21 ix18983_ix11 (.Y (nx18982), .A0 (nx10872), .A1 (nx10966), .S0 (nx24396
          )) ;
    mux21 ix10873_ix11 (.Y (nx10872), .A0 (nx15521), .A1 (nx18985), .S0 (nx24394
          )) ;
    mux21 ix18986_ix11 (.Y (nx18985), .A0 (tmr0_5), .A1 (porta_5), .S0 (nx24398)
          ) ;
    mux21 ix10967_ix11 (.Y (nx10966), .A0 (nx19002), .A1 (nx19025), .S0 (nx24398
          )) ;
    mux21 ix19003_ix11 (.Y (nx19002), .A0 (debugpc[5]), .A1 (debugstatus[5]), .S0 (
          nx24394)) ;
    mux21 ix19026_ix11 (.Y (nx19025), .A0 (portbout[5]), .A1 (portcout[5]), .S0 (
          nx24394)) ;
    oai22 ix10819_ix9 (.Y (alub_4), .A0 (nx20646), .A1 (nx22052), .B0 (alubsel_0
          ), .B1 (nx20067)) ;
    inv02 ix22053 (.Y (nx22052), .A (nx10792)) ;
    ao221 ix10793_ix7 (.Y (nx10792), .A0 (expdin[4]), .A1 (nx21752), .B0 (
          nx24224), .B1 (nx10784), .C0 (nx4_dup_0_dup_15405)) ;
    ao21 modgen_or_26_ix7 (.Y (nx10784), .A0 (nx24496), .A1 (nx22056), .B0 (
         modgen_or_26_nx4)) ;
    inv02 ix22057 (.Y (nx22056), .A (nx18051)) ;
    nor04 ix18052_ix13 (.Y (nx18051), .A0 (nx10186), .A1 (nx10140), .A2 (nx10092
          ), .A3 (nx10046)) ;
    ao221 ix10187_ix7 (.Y (nx10186), .A0 (regs_dram_modgen_ram_ix26_a_78_dup_723
          ), .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79_dup_722), .B1 (
          nx24222), .C0 (nx15432)) ;
    ao22 ix10187_ix5 (.Y (nx15432), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_724)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_725), .B1 (
         nx24424)) ;
    ao221 ix10141_ix7 (.Y (nx10140), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_728
          ), .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_729), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_15445)) ;
    ao221 ix10093_ix7 (.Y (nx10092), .A0 (regs_dram_modgen_ram_ix26_a_70_dup_731
          ), .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71_dup_730), .B1 (
          nx24216), .C0 (nx15463)) ;
    ao22 ix10093_ix5 (.Y (nx15463), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_732)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_733), .B1 (
         nx24420)) ;
    ao221 ix10047_ix7 (.Y (nx10046), .A0 (regs_dram_modgen_ram_ix26_a_66_dup_735
          ), .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67_dup_734), .B1 (
          nx24212), .C0 (nx15517)) ;
    ao22 ix10047_ix5 (.Y (nx15517), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_736)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_737), .B1 (
         nx24418)) ;
    ao221 modgen_or_26_ix5 (.Y (modgen_or_26_nx4), .A0 (nx24448), .A1 (nx22068)
          , .B0 (nx24450), .B1 (nx22079), .C0 (modgen_or_26_nx0)) ;
    inv02 ix22069 (.Y (nx22068), .A (nx18391)) ;
    nor04 ix18392_ix13 (.Y (nx18391), .A0 (nx9404), .A1 (nx9358), .A2 (nx9310), 
          .A3 (nx9264)) ;
    ao221 ix9405_ix7 (.Y (nx9404), .A0 (regs_dram_modgen_ram_ix26_a_14_dup_787)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15_dup_786), .B1 (
          nx24222), .C0 (nx16274)) ;
    ao22 ix9405_ix5 (.Y (nx16274), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_788)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_789), .B1 (
         nx24424)) ;
    ao221 ix9359_ix7 (.Y (nx9358), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_792), 
          .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_793), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_16323)) ;
    ao221 ix9311_ix7 (.Y (nx9310), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_795), 
          .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7_dup_794), .B1 (
          nx24216), .C0 (nx16384)) ;
    ao22 ix9311_ix5 (.Y (nx16384), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_796), 
         .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_797), .B1 (
         nx24420)) ;
    ao221 ix9265_ix7 (.Y (nx9264), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_799), 
          .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_798), .B1 (
          nx24212), .C0 (nx16442)) ;
    ao22 ix9265_ix5 (.Y (nx16442), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_800), 
         .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_801), .B1 (
         nx24418)) ;
    inv02 ix22080 (.Y (nx22079), .A (nx18301)) ;
    nor04 ix18302_ix13 (.Y (nx18301), .A0 (nx9598), .A1 (nx9552), .A2 (nx9504), 
          .A3 (nx9458)) ;
    ao221 ix9599_ix7 (.Y (nx9598), .A0 (regs_dram_modgen_ram_ix26_a_30_dup_771)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31_dup_770), .B1 (
          nx24222), .C0 (nx16047)) ;
    ao22 ix9599_ix5 (.Y (nx16047), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_772)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_773), .B1 (
         nx24424)) ;
    ao221 ix9553_ix7 (.Y (nx9552), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_776)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_777), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_16097)) ;
    ao221 ix9505_ix7 (.Y (nx9504), .A0 (regs_dram_modgen_ram_ix26_a_22_dup_779)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23_dup_778), .B1 (
          nx24216), .C0 (nx16154)) ;
    ao22 ix9505_ix5 (.Y (nx16154), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_780)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_781), .B1 (
         nx24420)) ;
    ao221 ix9459_ix7 (.Y (nx9458), .A0 (regs_dram_modgen_ram_ix26_a_18_dup_783)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19_dup_782), .B1 (
          nx24212), .C0 (nx16207)) ;
    ao22 ix9459_ix5 (.Y (nx16207), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_784)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_785), .B1 (
         nx24418)) ;
    oai22 modgen_or_26_ix1 (.Y (modgen_or_26_nx0), .A0 (nx1762), .A1 (nx18210), 
          .B0 (nx2094), .B1 (nx18119)) ;
    nor04 ix18211_ix13 (.Y (nx18210), .A0 (nx9794), .A1 (nx9748), .A2 (nx9700), 
          .A3 (nx9654)) ;
    ao221 ix9795_ix7 (.Y (nx9794), .A0 (regs_dram_modgen_ram_ix26_a_46_dup_755)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47_dup_754), .B1 (
          nx24222), .C0 (nx15820)) ;
    ao22 ix9795_ix5 (.Y (nx15820), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_756)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_757), .B1 (
         nx24424)) ;
    ao221 ix9749_ix7 (.Y (nx9748), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_760)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_761), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_15867)) ;
    ao221 ix9701_ix7 (.Y (nx9700), .A0 (regs_dram_modgen_ram_ix26_a_38_dup_763)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39_dup_762), .B1 (
          nx24216), .C0 (nx15920)) ;
    ao22 ix9701_ix5 (.Y (nx15920), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_764)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_765), .B1 (
         nx24420)) ;
    ao221 ix9655_ix7 (.Y (nx9654), .A0 (regs_dram_modgen_ram_ix26_a_34_dup_767)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35_dup_766), .B1 (
          nx24212), .C0 (nx15970)) ;
    ao22 ix9655_ix5 (.Y (nx15970), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_768)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_769), .B1 (
         nx24418)) ;
    nor04 ix18120_ix13 (.Y (nx18119), .A0 (nx9988), .A1 (nx9942), .A2 (nx9894), 
          .A3 (nx9848)) ;
    ao221 ix9989_ix7 (.Y (nx9988), .A0 (regs_dram_modgen_ram_ix26_a_62_dup_739)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63_dup_738), .B1 (
          nx24222), .C0 (nx15594)) ;
    ao22 ix9989_ix5 (.Y (nx15594), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_740)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_741), .B1 (
         nx24424)) ;
    ao221 ix9943_ix7 (.Y (nx9942), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_744)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_745), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_15644)) ;
    ao221 ix9895_ix7 (.Y (nx9894), .A0 (regs_dram_modgen_ram_ix26_a_54_dup_747)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55_dup_746), .B1 (
          nx24216), .C0 (nx15705)) ;
    ao22 ix9895_ix5 (.Y (nx15705), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_748)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_749), .B1 (
         nx24420)) ;
    ao221 ix9849_ix7 (.Y (nx9848), .A0 (regs_dram_modgen_ram_ix26_a_50_dup_751)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51_dup_750), .B1 (
          nx24212), .C0 (nx15754)) ;
    ao22 ix9849_ix5 (.Y (nx15754), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_752)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_753), .B1 (
         nx24418)) ;
    nor03 ix9219_ix9 (.Y (nx4_dup_0_dup_15405), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx18482)) ;
    mux21 ix18483_ix11 (.Y (nx18482), .A0 (nx9110), .A1 (nx9212), .S0 (nx24396)
          ) ;
    mux21 ix9111_ix11 (.Y (nx9110), .A0 (nx15484), .A1 (nx18485), .S0 (nx24394)
          ) ;
    mux21 ix18486_ix11 (.Y (nx18485), .A0 (tmr0_4), .A1 (porta_4), .S0 (nx24398)
          ) ;
    mux21 ix9213_ix11 (.Y (nx9212), .A0 (nx18502), .A1 (nx18528), .S0 (nx24398)
          ) ;
    mux21 ix18503_ix11 (.Y (nx18502), .A0 (debugpc[4]), .A1 (debugstatus[4]), .S0 (
          nx24394)) ;
    mux21 ix18529_ix11 (.Y (nx18528), .A0 (portbout[4]), .A1 (portcout[4]), .S0 (
          nx24394)) ;
    oai22 ix9057_ix9 (.Y (alub_3), .A0 (nx20646), .A1 (nx22118), .B0 (alubsel_0)
          , .B1 (nx20062)) ;
    inv02 ix22119 (.Y (nx22118), .A (nx9030)) ;
    ao221 ix9031_ix7 (.Y (nx9030), .A0 (expdin[3]), .A1 (nx21752), .B0 (nx24224)
          , .B1 (nx9022), .C0 (nx4_dup_0_dup_14126)) ;
    ao21 modgen_or_23_ix7 (.Y (nx9022), .A0 (nx24496), .A1 (nx22122), .B0 (
         modgen_or_23_nx4)) ;
    inv02 ix22123 (.Y (nx22122), .A (nx17553)) ;
    nor04 ix17554_ix13 (.Y (nx17553), .A0 (nx8424), .A1 (nx8378), .A2 (nx8330), 
          .A3 (nx8284)) ;
    ao221 ix8425_ix7 (.Y (nx8424), .A0 (regs_dram_modgen_ram_ix26_a_78_dup_851)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79_dup_850), .B1 (
          nx24222), .C0 (nx14153)) ;
    ao22 ix8425_ix5 (.Y (nx14153), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_852)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_853), .B1 (
         nx24424)) ;
    ao221 ix8379_ix7 (.Y (nx8378), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_856)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_857), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_14166)) ;
    ao221 ix8331_ix7 (.Y (nx8330), .A0 (regs_dram_modgen_ram_ix26_a_70_dup_859)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71_dup_858), .B1 (
          nx24216), .C0 (nx14186)) ;
    ao22 ix8331_ix5 (.Y (nx14186), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_860)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_861), .B1 (
         nx24420)) ;
    ao221 ix8285_ix7 (.Y (nx8284), .A0 (regs_dram_modgen_ram_ix26_a_66_dup_863)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67_dup_862), .B1 (
          nx24212), .C0 (nx14243)) ;
    ao22 ix8285_ix5 (.Y (nx14243), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_864)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_865), .B1 (
         nx24418)) ;
    ao221 modgen_or_23_ix5 (.Y (modgen_or_23_nx4), .A0 (nx24448), .A1 (nx22134)
          , .B0 (nx24450), .B1 (nx22145), .C0 (modgen_or_23_nx0)) ;
    inv02 ix22135 (.Y (nx22134), .A (nx17893)) ;
    nor04 ix17894_ix13 (.Y (nx17893), .A0 (nx7642), .A1 (nx7596), .A2 (nx7548), 
          .A3 (nx7502)) ;
    ao221 ix7643_ix7 (.Y (nx7642), .A0 (regs_dram_modgen_ram_ix26_a_14_dup_915)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15_dup_914), .B1 (
          nx24222), .C0 (nx15019)) ;
    ao22 ix7643_ix5 (.Y (nx15019), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_916)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_917), .B1 (
         nx24424)) ;
    ao221 ix7597_ix7 (.Y (nx7596), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_920), 
          .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_921), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_15063)) ;
    ao221 ix7549_ix7 (.Y (nx7548), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_923), 
          .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7_dup_922), .B1 (
          nx24216), .C0 (nx15114)) ;
    ao22 ix7549_ix5 (.Y (nx15114), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_924), 
         .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_925), .B1 (
         nx24420)) ;
    ao221 ix7503_ix7 (.Y (nx7502), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_927), 
          .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_926), .B1 (
          nx24212), .C0 (nx15162)) ;
    ao22 ix7503_ix5 (.Y (nx15162), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_928), 
         .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_929), .B1 (
         nx24418)) ;
    inv02 ix22146 (.Y (nx22145), .A (nx17803)) ;
    nor04 ix17804_ix13 (.Y (nx17803), .A0 (nx7836), .A1 (nx7790), .A2 (nx7742), 
          .A3 (nx7696)) ;
    ao221 ix7837_ix7 (.Y (nx7836), .A0 (regs_dram_modgen_ram_ix26_a_30_dup_899)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31_dup_898), .B1 (
          nx24222), .C0 (nx14817)) ;
    ao22 ix7837_ix5 (.Y (nx14817), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_900)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_901), .B1 (
         nx24424)) ;
    ao221 ix7791_ix7 (.Y (nx7790), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_904)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_905), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_14862)) ;
    ao221 ix7743_ix7 (.Y (nx7742), .A0 (regs_dram_modgen_ram_ix26_a_22_dup_907)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23_dup_906), .B1 (
          nx24216), .C0 (nx14914)) ;
    ao22 ix7743_ix5 (.Y (nx14914), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_908)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_909), .B1 (
         nx24420)) ;
    ao221 ix7697_ix7 (.Y (nx7696), .A0 (regs_dram_modgen_ram_ix26_a_18_dup_911)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19_dup_910), .B1 (
          nx24212), .C0 (nx14961)) ;
    ao22 ix7697_ix5 (.Y (nx14961), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_912)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_913), .B1 (
         nx24418)) ;
    oai22 modgen_or_23_ix1 (.Y (modgen_or_23_nx0), .A0 (nx1762), .A1 (nx17712), 
          .B0 (nx2094), .B1 (nx17621)) ;
    nor04 ix17713_ix13 (.Y (nx17712), .A0 (nx8032), .A1 (nx7986), .A2 (nx7938), 
          .A3 (nx7892)) ;
    ao221 ix8033_ix7 (.Y (nx8032), .A0 (regs_dram_modgen_ram_ix26_a_46_dup_883)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47_dup_882), .B1 (
          nx24222), .C0 (nx14576)) ;
    ao22 ix8033_ix5 (.Y (nx14576), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_884)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_885), .B1 (
         nx24424)) ;
    ao221 ix7987_ix7 (.Y (nx7986), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_888)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_889), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_14630)) ;
    ao221 ix7939_ix7 (.Y (nx7938), .A0 (regs_dram_modgen_ram_ix26_a_38_dup_891)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39_dup_890), .B1 (
          nx24216), .C0 (nx14693)) ;
    ao22 ix7939_ix5 (.Y (nx14693), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_892)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_893), .B1 (
         nx24420)) ;
    ao221 ix7893_ix7 (.Y (nx7892), .A0 (regs_dram_modgen_ram_ix26_a_34_dup_895)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35_dup_894), .B1 (
          nx24212), .C0 (nx14749)) ;
    ao22 ix7893_ix5 (.Y (nx14749), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_896)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_897), .B1 (
         nx24418)) ;
    nor04 ix17622_ix13 (.Y (nx17621), .A0 (nx8226), .A1 (nx8180), .A2 (nx8132), 
          .A3 (nx8086)) ;
    ao221 ix8227_ix7 (.Y (nx8226), .A0 (regs_dram_modgen_ram_ix26_a_62_dup_867)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63_dup_866), .B1 (
          nx24222), .C0 (nx14324)) ;
    ao22 ix8227_ix5 (.Y (nx14324), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_868)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_869), .B1 (
         nx24424)) ;
    ao221 ix8181_ix7 (.Y (nx8180), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_872)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_873), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_14377)) ;
    ao221 ix8133_ix7 (.Y (nx8132), .A0 (regs_dram_modgen_ram_ix26_a_54_dup_875)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55_dup_874), .B1 (
          nx24216), .C0 (nx14443)) ;
    ao22 ix8133_ix5 (.Y (nx14443), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_876)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_877), .B1 (
         nx24420)) ;
    ao221 ix8087_ix7 (.Y (nx8086), .A0 (regs_dram_modgen_ram_ix26_a_50_dup_879)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51_dup_878), .B1 (
          nx24212), .C0 (nx14503)) ;
    ao22 ix8087_ix5 (.Y (nx14503), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_880)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_881), .B1 (
         nx24418)) ;
    nor03 ix7457_ix9 (.Y (nx4_dup_0_dup_14126), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx17984)) ;
    mux21 ix17985_ix11 (.Y (nx17984), .A0 (nx7350), .A1 (nx7450), .S0 (nx24396)
          ) ;
    mux21 ix7351_ix11 (.Y (nx7350), .A0 (nx15477), .A1 (nx17987), .S0 (nx24394)
          ) ;
    mux21 ix17988_ix11 (.Y (nx17987), .A0 (tmr0_3), .A1 (porta_3), .S0 (nx24398)
          ) ;
    mux21 ix7451_ix11 (.Y (nx7450), .A0 (nx18003), .A1 (nx18027), .S0 (nx24398)
          ) ;
    mux21 ix18004_ix11 (.Y (nx18003), .A0 (debugpc[3]), .A1 (debugstatus[3]), .S0 (
          nx24394)) ;
    mux21 ix18028_ix11 (.Y (nx18027), .A0 (portbout[3]), .A1 (portcout[3]), .S0 (
          nx24394)) ;
    oai22 ix7297_ix9 (.Y (alub_2), .A0 (nx20646), .A1 (nx22184), .B0 (alubsel_0)
          , .B1 (nx20057)) ;
    inv02 ix22185 (.Y (nx22184), .A (nx7270)) ;
    ao221 ix7271_ix7 (.Y (nx7270), .A0 (expdin[2]), .A1 (nx21752), .B0 (nx24224)
          , .B1 (nx7262), .C0 (nx4_dup_0_dup_12833)) ;
    ao21 modgen_or_20_ix7 (.Y (nx7262), .A0 (nx24496), .A1 (nx22188), .B0 (
         modgen_or_20_nx4)) ;
    inv02 ix22189 (.Y (nx22188), .A (nx17053)) ;
    nor04 ix17054_ix13 (.Y (nx17053), .A0 (nx6664), .A1 (nx6618), .A2 (nx6570), 
          .A3 (nx6524)) ;
    ao221 ix6665_ix7 (.Y (nx6664), .A0 (regs_dram_modgen_ram_ix26_a_78_dup_979)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79_dup_978), .B1 (
          nx24222), .C0 (nx12858)) ;
    ao22 ix6665_ix5 (.Y (nx12858), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_980)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_981), .B1 (
         nx24424)) ;
    ao221 ix6619_ix7 (.Y (nx6618), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_984)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_985), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_12873)) ;
    ao221 ix6571_ix7 (.Y (nx6570), .A0 (regs_dram_modgen_ram_ix26_a_70_dup_987)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71_dup_986), .B1 (
          nx24216), .C0 (nx12893)) ;
    ao22 ix6571_ix5 (.Y (nx12893), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_988)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_989), .B1 (
         nx24420)) ;
    ao221 ix6525_ix7 (.Y (nx6524), .A0 (regs_dram_modgen_ram_ix26_a_66_dup_991)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67_dup_990), .B1 (
          nx24212), .C0 (nx12950)) ;
    ao22 ix6525_ix5 (.Y (nx12950), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_992)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_993), .B1 (
         nx24418)) ;
    ao221 modgen_or_20_ix5 (.Y (modgen_or_20_nx4), .A0 (nx24448), .A1 (nx22200)
          , .B0 (nx24450), .B1 (nx22211), .C0 (modgen_or_20_nx0)) ;
    inv02 ix22201 (.Y (nx22200), .A (nx17393)) ;
    nor04 ix17394_ix13 (.Y (nx17393), .A0 (nx5882), .A1 (nx5836), .A2 (nx5788), 
          .A3 (nx5742)) ;
    ao221 ix5883_ix7 (.Y (nx5882), .A0 (regs_dram_modgen_ram_ix26_a_14_dup_1043)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15_dup_1042), .B1 (
          nx24222), .C0 (nx13714)) ;
    ao22 ix5883_ix5 (.Y (nx13714), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_1044)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_1045), .B1 (
         nx24424)) ;
    ao221 ix5837_ix7 (.Y (nx5836), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_1048)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_1049), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_13757)) ;
    ao221 ix5789_ix7 (.Y (nx5788), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_1051)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7_dup_1050), .B1 (
          nx24216), .C0 (nx13806)) ;
    ao22 ix5789_ix5 (.Y (nx13806), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_1052)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_1053), .B1 (
         nx24420)) ;
    ao221 ix5743_ix7 (.Y (nx5742), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_1055)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_1054), .B1 (
          nx24212), .C0 (nx13852)) ;
    ao22 ix5743_ix5 (.Y (nx13852), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_1056)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_1057), .B1 (
         nx24418)) ;
    inv02 ix22212 (.Y (nx22211), .A (nx17303)) ;
    nor04 ix17304_ix13 (.Y (nx17303), .A0 (nx6076), .A1 (nx6030), .A2 (nx5982), 
          .A3 (nx5936)) ;
    ao221 ix6077_ix7 (.Y (nx6076), .A0 (regs_dram_modgen_ram_ix26_a_30_dup_1027)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31_dup_1026), .B1 (
          nx24222), .C0 (nx13513)) ;
    ao22 ix6077_ix5 (.Y (nx13513), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_1028)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_1029), .B1 (
         nx24424)) ;
    ao221 ix6031_ix7 (.Y (nx6030), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_1032)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_1033), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_13557)) ;
    ao221 ix5983_ix7 (.Y (nx5982), .A0 (regs_dram_modgen_ram_ix26_a_22_dup_1035)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23_dup_1034), .B1 (
          nx24216), .C0 (nx13608)) ;
    ao22 ix5983_ix5 (.Y (nx13608), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_1036)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_1037), .B1 (
         nx24420)) ;
    ao221 ix5937_ix7 (.Y (nx5936), .A0 (regs_dram_modgen_ram_ix26_a_18_dup_1039)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19_dup_1038), .B1 (
          nx24212), .C0 (nx13656)) ;
    ao22 ix5937_ix5 (.Y (nx13656), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_1040)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_1041), .B1 (
         nx24418)) ;
    oai22 modgen_or_20_ix1 (.Y (modgen_or_20_nx0), .A0 (nx1762), .A1 (nx17212), 
          .B0 (nx2094), .B1 (nx17121)) ;
    nor04 ix17213_ix13 (.Y (nx17212), .A0 (nx6272), .A1 (nx6226), .A2 (nx6178), 
          .A3 (nx6132)) ;
    ao221 ix6273_ix7 (.Y (nx6272), .A0 (regs_dram_modgen_ram_ix26_a_46_dup_1011)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47_dup_1010), .B1 (
          nx24222), .C0 (nx13283)) ;
    ao22 ix6273_ix5 (.Y (nx13283), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_1012)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_1013), .B1 (
         nx24424)) ;
    ao221 ix6227_ix7 (.Y (nx6226), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_1016)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_1017), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_13339)) ;
    ao221 ix6179_ix7 (.Y (nx6178), .A0 (regs_dram_modgen_ram_ix26_a_38_dup_1019)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39_dup_1018), .B1 (
          nx24216), .C0 (nx13395)) ;
    ao22 ix6179_ix5 (.Y (nx13395), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_1020)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_1021), .B1 (
         nx24420)) ;
    ao221 ix6133_ix7 (.Y (nx6132), .A0 (regs_dram_modgen_ram_ix26_a_34_dup_1023)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35_dup_1022), .B1 (
          nx24212), .C0 (nx13443)) ;
    ao22 ix6133_ix5 (.Y (nx13443), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_1024)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_1025), .B1 (
         nx24418)) ;
    nor04 ix17122_ix13 (.Y (nx17121), .A0 (nx6466), .A1 (nx6420), .A2 (nx6372), 
          .A3 (nx6326)) ;
    ao221 ix6467_ix7 (.Y (nx6466), .A0 (regs_dram_modgen_ram_ix26_a_62_dup_995)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63_dup_994), .B1 (
          nx24222), .C0 (nx13036)) ;
    ao22 ix6467_ix5 (.Y (nx13036), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_996)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_997), .B1 (
         nx24424)) ;
    ao221 ix6421_ix7 (.Y (nx6420), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_1000)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_1001), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_13089)) ;
    ao221 ix6373_ix7 (.Y (nx6372), .A0 (regs_dram_modgen_ram_ix26_a_54_dup_1003)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55_dup_1002), .B1 (
          nx24216), .C0 (nx13150)) ;
    ao22 ix6373_ix5 (.Y (nx13150), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_1004)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_1005), .B1 (
         nx24420)) ;
    ao221 ix6327_ix7 (.Y (nx6326), .A0 (regs_dram_modgen_ram_ix26_a_50_dup_1007)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51_dup_1006), .B1 (
          nx24212), .C0 (nx13212)) ;
    ao22 ix6327_ix5 (.Y (nx13212), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_1008)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_1009), .B1 (
         nx24418)) ;
    nor03 ix5697_ix9 (.Y (nx4_dup_0_dup_12833), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx17484)) ;
    mux21 ix17485_ix11 (.Y (nx17484), .A0 (nx5574), .A1 (nx5690), .S0 (nx24396)
          ) ;
    mux21 ix5575_ix11 (.Y (nx5574), .A0 (nx15428), .A1 (nx17487), .S0 (nx24394)
          ) ;
    mux21 ix17488_ix11 (.Y (nx17487), .A0 (tmr0_2), .A1 (porta_2), .S0 (nx24398)
          ) ;
    mux21 ix5691_ix11 (.Y (nx5690), .A0 (nx17503), .A1 (nx17530), .S0 (nx24398)
          ) ;
    mux21 ix17504_ix11 (.Y (nx17503), .A0 (debugpc[2]), .A1 (debugstatus[2]), .S0 (
          nx24394)) ;
    mux21 ix17531_ix11 (.Y (nx17530), .A0 (portbout[2]), .A1 (portcout[2]), .S0 (
          nx24394)) ;
    oai22 ix5521_ix9 (.Y (alub_1), .A0 (nx20646), .A1 (nx22250), .B0 (alubsel_0)
          , .B1 (nx20052)) ;
    inv02 ix22251 (.Y (nx22250), .A (nx5494)) ;
    ao221 ix5495_ix7 (.Y (nx5494), .A0 (expdin[1]), .A1 (nx21752), .B0 (nx24224)
          , .B1 (nx5486), .C0 (nx4_dup_0_dup_11569)) ;
    ao21 modgen_or_17_ix7 (.Y (nx5486), .A0 (nx24496), .A1 (nx22254), .B0 (
         modgen_or_17_nx4)) ;
    inv02 ix22255 (.Y (nx22254), .A (nx16557)) ;
    nor04 ix16558_ix13 (.Y (nx16557), .A0 (nx4888), .A1 (nx4842), .A2 (nx4794), 
          .A3 (nx4748)) ;
    ao221 ix4889_ix7 (.Y (nx4888), .A0 (regs_dram_modgen_ram_ix26_a_78_dup_1107)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79_dup_1106), .B1 (
          nx24222), .C0 (nx11594)) ;
    ao22 ix4889_ix5 (.Y (nx11594), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_1108)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_1109), .B1 (
         nx24424)) ;
    ao221 ix4843_ix7 (.Y (nx4842), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_1112)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_1113), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_11609)) ;
    ao221 ix4795_ix7 (.Y (nx4794), .A0 (regs_dram_modgen_ram_ix26_a_70_dup_1115)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71_dup_1114), .B1 (
          nx24216), .C0 (nx11630)) ;
    ao22 ix4795_ix5 (.Y (nx11630), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_1116)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_1117), .B1 (
         nx24420)) ;
    ao221 ix4749_ix7 (.Y (nx4748), .A0 (regs_dram_modgen_ram_ix26_a_66_dup_1119)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67_dup_1118), .B1 (
          nx24212), .C0 (nx11690)) ;
    ao22 ix4749_ix5 (.Y (nx11690), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_1120)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_1121), .B1 (
         nx24418)) ;
    ao221 modgen_or_17_ix5 (.Y (modgen_or_17_nx4), .A0 (nx24448), .A1 (nx22266)
          , .B0 (nx24450), .B1 (nx22277), .C0 (modgen_or_17_nx0)) ;
    inv02 ix22267 (.Y (nx22266), .A (nx16897)) ;
    nor04 ix16898_ix13 (.Y (nx16897), .A0 (nx4106), .A1 (nx4060), .A2 (nx4012), 
          .A3 (nx3966)) ;
    ao221 ix4107_ix7 (.Y (nx4106), .A0 (regs_dram_modgen_ram_ix26_a_14_dup_1171)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15_dup_1170), .B1 (
          nx24222), .C0 (nx12421)) ;
    ao22 ix4107_ix5 (.Y (nx12421), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_1172)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_1173), .B1 (
         nx24424)) ;
    ao221 ix4061_ix7 (.Y (nx4060), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_1176)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_1177), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_12464)) ;
    ao221 ix4013_ix7 (.Y (nx4012), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_1179)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7_dup_1178), .B1 (
          nx24216), .C0 (nx12513)) ;
    ao22 ix4013_ix5 (.Y (nx12513), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_1180)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_1181), .B1 (
         nx24420)) ;
    ao221 ix3967_ix7 (.Y (nx3966), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_1183)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_1182), .B1 (
          nx24212), .C0 (nx12560)) ;
    ao22 ix3967_ix5 (.Y (nx12560), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_1184)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_1185), .B1 (
         nx24418)) ;
    inv02 ix22278 (.Y (nx22277), .A (nx16807)) ;
    nor04 ix16808_ix13 (.Y (nx16807), .A0 (nx4300), .A1 (nx4254), .A2 (nx4206), 
          .A3 (nx4160)) ;
    ao221 ix4301_ix7 (.Y (nx4300), .A0 (regs_dram_modgen_ram_ix26_a_30_dup_1155)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31_dup_1154), .B1 (
          nx24222), .C0 (nx12227)) ;
    ao22 ix4301_ix5 (.Y (nx12227), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_1156)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_1157), .B1 (
         nx24424)) ;
    ao221 ix4255_ix7 (.Y (nx4254), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_1160)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_1161), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_12270)) ;
    ao221 ix4207_ix7 (.Y (nx4206), .A0 (regs_dram_modgen_ram_ix26_a_22_dup_1163)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23_dup_1162), .B1 (
          nx24216), .C0 (nx12319)) ;
    ao22 ix4207_ix5 (.Y (nx12319), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_1164)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_1165), .B1 (
         nx24420)) ;
    ao221 ix4161_ix7 (.Y (nx4160), .A0 (regs_dram_modgen_ram_ix26_a_18_dup_1167)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19_dup_1166), .B1 (
          nx24212), .C0 (nx12365)) ;
    ao22 ix4161_ix5 (.Y (nx12365), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_1168)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_1169), .B1 (
         nx24418)) ;
    oai22 modgen_or_17_ix1 (.Y (modgen_or_17_nx0), .A0 (nx1762), .A1 (nx16716), 
          .B0 (nx2094), .B1 (nx16625)) ;
    nor04 ix16717_ix13 (.Y (nx16716), .A0 (nx4496), .A1 (nx4450), .A2 (nx4402), 
          .A3 (nx4356)) ;
    ao221 ix4497_ix7 (.Y (nx4496), .A0 (regs_dram_modgen_ram_ix26_a_46_dup_1139)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47_dup_1138), .B1 (
          nx24222), .C0 (nx12020)) ;
    ao22 ix4497_ix5 (.Y (nx12020), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_1140)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_1141), .B1 (
         nx24424)) ;
    ao221 ix4451_ix7 (.Y (nx4450), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_1144)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_1145), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_12066)) ;
    ao221 ix4403_ix7 (.Y (nx4402), .A0 (regs_dram_modgen_ram_ix26_a_38_dup_1147)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39_dup_1146), .B1 (
          nx24216), .C0 (nx12115)) ;
    ao22 ix4403_ix5 (.Y (nx12115), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_1148)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_1149), .B1 (
         nx24420)) ;
    ao221 ix4357_ix7 (.Y (nx4356), .A0 (regs_dram_modgen_ram_ix26_a_34_dup_1151)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35_dup_1150), .B1 (
          nx24212), .C0 (nx12161)) ;
    ao22 ix4357_ix5 (.Y (nx12161), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_1152)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_1153), .B1 (
         nx24418)) ;
    nor04 ix16626_ix13 (.Y (nx16625), .A0 (nx4690), .A1 (nx4644), .A2 (nx4596), 
          .A3 (nx4550)) ;
    ao221 ix4691_ix7 (.Y (nx4690), .A0 (regs_dram_modgen_ram_ix26_a_62_dup_1123)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63_dup_1122), .B1 (
          nx24222), .C0 (nx11776)) ;
    ao22 ix4691_ix5 (.Y (nx11776), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_1124)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_1125), .B1 (
         nx24424)) ;
    ao221 ix4645_ix7 (.Y (nx4644), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_1128)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_1129), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_11829)) ;
    ao221 ix4597_ix7 (.Y (nx4596), .A0 (regs_dram_modgen_ram_ix26_a_54_dup_1131)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55_dup_1130), .B1 (
          nx24216), .C0 (nx11890)) ;
    ao22 ix4597_ix5 (.Y (nx11890), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_1132)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_1133), .B1 (
         nx24420)) ;
    ao221 ix4551_ix7 (.Y (nx4550), .A0 (regs_dram_modgen_ram_ix26_a_50_dup_1135)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51_dup_1134), .B1 (
          nx24212), .C0 (nx11950)) ;
    ao22 ix4551_ix5 (.Y (nx11950), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_1136)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_1137), .B1 (
         nx24418)) ;
    nor03 ix3921_ix9 (.Y (nx4_dup_0_dup_11569), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx16988)) ;
    mux21 ix16989_ix11 (.Y (nx16988), .A0 (nx3814), .A1 (nx3914), .S0 (nx24396)
          ) ;
    mux21 ix3815_ix11 (.Y (nx3814), .A0 (nx15467), .A1 (nx16991), .S0 (nx24394)
          ) ;
    mux21 ix16992_ix11 (.Y (nx16991), .A0 (tmr0_1), .A1 (porta_1), .S0 (nx24398)
          ) ;
    mux21 ix3915_ix11 (.Y (nx3914), .A0 (nx17007), .A1 (nx17031), .S0 (nx24398)
          ) ;
    mux21 ix17008_ix11 (.Y (nx17007), .A0 (debugpc[1]), .A1 (debugstatus[1]), .S0 (
          nx24394)) ;
    mux21 ix17032_ix11 (.Y (nx17031), .A0 (portbout[1]), .A1 (portcout[1]), .S0 (
          nx24394)) ;
    ao221 ix3761_ix7 (.Y (alub_0), .A0 (nx24436), .A1 (nx24394), .B0 (debugw[0])
          , .B1 (nx338), .C0 (nx4_dup_0_dup_20615)) ;
    nor02 ix339_ix5 (.Y (nx338), .A0 (alubsel_0), .A1 (nx24436)) ;
    aoi21 ix3757_ix11 (.Y (nx4_dup_0_dup_20615), .A0 (nx22318), .A1 (nx21747), .B0 (
          nx22382)) ;
    inv02 ix22319 (.Y (nx22318), .A (nx3748)) ;
    ao221 ix3749_ix7 (.Y (nx3748), .A0 (expdin[0]), .A1 (nx21752), .B0 (nx24224)
          , .B1 (nx3740), .C0 (nx4_dup_0_dup_8790)) ;
    ao21 modgen_or_14_ix7 (.Y (nx3740), .A0 (nx24496), .A1 (nx22322), .B0 (
         modgen_or_14_nx4)) ;
    inv02 ix22323 (.Y (nx22322), .A (nx15531)) ;
    nor04 ix15532_ix13 (.Y (nx15531), .A0 (nx2738), .A1 (nx2660), .A2 (nx2580), 
          .A3 (nx2502)) ;
    ao221 ix2739_ix7 (.Y (nx2738), .A0 (regs_dram_modgen_ram_ix26_a_78_dup_1235)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_79_dup_1234), .B1 (
          nx24222), .C0 (nx9100)) ;
    ao22 ix2739_ix5 (.Y (nx9100), .A0 (regs_dram_modgen_ram_ix26_a_77_dup_1236)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_76_dup_1237), .B1 (
         nx24424)) ;
    ao221 ix2661_ix7 (.Y (nx2660), .A0 (regs_dram_modgen_ram_ix26_a_73_dup_1240)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_72_dup_1241), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_9144)) ;
    ao221 ix2581_ix7 (.Y (nx2580), .A0 (regs_dram_modgen_ram_ix26_a_70_dup_1243)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_71_dup_1242), .B1 (
          nx24216), .C0 (nx9196)) ;
    ao22 ix2581_ix5 (.Y (nx9196), .A0 (regs_dram_modgen_ram_ix26_a_69_dup_1244)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_68_dup_1245), .B1 (
         nx24420)) ;
    ao221 ix2503_ix7 (.Y (nx2502), .A0 (regs_dram_modgen_ram_ix26_a_66_dup_1247)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_67_dup_1246), .B1 (
          nx24212), .C0 (nx9333)) ;
    ao22 ix2503_ix5 (.Y (nx9333), .A0 (regs_dram_modgen_ram_ix26_a_65_dup_1248)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_64_dup_1249), .B1 (
         nx24418)) ;
    ao221 modgen_or_14_ix5 (.Y (modgen_or_14_nx4), .A0 (nx24448), .A1 (nx22334)
          , .B0 (nx24450), .B1 (nx22345), .C0 (modgen_or_14_nx0)) ;
    inv02 ix22335 (.Y (nx22334), .A (nx16111)) ;
    nor04 ix16112_ix13 (.Y (nx16111), .A0 (nx1414), .A1 (nx1324), .A2 (nx1234), 
          .A3 (nx1142)) ;
    ao221 ix1415_ix7 (.Y (nx1414), .A0 (regs_dram_modgen_ram_ix26_a_14_dup_1299)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_15_dup_1298), .B1 (
          nx24222), .C0 (nx10600)) ;
    ao22 ix1415_ix5 (.Y (nx10600), .A0 (regs_dram_modgen_ram_ix26_a_13_dup_1300)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_12_dup_1301), .B1 (
         nx24424)) ;
    ao221 ix1325_ix7 (.Y (nx1324), .A0 (regs_dram_modgen_ram_ix26_a_9_dup_1304)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_8_dup_1305), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_10687)) ;
    ao221 ix1235_ix7 (.Y (nx1234), .A0 (regs_dram_modgen_ram_ix26_a_6_dup_1307)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_7_dup_1306), .B1 (
          nx24216), .C0 (nx10765)) ;
    ao22 ix1235_ix5 (.Y (nx10765), .A0 (regs_dram_modgen_ram_ix26_a_5_dup_1308)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_4_dup_1309), .B1 (
         nx24420)) ;
    ao221 ix1143_ix7 (.Y (nx1142), .A0 (regs_dram_modgen_ram_ix26_a_2_dup_1311)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_3_dup_1310), .B1 (
          nx24212), .C0 (nx10842)) ;
    ao22 ix1143_ix5 (.Y (nx10842), .A0 (regs_dram_modgen_ram_ix26_a_1_dup_1312)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_0_dup_1313), .B1 (
         nx24418)) ;
    inv02 ix22346 (.Y (nx22345), .A (nx15976)) ;
    nor04 ix15977_ix13 (.Y (nx15976), .A0 (nx1744), .A1 (nx1666), .A2 (nx1586), 
          .A3 (nx1508)) ;
    ao221 ix1745_ix7 (.Y (nx1744), .A0 (regs_dram_modgen_ram_ix26_a_30_dup_1283)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_31_dup_1282), .B1 (
          nx24222), .C0 (nx10220)) ;
    ao22 ix1745_ix5 (.Y (nx10220), .A0 (regs_dram_modgen_ram_ix26_a_29_dup_1284)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_28_dup_1285), .B1 (
         nx24424)) ;
    ao221 ix1667_ix7 (.Y (nx1666), .A0 (regs_dram_modgen_ram_ix26_a_25_dup_1288)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_24_dup_1289), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_10307)) ;
    ao221 ix1587_ix7 (.Y (nx1586), .A0 (regs_dram_modgen_ram_ix26_a_22_dup_1291)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_23_dup_1290), .B1 (
          nx24216), .C0 (nx10400)) ;
    ao22 ix1587_ix5 (.Y (nx10400), .A0 (regs_dram_modgen_ram_ix26_a_21_dup_1292)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_20_dup_1293), .B1 (
         nx24420)) ;
    ao221 ix1509_ix7 (.Y (nx1508), .A0 (regs_dram_modgen_ram_ix26_a_18_dup_1295)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_19_dup_1294), .B1 (
          nx24212), .C0 (nx10490)) ;
    ao22 ix1509_ix5 (.Y (nx10490), .A0 (regs_dram_modgen_ram_ix26_a_17_dup_1296)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_16_dup_1297), .B1 (
         nx24418)) ;
    oai22 modgen_or_14_ix1 (.Y (modgen_or_14_nx0), .A0 (nx1762), .A1 (nx15847), 
          .B0 (nx2094), .B1 (nx15702)) ;
    nor04 ix15848_ix13 (.Y (nx15847), .A0 (nx2076), .A1 (nx1998), .A2 (nx1918), 
          .A3 (nx1840)) ;
    ao221 ix2077_ix7 (.Y (nx2076), .A0 (regs_dram_modgen_ram_ix26_a_46_dup_1267)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_47_dup_1266), .B1 (
          nx24222), .C0 (nx9830)) ;
    ao22 ix2077_ix5 (.Y (nx9830), .A0 (regs_dram_modgen_ram_ix26_a_45_dup_1268)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_44_dup_1269), .B1 (
         nx24424)) ;
    ao221 ix1999_ix7 (.Y (nx1998), .A0 (regs_dram_modgen_ram_ix26_a_41_dup_1272)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_40_dup_1273), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_9904)) ;
    ao221 ix1919_ix7 (.Y (nx1918), .A0 (regs_dram_modgen_ram_ix26_a_38_dup_1275)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_39_dup_1274), .B1 (
          nx24216), .C0 (nx10002)) ;
    ao22 ix1919_ix5 (.Y (nx10002), .A0 (regs_dram_modgen_ram_ix26_a_37_dup_1276)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_36_dup_1277), .B1 (
         nx24420)) ;
    ao221 ix1841_ix7 (.Y (nx1840), .A0 (regs_dram_modgen_ram_ix26_a_34_dup_1279)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_35_dup_1278), .B1 (
          nx24212), .C0 (nx10095)) ;
    ao22 ix1841_ix5 (.Y (nx10095), .A0 (regs_dram_modgen_ram_ix26_a_33_dup_1280)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_32_dup_1281), .B1 (
         nx24418)) ;
    nor04 ix15703_ix13 (.Y (nx15702), .A0 (nx2408), .A1 (nx2330), .A2 (nx2250), 
          .A3 (nx2172)) ;
    ao221 ix2409_ix7 (.Y (nx2408), .A0 (regs_dram_modgen_ram_ix26_a_62_dup_1251)
          , .A1 (nx24220), .B0 (regs_dram_modgen_ram_ix26_a_63_dup_1250), .B1 (
          nx24222), .C0 (nx9497)) ;
    ao22 ix2409_ix5 (.Y (nx9497), .A0 (regs_dram_modgen_ram_ix26_a_61_dup_1252)
         , .A1 (nx24440), .B0 (regs_dram_modgen_ram_ix26_a_60_dup_1253), .B1 (
         nx24424)) ;
    ao221 ix2331_ix7 (.Y (nx2330), .A0 (regs_dram_modgen_ram_ix26_a_57_dup_1256)
          , .A1 (nx24442), .B0 (regs_dram_modgen_ram_ix26_a_56_dup_1257), .B1 (
          nx24422), .C0 (nx4_dup_0_dup_9580)) ;
    ao221 ix2251_ix7 (.Y (nx2250), .A0 (regs_dram_modgen_ram_ix26_a_54_dup_1259)
          , .A1 (nx24214), .B0 (regs_dram_modgen_ram_ix26_a_55_dup_1258), .B1 (
          nx24216), .C0 (nx9666)) ;
    ao22 ix2251_ix5 (.Y (nx9666), .A0 (regs_dram_modgen_ram_ix26_a_53_dup_1260)
         , .A1 (nx24444), .B0 (regs_dram_modgen_ram_ix26_a_52_dup_1261), .B1 (
         nx24420)) ;
    ao221 ix2173_ix7 (.Y (nx2172), .A0 (regs_dram_modgen_ram_ix26_a_50_dup_1263)
          , .A1 (nx24210), .B0 (regs_dram_modgen_ram_ix26_a_51_dup_1262), .B1 (
          nx24212), .C0 (nx9741)) ;
    ao22 ix2173_ix5 (.Y (nx9741), .A0 (regs_dram_modgen_ram_ix26_a_49_dup_1264)
         , .A1 (nx24446), .B0 (regs_dram_modgen_ram_ix26_a_48_dup_1265), .B1 (
         nx24418)) ;
    nor03 ix997_ix9 (.Y (nx4_dup_0_dup_8790), .A0 (nx24200), .A1 (nx24198), .A2 (
          nx16263)) ;
    mux21 ix16264_ix11 (.Y (nx16263), .A0 (nx678), .A1 (nx990), .S0 (nx24396)) ;
    mux21 ix679_ix11 (.Y (nx678), .A0 (nx15440), .A1 (nx16267), .S0 (nx24394)) ;
    mux21 ix16268_ix11 (.Y (nx16267), .A0 (tmr0_0), .A1 (porta_0), .S0 (nx24398)
          ) ;
    mux21 ix991_ix11 (.Y (nx990), .A0 (nx16421), .A1 (nx16526), .S0 (nx24398)) ;
    mux21 ix16422_ix11 (.Y (nx16421), .A0 (debugpc[0]), .A1 (debugstatus[0]), .S0 (
          nx24394)) ;
    mux21 ix16527_ix11 (.Y (nx16526), .A0 (portbout[0]), .A1 (portcout[0]), .S0 (
          nx24394)) ;
    inv02 ix22383 (.Y (nx22382), .A (alubsel_0)) ;
    mux21 ix16347_ix11 (.Y (alua_7), .A0 (nx19537), .A1 (nx19542), .S0 (
          aluasel_0)) ;
    inv02 ix22391 (.Y (nx22390), .A (bdpol)) ;
    mux21 ix16317_ix11 (.Y (alua_6), .A0 (nx19039), .A1 (nx19044), .S0 (
          aluasel_0)) ;
    mux21 ix16285_ix11 (.Y (alua_5), .A0 (nx18541), .A1 (nx18546), .S0 (
          aluasel_0)) ;
    mux21 ix16253_ix11 (.Y (alua_4), .A0 (nx18041), .A1 (nx18046), .S0 (
          aluasel_0)) ;
    mux21 ix16219_ix11 (.Y (alua_3), .A0 (nx17543), .A1 (nx17548), .S0 (
          aluasel_0)) ;
    mux21 ix16187_ix11 (.Y (alua_2), .A0 (nx17043), .A1 (nx17048), .S0 (
          aluasel_0)) ;
    mux21 ix16153_ix11 (.Y (alua_1), .A0 (nx16547), .A1 (nx16552), .S0 (
          aluasel_0)) ;
    mux21 ix16127_ix11 (.Y (alua_0), .A0 (nx15372), .A1 (nx15417), .S0 (
          aluasel_0)) ;
    GND ix4180_ix1 (.Y (nx4179)) ;
    and02 ix13_ix1 (.Y (nx12), .A0 (pdata[11]), .A1 (nx24226)) ;
    nor03 ix15385_ix9 (.Y (nx20374), .A0 (nx96), .A1 (nx22453), .A2 (reset)) ;
    nor03 ix97_ix5 (.Y (nx96), .A0 (nx24490), .A1 (modgen_or_12_nx12), .A2 (
          modgen_or_12_nx18)) ;
    nand03 modgen_or_12_ix13 (.Y (modgen_or_12_nx12), .A0 (nx24204), .A1 (
           nx22440), .A2 (nx22444)) ;
    ao21 ix22445 (.Y (nx22444), .A0 (nx0_dup_0_dup_20541), .A1 (aluz), .B0 (
         debuginst[10])) ;
    ao221 modgen_or_12_ix19 (.Y (modgen_or_12_nx18), .A0 (nx22447), .A1 (nx15413
          ), .B0 (nx15396), .B1 (nx22449), .C0 (modgen_or_12_nx14)) ;
    inv02 ix22448 (.Y (nx22447), .A (aluz)) ;
    aoi21 modgen_or_12_ix15 (.Y (modgen_or_12_nx14), .A0 (nx22442), .A1 (
          nx0_dup_0_dup_19172), .B0 (nx4_dup_0_dup_8763)) ;
    and02 ix23_ix1 (.Y (nx22), .A0 (pdata[10]), .A1 (nx24226)) ;
    and02 ix37_ix1 (.Y (nx36), .A0 (pdata[7]), .A1 (nx24226)) ;
    and02 ix49_ix1 (.Y (nx48), .A0 (pdata[6]), .A1 (nx24226)) ;
    and02 ix59_ix1 (.Y (nx58), .A0 (pdata[9]), .A1 (nx24226)) ;
    and02 ix79_ix1 (.Y (nx78), .A0 (pdata[8]), .A1 (nx24226)) ;
    and02 ix107_ix1 (.Y (nx106), .A0 (pdata[2]), .A1 (nx24226)) ;
    and02 ix117_ix1 (.Y (nx116), .A0 (pdata[4]), .A1 (nx24226)) ;
    and02 ix127_ix1 (.Y (nx126), .A0 (pdata[3]), .A1 (nx24226)) ;
    and02 ix141_ix1 (.Y (nx140), .A0 (pdata[1]), .A1 (nx24226)) ;
    and02 ix151_ix1 (.Y (nx150), .A0 (pdata[0]), .A1 (nx24226)) ;
    and02 ix363_ix1 (.Y (nx362), .A0 (portain[0]), .A1 (nx22466)) ;
    inv08 ix22467 (.Y (nx22466), .A (reset)) ;
    and02 ix713_ix1 (.Y (nx712), .A0 (pdata[5]), .A1 (nx24226)) ;
    or02 ix899_ix1 (.Y (nx898), .A0 (reset), .A1 (paddr[0])) ;
    inv02 ix22472 (.Y (nx22471), .A (debugpc[0])) ;
    nor04 ix17521_ix13 (.Y (nx2_dup_0_dup_20832), .A0 (nx24378), .A1 (nx24376), 
          .A2 (nx20418), .A3 (nx24380)) ;
    nor04 ix821_ix13 (.Y (nx20216), .A0 (nx24488), .A1 (nx24204), .A2 (
          stacklevel_1), .A3 (nx4_dup_0_dup_8746)) ;
    nand02 ix33_ix5 (.Y (nx4_dup_0_dup_8746), .A0 (nx24490), .A1 (nx15407)) ;
    nor04 ix831_ix13 (.Y (nx20218), .A0 (nx24488), .A1 (nx24204), .A2 (nx16479)
          , .A3 (nx4_dup_0_dup_8746)) ;
    nor04 ix16434_ix9 (.Y (nx11288), .A0 (nx21168), .A1 (nx22426), .A2 (nx24398)
          , .A3 (debuginst[3])) ;
    ao221 ix16504_ix9 (.Y (nx21168), .A0 (nx24490), .A1 (nx15407), .B0 (nx8855)
          , .B1 (nx22481), .C0 (nx24394)) ;
    nor04 ix15443_ix9 (.Y (nx8855), .A0 (nx24394), .A1 (nx24396), .A2 (
          debuginst[4]), .A3 (debuginst[3])) ;
    inv02 ix22482 (.Y (nx22481), .A (nx24398)) ;
    nor03 ix16430_ix9 (.Y (nx0_dup_0_dup_11311), .A0 (nx15413), .A1 (nx24204), .A2 (
          nx4_dup_0_dup_8746)) ;
    ao221 modgen_or_16_ix5 (.Y (modgen_or_16_nx4), .A0 (nx24394), .A1 (nx24380)
          , .B0 (nx24400), .B1 (nx20418), .C0 (modgen_or_16_nx2)) ;
    ao22 modgen_or_16_ix3 (.Y (modgen_or_16_nx2), .A0 (stack1_0), .A1 (nx24378)
         , .B0 (stack2_0), .B1 (nx24376)) ;
    oai22 ix925_ix13 (.Y (nx924), .A0 (nx22490), .A1 (nx16521), .B0 (nx15438), .B1 (
          nx22492)) ;
    nand02 ix15470_ix5 (.Y (nx15469), .A0 (nx230), .A1 (idecfwe)) ;
    mux21 ix16522_ix11 (.Y (nx16521), .A0 (debugstatus[0]), .A1 (alucout), .S0 (
          ideccwe)) ;
    nand02 ix15439_ix5 (.Y (nx15438), .A0 (nx22466), .A1 (nx24400)) ;
    and02 ix3767_ix1 (.Y (nx3766), .A0 (portain[1]), .A1 (nx22466)) ;
    or02 ix3867_ix1 (.Y (nx3866), .A0 (reset), .A1 (paddr[1])) ;
    ao21 modgen_or_19_ix7 (.Y (paddr[1]), .A0 (nx12755), .A1 (nx22503), .B0 (
         modgen_or_19_nx4)) ;
    inv02 ix3839_ix5 (.Y (nx12755), .A (nx22501)) ;
    oai21 ix22502 (.Y (nx22501), .A0 (debugpc[0]), .A1 (debugpc[1]), .B0 (
          nx24416)) ;
    nand02 ix22504 (.Y (nx22503), .A0 (debugpc[1]), .A1 (debugpc[0])) ;
    ao221 modgen_or_19_ix5 (.Y (modgen_or_19_nx4), .A0 (nx24396), .A1 (nx24380)
          , .B0 (nx24402), .B1 (nx20418), .C0 (modgen_or_19_nx2)) ;
    ao22 modgen_or_19_ix3 (.Y (modgen_or_19_nx2), .A0 (stack2_1), .A1 (nx24376)
         , .B0 (stack1_1), .B1 (nx24378)) ;
    and02 ix5527_ix1 (.Y (nx5526), .A0 (portain[2]), .A1 (nx22466)) ;
    or02 ix5627_ix1 (.Y (nx5626), .A0 (reset), .A1 (paddr[2])) ;
    ao21 modgen_or_22_ix7 (.Y (paddr[2]), .A0 (nx14022), .A1 (nx16645), .B0 (
         modgen_or_22_nx4)) ;
    nor02 ix5599_ix1 (.Y (nx14022), .A0 (nx22511), .A1 (nx22513)) ;
    aoi21 ix22512 (.Y (nx22511), .A0 (debugpc[1]), .A1 (debugpc[0]), .B0 (
          debugpc[2])) ;
    nor02 ix16472_ix5 (.Y (nx2_dup_0_dup_11370), .A0 (nx24488), .A1 (nx24204)) ;
    nand03 ix18524_ix9 (.Y (nx16645), .A0 (debugpc[0]), .A1 (debugpc[1]), .A2 (
           debugpc[2])) ;
    ao221 modgen_or_22_ix5 (.Y (modgen_or_22_nx4), .A0 (nx24398), .A1 (nx24380)
          , .B0 (nx24404), .B1 (nx20418), .C0 (modgen_or_22_nx2)) ;
    ao22 modgen_or_22_ix3 (.Y (modgen_or_22_nx2), .A0 (stack2_2), .A1 (nx24376)
         , .B0 (stack1_2), .B1 (nx24378)) ;
    oai22 ix5653_ix13 (.Y (nx5652), .A0 (nx22490), .A1 (nx17527), .B0 (nx15426)
          , .B1 (nx22492)) ;
    mux21 ix17528_ix11 (.Y (nx17527), .A0 (debugstatus[2]), .A1 (aluz), .S0 (
          ideczwe)) ;
    nand02 ix15427_ix5 (.Y (nx15426), .A0 (nx22466), .A1 (nx24404)) ;
    and02 ix7303_ix1 (.Y (nx7302), .A0 (portain[3]), .A1 (nx22466)) ;
    or02 ix7403_ix1 (.Y (nx7402), .A0 (reset), .A1 (paddr[3])) ;
    ao21 modgen_or_25_ix7 (.Y (paddr[3]), .A0 (nx15335), .A1 (nx18523), .B0 (
         modgen_or_25_nx4)) ;
    aoi21 ix7375_ix5 (.Y (nx15335), .A0 (nx16645), .A1 (nx22536), .B0 (nx22513)
          ) ;
    inv02 ix22537 (.Y (nx22536), .A (debugpc[3])) ;
    nand04 ix18524_ix13 (.Y (nx18523), .A0 (debugpc[0]), .A1 (debugpc[1]), .A2 (
           debugpc[2]), .A3 (debugpc[3])) ;
    ao221 modgen_or_25_ix5 (.Y (modgen_or_25_nx4), .A0 (debuginst[3]), .A1 (
          nx24380), .B0 (nx24406), .B1 (nx20418), .C0 (modgen_or_25_nx2)) ;
    ao22 modgen_or_25_ix3 (.Y (modgen_or_25_nx2), .A0 (stack2_3), .A1 (nx24376)
         , .B0 (stack1_3), .B1 (nx24378)) ;
    and02 ix9063_ix1 (.Y (nx9062), .A0 (portain[4]), .A1 (nx22466)) ;
    or02 ix9163_ix1 (.Y (nx9162), .A0 (reset), .A1 (paddr[4])) ;
    ao21 modgen_or_28_ix7 (.Y (paddr[4]), .A0 (nx16628), .A1 (nx22547), .B0 (
         modgen_or_28_nx4)) ;
    aoi21 ix9135_ix5 (.Y (nx16628), .A0 (nx18523), .A1 (nx22545), .B0 (nx22513)
          ) ;
    inv02 ix22546 (.Y (nx22545), .A (debugpc[4])) ;
    nand02 ix22548 (.Y (nx22547), .A0 (debugpc[4]), .A1 (nx22549)) ;
    ao221 modgen_or_28_ix5 (.Y (modgen_or_28_nx4), .A0 (debuginst[4]), .A1 (
          nx24380), .B0 (nx24408), .B1 (nx20418), .C0 (modgen_or_28_nx2)) ;
    ao22 modgen_or_28_ix3 (.Y (modgen_or_28_nx2), .A0 (stack2_4), .A1 (nx24376)
         , .B0 (stack1_4), .B1 (nx24378)) ;
    and02 ix10825_ix1 (.Y (nx10824), .A0 (portain[5]), .A1 (nx22466)) ;
    or02 ix10925_ix1 (.Y (nx10924), .A0 (reset), .A1 (paddr[5])) ;
    ao21 modgen_or_31_ix7 (.Y (paddr[5]), .A0 (nx17933), .A1 (nx19521), .B0 (
         modgen_or_31_nx4)) ;
    aoi21 ix10897_ix5 (.Y (nx17933), .A0 (nx22547), .A1 (nx22557), .B0 (nx22513)
          ) ;
    inv02 ix22558 (.Y (nx22557), .A (debugpc[5])) ;
    nand02 ix19522_ix5 (.Y (nx19521), .A0 (nx9126), .A1 (debugpc[5])) ;
    ao221 modgen_or_31_ix5 (.Y (modgen_or_31_nx4), .A0 (debuginst[5]), .A1 (
          nx24380), .B0 (nx24410), .B1 (nx20418), .C0 (modgen_or_31_nx2)) ;
    ao22 modgen_or_31_ix3 (.Y (modgen_or_31_nx2), .A0 (stack2_5), .A1 (nx24376)
         , .B0 (stack1_5), .B1 (nx24378)) ;
    and02 ix12579_ix1 (.Y (nx12578), .A0 (portain[6]), .A1 (nx22466)) ;
    or02 ix12679_ix1 (.Y (nx12678), .A0 (reset), .A1 (paddr[6])) ;
    ao21 modgen_or_33_ix7 (.Y (paddr[6]), .A0 (nx19211), .A1 (nx22569), .B0 (
         modgen_or_33_nx4)) ;
    aoi21 ix12651_ix5 (.Y (nx19211), .A0 (nx19521), .A1 (nx22567), .B0 (nx22513)
          ) ;
    inv02 ix22568 (.Y (nx22567), .A (debugpc[6])) ;
    nand02 ix22570 (.Y (nx22569), .A0 (debugpc[6]), .A1 (nx22571)) ;
    ao221 modgen_or_33_ix5 (.Y (modgen_or_33_nx4), .A0 (nx0_dup_0_dup_19172), .A1 (
          nx24380), .B0 (nx24412), .B1 (nx20418), .C0 (modgen_or_33_nx2)) ;
    ao22 modgen_or_33_ix3 (.Y (modgen_or_33_nx2), .A0 (stack2_6), .A1 (nx24376)
         , .B0 (stack1_6), .B1 (nx24378)) ;
    and02 ix14333_ix1 (.Y (nx14332), .A0 (portain[7]), .A1 (nx22466)) ;
    or02 ix14437_ix1 (.Y (nx14436), .A0 (reset), .A1 (paddr[7])) ;
    ao21 modgen_or_35_ix7 (.Y (paddr[7]), .A0 (nx20573), .A1 (nx20106), .B0 (
         modgen_or_35_nx4)) ;
    aoi21 ix14409_ix5 (.Y (nx20573), .A0 (nx22569), .A1 (nx22579), .B0 (nx22513)
          ) ;
    inv02 ix22580 (.Y (nx22579), .A (debugpc[7])) ;
    nand02 ix20107_ix5 (.Y (nx20106), .A0 (nx12642), .A1 (debugpc[7])) ;
    ao221 modgen_or_35_ix5 (.Y (modgen_or_35_nx4), .A0 (stack2_7), .A1 (nx24376)
          , .B0 (stack1_7), .B1 (nx24378), .C0 (modgen_or_35_nx0)) ;
    oai22 modgen_or_35_ix1 (.Y (modgen_or_35_nx0), .A0 (nx22585), .A1 (nx22522)
          , .B0 (nx15396), .B1 (nx22524)) ;
    inv02 ix22586 (.Y (nx22585), .A (expdout[7])) ;
    or02 ix16349_ix1 (.Y (nx16348), .A0 (reset), .A1 (paddr[8])) ;
    ao21 modgen_or_36_ix7 (.Y (paddr[8]), .A0 (nx20769), .A1 (nx22592), .B0 (
         modgen_or_36_nx4)) ;
    aoi21 ix16379_ix5 (.Y (nx20769), .A0 (nx20106), .A1 (nx22590), .B0 (nx22513)
          ) ;
    inv02 ix22591 (.Y (nx22590), .A (debugpc[8])) ;
    nand02 ix22593 (.Y (nx22592), .A0 (debugpc[8]), .A1 (nx22594)) ;
    ao221 modgen_or_36_ix5 (.Y (modgen_or_36_nx4), .A0 (stack2_8), .A1 (nx24376)
          , .B0 (debugpc[8]), .B1 (nx20418), .C0 (modgen_or_36_nx2)) ;
    ao32 modgen_or_36_ix3 (.Y (modgen_or_36_nx2), .A0 (nx22442), .A1 (nx24490), 
         .A2 (nx24488), .B0 (stack1_8), .B1 (nx24378)) ;
    or02 ix16407_ix1 (.Y (nx16406), .A0 (reset), .A1 (paddr[9])) ;
    ao21 modgen_or_37_ix7 (.Y (paddr[9]), .A0 (nx20814), .A1 (nx20139), .B0 (
         modgen_or_37_nx4)) ;
    aoi21 ix16433_ix5 (.Y (nx20814), .A0 (nx22592), .A1 (nx22601), .B0 (nx22513)
          ) ;
    inv02 ix22602 (.Y (nx22601), .A (debugpc[9])) ;
    nand02 ix20140_ix5 (.Y (nx20139), .A0 (nx16370), .A1 (debugpc[9])) ;
    ao221 modgen_or_37_ix5 (.Y (modgen_or_37_nx4), .A0 (debugstatus[5]), .A1 (
          nx24380), .B0 (debugpc[9]), .B1 (nx20418), .C0 (modgen_or_37_nx2)) ;
    ao22 modgen_or_37_ix3 (.Y (modgen_or_37_nx2), .A0 (stack2_9), .A1 (nx24376)
         , .B0 (stack1_9), .B1 (nx24378)) ;
    or02 ix16461_ix1 (.Y (nx16460), .A0 (reset), .A1 (paddr[10])) ;
    ao21 modgen_or_38_ix7 (.Y (paddr[10]), .A0 (stack1_10), .A1 (nx24378), .B0 (
         modgen_or_38_nx4)) ;
    ao221 modgen_or_38_ix5 (.Y (modgen_or_38_nx4), .A0 (stack2_10), .A1 (nx24376
          ), .B0 (nx24416), .B1 (nx16468), .C0 (modgen_or_38_nx0)) ;
    xnor2 ix16469_ix1 (.Y (nx16468), .A0 (debugpc[10]), .A1 (nx20139)) ;
    ao22 modgen_or_38_ix1 (.Y (modgen_or_38_nx0), .A0 (debugstatus[6]), .A1 (
         nx24380), .B0 (debugpc[10]), .B1 (nx20418)) ;
    mux21 ix4302_ix11 (.Y (nx4301), .A0 (nx15467), .A1 (nx15465), .S0 (nx24452)
          ) ;
    nand02 ix15466_ix5 (.Y (nx15465), .A0 (nx22466), .A1 (nx24402)) ;
    ao21 ix22615 (.Y (nx22614), .A0 (nx8824), .A1 (nx24202), .B0 (reset)) ;
    nor03 ix257_ix9 (.Y (nx8824), .A0 (expaddr[0]), .A1 (expaddr[1]), .A2 (
          nx15469)) ;
    mux21 ix4312_ix11 (.Y (nx4311), .A0 (nx15440), .A1 (nx15438), .S0 (nx24452)
          ) ;
    mux21 ix4322_ix11 (.Y (nx4321), .A0 (nx15477), .A1 (nx15475), .S0 (nx24452)
          ) ;
    nand02 ix15476_ix5 (.Y (nx15475), .A0 (nx22466), .A1 (nx24406)) ;
    mux21 ix4332_ix11 (.Y (nx4331), .A0 (nx15484), .A1 (nx15482), .S0 (nx24452)
          ) ;
    nand02 ix15483_ix5 (.Y (nx15482), .A0 (nx22466), .A1 (nx24408)) ;
    mux21 ix4342_ix11 (.Y (nx4341), .A0 (nx15428), .A1 (nx15426), .S0 (nx24452)
          ) ;
    mux21 ix4352_ix11 (.Y (nx4351), .A0 (nx15516), .A1 (nx15499), .S0 (nx24452)
          ) ;
    nand02 ix15500_ix5 (.Y (nx15499), .A0 (nx22466), .A1 (nx24412)) ;
    ao32 ix4362_ix3 (.Y (nx4361), .A0 (nx22466), .A1 (nx24412), .A2 (nx24432), .B0 (
         debugstatus[6]), .B1 (nx24426)) ;
    mux21 ix4372_ix11 (.Y (nx4371), .A0 (nx15521), .A1 (nx15505), .S0 (nx24452)
          ) ;
    nand02 ix15506_ix5 (.Y (nx15505), .A0 (nx22466), .A1 (nx24410)) ;
    ao32 ix4382_ix3 (.Y (nx4381), .A0 (nx22466), .A1 (nx24410), .A2 (nx24432), .B0 (
         debugstatus[5]), .B1 (nx24426)) ;
    ao32 ix4392_ix7 (.Y (nx4391), .A0 (nx24400), .A1 (nx22466), .A2 (nx24392), .B0 (
         debugw[0]), .B1 (nx24228)) ;
    nor02 ix15380_ix5 (.Y (nx4_dup_0_dup_8729), .A0 (reset), .A1 (nx24392)) ;
    ao221 ix4402_ix7 (.Y (nx4401), .A0 (nx24410), .A1 (nx24390), .B0 (option_5)
          , .B1 (nx16289), .C0 (reset)) ;
    nor02 ix16290_ix5 (.Y (nx16289), .A0 (reset), .A1 (nx24390)) ;
    ao221 ix4412_ix7 (.Y (nx4411), .A0 (nx24406), .A1 (nx24390), .B0 (option_3)
          , .B1 (nx16289), .C0 (reset)) ;
    oai32 ix4422_ix9 (.Y (nx4421), .A0 (option_5), .A1 (prescaler_0), .A2 (reset
          ), .B0 (nx0_dup_0_dup_11048), .B1 (nx24492)) ;
    oai21 ix4432_ix9 (.Y (nx4431), .A0 (nx16313), .A1 (nx24492), .B0 (nx16315)
          ) ;
    ao221 ix16316_ix7 (.Y (nx16315), .A0 (option_5), .A1 (nx22466), .B0 (
          nx0_dup_0_dup_11048), .B1 (nx16313), .C0 (nx4_dup_0_dup_11051)) ;
    ao21 ix16318_ix3 (.Y (nx4_dup_0_dup_11051), .A0 (prescaler_1), .A1 (
         prescaler_0), .B0 (reset)) ;
    oai21 ix4442_ix9 (.Y (nx4441), .A0 (nx0_dup_0_dup_21122), .A1 (nx24492), .B0 (
          nx16327)) ;
    ao221 ix16328_ix7 (.Y (nx16327), .A0 (option_5), .A1 (nx22466), .B0 (
          nx0_dup_0_dup_11076), .B1 (nx0_dup_0_dup_21122), .C0 (
          nx4_dup_0_dup_11079)) ;
    or02 ix16332_ix5 (.Y (nx4_dup_0_dup_11079), .A0 (nx22645), .A1 (reset)) ;
    oai21 ix4452_ix9 (.Y (nx4451), .A0 (nx16349), .A1 (nx24492), .B0 (nx16351)
          ) ;
    ao221 ix16352_ix7 (.Y (nx16351), .A0 (option_5), .A1 (nx22466), .B0 (
          nx0_dup_0_dup_11115), .B1 (nx16349), .C0 (nx4_dup_0_dup_11118)) ;
    nand02 ix16354_ix1 (.Y (nx4_dup_0_dup_11118), .A0 (nx22651), .A1 (nx22466)
           ) ;
    ao221 ix4462_ix7 (.Y (nx4461), .A0 (nx24404), .A1 (nx24390), .B0 (option_2)
          , .B1 (nx16289), .C0 (reset)) ;
    oai21 ix4472_ix9 (.Y (nx4471), .A0 (nx16359), .A1 (nx24492), .B0 (nx16362)
          ) ;
    ao221 ix16363_ix7 (.Y (nx16362), .A0 (option_5), .A1 (nx22466), .B0 (nx22651
          ), .B1 (nx16359), .C0 (nx4_dup_0_dup_11143)) ;
    nand02 ix16368_ix5 (.Y (nx4_dup_0_dup_11143), .A0 (nx0_dup_0_dup_11208), .A1 (
           nx22466)) ;
    oai21 ix4482_ix9 (.Y (nx4481), .A0 (nx16401), .A1 (nx24492), .B0 (nx16403)
          ) ;
    ao221 ix16404_ix7 (.Y (nx16403), .A0 (option_5), .A1 (nx22466), .B0 (
          nx0_dup_0_dup_11208), .B1 (nx16401), .C0 (nx4_dup_0_dup_11212)) ;
    ao221 ix4492_ix7 (.Y (nx4491), .A0 (nx24402), .A1 (nx24390), .B0 (option_1)
          , .B1 (nx16289), .C0 (reset)) ;
    oai21 ix4502_ix9 (.Y (nx4501), .A0 (nx16391), .A1 (nx24492), .B0 (nx16393)
          ) ;
    ao221 ix16394_ix7 (.Y (nx16393), .A0 (option_5), .A1 (nx22466), .B0 (nx22662
          ), .B1 (nx16391), .C0 (nx4_dup_0_dup_11196)) ;
    ao21 ix16410_ix3 (.Y (nx4_dup_0_dup_11196), .A0 (prescaler_6), .A1 (nx506), 
         .B0 (reset)) ;
    nor02 ix507_ix5 (.Y (nx506), .A0 (nx16401), .A1 (nx0_dup_0_dup_11208)) ;
    ao221 ix4512_ix7 (.Y (nx4511), .A0 (nx24400), .A1 (nx24390), .B0 (option_0)
          , .B1 (nx16289), .C0 (reset)) ;
    oai32 ix4522_ix17 (.Y (nx4521), .A0 (reset), .A1 (nx16383), .A2 (option_5), 
          .B0 (nx16411), .B1 (nx24492)) ;
    nand02 ix16386_ix5 (.Y (nx16385), .A0 (nx506), .A1 (prescaler_6)) ;
    aoi21 ix16276_ix11 (.Y (nx16275), .A0 (nx24384), .A1 (nx22676), .B0 (nx654)
          ) ;
    nor03 ix655_ix9 (.Y (nx654), .A0 (nx24384), .A1 (reset), .A2 (tmr0_0)) ;
    ao221 ix645_ix7 (.Y (nx20212), .A0 (nx0_dup_0_dup_10978), .A1 (nx378), .B0 (
          nx24492), .B1 (nx638), .C0 (reset)) ;
    nor02 ix379_ix5 (.Y (nx378), .A0 (nx15469), .A1 (nx24202)) ;
    ao21 ix639_ix3 (.Y (nx638), .A0 (nx0_dup_0_dup_11006), .A1 (nx634), .B0 (
         option_3)) ;
    nor02 ix417_ix5 (.Y (nx0_dup_0_dup_11006), .A0 (reset), .A1 (prescaler_0)) ;
    ao21 ix635_ix3 (.Y (nx634), .A0 (nx0_dup_0_dup_11014), .A1 (nx628), .B0 (
         nx606)) ;
    nor04 ix607_ix13 (.Y (nx606), .A0 (prescaler_3), .A1 (prescaler_2), .A2 (
          prescaler_1), .A3 (nx16356)) ;
    ao221 ix22690 (.Y (nx22689), .A0 (nx22691), .A1 (nx22693), .B0 (nx22695), .B1 (
          nx22698), .C0 (nx0_dup_0_dup_11014)) ;
    inv02 ix22692 (.Y (nx22691), .A (option_1)) ;
    inv02 ix22694 (.Y (nx22693), .A (option_0)) ;
    nand02 ix22696 (.Y (nx22695), .A0 (nx0_dup_0_dup_11165), .A1 (option_1)) ;
    inv02 ix22699 (.Y (nx22698), .A (prescaler_5)) ;
    mux21 ix4542_ix11 (.Y (nx4541), .A0 (nx16464), .A1 (nx22701), .S0 (nx748)) ;
    inv02 ix22702 (.Y (nx22701), .A (nx4292)) ;
    nor04 ix785_ix13 (.Y (nx4292), .A0 (nx4_dup_0_dup_8746), .A1 (reset), .A2 (
          stacklevel_0), .A3 (nx16469)) ;
    ao221 ix16470_ix7 (.Y (nx16469), .A0 (stacklevel_1), .A1 (nx24488), .B0 (
          nx2_dup_0_dup_11370), .B1 (nx816), .C0 (nx24204)) ;
    nor02 ix817_ix5 (.Y (nx816), .A0 (stacklevel_1), .A1 (nx4_dup_0_dup_8746)) ;
    ao21 ix749_ix3 (.Y (nx748), .A0 (nx22453), .A1 (nx68), .B0 (reset)) ;
    nand02 ix69_ix5 (.Y (nx68), .A0 (nx15407), .A1 (nx24204)) ;
    ao21 ix4552_ix3 (.Y (nx4551), .A0 (stacklevel_1), .A1 (nx22709), .B0 (nx4549
         )) ;
    nor04 ix4550_ix13 (.Y (nx4549), .A0 (reset), .A1 (nx22709), .A2 (nx4292), .A3 (
          nx16475)) ;
    aoi21 ix16476_ix11 (.Y (nx16475), .A0 (nx2_dup_0_dup_11370), .A1 (
          stacklevel_1), .B0 (nx792)) ;
    aoi21 ix793_ix11 (.Y (nx792), .A0 (stacklevel_1), .A1 (stacklevel_0), .B0 (
          nx2_dup_0_dup_11370)) ;
    ao21 ix4562_ix3 (.Y (nx4561), .A0 (stack1_0), .A1 (nx24498), .B0 (nx4559)) ;
    nand03 ix22721 (.Y (nx22720), .A0 (nx0_dup_0_dup_11311), .A1 (nx16479), .A2 (
           nx16464)) ;
    ao21 ix4572_ix3 (.Y (nx4571), .A0 (debugpc[0]), .A1 (nx24374), .B0 (nx4567)
         ) ;
    and03 ix875_ix3 (.Y (nx20222), .A0 (nx24498), .A1 (nx16479), .A2 (
          nx0_dup_0_dup_11311)) ;
    nor02 ix4568_ix5 (.Y (nx4567), .A0 (nx16482), .A1 (nx24374)) ;
    ao21 ix4582_ix3 (.Y (nx4581), .A0 (portcout[0]), .A1 (nx24206), .B0 (nx4579)
         ) ;
    aoi21 ix16538_ix5 (.Y (nx20422), .A0 (nx11534), .A1 (nx22728), .B0 (reset)
          ) ;
    nor03 ix949_ix9 (.Y (nx11534), .A0 (istris), .A1 (nx15469), .A2 (nx21773)) ;
    nor02 ix4580_ix5 (.Y (nx4579), .A0 (nx15438), .A1 (nx24206)) ;
    ao21 ix4592_ix3 (.Y (nx4591), .A0 (portbout[0]), .A1 (nx24208), .B0 (nx4589)
         ) ;
    aoi21 ix16531_ix5 (.Y (nx20420), .A0 (nx11534), .A1 (nx22733), .B0 (reset)
          ) ;
    nor02 ix22734 (.Y (nx22733), .A0 (nx21804), .A1 (expaddr[0])) ;
    nor02 ix4590_ix5 (.Y (nx4589), .A0 (nx15438), .A1 (nx24208)) ;
    ao21 ix4602_ix3 (.Y (nx4601), .A0 (nx24400), .A1 (nx24372), .B0 (nx4597)) ;
    nor02 ix1067_ix9 (.Y (nx20226), .A0 (nx24454), .A1 (nx22742)) ;
    nand02 ix22739 (.Y (nx22738), .A0 (nx24448), .A1 (nx22740)) ;
    and02 ix22741 (.Y (nx22740), .A0 (nx24224), .A1 (idecfwe)) ;
    nor02 ix4598_ix5 (.Y (nx4597), .A0 (nx16241), .A1 (nx24372)) ;
    ao21 ix4612_ix3 (.Y (nx4611), .A0 (nx24400), .A1 (nx24370), .B0 (nx4607)) ;
    nor02 ix1087_ix9 (.Y (nx20228), .A0 (nx24454), .A1 (nx1078)) ;
    nor02 ix4608_ix5 (.Y (nx4607), .A0 (nx16233), .A1 (nx24370)) ;
    ao21 ix4622_ix3 (.Y (nx4621), .A0 (nx24400), .A1 (nx24368), .B0 (nx4617)) ;
    nor02 ix1109_ix9 (.Y (nx20230), .A0 (nx24454), .A1 (nx24500)) ;
    nor02 ix4618_ix5 (.Y (nx4617), .A0 (nx16259), .A1 (nx24368)) ;
    ao21 ix4632_ix3 (.Y (nx4631), .A0 (nx24400), .A1 (nx24366), .B0 (nx4627)) ;
    nor02 ix1129_ix9 (.Y (nx20232), .A0 (nx24454), .A1 (nx22758)) ;
    nor02 ix4628_ix5 (.Y (nx4627), .A0 (nx16251), .A1 (nx24366)) ;
    ao21 ix4642_ix3 (.Y (nx4641), .A0 (nx24400), .A1 (nx24364), .B0 (nx4637)) ;
    nor02 ix1159_ix9 (.Y (nx20234), .A0 (nx24454), .A1 (nx22763)) ;
    nor02 ix4638_ix5 (.Y (nx4637), .A0 (nx16203), .A1 (nx24364)) ;
    ao21 ix4652_ix3 (.Y (nx4651), .A0 (nx24400), .A1 (nx24362), .B0 (nx4647)) ;
    nor02 ix1179_ix9 (.Y (nx20236), .A0 (nx24454), .A1 (nx1170)) ;
    nor02 ix4648_ix5 (.Y (nx4647), .A0 (nx16195), .A1 (nx24362)) ;
    ao21 ix4662_ix3 (.Y (nx4661), .A0 (nx24400), .A1 (nx24360), .B0 (nx4657)) ;
    nor02 ix1201_ix9 (.Y (nx20238), .A0 (nx24454), .A1 (nx24502)) ;
    nor02 ix4658_ix5 (.Y (nx4657), .A0 (nx16223), .A1 (nx24360)) ;
    ao21 ix4672_ix3 (.Y (nx4671), .A0 (nx24400), .A1 (nx24358), .B0 (nx4667)) ;
    nor02 ix1221_ix9 (.Y (nx20240), .A0 (nx24454), .A1 (nx22777)) ;
    nor02 ix4668_ix5 (.Y (nx4667), .A0 (nx16213), .A1 (nx24358)) ;
    ao21 ix4682_ix3 (.Y (nx4681), .A0 (nx24400), .A1 (nx24356), .B0 (nx4677)) ;
    nor02 ix1249_ix9 (.Y (nx20242), .A0 (nx24454), .A1 (nx22782)) ;
    inv02 ix22783 (.Y (nx22782), .A (nx15578)) ;
    nor02 ix4678_ix5 (.Y (nx4677), .A0 (nx16167), .A1 (nx24356)) ;
    ao21 ix4692_ix3 (.Y (nx4691), .A0 (nx24400), .A1 (nx24354), .B0 (nx4687)) ;
    nor02 ix1269_ix9 (.Y (nx20244), .A0 (nx24454), .A1 (nx1260)) ;
    nor02 ix15752_ix1 (.Y (nx15751), .A0 (nx21810), .A1 (nx24202)) ;
    nor02 ix4688_ix5 (.Y (nx4687), .A0 (nx16159), .A1 (nx24354)) ;
    ao21 ix4702_ix3 (.Y (nx4701), .A0 (nx24400), .A1 (nx24352), .B0 (nx4697)) ;
    nor02 ix1291_ix9 (.Y (nx20246), .A0 (nx24454), .A1 (nx24504)) ;
    nand02 ix22793 (.Y (nx22792), .A0 (nx15751), .A1 (nx22733)) ;
    nor02 ix4698_ix5 (.Y (nx4697), .A0 (nx16185), .A1 (nx24352)) ;
    ao21 ix4712_ix3 (.Y (nx4711), .A0 (nx24400), .A1 (nx24350), .B0 (nx4707)) ;
    nor02 ix1311_ix9 (.Y (nx20248), .A0 (nx24454), .A1 (nx22797)) ;
    nor02 ix4708_ix5 (.Y (nx4707), .A0 (nx16177), .A1 (nx24350)) ;
    ao21 ix4722_ix3 (.Y (nx4721), .A0 (nx24400), .A1 (nx24348), .B0 (nx4717)) ;
    nor02 ix1339_ix9 (.Y (nx20250), .A0 (nx24454), .A1 (nx22802)) ;
    nor02 ix4718_ix5 (.Y (nx4717), .A0 (nx16131), .A1 (nx24348)) ;
    ao21 ix4732_ix3 (.Y (nx4731), .A0 (nx24400), .A1 (nx24346), .B0 (nx4727)) ;
    nor02 ix1359_ix9 (.Y (nx20252), .A0 (nx24454), .A1 (nx1350)) ;
    nor02 ix4728_ix5 (.Y (nx4727), .A0 (nx16121), .A1 (nx24346)) ;
    ao21 ix4742_ix3 (.Y (nx4741), .A0 (nx24400), .A1 (nx24344), .B0 (nx4737)) ;
    nor02 ix1381_ix9 (.Y (nx20254), .A0 (nx24454), .A1 (nx22811)) ;
    nor02 ix4738_ix5 (.Y (nx4737), .A0 (nx16149), .A1 (nx24344)) ;
    ao21 ix4752_ix3 (.Y (nx4751), .A0 (nx24400), .A1 (nx24342), .B0 (nx4747)) ;
    nor02 ix1401_ix9 (.Y (nx20256), .A0 (nx24454), .A1 (nx22818)) ;
    nor02 ix4748_ix5 (.Y (nx4747), .A0 (nx16141), .A1 (nx24342)) ;
    ao21 ix4762_ix3 (.Y (nx4761), .A0 (nx24400), .A1 (nx24340), .B0 (nx4757)) ;
    nor02 ix1439_ix9 (.Y (nx20260), .A0 (nx24456), .A1 (nx22742)) ;
    nand02 ix22824 (.Y (nx22823), .A0 (nx24450), .A1 (nx22740)) ;
    nor02 ix4758_ix5 (.Y (nx4757), .A0 (nx16087), .A1 (nx24340)) ;
    ao21 ix4772_ix3 (.Y (nx4771), .A0 (nx24400), .A1 (nx24338), .B0 (nx4767)) ;
    nor02 ix1457_ix9 (.Y (nx20262), .A0 (nx24456), .A1 (nx1078)) ;
    nor02 ix4768_ix5 (.Y (nx4767), .A0 (nx16078), .A1 (nx24338)) ;
    ao21 ix4782_ix3 (.Y (nx4781), .A0 (nx24400), .A1 (nx24336), .B0 (nx4777)) ;
    nor02 ix1477_ix9 (.Y (nx20264), .A0 (nx24456), .A1 (nx24500)) ;
    nor02 ix4778_ix5 (.Y (nx4777), .A0 (nx16107), .A1 (nx24336)) ;
    ao21 ix4792_ix3 (.Y (nx4791), .A0 (nx24400), .A1 (nx24334), .B0 (nx4787)) ;
    nor02 ix1495_ix9 (.Y (nx20266), .A0 (nx24456), .A1 (nx22758)) ;
    nor02 ix4788_ix5 (.Y (nx4787), .A0 (nx16099), .A1 (nx24334)) ;
    ao21 ix4802_ix3 (.Y (nx4801), .A0 (nx24400), .A1 (nx24332), .B0 (nx4797)) ;
    nor02 ix1517_ix9 (.Y (nx20268), .A0 (nx24456), .A1 (nx22763)) ;
    nor02 ix4798_ix5 (.Y (nx4797), .A0 (nx16053), .A1 (nx24332)) ;
    ao21 ix4812_ix3 (.Y (nx4811), .A0 (nx24400), .A1 (nx24330), .B0 (nx4807)) ;
    nor02 ix1535_ix9 (.Y (nx20270), .A0 (nx24456), .A1 (nx1170)) ;
    nor02 ix4808_ix5 (.Y (nx4807), .A0 (nx16045), .A1 (nx24330)) ;
    ao21 ix4822_ix3 (.Y (nx4821), .A0 (nx24400), .A1 (nx24328), .B0 (nx4817)) ;
    nor02 ix1555_ix9 (.Y (nx20272), .A0 (nx24456), .A1 (nx24502)) ;
    nor02 ix4818_ix5 (.Y (nx4817), .A0 (nx16071), .A1 (nx24328)) ;
    ao21 ix4832_ix3 (.Y (nx4831), .A0 (nx24400), .A1 (nx24326), .B0 (nx4827)) ;
    nor02 ix1573_ix9 (.Y (nx20274), .A0 (nx24456), .A1 (nx22777)) ;
    nor02 ix4828_ix5 (.Y (nx4827), .A0 (nx16063), .A1 (nx24326)) ;
    ao21 ix4842_ix3 (.Y (nx4841), .A0 (nx24400), .A1 (nx24324), .B0 (nx4837)) ;
    nor02 ix1597_ix9 (.Y (nx20276), .A0 (nx24456), .A1 (nx22782)) ;
    nor02 ix4838_ix5 (.Y (nx4837), .A0 (nx16021), .A1 (nx24324)) ;
    ao21 ix4852_ix3 (.Y (nx4851), .A0 (nx24400), .A1 (nx24322), .B0 (nx4847)) ;
    nor02 ix1615_ix9 (.Y (nx20278), .A0 (nx24456), .A1 (nx1260)) ;
    nor02 ix4848_ix5 (.Y (nx4847), .A0 (nx16013), .A1 (nx24322)) ;
    ao21 ix4862_ix3 (.Y (nx4861), .A0 (nx24400), .A1 (nx24320), .B0 (nx4857)) ;
    nor02 ix1635_ix9 (.Y (nx20280), .A0 (nx24456), .A1 (nx24504)) ;
    nor02 ix4858_ix5 (.Y (nx4857), .A0 (nx16035), .A1 (nx24320)) ;
    ao21 ix4872_ix3 (.Y (nx4871), .A0 (nx24400), .A1 (nx24318), .B0 (nx4867)) ;
    nor02 ix1653_ix9 (.Y (nx20282), .A0 (nx24456), .A1 (nx22797)) ;
    nor02 ix4868_ix5 (.Y (nx4867), .A0 (nx16029), .A1 (nx24318)) ;
    ao21 ix4882_ix3 (.Y (nx4881), .A0 (nx24400), .A1 (nx24316), .B0 (nx4877)) ;
    nor02 ix1675_ix9 (.Y (nx20284), .A0 (nx24456), .A1 (nx22802)) ;
    nor02 ix4878_ix5 (.Y (nx4877), .A0 (nx15989), .A1 (nx24316)) ;
    ao21 ix4892_ix3 (.Y (nx4891), .A0 (nx24400), .A1 (nx24314), .B0 (nx4887)) ;
    nor02 ix1693_ix9 (.Y (nx20286), .A0 (nx24456), .A1 (nx1350)) ;
    nor02 ix4888_ix5 (.Y (nx4887), .A0 (nx15983), .A1 (nx24314)) ;
    ao21 ix4902_ix3 (.Y (nx4901), .A0 (nx24400), .A1 (nx24312), .B0 (nx4897)) ;
    nor02 ix1713_ix9 (.Y (nx20288), .A0 (nx24456), .A1 (nx22811)) ;
    nor02 ix4898_ix5 (.Y (nx4897), .A0 (nx16005), .A1 (nx24312)) ;
    ao21 ix4912_ix3 (.Y (nx4911), .A0 (nx24400), .A1 (nx24310), .B0 (nx4907)) ;
    nor02 ix1731_ix9 (.Y (nx20290), .A0 (nx24456), .A1 (nx22818)) ;
    nor02 ix4908_ix5 (.Y (nx4907), .A0 (nx15999), .A1 (nx24310)) ;
    ao21 ix4922_ix3 (.Y (nx4921), .A0 (nx24400), .A1 (nx24308), .B0 (nx4917)) ;
    nor02 ix1771_ix9 (.Y (nx20292), .A0 (nx24458), .A1 (nx22742)) ;
    nand02 ix22874 (.Y (nx22873), .A0 (nx22875), .A1 (nx22740)) ;
    nor02 ix4918_ix5 (.Y (nx4917), .A0 (nx15957), .A1 (nx24308)) ;
    ao21 ix4932_ix3 (.Y (nx4931), .A0 (nx24400), .A1 (nx24306), .B0 (nx4927)) ;
    nor02 ix1789_ix9 (.Y (nx20294), .A0 (nx24458), .A1 (nx1078)) ;
    nor02 ix4928_ix5 (.Y (nx4927), .A0 (nx15951), .A1 (nx24306)) ;
    ao21 ix4942_ix3 (.Y (nx4941), .A0 (nx24400), .A1 (nx24304), .B0 (nx4937)) ;
    nor02 ix1809_ix9 (.Y (nx20296), .A0 (nx24458), .A1 (nx24500)) ;
    nor02 ix4938_ix5 (.Y (nx4937), .A0 (nx15971), .A1 (nx24304)) ;
    ao21 ix4952_ix3 (.Y (nx4951), .A0 (nx24400), .A1 (nx24302), .B0 (nx4947)) ;
    nor02 ix1827_ix9 (.Y (nx20298), .A0 (nx24458), .A1 (nx22758)) ;
    nor02 ix4948_ix5 (.Y (nx4947), .A0 (nx15965), .A1 (nx24302)) ;
    ao21 ix4962_ix3 (.Y (nx4961), .A0 (nx24400), .A1 (nx24300), .B0 (nx4957)) ;
    nor02 ix1849_ix9 (.Y (nx20300), .A0 (nx24458), .A1 (nx22763)) ;
    nor02 ix4958_ix5 (.Y (nx4957), .A0 (nx15927), .A1 (nx24300)) ;
    ao21 ix4972_ix3 (.Y (nx4971), .A0 (nx24400), .A1 (nx24298), .B0 (nx4967)) ;
    nor02 ix1867_ix9 (.Y (nx20302), .A0 (nx24458), .A1 (nx1170)) ;
    nor02 ix4968_ix5 (.Y (nx4967), .A0 (nx15919), .A1 (nx24298)) ;
    ao21 ix4982_ix3 (.Y (nx4981), .A0 (nx24400), .A1 (nx24296), .B0 (nx4977)) ;
    nor02 ix1887_ix9 (.Y (nx20304), .A0 (nx24458), .A1 (nx24502)) ;
    nor02 ix4978_ix5 (.Y (nx4977), .A0 (nx15941), .A1 (nx24296)) ;
    ao21 ix4992_ix3 (.Y (nx4991), .A0 (nx24400), .A1 (nx24294), .B0 (nx4987)) ;
    nor02 ix1905_ix9 (.Y (nx20306), .A0 (nx24458), .A1 (nx22777)) ;
    nor02 ix4988_ix5 (.Y (nx4987), .A0 (nx15935), .A1 (nx24294)) ;
    ao21 ix5002_ix3 (.Y (nx5001), .A0 (nx24400), .A1 (nx24292), .B0 (nx4997)) ;
    nor02 ix1929_ix9 (.Y (nx20308), .A0 (nx24458), .A1 (nx22782)) ;
    nor02 ix4998_ix5 (.Y (nx4997), .A0 (nx15895), .A1 (nx24292)) ;
    ao21 ix5012_ix3 (.Y (nx5011), .A0 (nx24400), .A1 (nx24290), .B0 (nx5007)) ;
    nor02 ix1947_ix9 (.Y (nx20310), .A0 (nx24458), .A1 (nx1260)) ;
    nor02 ix5008_ix5 (.Y (nx5007), .A0 (nx15889), .A1 (nx24290)) ;
    ao21 ix5022_ix3 (.Y (nx5021), .A0 (nx24400), .A1 (nx24288), .B0 (nx5017)) ;
    nor02 ix1967_ix9 (.Y (nx20312), .A0 (nx24458), .A1 (nx24504)) ;
    nor02 ix5018_ix5 (.Y (nx5017), .A0 (nx15911), .A1 (nx24288)) ;
    ao21 ix5032_ix3 (.Y (nx5031), .A0 (nx24400), .A1 (nx24286), .B0 (nx5027)) ;
    nor02 ix1985_ix9 (.Y (nx20314), .A0 (nx24458), .A1 (nx22797)) ;
    nor02 ix5028_ix5 (.Y (nx5027), .A0 (nx15905), .A1 (nx24286)) ;
    ao21 ix5042_ix3 (.Y (nx5041), .A0 (nx24400), .A1 (nx24284), .B0 (nx5037)) ;
    nor02 ix2007_ix9 (.Y (nx20316), .A0 (nx24458), .A1 (nx22802)) ;
    nor02 ix5038_ix5 (.Y (nx5037), .A0 (nx15865), .A1 (nx24284)) ;
    ao21 ix5052_ix3 (.Y (nx5051), .A0 (nx24400), .A1 (nx24282), .B0 (nx5047)) ;
    nor02 ix2025_ix9 (.Y (nx20318), .A0 (nx24458), .A1 (nx1350)) ;
    nor02 ix5048_ix5 (.Y (nx5047), .A0 (nx15859), .A1 (nx24282)) ;
    ao21 ix5062_ix3 (.Y (nx5061), .A0 (nx24400), .A1 (nx24280), .B0 (nx5057)) ;
    nor02 ix2045_ix9 (.Y (nx20320), .A0 (nx24458), .A1 (nx22811)) ;
    nor02 ix5058_ix5 (.Y (nx5057), .A0 (nx15881), .A1 (nx24280)) ;
    ao21 ix5072_ix3 (.Y (nx5071), .A0 (nx24400), .A1 (nx24278), .B0 (nx5067)) ;
    nor02 ix2063_ix9 (.Y (nx20322), .A0 (nx24458), .A1 (nx22818)) ;
    nor02 ix5068_ix5 (.Y (nx5067), .A0 (nx15873), .A1 (nx24278)) ;
    ao21 ix5082_ix3 (.Y (nx5081), .A0 (nx24400), .A1 (nx24276), .B0 (nx5077)) ;
    nor02 ix2103_ix9 (.Y (nx20324), .A0 (nx24460), .A1 (nx22742)) ;
    nand02 ix22926 (.Y (nx22925), .A0 (nx22927), .A1 (nx22740)) ;
    nor02 ix22928 (.Y (nx22927), .A0 (nx21098), .A1 (nx0_dup_0)) ;
    nor02 ix5078_ix5 (.Y (nx5077), .A0 (nx15827), .A1 (nx24276)) ;
    ao21 ix5092_ix3 (.Y (nx5091), .A0 (nx24400), .A1 (nx24274), .B0 (nx5087)) ;
    nor02 ix2121_ix9 (.Y (nx20326), .A0 (nx24460), .A1 (nx1078)) ;
    nor02 ix5088_ix5 (.Y (nx5087), .A0 (nx15819), .A1 (nx24274)) ;
    ao21 ix5102_ix3 (.Y (nx5101), .A0 (nx24400), .A1 (nx24272), .B0 (nx5097)) ;
    nor02 ix2141_ix9 (.Y (nx20328), .A0 (nx24460), .A1 (nx24500)) ;
    nor02 ix5098_ix5 (.Y (nx5097), .A0 (nx15841), .A1 (nx24272)) ;
    ao21 ix5112_ix3 (.Y (nx5111), .A0 (nx24400), .A1 (nx24270), .B0 (nx5107)) ;
    nor02 ix2159_ix9 (.Y (nx20330), .A0 (nx24460), .A1 (nx22758)) ;
    nor02 ix5108_ix5 (.Y (nx5107), .A0 (nx15835), .A1 (nx24270)) ;
    ao21 ix5122_ix3 (.Y (nx5121), .A0 (nx24400), .A1 (nx24268), .B0 (nx5117)) ;
    nor02 ix2181_ix9 (.Y (nx20332), .A0 (nx24460), .A1 (nx22763)) ;
    nor02 ix5118_ix5 (.Y (nx5117), .A0 (nx15795), .A1 (nx24268)) ;
    ao21 ix5132_ix3 (.Y (nx5131), .A0 (nx24400), .A1 (nx24266), .B0 (nx5127)) ;
    nor02 ix2199_ix9 (.Y (nx20334), .A0 (nx24460), .A1 (nx1170)) ;
    nor02 ix5128_ix5 (.Y (nx5127), .A0 (nx15789), .A1 (nx24266)) ;
    ao21 ix5142_ix3 (.Y (nx5141), .A0 (nx24400), .A1 (nx24264), .B0 (nx5137)) ;
    nor02 ix2219_ix9 (.Y (nx20336), .A0 (nx24460), .A1 (nx24502)) ;
    nor02 ix5138_ix5 (.Y (nx5137), .A0 (nx15811), .A1 (nx24264)) ;
    ao21 ix5152_ix3 (.Y (nx5151), .A0 (nx24400), .A1 (nx24262), .B0 (nx5147)) ;
    nor02 ix2237_ix9 (.Y (nx20338), .A0 (nx24460), .A1 (nx22777)) ;
    nor02 ix5148_ix5 (.Y (nx5147), .A0 (nx15805), .A1 (nx24262)) ;
    ao21 ix5162_ix3 (.Y (nx5161), .A0 (nx24400), .A1 (nx24260), .B0 (nx5157)) ;
    nor02 ix2261_ix9 (.Y (nx20340), .A0 (nx24460), .A1 (nx22782)) ;
    nor02 ix5158_ix5 (.Y (nx5157), .A0 (nx15763), .A1 (nx24260)) ;
    ao21 ix5172_ix3 (.Y (nx5171), .A0 (nx24400), .A1 (nx24258), .B0 (nx5167)) ;
    nor02 ix2279_ix9 (.Y (nx20342), .A0 (nx24460), .A1 (nx1260)) ;
    nor02 ix5168_ix5 (.Y (nx5167), .A0 (nx15755), .A1 (nx24258)) ;
    ao21 ix5182_ix3 (.Y (nx5181), .A0 (nx24400), .A1 (nx24256), .B0 (nx5177)) ;
    nor02 ix2299_ix9 (.Y (nx20344), .A0 (nx24460), .A1 (nx24504)) ;
    nor02 ix5178_ix5 (.Y (nx5177), .A0 (nx15782), .A1 (nx24256)) ;
    ao21 ix5192_ix3 (.Y (nx5191), .A0 (nx24400), .A1 (nx24254), .B0 (nx5187)) ;
    nor02 ix2317_ix9 (.Y (nx20346), .A0 (nx24460), .A1 (nx22797)) ;
    nor02 ix5188_ix5 (.Y (nx5187), .A0 (nx15772), .A1 (nx24254)) ;
    ao21 ix5202_ix3 (.Y (nx5201), .A0 (nx24400), .A1 (nx24252), .B0 (nx5197)) ;
    nor02 ix2339_ix9 (.Y (nx20348), .A0 (nx24460), .A1 (nx22802)) ;
    nor02 ix5198_ix5 (.Y (nx5197), .A0 (nx15725), .A1 (nx24252)) ;
    ao21 ix5212_ix3 (.Y (nx5211), .A0 (nx24400), .A1 (nx24250), .B0 (nx5207)) ;
    nor02 ix2357_ix9 (.Y (nx20350), .A0 (nx24460), .A1 (nx1350)) ;
    nor02 ix5208_ix5 (.Y (nx5207), .A0 (nx15717), .A1 (nx24250)) ;
    ao21 ix5222_ix3 (.Y (nx5221), .A0 (nx24400), .A1 (nx24248), .B0 (nx5217)) ;
    nor02 ix2377_ix9 (.Y (nx20352), .A0 (nx24460), .A1 (nx22811)) ;
    nor02 ix5218_ix5 (.Y (nx5217), .A0 (nx15743), .A1 (nx24248)) ;
    ao21 ix5232_ix3 (.Y (nx5231), .A0 (nx24400), .A1 (nx24246), .B0 (nx5227)) ;
    nor02 ix2395_ix9 (.Y (nx20354), .A0 (nx24460), .A1 (nx22818)) ;
    nor02 ix5228_ix5 (.Y (nx5227), .A0 (nx15735), .A1 (nx24246)) ;
    ao21 ix5242_ix3 (.Y (nx5241), .A0 (nx24400), .A1 (nx24244), .B0 (nx5237)) ;
    nor02 ix2433_ix9 (.Y (nx20356), .A0 (nx22980), .A1 (nx22742)) ;
    nand02 ix22981 (.Y (nx22980), .A0 (nx24496), .A1 (nx22740)) ;
    nor02 ix5238_ix5 (.Y (nx5237), .A0 (nx15663), .A1 (nx24244)) ;
    ao21 ix5252_ix3 (.Y (nx5251), .A0 (nx24400), .A1 (nx24242), .B0 (nx5247)) ;
    nor02 ix2451_ix9 (.Y (nx20358), .A0 (nx22980), .A1 (nx1078)) ;
    nor02 ix5248_ix5 (.Y (nx5247), .A0 (nx15649), .A1 (nx24242)) ;
    ao21 ix5262_ix3 (.Y (nx5261), .A0 (nx24400), .A1 (nx24240), .B0 (nx5257)) ;
    nor02 ix2471_ix9 (.Y (nx20360), .A0 (nx22980), .A1 (nx24500)) ;
    nor02 ix5258_ix5 (.Y (nx5257), .A0 (nx15683), .A1 (nx24240)) ;
    ao21 ix5272_ix3 (.Y (nx5271), .A0 (nx24400), .A1 (nx24238), .B0 (nx5267)) ;
    nor02 ix2489_ix9 (.Y (nx20362), .A0 (nx22980), .A1 (nx22758)) ;
    nor02 ix5268_ix5 (.Y (nx5267), .A0 (nx15673), .A1 (nx24238)) ;
    ao21 ix5282_ix3 (.Y (nx5281), .A0 (nx24400), .A1 (nx24236), .B0 (nx5277)) ;
    nor02 ix2511_ix9 (.Y (nx20364), .A0 (nx22980), .A1 (nx22763)) ;
    nor02 ix5278_ix5 (.Y (nx5277), .A0 (nx15617), .A1 (nx24236)) ;
    ao21 ix5292_ix3 (.Y (nx5291), .A0 (nx24400), .A1 (nx24234), .B0 (nx5287)) ;
    nor02 ix2529_ix9 (.Y (nx20366), .A0 (nx22980), .A1 (nx1170)) ;
    nor02 ix5288_ix5 (.Y (nx5287), .A0 (nx15605), .A1 (nx24234)) ;
    ao21 ix5302_ix3 (.Y (nx5301), .A0 (nx24400), .A1 (nx24232), .B0 (nx5297)) ;
    nor02 ix2549_ix9 (.Y (nx20368), .A0 (nx22980), .A1 (nx24502)) ;
    nor02 ix5298_ix5 (.Y (nx5297), .A0 (nx15636), .A1 (nx24232)) ;
    ao21 ix5312_ix3 (.Y (nx5311), .A0 (nx24400), .A1 (nx24230), .B0 (nx5307)) ;
    nor02 ix2567_ix9 (.Y (nx20370), .A0 (nx22980), .A1 (nx22777)) ;
    nor02 ix5308_ix5 (.Y (nx5307), .A0 (nx15627), .A1 (nx24230)) ;
    inv02 ix23008 (.Y (nx23007), .A (nx20212)) ;
    nor04 ix5882_ix9 (.Y (nx12652), .A0 (modgen_or_18_nx4), .A1 (a_1__dup_21627)
          , .A2 (reset), .A3 (nx23007)) ;
    ao221 modgen_or_18_ix5 (.Y (modgen_or_18_nx4), .A0 (reset), .A1 (nx24506), .B0 (
          nx23013), .B1 (nx15465), .C0 (modgen_or_18_nx0)) ;
    ao21 modgen_or_18_ix1 (.Y (modgen_or_18_nx0), .A0 (nx23013), .A1 (nx24506), 
         .B0 (a_4__dup_21624)) ;
    ao21 ix5892_ix3 (.Y (nx5891), .A0 (debugpc[1]), .A1 (nx24374), .B0 (nx5887)
         ) ;
    nor02 ix5888_ix5 (.Y (nx5887), .A0 (nx17020), .A1 (nx24374)) ;
    ao21 ix5902_ix3 (.Y (nx5901), .A0 (stack1_1), .A1 (nx24498), .B0 (nx5899)) ;
    ao32 ix5912_ix3 (.Y (nx5911), .A0 (nx22466), .A1 (nx24402), .A2 (nx24432), .B0 (
         debugstatus[1]), .B1 (nx24426)) ;
    ao21 ix5922_ix3 (.Y (nx5921), .A0 (portcout[1]), .A1 (nx24206), .B0 (nx5919)
         ) ;
    nor02 ix5920_ix5 (.Y (nx5919), .A0 (nx15465), .A1 (nx24206)) ;
    ao21 ix5932_ix3 (.Y (nx5931), .A0 (portbout[1]), .A1 (nx24208), .B0 (nx5929)
         ) ;
    nor02 ix5930_ix5 (.Y (nx5929), .A0 (nx15465), .A1 (nx24208)) ;
    ao21 ix5942_ix3 (.Y (nx5941), .A0 (nx24402), .A1 (nx24372), .B0 (nx5937)) ;
    nor02 ix5938_ix5 (.Y (nx5937), .A0 (nx16974), .A1 (nx24372)) ;
    ao21 ix5952_ix3 (.Y (nx5951), .A0 (nx24402), .A1 (nx24370), .B0 (nx5947)) ;
    nor02 ix5948_ix5 (.Y (nx5947), .A0 (nx16969), .A1 (nx24370)) ;
    ao21 ix5962_ix3 (.Y (nx5961), .A0 (nx24402), .A1 (nx24368), .B0 (nx5957)) ;
    nor02 ix5958_ix5 (.Y (nx5957), .A0 (nx16985), .A1 (nx24368)) ;
    ao21 ix5972_ix3 (.Y (nx5971), .A0 (nx24402), .A1 (nx24366), .B0 (nx5967)) ;
    nor02 ix5968_ix5 (.Y (nx5967), .A0 (nx16980), .A1 (nx24366)) ;
    ao21 ix5982_ix3 (.Y (nx5981), .A0 (nx24402), .A1 (nx24364), .B0 (nx5977)) ;
    nor02 ix5978_ix5 (.Y (nx5977), .A0 (nx16952), .A1 (nx24364)) ;
    ao21 ix5992_ix3 (.Y (nx5991), .A0 (nx24402), .A1 (nx24362), .B0 (nx5987)) ;
    nor02 ix5988_ix5 (.Y (nx5987), .A0 (nx16947), .A1 (nx24362)) ;
    ao21 ix6002_ix3 (.Y (nx6001), .A0 (nx24402), .A1 (nx24360), .B0 (nx5997)) ;
    nor02 ix5998_ix5 (.Y (nx5997), .A0 (nx16963), .A1 (nx24360)) ;
    ao21 ix6012_ix3 (.Y (nx6011), .A0 (nx24402), .A1 (nx24358), .B0 (nx6007)) ;
    nor02 ix6008_ix5 (.Y (nx6007), .A0 (nx16958), .A1 (nx24358)) ;
    ao21 ix6022_ix3 (.Y (nx6021), .A0 (nx24402), .A1 (nx24356), .B0 (nx6017)) ;
    nor02 ix6018_ix5 (.Y (nx6017), .A0 (nx16930), .A1 (nx24356)) ;
    ao21 ix6032_ix3 (.Y (nx6031), .A0 (nx24402), .A1 (nx24354), .B0 (nx6027)) ;
    nor02 ix6028_ix5 (.Y (nx6027), .A0 (nx16925), .A1 (nx24354)) ;
    ao21 ix6042_ix3 (.Y (nx6041), .A0 (nx24402), .A1 (nx24352), .B0 (nx6037)) ;
    nor02 ix6038_ix5 (.Y (nx6037), .A0 (nx16941), .A1 (nx24352)) ;
    ao21 ix6052_ix3 (.Y (nx6051), .A0 (nx24402), .A1 (nx24350), .B0 (nx6047)) ;
    nor02 ix6048_ix5 (.Y (nx6047), .A0 (nx16936), .A1 (nx24350)) ;
    ao21 ix6062_ix3 (.Y (nx6061), .A0 (nx24402), .A1 (nx24348), .B0 (nx6057)) ;
    nor02 ix6058_ix5 (.Y (nx6057), .A0 (nx16908), .A1 (nx24348)) ;
    ao21 ix6072_ix3 (.Y (nx6071), .A0 (nx24402), .A1 (nx24346), .B0 (nx6067)) ;
    nor02 ix6068_ix5 (.Y (nx6067), .A0 (nx16903), .A1 (nx24346)) ;
    ao21 ix6082_ix3 (.Y (nx6081), .A0 (nx24402), .A1 (nx24344), .B0 (nx6077)) ;
    nor02 ix6078_ix5 (.Y (nx6077), .A0 (nx16919), .A1 (nx24344)) ;
    ao21 ix6092_ix3 (.Y (nx6091), .A0 (nx24402), .A1 (nx24342), .B0 (nx6087)) ;
    nor02 ix6088_ix5 (.Y (nx6087), .A0 (nx16914), .A1 (nx24342)) ;
    ao21 ix6102_ix3 (.Y (nx6101), .A0 (nx24402), .A1 (nx24340), .B0 (nx6097)) ;
    nor02 ix6098_ix5 (.Y (nx6097), .A0 (nx16884), .A1 (nx24340)) ;
    ao21 ix6112_ix3 (.Y (nx6111), .A0 (nx24402), .A1 (nx24338), .B0 (nx6107)) ;
    nor02 ix6108_ix5 (.Y (nx6107), .A0 (nx16879), .A1 (nx24338)) ;
    ao21 ix6122_ix3 (.Y (nx6121), .A0 (nx24402), .A1 (nx24336), .B0 (nx6117)) ;
    nor02 ix6118_ix5 (.Y (nx6117), .A0 (nx16895), .A1 (nx24336)) ;
    ao21 ix6132_ix3 (.Y (nx6131), .A0 (nx24402), .A1 (nx24334), .B0 (nx6127)) ;
    nor02 ix6128_ix5 (.Y (nx6127), .A0 (nx16890), .A1 (nx24334)) ;
    ao21 ix6142_ix3 (.Y (nx6141), .A0 (nx24402), .A1 (nx24332), .B0 (nx6137)) ;
    nor02 ix6138_ix5 (.Y (nx6137), .A0 (nx16862), .A1 (nx24332)) ;
    ao21 ix6152_ix3 (.Y (nx6151), .A0 (nx24402), .A1 (nx24330), .B0 (nx6147)) ;
    nor02 ix6148_ix5 (.Y (nx6147), .A0 (nx16857), .A1 (nx24330)) ;
    ao21 ix6162_ix3 (.Y (nx6161), .A0 (nx24402), .A1 (nx24328), .B0 (nx6157)) ;
    nor02 ix6158_ix5 (.Y (nx6157), .A0 (nx16873), .A1 (nx24328)) ;
    ao21 ix6172_ix3 (.Y (nx6171), .A0 (nx24402), .A1 (nx24326), .B0 (nx6167)) ;
    nor02 ix6168_ix5 (.Y (nx6167), .A0 (nx16868), .A1 (nx24326)) ;
    ao21 ix6182_ix3 (.Y (nx6181), .A0 (nx24402), .A1 (nx24324), .B0 (nx6177)) ;
    nor02 ix6178_ix5 (.Y (nx6177), .A0 (nx16840), .A1 (nx24324)) ;
    ao21 ix6192_ix3 (.Y (nx6191), .A0 (nx24402), .A1 (nx24322), .B0 (nx6187)) ;
    nor02 ix6188_ix5 (.Y (nx6187), .A0 (nx16835), .A1 (nx24322)) ;
    ao21 ix6202_ix3 (.Y (nx6201), .A0 (nx24402), .A1 (nx24320), .B0 (nx6197)) ;
    nor02 ix6198_ix5 (.Y (nx6197), .A0 (nx16851), .A1 (nx24320)) ;
    ao21 ix6212_ix3 (.Y (nx6211), .A0 (nx24402), .A1 (nx24318), .B0 (nx6207)) ;
    nor02 ix6208_ix5 (.Y (nx6207), .A0 (nx16846), .A1 (nx24318)) ;
    ao21 ix6222_ix3 (.Y (nx6221), .A0 (nx24402), .A1 (nx24316), .B0 (nx6217)) ;
    nor02 ix6218_ix5 (.Y (nx6217), .A0 (nx16818), .A1 (nx24316)) ;
    ao21 ix6232_ix3 (.Y (nx6231), .A0 (nx24402), .A1 (nx24314), .B0 (nx6227)) ;
    nor02 ix6228_ix5 (.Y (nx6227), .A0 (nx16813), .A1 (nx24314)) ;
    ao21 ix6242_ix3 (.Y (nx6241), .A0 (nx24402), .A1 (nx24312), .B0 (nx6237)) ;
    nor02 ix6238_ix5 (.Y (nx6237), .A0 (nx16829), .A1 (nx24312)) ;
    ao21 ix6252_ix3 (.Y (nx6251), .A0 (nx24402), .A1 (nx24310), .B0 (nx6247)) ;
    nor02 ix6248_ix5 (.Y (nx6247), .A0 (nx16824), .A1 (nx24310)) ;
    ao21 ix6262_ix3 (.Y (nx6261), .A0 (nx24402), .A1 (nx24308), .B0 (nx6257)) ;
    nor02 ix6258_ix5 (.Y (nx6257), .A0 (nx16793), .A1 (nx24308)) ;
    ao21 ix6272_ix3 (.Y (nx6271), .A0 (nx24402), .A1 (nx24306), .B0 (nx6267)) ;
    nor02 ix6268_ix5 (.Y (nx6267), .A0 (nx16788), .A1 (nx24306)) ;
    ao21 ix6282_ix3 (.Y (nx6281), .A0 (nx24402), .A1 (nx24304), .B0 (nx6277)) ;
    nor02 ix6278_ix5 (.Y (nx6277), .A0 (nx16804), .A1 (nx24304)) ;
    ao21 ix6292_ix3 (.Y (nx6291), .A0 (nx24402), .A1 (nx24302), .B0 (nx6287)) ;
    nor02 ix6288_ix5 (.Y (nx6287), .A0 (nx16799), .A1 (nx24302)) ;
    ao21 ix6302_ix3 (.Y (nx6301), .A0 (nx24402), .A1 (nx24300), .B0 (nx6297)) ;
    nor02 ix6298_ix5 (.Y (nx6297), .A0 (nx16771), .A1 (nx24300)) ;
    ao21 ix6312_ix3 (.Y (nx6311), .A0 (nx24402), .A1 (nx24298), .B0 (nx6307)) ;
    nor02 ix6308_ix5 (.Y (nx6307), .A0 (nx16766), .A1 (nx24298)) ;
    ao21 ix6322_ix3 (.Y (nx6321), .A0 (nx24402), .A1 (nx24296), .B0 (nx6317)) ;
    nor02 ix6318_ix5 (.Y (nx6317), .A0 (nx16782), .A1 (nx24296)) ;
    ao21 ix6332_ix3 (.Y (nx6331), .A0 (nx24402), .A1 (nx24294), .B0 (nx6327)) ;
    nor02 ix6328_ix5 (.Y (nx6327), .A0 (nx16777), .A1 (nx24294)) ;
    ao21 ix6342_ix3 (.Y (nx6341), .A0 (nx24402), .A1 (nx24292), .B0 (nx6337)) ;
    nor02 ix6338_ix5 (.Y (nx6337), .A0 (nx16749), .A1 (nx24292)) ;
    ao21 ix6352_ix3 (.Y (nx6351), .A0 (nx24402), .A1 (nx24290), .B0 (nx6347)) ;
    nor02 ix6348_ix5 (.Y (nx6347), .A0 (nx16744), .A1 (nx24290)) ;
    ao21 ix6362_ix3 (.Y (nx6361), .A0 (nx24402), .A1 (nx24288), .B0 (nx6357)) ;
    nor02 ix6358_ix5 (.Y (nx6357), .A0 (nx16760), .A1 (nx24288)) ;
    ao21 ix6372_ix3 (.Y (nx6371), .A0 (nx24402), .A1 (nx24286), .B0 (nx6367)) ;
    nor02 ix6368_ix5 (.Y (nx6367), .A0 (nx16755), .A1 (nx24286)) ;
    ao21 ix6382_ix3 (.Y (nx6381), .A0 (nx24402), .A1 (nx24284), .B0 (nx6377)) ;
    nor02 ix6378_ix5 (.Y (nx6377), .A0 (nx16727), .A1 (nx24284)) ;
    ao21 ix6392_ix3 (.Y (nx6391), .A0 (nx24402), .A1 (nx24282), .B0 (nx6387)) ;
    nor02 ix6388_ix5 (.Y (nx6387), .A0 (nx16722), .A1 (nx24282)) ;
    ao21 ix6402_ix3 (.Y (nx6401), .A0 (nx24402), .A1 (nx24280), .B0 (nx6397)) ;
    nor02 ix6398_ix5 (.Y (nx6397), .A0 (nx16738), .A1 (nx24280)) ;
    ao21 ix6412_ix3 (.Y (nx6411), .A0 (nx24402), .A1 (nx24278), .B0 (nx6407)) ;
    nor02 ix6408_ix5 (.Y (nx6407), .A0 (nx16733), .A1 (nx24278)) ;
    ao21 ix6422_ix3 (.Y (nx6421), .A0 (nx24402), .A1 (nx24276), .B0 (nx6417)) ;
    nor02 ix6418_ix5 (.Y (nx6417), .A0 (nx16702), .A1 (nx24276)) ;
    ao21 ix6432_ix3 (.Y (nx6431), .A0 (nx24402), .A1 (nx24274), .B0 (nx6427)) ;
    nor02 ix6428_ix5 (.Y (nx6427), .A0 (nx16697), .A1 (nx24274)) ;
    ao21 ix6442_ix3 (.Y (nx6441), .A0 (nx24402), .A1 (nx24272), .B0 (nx6437)) ;
    nor02 ix6438_ix5 (.Y (nx6437), .A0 (nx16713), .A1 (nx24272)) ;
    ao21 ix6452_ix3 (.Y (nx6451), .A0 (nx24402), .A1 (nx24270), .B0 (nx6447)) ;
    nor02 ix6448_ix5 (.Y (nx6447), .A0 (nx16708), .A1 (nx24270)) ;
    ao21 ix6462_ix3 (.Y (nx6461), .A0 (nx24402), .A1 (nx24268), .B0 (nx6457)) ;
    nor02 ix6458_ix5 (.Y (nx6457), .A0 (nx16680), .A1 (nx24268)) ;
    ao21 ix6472_ix3 (.Y (nx6471), .A0 (nx24402), .A1 (nx24266), .B0 (nx6467)) ;
    nor02 ix6468_ix5 (.Y (nx6467), .A0 (nx16675), .A1 (nx24266)) ;
    ao21 ix6482_ix3 (.Y (nx6481), .A0 (nx24402), .A1 (nx24264), .B0 (nx6477)) ;
    nor02 ix6478_ix5 (.Y (nx6477), .A0 (nx16691), .A1 (nx24264)) ;
    ao21 ix6492_ix3 (.Y (nx6491), .A0 (nx24402), .A1 (nx24262), .B0 (nx6487)) ;
    nor02 ix6488_ix5 (.Y (nx6487), .A0 (nx16686), .A1 (nx24262)) ;
    ao21 ix6502_ix3 (.Y (nx6501), .A0 (nx24402), .A1 (nx24260), .B0 (nx6497)) ;
    nor02 ix6498_ix5 (.Y (nx6497), .A0 (nx16658), .A1 (nx24260)) ;
    ao21 ix6512_ix3 (.Y (nx6511), .A0 (nx24402), .A1 (nx24258), .B0 (nx6507)) ;
    nor02 ix6508_ix5 (.Y (nx6507), .A0 (nx16653), .A1 (nx24258)) ;
    ao21 ix6522_ix3 (.Y (nx6521), .A0 (nx24402), .A1 (nx24256), .B0 (nx6517)) ;
    nor02 ix6518_ix5 (.Y (nx6517), .A0 (nx16669), .A1 (nx24256)) ;
    ao21 ix6532_ix3 (.Y (nx6531), .A0 (nx24402), .A1 (nx24254), .B0 (nx6527)) ;
    nor02 ix6528_ix5 (.Y (nx6527), .A0 (nx16664), .A1 (nx24254)) ;
    ao21 ix6542_ix3 (.Y (nx6541), .A0 (nx24402), .A1 (nx24252), .B0 (nx6537)) ;
    nor02 ix6538_ix5 (.Y (nx6537), .A0 (nx16636), .A1 (nx24252)) ;
    ao21 ix6552_ix3 (.Y (nx6551), .A0 (nx24402), .A1 (nx24250), .B0 (nx6547)) ;
    nor02 ix6548_ix5 (.Y (nx6547), .A0 (nx16631), .A1 (nx24250)) ;
    ao21 ix6562_ix3 (.Y (nx6561), .A0 (nx24402), .A1 (nx24248), .B0 (nx6557)) ;
    nor02 ix6558_ix5 (.Y (nx6557), .A0 (nx16647), .A1 (nx24248)) ;
    ao21 ix6572_ix3 (.Y (nx6571), .A0 (nx24402), .A1 (nx24246), .B0 (nx6567)) ;
    nor02 ix6568_ix5 (.Y (nx6567), .A0 (nx16642), .A1 (nx24246)) ;
    ao21 ix6582_ix3 (.Y (nx6581), .A0 (nx24402), .A1 (nx24244), .B0 (nx6577)) ;
    nor02 ix6578_ix5 (.Y (nx6577), .A0 (nx16610), .A1 (nx24244)) ;
    ao21 ix6592_ix3 (.Y (nx6591), .A0 (nx24402), .A1 (nx24242), .B0 (nx6587)) ;
    nor02 ix6588_ix5 (.Y (nx6587), .A0 (nx16605), .A1 (nx24242)) ;
    ao21 ix6602_ix3 (.Y (nx6601), .A0 (nx24402), .A1 (nx24240), .B0 (nx6597)) ;
    nor02 ix6598_ix5 (.Y (nx6597), .A0 (nx16621), .A1 (nx24240)) ;
    ao21 ix6612_ix3 (.Y (nx6611), .A0 (nx24402), .A1 (nx24238), .B0 (nx6607)) ;
    nor02 ix6608_ix5 (.Y (nx6607), .A0 (nx16616), .A1 (nx24238)) ;
    ao21 ix6622_ix3 (.Y (nx6621), .A0 (nx24402), .A1 (nx24236), .B0 (nx6617)) ;
    nor02 ix6618_ix5 (.Y (nx6617), .A0 (nx16588), .A1 (nx24236)) ;
    ao21 ix6632_ix3 (.Y (nx6631), .A0 (nx24402), .A1 (nx24234), .B0 (nx6627)) ;
    nor02 ix6628_ix5 (.Y (nx6627), .A0 (nx16583), .A1 (nx24234)) ;
    ao21 ix6642_ix3 (.Y (nx6641), .A0 (nx24402), .A1 (nx24232), .B0 (nx6637)) ;
    nor02 ix6638_ix5 (.Y (nx6637), .A0 (nx16599), .A1 (nx24232)) ;
    ao21 ix6652_ix3 (.Y (nx6651), .A0 (nx24402), .A1 (nx24230), .B0 (nx6647)) ;
    nor02 ix6648_ix5 (.Y (nx6647), .A0 (nx16594), .A1 (nx24230)) ;
    ao32 ix7222_ix7 (.Y (nx7221), .A0 (nx24402), .A1 (nx22466), .A2 (nx24392), .B0 (
         debugw[1]), .B1 (nx24228)) ;
    nor04 ix7232_ix9 (.Y (nx13929), .A0 (modgen_or_21_nx4), .A1 (a_1__dup_21644)
          , .A2 (reset), .A3 (nx23007)) ;
    ao221 modgen_or_21_ix5 (.Y (modgen_or_21_nx4), .A0 (reset), .A1 (nx24506), .B0 (
          nx23179), .B1 (nx15426), .C0 (modgen_or_21_nx0)) ;
    ao21 ix23180 (.Y (nx23179), .A0 (nx0_dup_0_dup_21246), .A1 (nx21248), .B0 (
         nx24384)) ;
    ao21 modgen_or_21_ix1 (.Y (modgen_or_21_nx0), .A0 (nx23179), .A1 (nx24506), 
         .B0 (a_4__dup_21641)) ;
    ao21 ix7242_ix3 (.Y (nx7241), .A0 (debugpc[2]), .A1 (nx24374), .B0 (nx7237)
         ) ;
    nor02 ix7238_ix5 (.Y (nx7237), .A0 (nx17516), .A1 (nx24374)) ;
    ao21 ix7252_ix3 (.Y (nx7251), .A0 (stack1_2), .A1 (nx24498), .B0 (nx7249)) ;
    ao21 ix7262_ix3 (.Y (nx7261), .A0 (portcout[2]), .A1 (nx24206), .B0 (nx7259)
         ) ;
    nor02 ix7260_ix5 (.Y (nx7259), .A0 (nx15426), .A1 (nx24206)) ;
    ao21 ix7272_ix3 (.Y (nx7271), .A0 (portbout[2]), .A1 (nx24208), .B0 (nx7269)
         ) ;
    nor02 ix7270_ix5 (.Y (nx7269), .A0 (nx15426), .A1 (nx24208)) ;
    ao21 ix7282_ix3 (.Y (nx7281), .A0 (nx24404), .A1 (nx24372), .B0 (nx7277)) ;
    nor02 ix7278_ix5 (.Y (nx7277), .A0 (nx17470), .A1 (nx24372)) ;
    ao21 ix7292_ix3 (.Y (nx7291), .A0 (nx24404), .A1 (nx24370), .B0 (nx7287)) ;
    nor02 ix7288_ix5 (.Y (nx7287), .A0 (nx17465), .A1 (nx24370)) ;
    ao21 ix7302_ix3 (.Y (nx7301), .A0 (nx24404), .A1 (nx24368), .B0 (nx7297)) ;
    nor02 ix7298_ix5 (.Y (nx7297), .A0 (nx17481), .A1 (nx24368)) ;
    ao21 ix7312_ix3 (.Y (nx7311), .A0 (nx24404), .A1 (nx24366), .B0 (nx7307)) ;
    nor02 ix7308_ix5 (.Y (nx7307), .A0 (nx17476), .A1 (nx24366)) ;
    ao21 ix7322_ix3 (.Y (nx7321), .A0 (nx24404), .A1 (nx24364), .B0 (nx7317)) ;
    nor02 ix7318_ix5 (.Y (nx7317), .A0 (nx17448), .A1 (nx24364)) ;
    ao21 ix7332_ix3 (.Y (nx7331), .A0 (nx24404), .A1 (nx24362), .B0 (nx7327)) ;
    nor02 ix7328_ix5 (.Y (nx7327), .A0 (nx17443), .A1 (nx24362)) ;
    ao21 ix7342_ix3 (.Y (nx7341), .A0 (nx24404), .A1 (nx24360), .B0 (nx7337)) ;
    nor02 ix7338_ix5 (.Y (nx7337), .A0 (nx17459), .A1 (nx24360)) ;
    ao21 ix7352_ix3 (.Y (nx7351), .A0 (nx24404), .A1 (nx24358), .B0 (nx7347)) ;
    nor02 ix7348_ix5 (.Y (nx7347), .A0 (nx17454), .A1 (nx24358)) ;
    ao21 ix7362_ix3 (.Y (nx7361), .A0 (nx24404), .A1 (nx24356), .B0 (nx7357)) ;
    nor02 ix7358_ix5 (.Y (nx7357), .A0 (nx17426), .A1 (nx24356)) ;
    ao21 ix7372_ix3 (.Y (nx7371), .A0 (nx24404), .A1 (nx24354), .B0 (nx7367)) ;
    nor02 ix7368_ix5 (.Y (nx7367), .A0 (nx17421), .A1 (nx24354)) ;
    ao21 ix7382_ix3 (.Y (nx7381), .A0 (nx24404), .A1 (nx24352), .B0 (nx7377)) ;
    nor02 ix7378_ix5 (.Y (nx7377), .A0 (nx17437), .A1 (nx24352)) ;
    ao21 ix7392_ix3 (.Y (nx7391), .A0 (nx24404), .A1 (nx24350), .B0 (nx7387)) ;
    nor02 ix7388_ix5 (.Y (nx7387), .A0 (nx17432), .A1 (nx24350)) ;
    ao21 ix7402_ix3 (.Y (nx7401), .A0 (nx24404), .A1 (nx24348), .B0 (nx7397)) ;
    nor02 ix7398_ix5 (.Y (nx7397), .A0 (nx17404), .A1 (nx24348)) ;
    ao21 ix7412_ix3 (.Y (nx7411), .A0 (nx24404), .A1 (nx24346), .B0 (nx7407)) ;
    nor02 ix7408_ix5 (.Y (nx7407), .A0 (nx17399), .A1 (nx24346)) ;
    ao21 ix7422_ix3 (.Y (nx7421), .A0 (nx24404), .A1 (nx24344), .B0 (nx7417)) ;
    nor02 ix7418_ix5 (.Y (nx7417), .A0 (nx17415), .A1 (nx24344)) ;
    ao21 ix7432_ix3 (.Y (nx7431), .A0 (nx24404), .A1 (nx24342), .B0 (nx7427)) ;
    nor02 ix7428_ix5 (.Y (nx7427), .A0 (nx17410), .A1 (nx24342)) ;
    ao21 ix7442_ix3 (.Y (nx7441), .A0 (nx24404), .A1 (nx24340), .B0 (nx7437)) ;
    nor02 ix7438_ix5 (.Y (nx7437), .A0 (nx17380), .A1 (nx24340)) ;
    ao21 ix7452_ix3 (.Y (nx7451), .A0 (nx24404), .A1 (nx24338), .B0 (nx7447)) ;
    nor02 ix7448_ix5 (.Y (nx7447), .A0 (nx17375), .A1 (nx24338)) ;
    ao21 ix7462_ix3 (.Y (nx7461), .A0 (nx24404), .A1 (nx24336), .B0 (nx7457)) ;
    nor02 ix7458_ix5 (.Y (nx7457), .A0 (nx17391), .A1 (nx24336)) ;
    ao21 ix7472_ix3 (.Y (nx7471), .A0 (nx24404), .A1 (nx24334), .B0 (nx7467)) ;
    nor02 ix7468_ix5 (.Y (nx7467), .A0 (nx17386), .A1 (nx24334)) ;
    ao21 ix7482_ix3 (.Y (nx7481), .A0 (nx24404), .A1 (nx24332), .B0 (nx7477)) ;
    nor02 ix7478_ix5 (.Y (nx7477), .A0 (nx17358), .A1 (nx24332)) ;
    ao21 ix7492_ix3 (.Y (nx7491), .A0 (nx24404), .A1 (nx24330), .B0 (nx7487)) ;
    nor02 ix7488_ix5 (.Y (nx7487), .A0 (nx17353), .A1 (nx24330)) ;
    ao21 ix7502_ix3 (.Y (nx7501), .A0 (nx24404), .A1 (nx24328), .B0 (nx7497)) ;
    nor02 ix7498_ix5 (.Y (nx7497), .A0 (nx17369), .A1 (nx24328)) ;
    ao21 ix7512_ix3 (.Y (nx7511), .A0 (nx24404), .A1 (nx24326), .B0 (nx7507)) ;
    nor02 ix7508_ix5 (.Y (nx7507), .A0 (nx17364), .A1 (nx24326)) ;
    ao21 ix7522_ix3 (.Y (nx7521), .A0 (nx24404), .A1 (nx24324), .B0 (nx7517)) ;
    nor02 ix7518_ix5 (.Y (nx7517), .A0 (nx17336), .A1 (nx24324)) ;
    ao21 ix7532_ix3 (.Y (nx7531), .A0 (nx24404), .A1 (nx24322), .B0 (nx7527)) ;
    nor02 ix7528_ix5 (.Y (nx7527), .A0 (nx17331), .A1 (nx24322)) ;
    ao21 ix7542_ix3 (.Y (nx7541), .A0 (nx24404), .A1 (nx24320), .B0 (nx7537)) ;
    nor02 ix7538_ix5 (.Y (nx7537), .A0 (nx17347), .A1 (nx24320)) ;
    ao21 ix7552_ix3 (.Y (nx7551), .A0 (nx24404), .A1 (nx24318), .B0 (nx7547)) ;
    nor02 ix7548_ix5 (.Y (nx7547), .A0 (nx17342), .A1 (nx24318)) ;
    ao21 ix7562_ix3 (.Y (nx7561), .A0 (nx24404), .A1 (nx24316), .B0 (nx7557)) ;
    nor02 ix7558_ix5 (.Y (nx7557), .A0 (nx17314), .A1 (nx24316)) ;
    ao21 ix7572_ix3 (.Y (nx7571), .A0 (nx24404), .A1 (nx24314), .B0 (nx7567)) ;
    nor02 ix7568_ix5 (.Y (nx7567), .A0 (nx17309), .A1 (nx24314)) ;
    ao21 ix7582_ix3 (.Y (nx7581), .A0 (nx24404), .A1 (nx24312), .B0 (nx7577)) ;
    nor02 ix7578_ix5 (.Y (nx7577), .A0 (nx17325), .A1 (nx24312)) ;
    ao21 ix7592_ix3 (.Y (nx7591), .A0 (nx24404), .A1 (nx24310), .B0 (nx7587)) ;
    nor02 ix7588_ix5 (.Y (nx7587), .A0 (nx17320), .A1 (nx24310)) ;
    ao21 ix7602_ix3 (.Y (nx7601), .A0 (nx24404), .A1 (nx24308), .B0 (nx7597)) ;
    nor02 ix7598_ix5 (.Y (nx7597), .A0 (nx17289), .A1 (nx24308)) ;
    ao21 ix7612_ix3 (.Y (nx7611), .A0 (nx24404), .A1 (nx24306), .B0 (nx7607)) ;
    nor02 ix7608_ix5 (.Y (nx7607), .A0 (nx17284), .A1 (nx24306)) ;
    ao21 ix7622_ix3 (.Y (nx7621), .A0 (nx24404), .A1 (nx24304), .B0 (nx7617)) ;
    nor02 ix7618_ix5 (.Y (nx7617), .A0 (nx17300), .A1 (nx24304)) ;
    ao21 ix7632_ix3 (.Y (nx7631), .A0 (nx24404), .A1 (nx24302), .B0 (nx7627)) ;
    nor02 ix7628_ix5 (.Y (nx7627), .A0 (nx17295), .A1 (nx24302)) ;
    ao21 ix7642_ix3 (.Y (nx7641), .A0 (nx24404), .A1 (nx24300), .B0 (nx7637)) ;
    nor02 ix7638_ix5 (.Y (nx7637), .A0 (nx17267), .A1 (nx24300)) ;
    ao21 ix7652_ix3 (.Y (nx7651), .A0 (nx24404), .A1 (nx24298), .B0 (nx7647)) ;
    nor02 ix7648_ix5 (.Y (nx7647), .A0 (nx17262), .A1 (nx24298)) ;
    ao21 ix7662_ix3 (.Y (nx7661), .A0 (nx24404), .A1 (nx24296), .B0 (nx7657)) ;
    nor02 ix7658_ix5 (.Y (nx7657), .A0 (nx17278), .A1 (nx24296)) ;
    ao21 ix7672_ix3 (.Y (nx7671), .A0 (nx24404), .A1 (nx24294), .B0 (nx7667)) ;
    nor02 ix7668_ix5 (.Y (nx7667), .A0 (nx17273), .A1 (nx24294)) ;
    ao21 ix7682_ix3 (.Y (nx7681), .A0 (nx24404), .A1 (nx24292), .B0 (nx7677)) ;
    nor02 ix7678_ix5 (.Y (nx7677), .A0 (nx17245), .A1 (nx24292)) ;
    ao21 ix7692_ix3 (.Y (nx7691), .A0 (nx24404), .A1 (nx24290), .B0 (nx7687)) ;
    nor02 ix7688_ix5 (.Y (nx7687), .A0 (nx17240), .A1 (nx24290)) ;
    ao21 ix7702_ix3 (.Y (nx7701), .A0 (nx24404), .A1 (nx24288), .B0 (nx7697)) ;
    nor02 ix7698_ix5 (.Y (nx7697), .A0 (nx17256), .A1 (nx24288)) ;
    ao21 ix7712_ix3 (.Y (nx7711), .A0 (nx24404), .A1 (nx24286), .B0 (nx7707)) ;
    nor02 ix7708_ix5 (.Y (nx7707), .A0 (nx17251), .A1 (nx24286)) ;
    ao21 ix7722_ix3 (.Y (nx7721), .A0 (nx24404), .A1 (nx24284), .B0 (nx7717)) ;
    nor02 ix7718_ix5 (.Y (nx7717), .A0 (nx17223), .A1 (nx24284)) ;
    ao21 ix7732_ix3 (.Y (nx7731), .A0 (nx24404), .A1 (nx24282), .B0 (nx7727)) ;
    nor02 ix7728_ix5 (.Y (nx7727), .A0 (nx17218), .A1 (nx24282)) ;
    ao21 ix7742_ix3 (.Y (nx7741), .A0 (nx24404), .A1 (nx24280), .B0 (nx7737)) ;
    nor02 ix7738_ix5 (.Y (nx7737), .A0 (nx17234), .A1 (nx24280)) ;
    ao21 ix7752_ix3 (.Y (nx7751), .A0 (nx24404), .A1 (nx24278), .B0 (nx7747)) ;
    nor02 ix7748_ix5 (.Y (nx7747), .A0 (nx17229), .A1 (nx24278)) ;
    ao21 ix7762_ix3 (.Y (nx7761), .A0 (nx24404), .A1 (nx24276), .B0 (nx7757)) ;
    nor02 ix7758_ix5 (.Y (nx7757), .A0 (nx17198), .A1 (nx24276)) ;
    ao21 ix7772_ix3 (.Y (nx7771), .A0 (nx24404), .A1 (nx24274), .B0 (nx7767)) ;
    nor02 ix7768_ix5 (.Y (nx7767), .A0 (nx17193), .A1 (nx24274)) ;
    ao21 ix7782_ix3 (.Y (nx7781), .A0 (nx24404), .A1 (nx24272), .B0 (nx7777)) ;
    nor02 ix7778_ix5 (.Y (nx7777), .A0 (nx17209), .A1 (nx24272)) ;
    ao21 ix7792_ix3 (.Y (nx7791), .A0 (nx24404), .A1 (nx24270), .B0 (nx7787)) ;
    nor02 ix7788_ix5 (.Y (nx7787), .A0 (nx17204), .A1 (nx24270)) ;
    ao21 ix7802_ix3 (.Y (nx7801), .A0 (nx24404), .A1 (nx24268), .B0 (nx7797)) ;
    nor02 ix7798_ix5 (.Y (nx7797), .A0 (nx17176), .A1 (nx24268)) ;
    ao21 ix7812_ix3 (.Y (nx7811), .A0 (nx24404), .A1 (nx24266), .B0 (nx7807)) ;
    nor02 ix7808_ix5 (.Y (nx7807), .A0 (nx17171), .A1 (nx24266)) ;
    ao21 ix7822_ix3 (.Y (nx7821), .A0 (nx24404), .A1 (nx24264), .B0 (nx7817)) ;
    nor02 ix7818_ix5 (.Y (nx7817), .A0 (nx17187), .A1 (nx24264)) ;
    ao21 ix7832_ix3 (.Y (nx7831), .A0 (nx24404), .A1 (nx24262), .B0 (nx7827)) ;
    nor02 ix7828_ix5 (.Y (nx7827), .A0 (nx17182), .A1 (nx24262)) ;
    ao21 ix7842_ix3 (.Y (nx7841), .A0 (nx24404), .A1 (nx24260), .B0 (nx7837)) ;
    nor02 ix7838_ix5 (.Y (nx7837), .A0 (nx17154), .A1 (nx24260)) ;
    ao21 ix7852_ix3 (.Y (nx7851), .A0 (nx24404), .A1 (nx24258), .B0 (nx7847)) ;
    nor02 ix7848_ix5 (.Y (nx7847), .A0 (nx17149), .A1 (nx24258)) ;
    ao21 ix7862_ix3 (.Y (nx7861), .A0 (nx24404), .A1 (nx24256), .B0 (nx7857)) ;
    nor02 ix7858_ix5 (.Y (nx7857), .A0 (nx17165), .A1 (nx24256)) ;
    ao21 ix7872_ix3 (.Y (nx7871), .A0 (nx24404), .A1 (nx24254), .B0 (nx7867)) ;
    nor02 ix7868_ix5 (.Y (nx7867), .A0 (nx17160), .A1 (nx24254)) ;
    ao21 ix7882_ix3 (.Y (nx7881), .A0 (nx24404), .A1 (nx24252), .B0 (nx7877)) ;
    nor02 ix7878_ix5 (.Y (nx7877), .A0 (nx17132), .A1 (nx24252)) ;
    ao21 ix7892_ix3 (.Y (nx7891), .A0 (nx24404), .A1 (nx24250), .B0 (nx7887)) ;
    nor02 ix7888_ix5 (.Y (nx7887), .A0 (nx17127), .A1 (nx24250)) ;
    ao21 ix7902_ix3 (.Y (nx7901), .A0 (nx24404), .A1 (nx24248), .B0 (nx7897)) ;
    nor02 ix7898_ix5 (.Y (nx7897), .A0 (nx17143), .A1 (nx24248)) ;
    ao21 ix7912_ix3 (.Y (nx7911), .A0 (nx24404), .A1 (nx24246), .B0 (nx7907)) ;
    nor02 ix7908_ix5 (.Y (nx7907), .A0 (nx17138), .A1 (nx24246)) ;
    ao21 ix7922_ix3 (.Y (nx7921), .A0 (nx24404), .A1 (nx24244), .B0 (nx7917)) ;
    nor02 ix7918_ix5 (.Y (nx7917), .A0 (nx17106), .A1 (nx24244)) ;
    ao21 ix7932_ix3 (.Y (nx7931), .A0 (nx24404), .A1 (nx24242), .B0 (nx7927)) ;
    nor02 ix7928_ix5 (.Y (nx7927), .A0 (nx17101), .A1 (nx24242)) ;
    ao21 ix7942_ix3 (.Y (nx7941), .A0 (nx24404), .A1 (nx24240), .B0 (nx7937)) ;
    nor02 ix7938_ix5 (.Y (nx7937), .A0 (nx17117), .A1 (nx24240)) ;
    ao21 ix7952_ix3 (.Y (nx7951), .A0 (nx24404), .A1 (nx24238), .B0 (nx7947)) ;
    nor02 ix7948_ix5 (.Y (nx7947), .A0 (nx17112), .A1 (nx24238)) ;
    ao21 ix7962_ix3 (.Y (nx7961), .A0 (nx24404), .A1 (nx24236), .B0 (nx7957)) ;
    nor02 ix7958_ix5 (.Y (nx7957), .A0 (nx17084), .A1 (nx24236)) ;
    ao21 ix7972_ix3 (.Y (nx7971), .A0 (nx24404), .A1 (nx24234), .B0 (nx7967)) ;
    nor02 ix7968_ix5 (.Y (nx7967), .A0 (nx17079), .A1 (nx24234)) ;
    ao21 ix7982_ix3 (.Y (nx7981), .A0 (nx24404), .A1 (nx24232), .B0 (nx7977)) ;
    nor02 ix7978_ix5 (.Y (nx7977), .A0 (nx17095), .A1 (nx24232)) ;
    ao21 ix7992_ix3 (.Y (nx7991), .A0 (nx24404), .A1 (nx24230), .B0 (nx7987)) ;
    nor02 ix7988_ix5 (.Y (nx7987), .A0 (nx17090), .A1 (nx24230)) ;
    ao32 ix8562_ix7 (.Y (nx8561), .A0 (nx24404), .A1 (nx22466), .A2 (nx24392), .B0 (
         debugw[2]), .B1 (nx24228)) ;
    nand04 modgen_or_24_ix9 (.Y (nx17993), .A0 (nx23342), .A1 (nx22466), .A2 (
           nx23349), .A3 (nx23353)) ;
    oai21 ix23343 (.Y (nx23342), .A0 (nx23344), .A1 (nx23347), .B0 (nx24506)) ;
    ao221 ix23350 (.Y (nx23349), .A0 (nx22466), .A1 (nx24406), .B0 (nx23351), .B1 (
          nx24506), .C0 (a_4__dup_21641)) ;
    inv02 ix23352 (.Y (nx23351), .A (nx0_dup_0_dup_21288)) ;
    nand02 ix23354 (.Y (nx23353), .A0 (nx23347), .A1 (nx15475)) ;
    ao21 ix8582_ix3 (.Y (nx8581), .A0 (debugpc[3]), .A1 (nx24374), .B0 (nx8577)
         ) ;
    nor02 ix8578_ix5 (.Y (nx8577), .A0 (nx18016), .A1 (nx24374)) ;
    ao21 ix8592_ix3 (.Y (nx8591), .A0 (stack1_3), .A1 (nx24498), .B0 (nx8589)) ;
    ao221 ix8602_ix7 (.Y (nx8601), .A0 (nx24406), .A1 (nx24432), .B0 (
          debugstatus[3]), .B1 (nx24426), .C0 (reset)) ;
    ao21 ix8612_ix3 (.Y (nx8611), .A0 (portcout[3]), .A1 (nx24206), .B0 (nx8609)
         ) ;
    nor02 ix8610_ix5 (.Y (nx8609), .A0 (nx15475), .A1 (nx24206)) ;
    ao21 ix8622_ix3 (.Y (nx8621), .A0 (portbout[3]), .A1 (nx24208), .B0 (nx8619)
         ) ;
    nor02 ix8620_ix5 (.Y (nx8619), .A0 (nx15475), .A1 (nx24208)) ;
    ao21 ix8632_ix3 (.Y (nx8631), .A0 (nx24406), .A1 (nx24372), .B0 (nx8627)) ;
    nor02 ix8628_ix5 (.Y (nx8627), .A0 (nx17970), .A1 (nx24372)) ;
    ao21 ix8642_ix3 (.Y (nx8641), .A0 (nx24406), .A1 (nx24370), .B0 (nx8637)) ;
    nor02 ix8638_ix5 (.Y (nx8637), .A0 (nx17965), .A1 (nx24370)) ;
    ao21 ix8652_ix3 (.Y (nx8651), .A0 (nx24406), .A1 (nx24368), .B0 (nx8647)) ;
    nor02 ix8648_ix5 (.Y (nx8647), .A0 (nx17981), .A1 (nx24368)) ;
    ao21 ix8662_ix3 (.Y (nx8661), .A0 (nx24406), .A1 (nx24366), .B0 (nx8657)) ;
    nor02 ix8658_ix5 (.Y (nx8657), .A0 (nx17976), .A1 (nx24366)) ;
    ao21 ix8672_ix3 (.Y (nx8671), .A0 (nx24406), .A1 (nx24364), .B0 (nx8667)) ;
    nor02 ix8668_ix5 (.Y (nx8667), .A0 (nx17948), .A1 (nx24364)) ;
    ao21 ix8682_ix3 (.Y (nx8681), .A0 (nx24406), .A1 (nx24362), .B0 (nx8677)) ;
    nor02 ix8678_ix5 (.Y (nx8677), .A0 (nx17943), .A1 (nx24362)) ;
    ao21 ix8692_ix3 (.Y (nx8691), .A0 (nx24406), .A1 (nx24360), .B0 (nx8687)) ;
    nor02 ix8688_ix5 (.Y (nx8687), .A0 (nx17959), .A1 (nx24360)) ;
    ao21 ix8702_ix3 (.Y (nx8701), .A0 (nx24406), .A1 (nx24358), .B0 (nx8697)) ;
    nor02 ix8698_ix5 (.Y (nx8697), .A0 (nx17954), .A1 (nx24358)) ;
    ao21 ix8712_ix3 (.Y (nx8711), .A0 (nx24406), .A1 (nx24356), .B0 (nx8707)) ;
    nor02 ix8708_ix5 (.Y (nx8707), .A0 (nx17926), .A1 (nx24356)) ;
    ao21 ix8722_ix3 (.Y (nx8721), .A0 (nx24406), .A1 (nx24354), .B0 (nx8717)) ;
    nor02 ix8718_ix5 (.Y (nx8717), .A0 (nx17921), .A1 (nx24354)) ;
    ao21 ix8732_ix3 (.Y (nx8731), .A0 (nx24406), .A1 (nx24352), .B0 (nx8727)) ;
    nor02 ix8728_ix5 (.Y (nx8727), .A0 (nx17937), .A1 (nx24352)) ;
    ao21 ix8742_ix3 (.Y (nx8741), .A0 (nx24406), .A1 (nx24350), .B0 (nx8737)) ;
    nor02 ix8738_ix5 (.Y (nx8737), .A0 (nx17932), .A1 (nx24350)) ;
    ao21 ix8752_ix3 (.Y (nx8751), .A0 (nx24406), .A1 (nx24348), .B0 (nx8747)) ;
    nor02 ix8748_ix5 (.Y (nx8747), .A0 (nx17904), .A1 (nx24348)) ;
    ao21 ix8762_ix3 (.Y (nx8761), .A0 (nx24406), .A1 (nx24346), .B0 (nx8757)) ;
    nor02 ix8758_ix5 (.Y (nx8757), .A0 (nx17899), .A1 (nx24346)) ;
    ao21 ix8772_ix3 (.Y (nx8771), .A0 (nx24406), .A1 (nx24344), .B0 (nx8767)) ;
    nor02 ix8768_ix5 (.Y (nx8767), .A0 (nx17915), .A1 (nx24344)) ;
    ao21 ix8782_ix3 (.Y (nx8781), .A0 (nx24406), .A1 (nx24342), .B0 (nx8777)) ;
    nor02 ix8778_ix5 (.Y (nx8777), .A0 (nx17910), .A1 (nx24342)) ;
    ao21 ix8792_ix3 (.Y (nx8791), .A0 (nx24406), .A1 (nx24340), .B0 (nx8787)) ;
    nor02 ix8788_ix5 (.Y (nx8787), .A0 (nx17880), .A1 (nx24340)) ;
    ao21 ix8802_ix3 (.Y (nx8801), .A0 (nx24406), .A1 (nx24338), .B0 (nx8797)) ;
    nor02 ix8798_ix5 (.Y (nx8797), .A0 (nx17875), .A1 (nx24338)) ;
    ao21 ix8812_ix3 (.Y (nx8811), .A0 (nx24406), .A1 (nx24336), .B0 (nx8807)) ;
    nor02 ix8808_ix5 (.Y (nx8807), .A0 (nx17891), .A1 (nx24336)) ;
    ao21 ix8822_ix3 (.Y (nx8821), .A0 (nx24406), .A1 (nx24334), .B0 (nx8817)) ;
    nor02 ix8818_ix5 (.Y (nx8817), .A0 (nx17886), .A1 (nx24334)) ;
    ao21 ix8832_ix3 (.Y (nx8831), .A0 (nx24406), .A1 (nx24332), .B0 (nx8827)) ;
    nor02 ix8828_ix5 (.Y (nx8827), .A0 (nx17858), .A1 (nx24332)) ;
    ao21 ix8842_ix3 (.Y (nx8841), .A0 (nx24406), .A1 (nx24330), .B0 (nx8837)) ;
    nor02 ix8838_ix5 (.Y (nx8837), .A0 (nx17853), .A1 (nx24330)) ;
    ao21 ix8852_ix3 (.Y (nx8851), .A0 (nx24406), .A1 (nx24328), .B0 (nx8847)) ;
    nor02 ix8848_ix5 (.Y (nx8847), .A0 (nx17869), .A1 (nx24328)) ;
    ao21 ix8862_ix3 (.Y (nx8861), .A0 (nx24406), .A1 (nx24326), .B0 (nx8857)) ;
    nor02 ix8858_ix5 (.Y (nx8857), .A0 (nx17864), .A1 (nx24326)) ;
    ao21 ix8872_ix3 (.Y (nx8871), .A0 (nx24406), .A1 (nx24324), .B0 (nx8867)) ;
    nor02 ix8868_ix5 (.Y (nx8867), .A0 (nx17836), .A1 (nx24324)) ;
    ao21 ix8882_ix3 (.Y (nx8881), .A0 (nx24406), .A1 (nx24322), .B0 (nx8877)) ;
    nor02 ix8878_ix5 (.Y (nx8877), .A0 (nx17831), .A1 (nx24322)) ;
    ao21 ix8892_ix3 (.Y (nx8891), .A0 (nx24406), .A1 (nx24320), .B0 (nx8887)) ;
    nor02 ix8888_ix5 (.Y (nx8887), .A0 (nx17847), .A1 (nx24320)) ;
    ao21 ix8902_ix3 (.Y (nx8901), .A0 (nx24406), .A1 (nx24318), .B0 (nx8897)) ;
    nor02 ix8898_ix5 (.Y (nx8897), .A0 (nx17842), .A1 (nx24318)) ;
    ao21 ix8912_ix3 (.Y (nx8911), .A0 (nx24406), .A1 (nx24316), .B0 (nx8907)) ;
    nor02 ix8908_ix5 (.Y (nx8907), .A0 (nx17814), .A1 (nx24316)) ;
    ao21 ix8922_ix3 (.Y (nx8921), .A0 (nx24406), .A1 (nx24314), .B0 (nx8917)) ;
    nor02 ix8918_ix5 (.Y (nx8917), .A0 (nx17809), .A1 (nx24314)) ;
    ao21 ix8932_ix3 (.Y (nx8931), .A0 (nx24406), .A1 (nx24312), .B0 (nx8927)) ;
    nor02 ix8928_ix5 (.Y (nx8927), .A0 (nx17825), .A1 (nx24312)) ;
    ao21 ix8942_ix3 (.Y (nx8941), .A0 (nx24406), .A1 (nx24310), .B0 (nx8937)) ;
    nor02 ix8938_ix5 (.Y (nx8937), .A0 (nx17820), .A1 (nx24310)) ;
    ao21 ix8952_ix3 (.Y (nx8951), .A0 (nx24406), .A1 (nx24308), .B0 (nx8947)) ;
    nor02 ix8948_ix5 (.Y (nx8947), .A0 (nx17789), .A1 (nx24308)) ;
    ao21 ix8962_ix3 (.Y (nx8961), .A0 (nx24406), .A1 (nx24306), .B0 (nx8957)) ;
    nor02 ix8958_ix5 (.Y (nx8957), .A0 (nx17784), .A1 (nx24306)) ;
    ao21 ix8972_ix3 (.Y (nx8971), .A0 (nx24406), .A1 (nx24304), .B0 (nx8967)) ;
    nor02 ix8968_ix5 (.Y (nx8967), .A0 (nx17800), .A1 (nx24304)) ;
    ao21 ix8982_ix3 (.Y (nx8981), .A0 (nx24406), .A1 (nx24302), .B0 (nx8977)) ;
    nor02 ix8978_ix5 (.Y (nx8977), .A0 (nx17795), .A1 (nx24302)) ;
    ao21 ix8992_ix3 (.Y (nx8991), .A0 (nx24406), .A1 (nx24300), .B0 (nx8987)) ;
    nor02 ix8988_ix5 (.Y (nx8987), .A0 (nx17767), .A1 (nx24300)) ;
    ao21 ix9002_ix3 (.Y (nx9001), .A0 (nx24406), .A1 (nx24298), .B0 (nx8997)) ;
    nor02 ix8998_ix5 (.Y (nx8997), .A0 (nx17762), .A1 (nx24298)) ;
    ao21 ix9012_ix3 (.Y (nx9011), .A0 (nx24406), .A1 (nx24296), .B0 (nx9007)) ;
    nor02 ix9008_ix5 (.Y (nx9007), .A0 (nx17778), .A1 (nx24296)) ;
    ao21 ix9022_ix3 (.Y (nx9021), .A0 (nx24406), .A1 (nx24294), .B0 (nx9017)) ;
    nor02 ix9018_ix5 (.Y (nx9017), .A0 (nx17773), .A1 (nx24294)) ;
    ao21 ix9032_ix3 (.Y (nx9031), .A0 (nx24406), .A1 (nx24292), .B0 (nx9027)) ;
    nor02 ix9028_ix5 (.Y (nx9027), .A0 (nx17745), .A1 (nx24292)) ;
    ao21 ix9042_ix3 (.Y (nx9041), .A0 (nx24406), .A1 (nx24290), .B0 (nx9037)) ;
    nor02 ix9038_ix5 (.Y (nx9037), .A0 (nx17740), .A1 (nx24290)) ;
    ao21 ix9052_ix3 (.Y (nx9051), .A0 (nx24406), .A1 (nx24288), .B0 (nx9047)) ;
    nor02 ix9048_ix5 (.Y (nx9047), .A0 (nx17756), .A1 (nx24288)) ;
    ao21 ix9062_ix3 (.Y (nx9061), .A0 (nx24406), .A1 (nx24286), .B0 (nx9057)) ;
    nor02 ix9058_ix5 (.Y (nx9057), .A0 (nx17751), .A1 (nx24286)) ;
    ao21 ix9072_ix3 (.Y (nx9071), .A0 (nx24406), .A1 (nx24284), .B0 (nx9067)) ;
    nor02 ix9068_ix5 (.Y (nx9067), .A0 (nx17723), .A1 (nx24284)) ;
    ao21 ix9082_ix3 (.Y (nx9081), .A0 (nx24406), .A1 (nx24282), .B0 (nx9077)) ;
    nor02 ix9078_ix5 (.Y (nx9077), .A0 (nx17718), .A1 (nx24282)) ;
    ao21 ix9092_ix3 (.Y (nx9091), .A0 (nx24406), .A1 (nx24280), .B0 (nx9087)) ;
    nor02 ix9088_ix5 (.Y (nx9087), .A0 (nx17734), .A1 (nx24280)) ;
    ao21 ix9102_ix3 (.Y (nx9101), .A0 (nx24406), .A1 (nx24278), .B0 (nx9097)) ;
    nor02 ix9098_ix5 (.Y (nx9097), .A0 (nx17729), .A1 (nx24278)) ;
    ao21 ix9112_ix3 (.Y (nx9111), .A0 (nx24406), .A1 (nx24276), .B0 (nx9107)) ;
    nor02 ix9108_ix5 (.Y (nx9107), .A0 (nx17698), .A1 (nx24276)) ;
    ao21 ix9122_ix3 (.Y (nx9121), .A0 (nx24406), .A1 (nx24274), .B0 (nx9117)) ;
    nor02 ix9118_ix5 (.Y (nx9117), .A0 (nx17693), .A1 (nx24274)) ;
    ao21 ix9132_ix3 (.Y (nx9131), .A0 (nx24406), .A1 (nx24272), .B0 (nx9127)) ;
    nor02 ix9128_ix5 (.Y (nx9127), .A0 (nx17709), .A1 (nx24272)) ;
    ao21 ix9142_ix3 (.Y (nx9141), .A0 (nx24406), .A1 (nx24270), .B0 (nx9137)) ;
    nor02 ix9138_ix5 (.Y (nx9137), .A0 (nx17704), .A1 (nx24270)) ;
    ao21 ix9152_ix3 (.Y (nx9151), .A0 (nx24406), .A1 (nx24268), .B0 (nx9147)) ;
    nor02 ix9148_ix5 (.Y (nx9147), .A0 (nx17676), .A1 (nx24268)) ;
    ao21 ix9162_ix3 (.Y (nx9161), .A0 (nx24406), .A1 (nx24266), .B0 (nx9157)) ;
    nor02 ix9158_ix5 (.Y (nx9157), .A0 (nx17671), .A1 (nx24266)) ;
    ao21 ix9172_ix3 (.Y (nx9171), .A0 (nx24406), .A1 (nx24264), .B0 (nx9167)) ;
    nor02 ix9168_ix5 (.Y (nx9167), .A0 (nx17687), .A1 (nx24264)) ;
    ao21 ix9182_ix3 (.Y (nx9181), .A0 (nx24406), .A1 (nx24262), .B0 (nx9177)) ;
    nor02 ix9178_ix5 (.Y (nx9177), .A0 (nx17682), .A1 (nx24262)) ;
    ao21 ix9192_ix3 (.Y (nx9191), .A0 (nx24406), .A1 (nx24260), .B0 (nx9187)) ;
    nor02 ix9188_ix5 (.Y (nx9187), .A0 (nx17654), .A1 (nx24260)) ;
    ao21 ix9202_ix3 (.Y (nx9201), .A0 (nx24406), .A1 (nx24258), .B0 (nx9197)) ;
    nor02 ix9198_ix5 (.Y (nx9197), .A0 (nx17649), .A1 (nx24258)) ;
    ao21 ix9212_ix3 (.Y (nx9211), .A0 (nx24406), .A1 (nx24256), .B0 (nx9207)) ;
    nor02 ix9208_ix5 (.Y (nx9207), .A0 (nx17665), .A1 (nx24256)) ;
    ao21 ix9222_ix3 (.Y (nx9221), .A0 (nx24406), .A1 (nx24254), .B0 (nx9217)) ;
    nor02 ix9218_ix5 (.Y (nx9217), .A0 (nx17660), .A1 (nx24254)) ;
    ao21 ix9232_ix3 (.Y (nx9231), .A0 (nx24406), .A1 (nx24252), .B0 (nx9227)) ;
    nor02 ix9228_ix5 (.Y (nx9227), .A0 (nx17632), .A1 (nx24252)) ;
    ao21 ix9242_ix3 (.Y (nx9241), .A0 (nx24406), .A1 (nx24250), .B0 (nx9237)) ;
    nor02 ix9238_ix5 (.Y (nx9237), .A0 (nx17627), .A1 (nx24250)) ;
    ao21 ix9252_ix3 (.Y (nx9251), .A0 (nx24406), .A1 (nx24248), .B0 (nx9247)) ;
    nor02 ix9248_ix5 (.Y (nx9247), .A0 (nx17643), .A1 (nx24248)) ;
    ao21 ix9262_ix3 (.Y (nx9261), .A0 (nx24406), .A1 (nx24246), .B0 (nx9257)) ;
    nor02 ix9258_ix5 (.Y (nx9257), .A0 (nx17638), .A1 (nx24246)) ;
    ao21 ix9272_ix3 (.Y (nx9271), .A0 (nx24406), .A1 (nx24244), .B0 (nx9267)) ;
    nor02 ix9268_ix5 (.Y (nx9267), .A0 (nx17606), .A1 (nx24244)) ;
    ao21 ix9282_ix3 (.Y (nx9281), .A0 (nx24406), .A1 (nx24242), .B0 (nx9277)) ;
    nor02 ix9278_ix5 (.Y (nx9277), .A0 (nx17601), .A1 (nx24242)) ;
    ao21 ix9292_ix3 (.Y (nx9291), .A0 (nx24406), .A1 (nx24240), .B0 (nx9287)) ;
    nor02 ix9288_ix5 (.Y (nx9287), .A0 (nx17617), .A1 (nx24240)) ;
    ao21 ix9302_ix3 (.Y (nx9301), .A0 (nx24406), .A1 (nx24238), .B0 (nx9297)) ;
    nor02 ix9298_ix5 (.Y (nx9297), .A0 (nx17612), .A1 (nx24238)) ;
    ao21 ix9312_ix3 (.Y (nx9311), .A0 (nx24406), .A1 (nx24236), .B0 (nx9307)) ;
    nor02 ix9308_ix5 (.Y (nx9307), .A0 (nx17584), .A1 (nx24236)) ;
    ao21 ix9322_ix3 (.Y (nx9321), .A0 (nx24406), .A1 (nx24234), .B0 (nx9317)) ;
    nor02 ix9318_ix5 (.Y (nx9317), .A0 (nx17579), .A1 (nx24234)) ;
    ao21 ix9332_ix3 (.Y (nx9331), .A0 (nx24406), .A1 (nx24232), .B0 (nx9327)) ;
    nor02 ix9328_ix5 (.Y (nx9327), .A0 (nx17595), .A1 (nx24232)) ;
    ao21 ix9342_ix3 (.Y (nx9341), .A0 (nx24406), .A1 (nx24230), .B0 (nx9337)) ;
    nor02 ix9338_ix5 (.Y (nx9337), .A0 (nx17590), .A1 (nx24230)) ;
    ao32 ix9912_ix7 (.Y (nx9911), .A0 (nx24406), .A1 (nx22466), .A2 (nx24392), .B0 (
         debugw[3]), .B1 (nx24228)) ;
    or02 modgen_or_27_ix9 (.Y (nx18491), .A0 (modgen_or_27_nx4), .A1 (
         modgen_or_27_nx6)) ;
    ao221 modgen_or_27_ix5 (.Y (modgen_or_27_nx4), .A0 (reset), .A1 (nx24506), .B0 (
          nx23512), .B1 (nx15482), .C0 (modgen_or_27_nx0)) ;
    ao21 modgen_or_27_ix1 (.Y (modgen_or_27_nx0), .A0 (nx23512), .A1 (nx24506), 
         .B0 (a_4__dup_21675)) ;
    ao21 modgen_or_27_ix7 (.Y (modgen_or_27_nx6), .A0 (nx9072), .A1 (nx15482), .B0 (
         reset)) ;
    ao21 ix9932_ix3 (.Y (nx9931), .A0 (debugpc[4]), .A1 (nx24374), .B0 (nx9927)
         ) ;
    nor02 ix9928_ix5 (.Y (nx9927), .A0 (nx18515), .A1 (nx24374)) ;
    ao21 ix9942_ix3 (.Y (nx9941), .A0 (stack1_4), .A1 (nx24498), .B0 (nx9939)) ;
    ao221 ix9952_ix7 (.Y (nx9951), .A0 (nx24408), .A1 (nx24432), .B0 (
          debugstatus[4]), .B1 (nx24426), .C0 (reset)) ;
    ao21 ix9962_ix3 (.Y (nx9961), .A0 (portcout[4]), .A1 (nx24206), .B0 (nx9959)
         ) ;
    nor02 ix9960_ix5 (.Y (nx9959), .A0 (nx15482), .A1 (nx24206)) ;
    ao21 ix9972_ix3 (.Y (nx9971), .A0 (portbout[4]), .A1 (nx24208), .B0 (nx9969)
         ) ;
    nor02 ix9970_ix5 (.Y (nx9969), .A0 (nx15482), .A1 (nx24208)) ;
    ao21 ix9982_ix3 (.Y (nx9981), .A0 (nx24408), .A1 (nx24372), .B0 (nx9977)) ;
    nor02 ix9978_ix5 (.Y (nx9977), .A0 (nx18468), .A1 (nx24372)) ;
    ao21 ix9992_ix3 (.Y (nx9991), .A0 (nx24408), .A1 (nx24370), .B0 (nx9987)) ;
    nor02 ix9988_ix5 (.Y (nx9987), .A0 (nx18463), .A1 (nx24370)) ;
    ao21 ix10002_ix3 (.Y (nx10001), .A0 (nx24408), .A1 (nx24368), .B0 (nx9997)
         ) ;
    nor02 ix9998_ix5 (.Y (nx9997), .A0 (nx18479), .A1 (nx24368)) ;
    ao21 ix10012_ix3 (.Y (nx10011), .A0 (nx24408), .A1 (nx24366), .B0 (nx10007)
         ) ;
    nor02 ix10008_ix5 (.Y (nx10007), .A0 (nx18474), .A1 (nx24366)) ;
    ao21 ix10022_ix3 (.Y (nx10021), .A0 (nx24408), .A1 (nx24364), .B0 (nx10017)
         ) ;
    nor02 ix10018_ix5 (.Y (nx10017), .A0 (nx18446), .A1 (nx24364)) ;
    ao21 ix10032_ix3 (.Y (nx10031), .A0 (nx24408), .A1 (nx24362), .B0 (nx10027)
         ) ;
    nor02 ix10028_ix5 (.Y (nx10027), .A0 (nx18441), .A1 (nx24362)) ;
    ao21 ix10042_ix3 (.Y (nx10041), .A0 (nx24408), .A1 (nx24360), .B0 (nx10037)
         ) ;
    nor02 ix10038_ix5 (.Y (nx10037), .A0 (nx18457), .A1 (nx24360)) ;
    ao21 ix10052_ix3 (.Y (nx10051), .A0 (nx24408), .A1 (nx24358), .B0 (nx10047)
         ) ;
    nor02 ix10048_ix5 (.Y (nx10047), .A0 (nx18452), .A1 (nx24358)) ;
    ao21 ix10062_ix3 (.Y (nx10061), .A0 (nx24408), .A1 (nx24356), .B0 (nx10057)
         ) ;
    nor02 ix10058_ix5 (.Y (nx10057), .A0 (nx18424), .A1 (nx24356)) ;
    ao21 ix10072_ix3 (.Y (nx10071), .A0 (nx24408), .A1 (nx24354), .B0 (nx10067)
         ) ;
    nor02 ix10068_ix5 (.Y (nx10067), .A0 (nx18419), .A1 (nx24354)) ;
    ao21 ix10082_ix3 (.Y (nx10081), .A0 (nx24408), .A1 (nx24352), .B0 (nx10077)
         ) ;
    nor02 ix10078_ix5 (.Y (nx10077), .A0 (nx18435), .A1 (nx24352)) ;
    ao21 ix10092_ix3 (.Y (nx10091), .A0 (nx24408), .A1 (nx24350), .B0 (nx10087)
         ) ;
    nor02 ix10088_ix5 (.Y (nx10087), .A0 (nx18430), .A1 (nx24350)) ;
    ao21 ix10102_ix3 (.Y (nx10101), .A0 (nx24408), .A1 (nx24348), .B0 (nx10097)
         ) ;
    nor02 ix10098_ix5 (.Y (nx10097), .A0 (nx18402), .A1 (nx24348)) ;
    ao21 ix10112_ix3 (.Y (nx10111), .A0 (nx24408), .A1 (nx24346), .B0 (nx10107)
         ) ;
    nor02 ix10108_ix5 (.Y (nx10107), .A0 (nx18397), .A1 (nx24346)) ;
    ao21 ix10122_ix3 (.Y (nx10121), .A0 (nx24408), .A1 (nx24344), .B0 (nx10117)
         ) ;
    nor02 ix10118_ix5 (.Y (nx10117), .A0 (nx18413), .A1 (nx24344)) ;
    ao21 ix10132_ix3 (.Y (nx10131), .A0 (nx24408), .A1 (nx24342), .B0 (nx10127)
         ) ;
    nor02 ix10128_ix5 (.Y (nx10127), .A0 (nx18408), .A1 (nx24342)) ;
    ao21 ix10142_ix3 (.Y (nx10141), .A0 (nx24408), .A1 (nx24340), .B0 (nx10137)
         ) ;
    nor02 ix10138_ix5 (.Y (nx10137), .A0 (nx18378), .A1 (nx24340)) ;
    ao21 ix10152_ix3 (.Y (nx10151), .A0 (nx24408), .A1 (nx24338), .B0 (nx10147)
         ) ;
    nor02 ix10148_ix5 (.Y (nx10147), .A0 (nx18373), .A1 (nx24338)) ;
    ao21 ix10162_ix3 (.Y (nx10161), .A0 (nx24408), .A1 (nx24336), .B0 (nx10157)
         ) ;
    nor02 ix10158_ix5 (.Y (nx10157), .A0 (nx18389), .A1 (nx24336)) ;
    ao21 ix10172_ix3 (.Y (nx10171), .A0 (nx24408), .A1 (nx24334), .B0 (nx10167)
         ) ;
    nor02 ix10168_ix5 (.Y (nx10167), .A0 (nx18384), .A1 (nx24334)) ;
    ao21 ix10182_ix3 (.Y (nx10181), .A0 (nx24408), .A1 (nx24332), .B0 (nx10177)
         ) ;
    nor02 ix10178_ix5 (.Y (nx10177), .A0 (nx18356), .A1 (nx24332)) ;
    ao21 ix10192_ix3 (.Y (nx10191), .A0 (nx24408), .A1 (nx24330), .B0 (nx10187)
         ) ;
    nor02 ix10188_ix5 (.Y (nx10187), .A0 (nx18351), .A1 (nx24330)) ;
    ao21 ix10202_ix3 (.Y (nx10201), .A0 (nx24408), .A1 (nx24328), .B0 (nx10197)
         ) ;
    nor02 ix10198_ix5 (.Y (nx10197), .A0 (nx18367), .A1 (nx24328)) ;
    ao21 ix10212_ix3 (.Y (nx10211), .A0 (nx24408), .A1 (nx24326), .B0 (nx10207)
         ) ;
    nor02 ix10208_ix5 (.Y (nx10207), .A0 (nx18362), .A1 (nx24326)) ;
    ao21 ix10222_ix3 (.Y (nx10221), .A0 (nx24408), .A1 (nx24324), .B0 (nx10217)
         ) ;
    nor02 ix10218_ix5 (.Y (nx10217), .A0 (nx18334), .A1 (nx24324)) ;
    ao21 ix10232_ix3 (.Y (nx10231), .A0 (nx24408), .A1 (nx24322), .B0 (nx10227)
         ) ;
    nor02 ix10228_ix5 (.Y (nx10227), .A0 (nx18329), .A1 (nx24322)) ;
    ao21 ix10242_ix3 (.Y (nx10241), .A0 (nx24408), .A1 (nx24320), .B0 (nx10237)
         ) ;
    nor02 ix10238_ix5 (.Y (nx10237), .A0 (nx18345), .A1 (nx24320)) ;
    ao21 ix10252_ix3 (.Y (nx10251), .A0 (nx24408), .A1 (nx24318), .B0 (nx10247)
         ) ;
    nor02 ix10248_ix5 (.Y (nx10247), .A0 (nx18340), .A1 (nx24318)) ;
    ao21 ix10262_ix3 (.Y (nx10261), .A0 (nx24408), .A1 (nx24316), .B0 (nx10257)
         ) ;
    nor02 ix10258_ix5 (.Y (nx10257), .A0 (nx18312), .A1 (nx24316)) ;
    ao21 ix10272_ix3 (.Y (nx10271), .A0 (nx24408), .A1 (nx24314), .B0 (nx10267)
         ) ;
    nor02 ix10268_ix5 (.Y (nx10267), .A0 (nx18307), .A1 (nx24314)) ;
    ao21 ix10282_ix3 (.Y (nx10281), .A0 (nx24408), .A1 (nx24312), .B0 (nx10277)
         ) ;
    nor02 ix10278_ix5 (.Y (nx10277), .A0 (nx18323), .A1 (nx24312)) ;
    ao21 ix10292_ix3 (.Y (nx10291), .A0 (nx24408), .A1 (nx24310), .B0 (nx10287)
         ) ;
    nor02 ix10288_ix5 (.Y (nx10287), .A0 (nx18318), .A1 (nx24310)) ;
    ao21 ix10302_ix3 (.Y (nx10301), .A0 (nx24408), .A1 (nx24308), .B0 (nx10297)
         ) ;
    nor02 ix10298_ix5 (.Y (nx10297), .A0 (nx18287), .A1 (nx24308)) ;
    ao21 ix10312_ix3 (.Y (nx10311), .A0 (nx24408), .A1 (nx24306), .B0 (nx10307)
         ) ;
    nor02 ix10308_ix5 (.Y (nx10307), .A0 (nx18282), .A1 (nx24306)) ;
    ao21 ix10322_ix3 (.Y (nx10321), .A0 (nx24408), .A1 (nx24304), .B0 (nx10317)
         ) ;
    nor02 ix10318_ix5 (.Y (nx10317), .A0 (nx18298), .A1 (nx24304)) ;
    ao21 ix10332_ix3 (.Y (nx10331), .A0 (nx24408), .A1 (nx24302), .B0 (nx10327)
         ) ;
    nor02 ix10328_ix5 (.Y (nx10327), .A0 (nx18293), .A1 (nx24302)) ;
    ao21 ix10342_ix3 (.Y (nx10341), .A0 (nx24408), .A1 (nx24300), .B0 (nx10337)
         ) ;
    nor02 ix10338_ix5 (.Y (nx10337), .A0 (nx18265), .A1 (nx24300)) ;
    ao21 ix10352_ix3 (.Y (nx10351), .A0 (nx24408), .A1 (nx24298), .B0 (nx10347)
         ) ;
    nor02 ix10348_ix5 (.Y (nx10347), .A0 (nx18260), .A1 (nx24298)) ;
    ao21 ix10362_ix3 (.Y (nx10361), .A0 (nx24408), .A1 (nx24296), .B0 (nx10357)
         ) ;
    nor02 ix10358_ix5 (.Y (nx10357), .A0 (nx18276), .A1 (nx24296)) ;
    ao21 ix10372_ix3 (.Y (nx10371), .A0 (nx24408), .A1 (nx24294), .B0 (nx10367)
         ) ;
    nor02 ix10368_ix5 (.Y (nx10367), .A0 (nx18271), .A1 (nx24294)) ;
    ao21 ix10382_ix3 (.Y (nx10381), .A0 (nx24408), .A1 (nx24292), .B0 (nx10377)
         ) ;
    nor02 ix10378_ix5 (.Y (nx10377), .A0 (nx18243), .A1 (nx24292)) ;
    ao21 ix10392_ix3 (.Y (nx10391), .A0 (nx24408), .A1 (nx24290), .B0 (nx10387)
         ) ;
    nor02 ix10388_ix5 (.Y (nx10387), .A0 (nx18238), .A1 (nx24290)) ;
    ao21 ix10402_ix3 (.Y (nx10401), .A0 (nx24408), .A1 (nx24288), .B0 (nx10397)
         ) ;
    nor02 ix10398_ix5 (.Y (nx10397), .A0 (nx18254), .A1 (nx24288)) ;
    ao21 ix10412_ix3 (.Y (nx10411), .A0 (nx24408), .A1 (nx24286), .B0 (nx10407)
         ) ;
    nor02 ix10408_ix5 (.Y (nx10407), .A0 (nx18249), .A1 (nx24286)) ;
    ao21 ix10422_ix3 (.Y (nx10421), .A0 (nx24408), .A1 (nx24284), .B0 (nx10417)
         ) ;
    nor02 ix10418_ix5 (.Y (nx10417), .A0 (nx18221), .A1 (nx24284)) ;
    ao21 ix10432_ix3 (.Y (nx10431), .A0 (nx24408), .A1 (nx24282), .B0 (nx10427)
         ) ;
    nor02 ix10428_ix5 (.Y (nx10427), .A0 (nx18216), .A1 (nx24282)) ;
    ao21 ix10442_ix3 (.Y (nx10441), .A0 (nx24408), .A1 (nx24280), .B0 (nx10437)
         ) ;
    nor02 ix10438_ix5 (.Y (nx10437), .A0 (nx18232), .A1 (nx24280)) ;
    ao21 ix10452_ix3 (.Y (nx10451), .A0 (nx24408), .A1 (nx24278), .B0 (nx10447)
         ) ;
    nor02 ix10448_ix5 (.Y (nx10447), .A0 (nx18227), .A1 (nx24278)) ;
    ao21 ix10462_ix3 (.Y (nx10461), .A0 (nx24408), .A1 (nx24276), .B0 (nx10457)
         ) ;
    nor02 ix10458_ix5 (.Y (nx10457), .A0 (nx18196), .A1 (nx24276)) ;
    ao21 ix10472_ix3 (.Y (nx10471), .A0 (nx24408), .A1 (nx24274), .B0 (nx10467)
         ) ;
    nor02 ix10468_ix5 (.Y (nx10467), .A0 (nx18191), .A1 (nx24274)) ;
    ao21 ix10482_ix3 (.Y (nx10481), .A0 (nx24408), .A1 (nx24272), .B0 (nx10477)
         ) ;
    nor02 ix10478_ix5 (.Y (nx10477), .A0 (nx18207), .A1 (nx24272)) ;
    ao21 ix10492_ix3 (.Y (nx10491), .A0 (nx24408), .A1 (nx24270), .B0 (nx10487)
         ) ;
    nor02 ix10488_ix5 (.Y (nx10487), .A0 (nx18202), .A1 (nx24270)) ;
    ao21 ix10502_ix3 (.Y (nx10501), .A0 (nx24408), .A1 (nx24268), .B0 (nx10497)
         ) ;
    nor02 ix10498_ix5 (.Y (nx10497), .A0 (nx18174), .A1 (nx24268)) ;
    ao21 ix10512_ix3 (.Y (nx10511), .A0 (nx24408), .A1 (nx24266), .B0 (nx10507)
         ) ;
    nor02 ix10508_ix5 (.Y (nx10507), .A0 (nx18169), .A1 (nx24266)) ;
    ao21 ix10522_ix3 (.Y (nx10521), .A0 (nx24408), .A1 (nx24264), .B0 (nx10517)
         ) ;
    nor02 ix10518_ix5 (.Y (nx10517), .A0 (nx18185), .A1 (nx24264)) ;
    ao21 ix10532_ix3 (.Y (nx10531), .A0 (nx24408), .A1 (nx24262), .B0 (nx10527)
         ) ;
    nor02 ix10528_ix5 (.Y (nx10527), .A0 (nx18180), .A1 (nx24262)) ;
    ao21 ix10542_ix3 (.Y (nx10541), .A0 (nx24408), .A1 (nx24260), .B0 (nx10537)
         ) ;
    nor02 ix10538_ix5 (.Y (nx10537), .A0 (nx18152), .A1 (nx24260)) ;
    ao21 ix10552_ix3 (.Y (nx10551), .A0 (nx24408), .A1 (nx24258), .B0 (nx10547)
         ) ;
    nor02 ix10548_ix5 (.Y (nx10547), .A0 (nx18147), .A1 (nx24258)) ;
    ao21 ix10562_ix3 (.Y (nx10561), .A0 (nx24408), .A1 (nx24256), .B0 (nx10557)
         ) ;
    nor02 ix10558_ix5 (.Y (nx10557), .A0 (nx18163), .A1 (nx24256)) ;
    ao21 ix10572_ix3 (.Y (nx10571), .A0 (nx24408), .A1 (nx24254), .B0 (nx10567)
         ) ;
    nor02 ix10568_ix5 (.Y (nx10567), .A0 (nx18158), .A1 (nx24254)) ;
    ao21 ix10582_ix3 (.Y (nx10581), .A0 (nx24408), .A1 (nx24252), .B0 (nx10577)
         ) ;
    nor02 ix10578_ix5 (.Y (nx10577), .A0 (nx18130), .A1 (nx24252)) ;
    ao21 ix10592_ix3 (.Y (nx10591), .A0 (nx24408), .A1 (nx24250), .B0 (nx10587)
         ) ;
    nor02 ix10588_ix5 (.Y (nx10587), .A0 (nx18125), .A1 (nx24250)) ;
    ao21 ix10602_ix3 (.Y (nx10601), .A0 (nx24408), .A1 (nx24248), .B0 (nx10597)
         ) ;
    nor02 ix10598_ix5 (.Y (nx10597), .A0 (nx18141), .A1 (nx24248)) ;
    ao21 ix10612_ix3 (.Y (nx10611), .A0 (nx24408), .A1 (nx24246), .B0 (nx10607)
         ) ;
    nor02 ix10608_ix5 (.Y (nx10607), .A0 (nx18136), .A1 (nx24246)) ;
    ao21 ix10622_ix3 (.Y (nx10621), .A0 (nx24408), .A1 (nx24244), .B0 (nx10617)
         ) ;
    nor02 ix10618_ix5 (.Y (nx10617), .A0 (nx18104), .A1 (nx24244)) ;
    ao21 ix10632_ix3 (.Y (nx10631), .A0 (nx24408), .A1 (nx24242), .B0 (nx10627)
         ) ;
    nor02 ix10628_ix5 (.Y (nx10627), .A0 (nx18099), .A1 (nx24242)) ;
    ao21 ix10642_ix3 (.Y (nx10641), .A0 (nx24408), .A1 (nx24240), .B0 (nx10637)
         ) ;
    nor02 ix10638_ix5 (.Y (nx10637), .A0 (nx18115), .A1 (nx24240)) ;
    ao21 ix10652_ix3 (.Y (nx10651), .A0 (nx24408), .A1 (nx24238), .B0 (nx10647)
         ) ;
    nor02 ix10648_ix5 (.Y (nx10647), .A0 (nx18110), .A1 (nx24238)) ;
    ao21 ix10662_ix3 (.Y (nx10661), .A0 (nx24408), .A1 (nx24236), .B0 (nx10657)
         ) ;
    nor02 ix10658_ix5 (.Y (nx10657), .A0 (nx18082), .A1 (nx24236)) ;
    ao21 ix10672_ix3 (.Y (nx10671), .A0 (nx24408), .A1 (nx24234), .B0 (nx10667)
         ) ;
    nor02 ix10668_ix5 (.Y (nx10667), .A0 (nx18077), .A1 (nx24234)) ;
    ao21 ix10682_ix3 (.Y (nx10681), .A0 (nx24408), .A1 (nx24232), .B0 (nx10677)
         ) ;
    nor02 ix10678_ix5 (.Y (nx10677), .A0 (nx18093), .A1 (nx24232)) ;
    ao21 ix10692_ix3 (.Y (nx10691), .A0 (nx24408), .A1 (nx24230), .B0 (nx10687)
         ) ;
    nor02 ix10688_ix5 (.Y (nx10687), .A0 (nx18088), .A1 (nx24230)) ;
    ao32 ix11262_ix7 (.Y (nx11261), .A0 (nx24408), .A1 (nx22466), .A2 (nx24392)
         , .B0 (debugw[4]), .B1 (nx24228)) ;
    or02 modgen_or_30_ix9 (.Y (nx18991), .A0 (modgen_or_30_nx4), .A1 (
         modgen_or_30_nx6)) ;
    ao221 modgen_or_30_ix5 (.Y (modgen_or_30_nx4), .A0 (nx23678), .A1 (nx15505)
          , .B0 (reset), .B1 (nx24506), .C0 (modgen_or_30_nx0)) ;
    aoi21 modgen_or_30_ix1 (.Y (modgen_or_30_nx0), .A0 (nx10846), .A1 (
          nx0_dup_0_dup_19143), .B0 (nx24384)) ;
    nand02 ix18994_ix5 (.Y (nx0_dup_0_dup_19143), .A0 (nx9072), .A1 (tmr0_5)) ;
    oai21 modgen_or_30_ix7 (.Y (modgen_or_30_nx6), .A0 (nx0_dup_0_dup_19143), .A1 (
          nx24410), .B0 (nx22466)) ;
    ao21 ix11282_ix3 (.Y (nx11281), .A0 (debugpc[5]), .A1 (nx24374), .B0 (
         nx11277)) ;
    nor02 ix11278_ix5 (.Y (nx11277), .A0 (nx19015), .A1 (nx24374)) ;
    ao21 ix11292_ix3 (.Y (nx11291), .A0 (stack1_5), .A1 (nx24498), .B0 (nx11289)
         ) ;
    ao21 ix11302_ix3 (.Y (nx11301), .A0 (portcout[5]), .A1 (nx24206), .B0 (
         nx11299)) ;
    nor02 ix11300_ix5 (.Y (nx11299), .A0 (nx15505), .A1 (nx24206)) ;
    ao21 ix11312_ix3 (.Y (nx11311), .A0 (portbout[5]), .A1 (nx24208), .B0 (
         nx11309)) ;
    nor02 ix11310_ix5 (.Y (nx11309), .A0 (nx15505), .A1 (nx24208)) ;
    ao21 ix11322_ix3 (.Y (nx11321), .A0 (nx24410), .A1 (nx24372), .B0 (nx11317)
         ) ;
    nor02 ix11318_ix5 (.Y (nx11317), .A0 (nx18968), .A1 (nx24372)) ;
    ao21 ix11332_ix3 (.Y (nx11331), .A0 (nx24410), .A1 (nx24370), .B0 (nx11327)
         ) ;
    nor02 ix11328_ix5 (.Y (nx11327), .A0 (nx18963), .A1 (nx24370)) ;
    ao21 ix11342_ix3 (.Y (nx11341), .A0 (nx24410), .A1 (nx24368), .B0 (nx11337)
         ) ;
    nor02 ix11338_ix5 (.Y (nx11337), .A0 (nx18979), .A1 (nx24368)) ;
    ao21 ix11352_ix3 (.Y (nx11351), .A0 (nx24410), .A1 (nx24366), .B0 (nx11347)
         ) ;
    nor02 ix11348_ix5 (.Y (nx11347), .A0 (nx18974), .A1 (nx24366)) ;
    ao21 ix11362_ix3 (.Y (nx11361), .A0 (nx24410), .A1 (nx24364), .B0 (nx11357)
         ) ;
    nor02 ix11358_ix5 (.Y (nx11357), .A0 (nx18946), .A1 (nx24364)) ;
    ao21 ix11372_ix3 (.Y (nx11371), .A0 (nx24410), .A1 (nx24362), .B0 (nx11367)
         ) ;
    nor02 ix11368_ix5 (.Y (nx11367), .A0 (nx18941), .A1 (nx24362)) ;
    ao21 ix11382_ix3 (.Y (nx11381), .A0 (nx24410), .A1 (nx24360), .B0 (nx11377)
         ) ;
    nor02 ix11378_ix5 (.Y (nx11377), .A0 (nx18957), .A1 (nx24360)) ;
    ao21 ix11392_ix3 (.Y (nx11391), .A0 (nx24410), .A1 (nx24358), .B0 (nx11387)
         ) ;
    nor02 ix11388_ix5 (.Y (nx11387), .A0 (nx18952), .A1 (nx24358)) ;
    ao21 ix11402_ix3 (.Y (nx11401), .A0 (nx24410), .A1 (nx24356), .B0 (nx11397)
         ) ;
    nor02 ix11398_ix5 (.Y (nx11397), .A0 (nx18924), .A1 (nx24356)) ;
    ao21 ix11412_ix3 (.Y (nx11411), .A0 (nx24410), .A1 (nx24354), .B0 (nx11407)
         ) ;
    nor02 ix11408_ix5 (.Y (nx11407), .A0 (nx18919), .A1 (nx24354)) ;
    ao21 ix11422_ix3 (.Y (nx11421), .A0 (nx24410), .A1 (nx24352), .B0 (nx11417)
         ) ;
    nor02 ix11418_ix5 (.Y (nx11417), .A0 (nx18935), .A1 (nx24352)) ;
    ao21 ix11432_ix3 (.Y (nx11431), .A0 (nx24410), .A1 (nx24350), .B0 (nx11427)
         ) ;
    nor02 ix11428_ix5 (.Y (nx11427), .A0 (nx18930), .A1 (nx24350)) ;
    ao21 ix11442_ix3 (.Y (nx11441), .A0 (nx24410), .A1 (nx24348), .B0 (nx11437)
         ) ;
    nor02 ix11438_ix5 (.Y (nx11437), .A0 (nx18902), .A1 (nx24348)) ;
    ao21 ix11452_ix3 (.Y (nx11451), .A0 (nx24410), .A1 (nx24346), .B0 (nx11447)
         ) ;
    nor02 ix11448_ix5 (.Y (nx11447), .A0 (nx18897), .A1 (nx24346)) ;
    ao21 ix11462_ix3 (.Y (nx11461), .A0 (nx24410), .A1 (nx24344), .B0 (nx11457)
         ) ;
    nor02 ix11458_ix5 (.Y (nx11457), .A0 (nx18913), .A1 (nx24344)) ;
    ao21 ix11472_ix3 (.Y (nx11471), .A0 (nx24410), .A1 (nx24342), .B0 (nx11467)
         ) ;
    nor02 ix11468_ix5 (.Y (nx11467), .A0 (nx18908), .A1 (nx24342)) ;
    ao21 ix11482_ix3 (.Y (nx11481), .A0 (nx24410), .A1 (nx24340), .B0 (nx11477)
         ) ;
    nor02 ix11478_ix5 (.Y (nx11477), .A0 (nx18878), .A1 (nx24340)) ;
    ao21 ix11492_ix3 (.Y (nx11491), .A0 (nx24410), .A1 (nx24338), .B0 (nx11487)
         ) ;
    nor02 ix11488_ix5 (.Y (nx11487), .A0 (nx18873), .A1 (nx24338)) ;
    ao21 ix11502_ix3 (.Y (nx11501), .A0 (nx24410), .A1 (nx24336), .B0 (nx11497)
         ) ;
    nor02 ix11498_ix5 (.Y (nx11497), .A0 (nx18889), .A1 (nx24336)) ;
    ao21 ix11512_ix3 (.Y (nx11511), .A0 (nx24410), .A1 (nx24334), .B0 (nx11507)
         ) ;
    nor02 ix11508_ix5 (.Y (nx11507), .A0 (nx18884), .A1 (nx24334)) ;
    ao21 ix11522_ix3 (.Y (nx11521), .A0 (nx24410), .A1 (nx24332), .B0 (nx11517)
         ) ;
    nor02 ix11518_ix5 (.Y (nx11517), .A0 (nx18856), .A1 (nx24332)) ;
    ao21 ix11532_ix3 (.Y (nx11531), .A0 (nx24410), .A1 (nx24330), .B0 (nx11527)
         ) ;
    nor02 ix11528_ix5 (.Y (nx11527), .A0 (nx18851), .A1 (nx24330)) ;
    ao21 ix11542_ix3 (.Y (nx11541), .A0 (nx24410), .A1 (nx24328), .B0 (nx11537)
         ) ;
    nor02 ix11538_ix5 (.Y (nx11537), .A0 (nx18867), .A1 (nx24328)) ;
    ao21 ix11552_ix3 (.Y (nx11551), .A0 (nx24410), .A1 (nx24326), .B0 (nx11547)
         ) ;
    nor02 ix11548_ix5 (.Y (nx11547), .A0 (nx18862), .A1 (nx24326)) ;
    ao21 ix11562_ix3 (.Y (nx11561), .A0 (nx24410), .A1 (nx24324), .B0 (nx11557)
         ) ;
    nor02 ix11558_ix5 (.Y (nx11557), .A0 (nx18834), .A1 (nx24324)) ;
    ao21 ix11572_ix3 (.Y (nx11571), .A0 (nx24410), .A1 (nx24322), .B0 (nx11567)
         ) ;
    nor02 ix11568_ix5 (.Y (nx11567), .A0 (nx18829), .A1 (nx24322)) ;
    ao21 ix11582_ix3 (.Y (nx11581), .A0 (nx24410), .A1 (nx24320), .B0 (nx11577)
         ) ;
    nor02 ix11578_ix5 (.Y (nx11577), .A0 (nx18845), .A1 (nx24320)) ;
    ao21 ix11592_ix3 (.Y (nx11591), .A0 (nx24410), .A1 (nx24318), .B0 (nx11587)
         ) ;
    nor02 ix11588_ix5 (.Y (nx11587), .A0 (nx18840), .A1 (nx24318)) ;
    ao21 ix11602_ix3 (.Y (nx11601), .A0 (nx24410), .A1 (nx24316), .B0 (nx11597)
         ) ;
    nor02 ix11598_ix5 (.Y (nx11597), .A0 (nx18812), .A1 (nx24316)) ;
    ao21 ix11612_ix3 (.Y (nx11611), .A0 (nx24410), .A1 (nx24314), .B0 (nx11607)
         ) ;
    nor02 ix11608_ix5 (.Y (nx11607), .A0 (nx18807), .A1 (nx24314)) ;
    ao21 ix11622_ix3 (.Y (nx11621), .A0 (nx24410), .A1 (nx24312), .B0 (nx11617)
         ) ;
    nor02 ix11618_ix5 (.Y (nx11617), .A0 (nx18823), .A1 (nx24312)) ;
    ao21 ix11632_ix3 (.Y (nx11631), .A0 (nx24410), .A1 (nx24310), .B0 (nx11627)
         ) ;
    nor02 ix11628_ix5 (.Y (nx11627), .A0 (nx18818), .A1 (nx24310)) ;
    ao21 ix11642_ix3 (.Y (nx11641), .A0 (nx24410), .A1 (nx24308), .B0 (nx11637)
         ) ;
    nor02 ix11638_ix5 (.Y (nx11637), .A0 (nx18787), .A1 (nx24308)) ;
    ao21 ix11652_ix3 (.Y (nx11651), .A0 (nx24410), .A1 (nx24306), .B0 (nx11647)
         ) ;
    nor02 ix11648_ix5 (.Y (nx11647), .A0 (nx18782), .A1 (nx24306)) ;
    ao21 ix11662_ix3 (.Y (nx11661), .A0 (nx24410), .A1 (nx24304), .B0 (nx11657)
         ) ;
    nor02 ix11658_ix5 (.Y (nx11657), .A0 (nx18798), .A1 (nx24304)) ;
    ao21 ix11672_ix3 (.Y (nx11671), .A0 (nx24410), .A1 (nx24302), .B0 (nx11667)
         ) ;
    nor02 ix11668_ix5 (.Y (nx11667), .A0 (nx18793), .A1 (nx24302)) ;
    ao21 ix11682_ix3 (.Y (nx11681), .A0 (nx24410), .A1 (nx24300), .B0 (nx11677)
         ) ;
    nor02 ix11678_ix5 (.Y (nx11677), .A0 (nx18765), .A1 (nx24300)) ;
    ao21 ix11692_ix3 (.Y (nx11691), .A0 (nx24410), .A1 (nx24298), .B0 (nx11687)
         ) ;
    nor02 ix11688_ix5 (.Y (nx11687), .A0 (nx18760), .A1 (nx24298)) ;
    ao21 ix11702_ix3 (.Y (nx11701), .A0 (nx24410), .A1 (nx24296), .B0 (nx11697)
         ) ;
    nor02 ix11698_ix5 (.Y (nx11697), .A0 (nx18776), .A1 (nx24296)) ;
    ao21 ix11712_ix3 (.Y (nx11711), .A0 (nx24410), .A1 (nx24294), .B0 (nx11707)
         ) ;
    nor02 ix11708_ix5 (.Y (nx11707), .A0 (nx18771), .A1 (nx24294)) ;
    ao21 ix11722_ix3 (.Y (nx11721), .A0 (nx24410), .A1 (nx24292), .B0 (nx11717)
         ) ;
    nor02 ix11718_ix5 (.Y (nx11717), .A0 (nx18743), .A1 (nx24292)) ;
    ao21 ix11732_ix3 (.Y (nx11731), .A0 (nx24410), .A1 (nx24290), .B0 (nx11727)
         ) ;
    nor02 ix11728_ix5 (.Y (nx11727), .A0 (nx18738), .A1 (nx24290)) ;
    ao21 ix11742_ix3 (.Y (nx11741), .A0 (nx24410), .A1 (nx24288), .B0 (nx11737)
         ) ;
    nor02 ix11738_ix5 (.Y (nx11737), .A0 (nx18754), .A1 (nx24288)) ;
    ao21 ix11752_ix3 (.Y (nx11751), .A0 (nx24410), .A1 (nx24286), .B0 (nx11747)
         ) ;
    nor02 ix11748_ix5 (.Y (nx11747), .A0 (nx18749), .A1 (nx24286)) ;
    ao21 ix11762_ix3 (.Y (nx11761), .A0 (nx24410), .A1 (nx24284), .B0 (nx11757)
         ) ;
    nor02 ix11758_ix5 (.Y (nx11757), .A0 (nx18721), .A1 (nx24284)) ;
    ao21 ix11772_ix3 (.Y (nx11771), .A0 (nx24410), .A1 (nx24282), .B0 (nx11767)
         ) ;
    nor02 ix11768_ix5 (.Y (nx11767), .A0 (nx18716), .A1 (nx24282)) ;
    ao21 ix11782_ix3 (.Y (nx11781), .A0 (nx24410), .A1 (nx24280), .B0 (nx11777)
         ) ;
    nor02 ix11778_ix5 (.Y (nx11777), .A0 (nx18732), .A1 (nx24280)) ;
    ao21 ix11792_ix3 (.Y (nx11791), .A0 (nx24410), .A1 (nx24278), .B0 (nx11787)
         ) ;
    nor02 ix11788_ix5 (.Y (nx11787), .A0 (nx18727), .A1 (nx24278)) ;
    ao21 ix11802_ix3 (.Y (nx11801), .A0 (nx24410), .A1 (nx24276), .B0 (nx11797)
         ) ;
    nor02 ix11798_ix5 (.Y (nx11797), .A0 (nx18696), .A1 (nx24276)) ;
    ao21 ix11812_ix3 (.Y (nx11811), .A0 (nx24410), .A1 (nx24274), .B0 (nx11807)
         ) ;
    nor02 ix11808_ix5 (.Y (nx11807), .A0 (nx18691), .A1 (nx24274)) ;
    ao21 ix11822_ix3 (.Y (nx11821), .A0 (nx24410), .A1 (nx24272), .B0 (nx11817)
         ) ;
    nor02 ix11818_ix5 (.Y (nx11817), .A0 (nx18707), .A1 (nx24272)) ;
    ao21 ix11832_ix3 (.Y (nx11831), .A0 (nx24410), .A1 (nx24270), .B0 (nx11827)
         ) ;
    nor02 ix11828_ix5 (.Y (nx11827), .A0 (nx18702), .A1 (nx24270)) ;
    ao21 ix11842_ix3 (.Y (nx11841), .A0 (nx24410), .A1 (nx24268), .B0 (nx11837)
         ) ;
    nor02 ix11838_ix5 (.Y (nx11837), .A0 (nx18674), .A1 (nx24268)) ;
    ao21 ix11852_ix3 (.Y (nx11851), .A0 (nx24410), .A1 (nx24266), .B0 (nx11847)
         ) ;
    nor02 ix11848_ix5 (.Y (nx11847), .A0 (nx18669), .A1 (nx24266)) ;
    ao21 ix11862_ix3 (.Y (nx11861), .A0 (nx24410), .A1 (nx24264), .B0 (nx11857)
         ) ;
    nor02 ix11858_ix5 (.Y (nx11857), .A0 (nx18685), .A1 (nx24264)) ;
    ao21 ix11872_ix3 (.Y (nx11871), .A0 (nx24410), .A1 (nx24262), .B0 (nx11867)
         ) ;
    nor02 ix11868_ix5 (.Y (nx11867), .A0 (nx18680), .A1 (nx24262)) ;
    ao21 ix11882_ix3 (.Y (nx11881), .A0 (nx24410), .A1 (nx24260), .B0 (nx11877)
         ) ;
    nor02 ix11878_ix5 (.Y (nx11877), .A0 (nx18652), .A1 (nx24260)) ;
    ao21 ix11892_ix3 (.Y (nx11891), .A0 (nx24410), .A1 (nx24258), .B0 (nx11887)
         ) ;
    nor02 ix11888_ix5 (.Y (nx11887), .A0 (nx18647), .A1 (nx24258)) ;
    ao21 ix11902_ix3 (.Y (nx11901), .A0 (nx24410), .A1 (nx24256), .B0 (nx11897)
         ) ;
    nor02 ix11898_ix5 (.Y (nx11897), .A0 (nx18663), .A1 (nx24256)) ;
    ao21 ix11912_ix3 (.Y (nx11911), .A0 (nx24410), .A1 (nx24254), .B0 (nx11907)
         ) ;
    nor02 ix11908_ix5 (.Y (nx11907), .A0 (nx18658), .A1 (nx24254)) ;
    ao21 ix11922_ix3 (.Y (nx11921), .A0 (nx24410), .A1 (nx24252), .B0 (nx11917)
         ) ;
    nor02 ix11918_ix5 (.Y (nx11917), .A0 (nx18630), .A1 (nx24252)) ;
    ao21 ix11932_ix3 (.Y (nx11931), .A0 (nx24410), .A1 (nx24250), .B0 (nx11927)
         ) ;
    nor02 ix11928_ix5 (.Y (nx11927), .A0 (nx18625), .A1 (nx24250)) ;
    ao21 ix11942_ix3 (.Y (nx11941), .A0 (nx24410), .A1 (nx24248), .B0 (nx11937)
         ) ;
    nor02 ix11938_ix5 (.Y (nx11937), .A0 (nx18641), .A1 (nx24248)) ;
    ao21 ix11952_ix3 (.Y (nx11951), .A0 (nx24410), .A1 (nx24246), .B0 (nx11947)
         ) ;
    nor02 ix11948_ix5 (.Y (nx11947), .A0 (nx18636), .A1 (nx24246)) ;
    ao21 ix11962_ix3 (.Y (nx11961), .A0 (nx24410), .A1 (nx24244), .B0 (nx11957)
         ) ;
    nor02 ix11958_ix5 (.Y (nx11957), .A0 (nx18604), .A1 (nx24244)) ;
    ao21 ix11972_ix3 (.Y (nx11971), .A0 (nx24410), .A1 (nx24242), .B0 (nx11967)
         ) ;
    nor02 ix11968_ix5 (.Y (nx11967), .A0 (nx18599), .A1 (nx24242)) ;
    ao21 ix11982_ix3 (.Y (nx11981), .A0 (nx24410), .A1 (nx24240), .B0 (nx11977)
         ) ;
    nor02 ix11978_ix5 (.Y (nx11977), .A0 (nx18615), .A1 (nx24240)) ;
    ao21 ix11992_ix3 (.Y (nx11991), .A0 (nx24410), .A1 (nx24238), .B0 (nx11987)
         ) ;
    nor02 ix11988_ix5 (.Y (nx11987), .A0 (nx18610), .A1 (nx24238)) ;
    ao21 ix12002_ix3 (.Y (nx12001), .A0 (nx24410), .A1 (nx24236), .B0 (nx11997)
         ) ;
    nor02 ix11998_ix5 (.Y (nx11997), .A0 (nx18582), .A1 (nx24236)) ;
    ao21 ix12012_ix3 (.Y (nx12011), .A0 (nx24410), .A1 (nx24234), .B0 (nx12007)
         ) ;
    nor02 ix12008_ix5 (.Y (nx12007), .A0 (nx18577), .A1 (nx24234)) ;
    ao21 ix12022_ix3 (.Y (nx12021), .A0 (nx24410), .A1 (nx24232), .B0 (nx12017)
         ) ;
    nor02 ix12018_ix5 (.Y (nx12017), .A0 (nx18593), .A1 (nx24232)) ;
    ao21 ix12032_ix3 (.Y (nx12031), .A0 (nx24410), .A1 (nx24230), .B0 (nx12027)
         ) ;
    nor02 ix12028_ix5 (.Y (nx12027), .A0 (nx18588), .A1 (nx24230)) ;
    ao32 ix12602_ix7 (.Y (nx12601), .A0 (nx24410), .A1 (nx22466), .A2 (nx24392)
         , .B0 (debugw[5]), .B1 (nx24228)) ;
    aoi21 ix19490_ix11 (.Y (nx19489), .A0 (nx24384), .A1 (nx23843), .B0 (nx12602
          )) ;
    nor03 ix12603_ix9 (.Y (nx12602), .A0 (reset), .A1 (nx12588), .A2 (nx19494)
          ) ;
    nor02 ix12589_ix5 (.Y (nx12588), .A0 (nx19487), .A1 (nx0_dup_0_dup_19143)) ;
    ao21 ix19495_ix3 (.Y (nx19494), .A0 (nx0_dup_0_dup_19143), .A1 (nx19487), .B0 (
         nx24384)) ;
    ao21 ix12622_ix3 (.Y (nx12621), .A0 (debugpc[6]), .A1 (nx24374), .B0 (
         nx12617)) ;
    nor02 ix12618_ix5 (.Y (nx12617), .A0 (nx19513), .A1 (nx24374)) ;
    ao21 ix12632_ix3 (.Y (nx12631), .A0 (stack1_6), .A1 (nx24498), .B0 (nx12629)
         ) ;
    ao21 ix12642_ix3 (.Y (nx12641), .A0 (portcout[6]), .A1 (nx24206), .B0 (
         nx12639)) ;
    nor02 ix12640_ix5 (.Y (nx12639), .A0 (nx15499), .A1 (nx24206)) ;
    ao21 ix12652_ix3 (.Y (nx12651), .A0 (portbout[6]), .A1 (nx24208), .B0 (
         nx12649)) ;
    nor02 ix12650_ix5 (.Y (nx12649), .A0 (nx15499), .A1 (nx24208)) ;
    ao21 ix12662_ix3 (.Y (nx12661), .A0 (nx24412), .A1 (nx24372), .B0 (nx12657)
         ) ;
    nor02 ix12658_ix5 (.Y (nx12657), .A0 (nx19466), .A1 (nx24372)) ;
    ao21 ix12672_ix3 (.Y (nx12671), .A0 (nx24412), .A1 (nx24370), .B0 (nx12667)
         ) ;
    nor02 ix12668_ix5 (.Y (nx12667), .A0 (nx19461), .A1 (nx24370)) ;
    ao21 ix12682_ix3 (.Y (nx12681), .A0 (nx24412), .A1 (nx24368), .B0 (nx12677)
         ) ;
    nor02 ix12678_ix5 (.Y (nx12677), .A0 (nx19477), .A1 (nx24368)) ;
    ao21 ix12692_ix3 (.Y (nx12691), .A0 (nx24412), .A1 (nx24366), .B0 (nx12687)
         ) ;
    nor02 ix12688_ix5 (.Y (nx12687), .A0 (nx19472), .A1 (nx24366)) ;
    ao21 ix12702_ix3 (.Y (nx12701), .A0 (nx24412), .A1 (nx24364), .B0 (nx12697)
         ) ;
    nor02 ix12698_ix5 (.Y (nx12697), .A0 (nx19444), .A1 (nx24364)) ;
    ao21 ix12712_ix3 (.Y (nx12711), .A0 (nx24412), .A1 (nx24362), .B0 (nx12707)
         ) ;
    nor02 ix12708_ix5 (.Y (nx12707), .A0 (nx19439), .A1 (nx24362)) ;
    ao21 ix12722_ix3 (.Y (nx12721), .A0 (nx24412), .A1 (nx24360), .B0 (nx12717)
         ) ;
    nor02 ix12718_ix5 (.Y (nx12717), .A0 (nx19455), .A1 (nx24360)) ;
    ao21 ix12732_ix3 (.Y (nx12731), .A0 (nx24412), .A1 (nx24358), .B0 (nx12727)
         ) ;
    nor02 ix12728_ix5 (.Y (nx12727), .A0 (nx19450), .A1 (nx24358)) ;
    ao21 ix12742_ix3 (.Y (nx12741), .A0 (nx24412), .A1 (nx24356), .B0 (nx12737)
         ) ;
    nor02 ix12738_ix5 (.Y (nx12737), .A0 (nx19422), .A1 (nx24356)) ;
    ao21 ix12752_ix3 (.Y (nx12751), .A0 (nx24412), .A1 (nx24354), .B0 (nx12747)
         ) ;
    nor02 ix12748_ix5 (.Y (nx12747), .A0 (nx19417), .A1 (nx24354)) ;
    ao21 ix12762_ix3 (.Y (nx12761), .A0 (nx24412), .A1 (nx24352), .B0 (nx12757)
         ) ;
    nor02 ix12758_ix5 (.Y (nx12757), .A0 (nx19433), .A1 (nx24352)) ;
    ao21 ix12772_ix3 (.Y (nx12771), .A0 (nx24412), .A1 (nx24350), .B0 (nx12767)
         ) ;
    nor02 ix12768_ix5 (.Y (nx12767), .A0 (nx19428), .A1 (nx24350)) ;
    ao21 ix12782_ix3 (.Y (nx12781), .A0 (nx24412), .A1 (nx24348), .B0 (nx12777)
         ) ;
    nor02 ix12778_ix5 (.Y (nx12777), .A0 (nx19400), .A1 (nx24348)) ;
    ao21 ix12792_ix3 (.Y (nx12791), .A0 (nx24412), .A1 (nx24346), .B0 (nx12787)
         ) ;
    nor02 ix12788_ix5 (.Y (nx12787), .A0 (nx19395), .A1 (nx24346)) ;
    ao21 ix12802_ix3 (.Y (nx12801), .A0 (nx24412), .A1 (nx24344), .B0 (nx12797)
         ) ;
    nor02 ix12798_ix5 (.Y (nx12797), .A0 (nx19411), .A1 (nx24344)) ;
    ao21 ix12812_ix3 (.Y (nx12811), .A0 (nx24412), .A1 (nx24342), .B0 (nx12807)
         ) ;
    nor02 ix12808_ix5 (.Y (nx12807), .A0 (nx19406), .A1 (nx24342)) ;
    ao21 ix12822_ix3 (.Y (nx12821), .A0 (nx24412), .A1 (nx24340), .B0 (nx12817)
         ) ;
    nor02 ix12818_ix5 (.Y (nx12817), .A0 (nx19376), .A1 (nx24340)) ;
    ao21 ix12832_ix3 (.Y (nx12831), .A0 (nx24412), .A1 (nx24338), .B0 (nx12827)
         ) ;
    nor02 ix12828_ix5 (.Y (nx12827), .A0 (nx19371), .A1 (nx24338)) ;
    ao21 ix12842_ix3 (.Y (nx12841), .A0 (nx24412), .A1 (nx24336), .B0 (nx12837)
         ) ;
    nor02 ix12838_ix5 (.Y (nx12837), .A0 (nx19387), .A1 (nx24336)) ;
    ao21 ix12852_ix3 (.Y (nx12851), .A0 (nx24412), .A1 (nx24334), .B0 (nx12847)
         ) ;
    nor02 ix12848_ix5 (.Y (nx12847), .A0 (nx19382), .A1 (nx24334)) ;
    ao21 ix12862_ix3 (.Y (nx12861), .A0 (nx24412), .A1 (nx24332), .B0 (nx12857)
         ) ;
    nor02 ix12858_ix5 (.Y (nx12857), .A0 (nx19354), .A1 (nx24332)) ;
    ao21 ix12872_ix3 (.Y (nx12871), .A0 (nx24412), .A1 (nx24330), .B0 (nx12867)
         ) ;
    nor02 ix12868_ix5 (.Y (nx12867), .A0 (nx19349), .A1 (nx24330)) ;
    ao21 ix12882_ix3 (.Y (nx12881), .A0 (nx24412), .A1 (nx24328), .B0 (nx12877)
         ) ;
    nor02 ix12878_ix5 (.Y (nx12877), .A0 (nx19365), .A1 (nx24328)) ;
    ao21 ix12892_ix3 (.Y (nx12891), .A0 (nx24412), .A1 (nx24326), .B0 (nx12887)
         ) ;
    nor02 ix12888_ix5 (.Y (nx12887), .A0 (nx19360), .A1 (nx24326)) ;
    ao21 ix12902_ix3 (.Y (nx12901), .A0 (nx24412), .A1 (nx24324), .B0 (nx12897)
         ) ;
    nor02 ix12898_ix5 (.Y (nx12897), .A0 (nx19332), .A1 (nx24324)) ;
    ao21 ix12912_ix3 (.Y (nx12911), .A0 (nx24412), .A1 (nx24322), .B0 (nx12907)
         ) ;
    nor02 ix12908_ix5 (.Y (nx12907), .A0 (nx19327), .A1 (nx24322)) ;
    ao21 ix12922_ix3 (.Y (nx12921), .A0 (nx24412), .A1 (nx24320), .B0 (nx12917)
         ) ;
    nor02 ix12918_ix5 (.Y (nx12917), .A0 (nx19343), .A1 (nx24320)) ;
    ao21 ix12932_ix3 (.Y (nx12931), .A0 (nx24412), .A1 (nx24318), .B0 (nx12927)
         ) ;
    nor02 ix12928_ix5 (.Y (nx12927), .A0 (nx19338), .A1 (nx24318)) ;
    ao21 ix12942_ix3 (.Y (nx12941), .A0 (nx24412), .A1 (nx24316), .B0 (nx12937)
         ) ;
    nor02 ix12938_ix5 (.Y (nx12937), .A0 (nx19310), .A1 (nx24316)) ;
    ao21 ix12952_ix3 (.Y (nx12951), .A0 (nx24412), .A1 (nx24314), .B0 (nx12947)
         ) ;
    nor02 ix12948_ix5 (.Y (nx12947), .A0 (nx19305), .A1 (nx24314)) ;
    ao21 ix12962_ix3 (.Y (nx12961), .A0 (nx24412), .A1 (nx24312), .B0 (nx12957)
         ) ;
    nor02 ix12958_ix5 (.Y (nx12957), .A0 (nx19321), .A1 (nx24312)) ;
    ao21 ix12972_ix3 (.Y (nx12971), .A0 (nx24412), .A1 (nx24310), .B0 (nx12967)
         ) ;
    nor02 ix12968_ix5 (.Y (nx12967), .A0 (nx19316), .A1 (nx24310)) ;
    ao21 ix12982_ix3 (.Y (nx12981), .A0 (nx24412), .A1 (nx24308), .B0 (nx12977)
         ) ;
    nor02 ix12978_ix5 (.Y (nx12977), .A0 (nx19285), .A1 (nx24308)) ;
    ao21 ix12992_ix3 (.Y (nx12991), .A0 (nx24412), .A1 (nx24306), .B0 (nx12987)
         ) ;
    nor02 ix12988_ix5 (.Y (nx12987), .A0 (nx19280), .A1 (nx24306)) ;
    ao21 ix13002_ix3 (.Y (nx13001), .A0 (nx24412), .A1 (nx24304), .B0 (nx12997)
         ) ;
    nor02 ix12998_ix5 (.Y (nx12997), .A0 (nx19296), .A1 (nx24304)) ;
    ao21 ix13012_ix3 (.Y (nx13011), .A0 (nx24412), .A1 (nx24302), .B0 (nx13007)
         ) ;
    nor02 ix13008_ix5 (.Y (nx13007), .A0 (nx19291), .A1 (nx24302)) ;
    ao21 ix13022_ix3 (.Y (nx13021), .A0 (nx24412), .A1 (nx24300), .B0 (nx13017)
         ) ;
    nor02 ix13018_ix5 (.Y (nx13017), .A0 (nx19263), .A1 (nx24300)) ;
    ao21 ix13032_ix3 (.Y (nx13031), .A0 (nx24412), .A1 (nx24298), .B0 (nx13027)
         ) ;
    nor02 ix13028_ix5 (.Y (nx13027), .A0 (nx19258), .A1 (nx24298)) ;
    ao21 ix13042_ix3 (.Y (nx13041), .A0 (nx24412), .A1 (nx24296), .B0 (nx13037)
         ) ;
    nor02 ix13038_ix5 (.Y (nx13037), .A0 (nx19274), .A1 (nx24296)) ;
    ao21 ix13052_ix3 (.Y (nx13051), .A0 (nx24412), .A1 (nx24294), .B0 (nx13047)
         ) ;
    nor02 ix13048_ix5 (.Y (nx13047), .A0 (nx19269), .A1 (nx24294)) ;
    ao21 ix13062_ix3 (.Y (nx13061), .A0 (nx24412), .A1 (nx24292), .B0 (nx13057)
         ) ;
    nor02 ix13058_ix5 (.Y (nx13057), .A0 (nx19241), .A1 (nx24292)) ;
    ao21 ix13072_ix3 (.Y (nx13071), .A0 (nx24412), .A1 (nx24290), .B0 (nx13067)
         ) ;
    nor02 ix13068_ix5 (.Y (nx13067), .A0 (nx19236), .A1 (nx24290)) ;
    ao21 ix13082_ix3 (.Y (nx13081), .A0 (nx24412), .A1 (nx24288), .B0 (nx13077)
         ) ;
    nor02 ix13078_ix5 (.Y (nx13077), .A0 (nx19252), .A1 (nx24288)) ;
    ao21 ix13092_ix3 (.Y (nx13091), .A0 (nx24412), .A1 (nx24286), .B0 (nx13087)
         ) ;
    nor02 ix13088_ix5 (.Y (nx13087), .A0 (nx19247), .A1 (nx24286)) ;
    ao21 ix13102_ix3 (.Y (nx13101), .A0 (nx24412), .A1 (nx24284), .B0 (nx13097)
         ) ;
    nor02 ix13098_ix5 (.Y (nx13097), .A0 (nx19219), .A1 (nx24284)) ;
    ao21 ix13112_ix3 (.Y (nx13111), .A0 (nx24412), .A1 (nx24282), .B0 (nx13107)
         ) ;
    nor02 ix13108_ix5 (.Y (nx13107), .A0 (nx19214), .A1 (nx24282)) ;
    ao21 ix13122_ix3 (.Y (nx13121), .A0 (nx24412), .A1 (nx24280), .B0 (nx13117)
         ) ;
    nor02 ix13118_ix5 (.Y (nx13117), .A0 (nx19230), .A1 (nx24280)) ;
    ao21 ix13132_ix3 (.Y (nx13131), .A0 (nx24412), .A1 (nx24278), .B0 (nx13127)
         ) ;
    nor02 ix13128_ix5 (.Y (nx13127), .A0 (nx19225), .A1 (nx24278)) ;
    ao21 ix13142_ix3 (.Y (nx13141), .A0 (nx24412), .A1 (nx24276), .B0 (nx13137)
         ) ;
    nor02 ix13138_ix5 (.Y (nx13137), .A0 (nx19194), .A1 (nx24276)) ;
    ao21 ix13152_ix3 (.Y (nx13151), .A0 (nx24412), .A1 (nx24274), .B0 (nx13147)
         ) ;
    nor02 ix13148_ix5 (.Y (nx13147), .A0 (nx19189), .A1 (nx24274)) ;
    ao21 ix13162_ix3 (.Y (nx13161), .A0 (nx24412), .A1 (nx24272), .B0 (nx13157)
         ) ;
    nor02 ix13158_ix5 (.Y (nx13157), .A0 (nx19205), .A1 (nx24272)) ;
    ao21 ix13172_ix3 (.Y (nx13171), .A0 (nx24412), .A1 (nx24270), .B0 (nx13167)
         ) ;
    nor02 ix13168_ix5 (.Y (nx13167), .A0 (nx19200), .A1 (nx24270)) ;
    ao21 ix13182_ix3 (.Y (nx13181), .A0 (nx24412), .A1 (nx24268), .B0 (nx13177)
         ) ;
    nor02 ix13178_ix5 (.Y (nx13177), .A0 (nx19172), .A1 (nx24268)) ;
    ao21 ix13192_ix3 (.Y (nx13191), .A0 (nx24412), .A1 (nx24266), .B0 (nx13187)
         ) ;
    nor02 ix13188_ix5 (.Y (nx13187), .A0 (nx19167), .A1 (nx24266)) ;
    ao21 ix13202_ix3 (.Y (nx13201), .A0 (nx24412), .A1 (nx24264), .B0 (nx13197)
         ) ;
    nor02 ix13198_ix5 (.Y (nx13197), .A0 (nx19183), .A1 (nx24264)) ;
    ao21 ix13212_ix3 (.Y (nx13211), .A0 (nx24412), .A1 (nx24262), .B0 (nx13207)
         ) ;
    nor02 ix13208_ix5 (.Y (nx13207), .A0 (nx19178), .A1 (nx24262)) ;
    ao21 ix13222_ix3 (.Y (nx13221), .A0 (nx24412), .A1 (nx24260), .B0 (nx13217)
         ) ;
    nor02 ix13218_ix5 (.Y (nx13217), .A0 (nx19150), .A1 (nx24260)) ;
    ao21 ix13232_ix3 (.Y (nx13231), .A0 (nx24412), .A1 (nx24258), .B0 (nx13227)
         ) ;
    nor02 ix13228_ix5 (.Y (nx13227), .A0 (nx19145), .A1 (nx24258)) ;
    ao21 ix13242_ix3 (.Y (nx13241), .A0 (nx24412), .A1 (nx24256), .B0 (nx13237)
         ) ;
    nor02 ix13238_ix5 (.Y (nx13237), .A0 (nx19161), .A1 (nx24256)) ;
    ao21 ix13252_ix3 (.Y (nx13251), .A0 (nx24412), .A1 (nx24254), .B0 (nx13247)
         ) ;
    nor02 ix13248_ix5 (.Y (nx13247), .A0 (nx19156), .A1 (nx24254)) ;
    ao21 ix13262_ix3 (.Y (nx13261), .A0 (nx24412), .A1 (nx24252), .B0 (nx13257)
         ) ;
    nor02 ix13258_ix5 (.Y (nx13257), .A0 (nx19128), .A1 (nx24252)) ;
    ao21 ix13272_ix3 (.Y (nx13271), .A0 (nx24412), .A1 (nx24250), .B0 (nx13267)
         ) ;
    nor02 ix13268_ix5 (.Y (nx13267), .A0 (nx19123), .A1 (nx24250)) ;
    ao21 ix13282_ix3 (.Y (nx13281), .A0 (nx24412), .A1 (nx24248), .B0 (nx13277)
         ) ;
    nor02 ix13278_ix5 (.Y (nx13277), .A0 (nx19139), .A1 (nx24248)) ;
    ao21 ix13292_ix3 (.Y (nx13291), .A0 (nx24412), .A1 (nx24246), .B0 (nx13287)
         ) ;
    nor02 ix13288_ix5 (.Y (nx13287), .A0 (nx19134), .A1 (nx24246)) ;
    ao21 ix13302_ix3 (.Y (nx13301), .A0 (nx24412), .A1 (nx24244), .B0 (nx13297)
         ) ;
    nor02 ix13298_ix5 (.Y (nx13297), .A0 (nx19102), .A1 (nx24244)) ;
    ao21 ix13312_ix3 (.Y (nx13311), .A0 (nx24412), .A1 (nx24242), .B0 (nx13307)
         ) ;
    nor02 ix13308_ix5 (.Y (nx13307), .A0 (nx19097), .A1 (nx24242)) ;
    ao21 ix13322_ix3 (.Y (nx13321), .A0 (nx24412), .A1 (nx24240), .B0 (nx13317)
         ) ;
    nor02 ix13318_ix5 (.Y (nx13317), .A0 (nx19113), .A1 (nx24240)) ;
    ao21 ix13332_ix3 (.Y (nx13331), .A0 (nx24412), .A1 (nx24238), .B0 (nx13327)
         ) ;
    nor02 ix13328_ix5 (.Y (nx13327), .A0 (nx19108), .A1 (nx24238)) ;
    ao21 ix13342_ix3 (.Y (nx13341), .A0 (nx24412), .A1 (nx24236), .B0 (nx13337)
         ) ;
    nor02 ix13338_ix5 (.Y (nx13337), .A0 (nx19080), .A1 (nx24236)) ;
    ao21 ix13352_ix3 (.Y (nx13351), .A0 (nx24412), .A1 (nx24234), .B0 (nx13347)
         ) ;
    nor02 ix13348_ix5 (.Y (nx13347), .A0 (nx19075), .A1 (nx24234)) ;
    ao21 ix13362_ix3 (.Y (nx13361), .A0 (nx24412), .A1 (nx24232), .B0 (nx13357)
         ) ;
    nor02 ix13358_ix5 (.Y (nx13357), .A0 (nx19091), .A1 (nx24232)) ;
    ao21 ix13372_ix3 (.Y (nx13371), .A0 (nx24412), .A1 (nx24230), .B0 (nx13367)
         ) ;
    nor02 ix13368_ix5 (.Y (nx13367), .A0 (nx19086), .A1 (nx24230)) ;
    ao32 ix13942_ix7 (.Y (nx13941), .A0 (nx24412), .A1 (nx22466), .A2 (nx24392)
         , .B0 (debugw[6]), .B1 (nx24228)) ;
    aoi21 ix19993_ix11 (.Y (nx19992), .A0 (nx24384), .A1 (nx24003), .B0 (nx14350
          )) ;
    nor03 ix14351_ix9 (.Y (nx14350), .A0 (nx24384), .A1 (reset), .A2 (nx19996)
          ) ;
    mux21 ix13962_ix11 (.Y (nx13961), .A0 (nx19981), .A1 (nx19984), .S0 (nx24452
          )) ;
    ao21 ix13972_ix3 (.Y (nx13971), .A0 (debugpc[7]), .A1 (nx24374), .B0 (
         nx13967)) ;
    nor02 ix13968_ix5 (.Y (nx13967), .A0 (nx20015), .A1 (nx24374)) ;
    ao21 ix13982_ix3 (.Y (nx13981), .A0 (stack1_7), .A1 (nx24498), .B0 (nx13979)
         ) ;
    ao21 ix14002_ix3 (.Y (nx14001), .A0 (portcout[7]), .A1 (nx24206), .B0 (
         nx13999)) ;
    nor02 ix14000_ix5 (.Y (nx13999), .A0 (nx19984), .A1 (nx24206)) ;
    ao21 ix14012_ix3 (.Y (nx14011), .A0 (portbout[7]), .A1 (nx24208), .B0 (
         nx14009)) ;
    nor02 ix14010_ix5 (.Y (nx14009), .A0 (nx19984), .A1 (nx24208)) ;
    ao21 ix14022_ix3 (.Y (nx14021), .A0 (nx24414), .A1 (nx24372), .B0 (nx14017)
         ) ;
    nor02 ix14018_ix5 (.Y (nx14017), .A0 (nx19964), .A1 (nx24372)) ;
    ao21 ix14032_ix3 (.Y (nx14031), .A0 (nx24414), .A1 (nx24370), .B0 (nx14027)
         ) ;
    nor02 ix14028_ix5 (.Y (nx14027), .A0 (nx19959), .A1 (nx24370)) ;
    ao21 ix14042_ix3 (.Y (nx14041), .A0 (nx24414), .A1 (nx24368), .B0 (nx14037)
         ) ;
    nor02 ix14038_ix5 (.Y (nx14037), .A0 (nx19975), .A1 (nx24368)) ;
    ao21 ix14052_ix3 (.Y (nx14051), .A0 (nx24414), .A1 (nx24366), .B0 (nx14047)
         ) ;
    nor02 ix14048_ix5 (.Y (nx14047), .A0 (nx19970), .A1 (nx24366)) ;
    ao21 ix14062_ix3 (.Y (nx14061), .A0 (nx24414), .A1 (nx24364), .B0 (nx14057)
         ) ;
    nor02 ix14058_ix5 (.Y (nx14057), .A0 (nx19942), .A1 (nx24364)) ;
    ao21 ix14072_ix3 (.Y (nx14071), .A0 (nx24414), .A1 (nx24362), .B0 (nx14067)
         ) ;
    nor02 ix14068_ix5 (.Y (nx14067), .A0 (nx19937), .A1 (nx24362)) ;
    ao21 ix14082_ix3 (.Y (nx14081), .A0 (nx24414), .A1 (nx24360), .B0 (nx14077)
         ) ;
    nor02 ix14078_ix5 (.Y (nx14077), .A0 (nx19953), .A1 (nx24360)) ;
    ao21 ix14092_ix3 (.Y (nx14091), .A0 (nx24414), .A1 (nx24358), .B0 (nx14087)
         ) ;
    nor02 ix14088_ix5 (.Y (nx14087), .A0 (nx19948), .A1 (nx24358)) ;
    ao21 ix14102_ix3 (.Y (nx14101), .A0 (nx24414), .A1 (nx24356), .B0 (nx14097)
         ) ;
    nor02 ix14098_ix5 (.Y (nx14097), .A0 (nx19920), .A1 (nx24356)) ;
    ao21 ix14112_ix3 (.Y (nx14111), .A0 (nx24414), .A1 (nx24354), .B0 (nx14107)
         ) ;
    nor02 ix14108_ix5 (.Y (nx14107), .A0 (nx19915), .A1 (nx24354)) ;
    ao21 ix14122_ix3 (.Y (nx14121), .A0 (nx24414), .A1 (nx24352), .B0 (nx14117)
         ) ;
    nor02 ix14118_ix5 (.Y (nx14117), .A0 (nx19931), .A1 (nx24352)) ;
    ao21 ix14132_ix3 (.Y (nx14131), .A0 (nx24414), .A1 (nx24350), .B0 (nx14127)
         ) ;
    nor02 ix14128_ix5 (.Y (nx14127), .A0 (nx19926), .A1 (nx24350)) ;
    ao21 ix14142_ix3 (.Y (nx14141), .A0 (nx24414), .A1 (nx24348), .B0 (nx14137)
         ) ;
    nor02 ix14138_ix5 (.Y (nx14137), .A0 (nx19898), .A1 (nx24348)) ;
    ao21 ix14152_ix3 (.Y (nx14151), .A0 (nx24414), .A1 (nx24346), .B0 (nx14147)
         ) ;
    nor02 ix14148_ix5 (.Y (nx14147), .A0 (nx19893), .A1 (nx24346)) ;
    ao21 ix14162_ix3 (.Y (nx14161), .A0 (nx24414), .A1 (nx24344), .B0 (nx14157)
         ) ;
    nor02 ix14158_ix5 (.Y (nx14157), .A0 (nx19909), .A1 (nx24344)) ;
    ao21 ix14172_ix3 (.Y (nx14171), .A0 (nx24414), .A1 (nx24342), .B0 (nx14167)
         ) ;
    nor02 ix14168_ix5 (.Y (nx14167), .A0 (nx19904), .A1 (nx24342)) ;
    ao21 ix14182_ix3 (.Y (nx14181), .A0 (nx24414), .A1 (nx24340), .B0 (nx14177)
         ) ;
    nor02 ix14178_ix5 (.Y (nx14177), .A0 (nx19874), .A1 (nx24340)) ;
    ao21 ix14192_ix3 (.Y (nx14191), .A0 (nx24414), .A1 (nx24338), .B0 (nx14187)
         ) ;
    nor02 ix14188_ix5 (.Y (nx14187), .A0 (nx19869), .A1 (nx24338)) ;
    ao21 ix14202_ix3 (.Y (nx14201), .A0 (nx24414), .A1 (nx24336), .B0 (nx14197)
         ) ;
    nor02 ix14198_ix5 (.Y (nx14197), .A0 (nx19885), .A1 (nx24336)) ;
    ao21 ix14212_ix3 (.Y (nx14211), .A0 (nx24414), .A1 (nx24334), .B0 (nx14207)
         ) ;
    nor02 ix14208_ix5 (.Y (nx14207), .A0 (nx19880), .A1 (nx24334)) ;
    ao21 ix14222_ix3 (.Y (nx14221), .A0 (nx24414), .A1 (nx24332), .B0 (nx14217)
         ) ;
    nor02 ix14218_ix5 (.Y (nx14217), .A0 (nx19852), .A1 (nx24332)) ;
    ao21 ix14232_ix3 (.Y (nx14231), .A0 (nx24414), .A1 (nx24330), .B0 (nx14227)
         ) ;
    nor02 ix14228_ix5 (.Y (nx14227), .A0 (nx19847), .A1 (nx24330)) ;
    ao21 ix14242_ix3 (.Y (nx14241), .A0 (nx24414), .A1 (nx24328), .B0 (nx14237)
         ) ;
    nor02 ix14238_ix5 (.Y (nx14237), .A0 (nx19863), .A1 (nx24328)) ;
    ao21 ix14252_ix3 (.Y (nx14251), .A0 (nx24414), .A1 (nx24326), .B0 (nx14247)
         ) ;
    nor02 ix14248_ix5 (.Y (nx14247), .A0 (nx19858), .A1 (nx24326)) ;
    ao21 ix14262_ix3 (.Y (nx14261), .A0 (nx24414), .A1 (nx24324), .B0 (nx14257)
         ) ;
    nor02 ix14258_ix5 (.Y (nx14257), .A0 (nx19830), .A1 (nx24324)) ;
    ao21 ix14272_ix3 (.Y (nx14271), .A0 (nx24414), .A1 (nx24322), .B0 (nx14267)
         ) ;
    nor02 ix14268_ix5 (.Y (nx14267), .A0 (nx19825), .A1 (nx24322)) ;
    ao21 ix14282_ix3 (.Y (nx14281), .A0 (nx24414), .A1 (nx24320), .B0 (nx14277)
         ) ;
    nor02 ix14278_ix5 (.Y (nx14277), .A0 (nx19841), .A1 (nx24320)) ;
    ao21 ix14292_ix3 (.Y (nx14291), .A0 (nx24414), .A1 (nx24318), .B0 (nx14287)
         ) ;
    nor02 ix14288_ix5 (.Y (nx14287), .A0 (nx19836), .A1 (nx24318)) ;
    ao21 ix14302_ix3 (.Y (nx14301), .A0 (nx24414), .A1 (nx24316), .B0 (nx14297)
         ) ;
    nor02 ix14298_ix5 (.Y (nx14297), .A0 (nx19808), .A1 (nx24316)) ;
    ao21 ix14312_ix3 (.Y (nx14311), .A0 (nx24414), .A1 (nx24314), .B0 (nx14307)
         ) ;
    nor02 ix14308_ix5 (.Y (nx14307), .A0 (nx19803), .A1 (nx24314)) ;
    ao21 ix14322_ix3 (.Y (nx14321), .A0 (nx24414), .A1 (nx24312), .B0 (nx14317)
         ) ;
    nor02 ix14318_ix5 (.Y (nx14317), .A0 (nx19819), .A1 (nx24312)) ;
    ao21 ix14332_ix3 (.Y (nx14331), .A0 (nx24414), .A1 (nx24310), .B0 (nx14327)
         ) ;
    nor02 ix14328_ix5 (.Y (nx14327), .A0 (nx19814), .A1 (nx24310)) ;
    ao21 ix14342_ix3 (.Y (nx14341), .A0 (nx24414), .A1 (nx24308), .B0 (nx14337)
         ) ;
    nor02 ix14338_ix5 (.Y (nx14337), .A0 (nx19783), .A1 (nx24308)) ;
    ao21 ix14352_ix3 (.Y (nx14351), .A0 (nx24414), .A1 (nx24306), .B0 (nx14347)
         ) ;
    nor02 ix14348_ix5 (.Y (nx14347), .A0 (nx19778), .A1 (nx24306)) ;
    ao21 ix14362_ix3 (.Y (nx14361), .A0 (nx24414), .A1 (nx24304), .B0 (nx14357)
         ) ;
    nor02 ix14358_ix5 (.Y (nx14357), .A0 (nx19794), .A1 (nx24304)) ;
    ao21 ix14372_ix3 (.Y (nx14371), .A0 (nx24414), .A1 (nx24302), .B0 (nx14367)
         ) ;
    nor02 ix14368_ix5 (.Y (nx14367), .A0 (nx19789), .A1 (nx24302)) ;
    ao21 ix14382_ix3 (.Y (nx14381), .A0 (nx24414), .A1 (nx24300), .B0 (nx14377)
         ) ;
    nor02 ix14378_ix5 (.Y (nx14377), .A0 (nx19761), .A1 (nx24300)) ;
    ao21 ix14392_ix3 (.Y (nx14391), .A0 (nx24414), .A1 (nx24298), .B0 (nx14387)
         ) ;
    nor02 ix14388_ix5 (.Y (nx14387), .A0 (nx19756), .A1 (nx24298)) ;
    ao21 ix14402_ix3 (.Y (nx14401), .A0 (nx24414), .A1 (nx24296), .B0 (nx14397)
         ) ;
    nor02 ix14398_ix5 (.Y (nx14397), .A0 (nx19772), .A1 (nx24296)) ;
    ao21 ix14412_ix3 (.Y (nx14411), .A0 (nx24414), .A1 (nx24294), .B0 (nx14407)
         ) ;
    nor02 ix14408_ix5 (.Y (nx14407), .A0 (nx19767), .A1 (nx24294)) ;
    ao21 ix14422_ix3 (.Y (nx14421), .A0 (nx24414), .A1 (nx24292), .B0 (nx14417)
         ) ;
    nor02 ix14418_ix5 (.Y (nx14417), .A0 (nx19739), .A1 (nx24292)) ;
    ao21 ix14432_ix3 (.Y (nx14431), .A0 (nx24414), .A1 (nx24290), .B0 (nx14427)
         ) ;
    nor02 ix14428_ix5 (.Y (nx14427), .A0 (nx19734), .A1 (nx24290)) ;
    ao21 ix14442_ix3 (.Y (nx14441), .A0 (nx24414), .A1 (nx24288), .B0 (nx14437)
         ) ;
    nor02 ix14438_ix5 (.Y (nx14437), .A0 (nx19750), .A1 (nx24288)) ;
    ao21 ix14452_ix3 (.Y (nx14451), .A0 (nx24414), .A1 (nx24286), .B0 (nx14447)
         ) ;
    nor02 ix14448_ix5 (.Y (nx14447), .A0 (nx19745), .A1 (nx24286)) ;
    ao21 ix14462_ix3 (.Y (nx14461), .A0 (nx24414), .A1 (nx24284), .B0 (nx14457)
         ) ;
    nor02 ix14458_ix5 (.Y (nx14457), .A0 (nx19717), .A1 (nx24284)) ;
    ao21 ix14472_ix3 (.Y (nx14471), .A0 (nx24414), .A1 (nx24282), .B0 (nx14467)
         ) ;
    nor02 ix14468_ix5 (.Y (nx14467), .A0 (nx19712), .A1 (nx24282)) ;
    ao21 ix14482_ix3 (.Y (nx14481), .A0 (nx24414), .A1 (nx24280), .B0 (nx14477)
         ) ;
    nor02 ix14478_ix5 (.Y (nx14477), .A0 (nx19728), .A1 (nx24280)) ;
    ao21 ix14492_ix3 (.Y (nx14491), .A0 (nx24414), .A1 (nx24278), .B0 (nx14487)
         ) ;
    nor02 ix14488_ix5 (.Y (nx14487), .A0 (nx19723), .A1 (nx24278)) ;
    ao21 ix14502_ix3 (.Y (nx14501), .A0 (nx24414), .A1 (nx24276), .B0 (nx14497)
         ) ;
    nor02 ix14498_ix5 (.Y (nx14497), .A0 (nx19692), .A1 (nx24276)) ;
    ao21 ix14512_ix3 (.Y (nx14511), .A0 (nx24414), .A1 (nx24274), .B0 (nx14507)
         ) ;
    nor02 ix14508_ix5 (.Y (nx14507), .A0 (nx19687), .A1 (nx24274)) ;
    ao21 ix14522_ix3 (.Y (nx14521), .A0 (nx24414), .A1 (nx24272), .B0 (nx14517)
         ) ;
    nor02 ix14518_ix5 (.Y (nx14517), .A0 (nx19703), .A1 (nx24272)) ;
    ao21 ix14532_ix3 (.Y (nx14531), .A0 (nx24414), .A1 (nx24270), .B0 (nx14527)
         ) ;
    nor02 ix14528_ix5 (.Y (nx14527), .A0 (nx19698), .A1 (nx24270)) ;
    ao21 ix14542_ix3 (.Y (nx14541), .A0 (nx24414), .A1 (nx24268), .B0 (nx14537)
         ) ;
    nor02 ix14538_ix5 (.Y (nx14537), .A0 (nx19670), .A1 (nx24268)) ;
    ao21 ix14552_ix3 (.Y (nx14551), .A0 (nx24414), .A1 (nx24266), .B0 (nx14547)
         ) ;
    nor02 ix14548_ix5 (.Y (nx14547), .A0 (nx19665), .A1 (nx24266)) ;
    ao21 ix14562_ix3 (.Y (nx14561), .A0 (nx24414), .A1 (nx24264), .B0 (nx14557)
         ) ;
    nor02 ix14558_ix5 (.Y (nx14557), .A0 (nx19681), .A1 (nx24264)) ;
    ao21 ix14572_ix3 (.Y (nx14571), .A0 (nx24414), .A1 (nx24262), .B0 (nx14567)
         ) ;
    nor02 ix14568_ix5 (.Y (nx14567), .A0 (nx19676), .A1 (nx24262)) ;
    ao21 ix14582_ix3 (.Y (nx14581), .A0 (nx24414), .A1 (nx24260), .B0 (nx14577)
         ) ;
    nor02 ix14578_ix5 (.Y (nx14577), .A0 (nx19648), .A1 (nx24260)) ;
    ao21 ix14592_ix3 (.Y (nx14591), .A0 (nx24414), .A1 (nx24258), .B0 (nx14587)
         ) ;
    nor02 ix14588_ix5 (.Y (nx14587), .A0 (nx19643), .A1 (nx24258)) ;
    ao21 ix14602_ix3 (.Y (nx14601), .A0 (nx24414), .A1 (nx24256), .B0 (nx14597)
         ) ;
    nor02 ix14598_ix5 (.Y (nx14597), .A0 (nx19659), .A1 (nx24256)) ;
    ao21 ix14612_ix3 (.Y (nx14611), .A0 (nx24414), .A1 (nx24254), .B0 (nx14607)
         ) ;
    nor02 ix14608_ix5 (.Y (nx14607), .A0 (nx19654), .A1 (nx24254)) ;
    ao21 ix14622_ix3 (.Y (nx14621), .A0 (nx24414), .A1 (nx24252), .B0 (nx14617)
         ) ;
    nor02 ix14618_ix5 (.Y (nx14617), .A0 (nx19626), .A1 (nx24252)) ;
    ao21 ix14632_ix3 (.Y (nx14631), .A0 (nx24414), .A1 (nx24250), .B0 (nx14627)
         ) ;
    nor02 ix14628_ix5 (.Y (nx14627), .A0 (nx19621), .A1 (nx24250)) ;
    ao21 ix14642_ix3 (.Y (nx14641), .A0 (nx24414), .A1 (nx24248), .B0 (nx14637)
         ) ;
    nor02 ix14638_ix5 (.Y (nx14637), .A0 (nx19637), .A1 (nx24248)) ;
    ao21 ix14652_ix3 (.Y (nx14651), .A0 (nx24414), .A1 (nx24246), .B0 (nx14647)
         ) ;
    nor02 ix14648_ix5 (.Y (nx14647), .A0 (nx19632), .A1 (nx24246)) ;
    ao21 ix14662_ix3 (.Y (nx14661), .A0 (nx24414), .A1 (nx24244), .B0 (nx14657)
         ) ;
    nor02 ix14658_ix5 (.Y (nx14657), .A0 (nx19600), .A1 (nx24244)) ;
    ao21 ix14672_ix3 (.Y (nx14671), .A0 (nx24414), .A1 (nx24242), .B0 (nx14667)
         ) ;
    nor02 ix14668_ix5 (.Y (nx14667), .A0 (nx19595), .A1 (nx24242)) ;
    ao21 ix14682_ix3 (.Y (nx14681), .A0 (nx24414), .A1 (nx24240), .B0 (nx14677)
         ) ;
    nor02 ix14678_ix5 (.Y (nx14677), .A0 (nx19611), .A1 (nx24240)) ;
    ao21 ix14692_ix3 (.Y (nx14691), .A0 (nx24414), .A1 (nx24238), .B0 (nx14687)
         ) ;
    nor02 ix14688_ix5 (.Y (nx14687), .A0 (nx19606), .A1 (nx24238)) ;
    ao21 ix14702_ix3 (.Y (nx14701), .A0 (nx24414), .A1 (nx24236), .B0 (nx14697)
         ) ;
    nor02 ix14698_ix5 (.Y (nx14697), .A0 (nx19578), .A1 (nx24236)) ;
    ao21 ix14712_ix3 (.Y (nx14711), .A0 (nx24414), .A1 (nx24234), .B0 (nx14707)
         ) ;
    nor02 ix14708_ix5 (.Y (nx14707), .A0 (nx19573), .A1 (nx24234)) ;
    ao21 ix14722_ix3 (.Y (nx14721), .A0 (nx24414), .A1 (nx24232), .B0 (nx14717)
         ) ;
    nor02 ix14718_ix5 (.Y (nx14717), .A0 (nx19589), .A1 (nx24232)) ;
    ao21 ix14732_ix3 (.Y (nx14731), .A0 (nx24414), .A1 (nx24230), .B0 (nx14727)
         ) ;
    nor02 ix14728_ix5 (.Y (nx14727), .A0 (nx19584), .A1 (nx24230)) ;
    ao32 ix15302_ix7 (.Y (nx15301), .A0 (nx24414), .A1 (nx22466), .A2 (nx24392)
         , .B0 (debugw[7]), .B1 (nx24228)) ;
    ao21 ix15312_ix3 (.Y (nx15311), .A0 (stack1_8), .A1 (nx24498), .B0 (nx15309)
         ) ;
    ao21 ix15322_ix3 (.Y (nx15321), .A0 (debugpc[8]), .A1 (nx24374), .B0 (
         nx15317)) ;
    nor02 ix15318_ix5 (.Y (nx15317), .A0 (nx20092), .A1 (nx24374)) ;
    ao21 ix15332_ix3 (.Y (nx15331), .A0 (debugpc[9]), .A1 (nx24374), .B0 (
         nx15327)) ;
    nor02 ix15328_ix5 (.Y (nx15327), .A0 (nx20119), .A1 (nx24374)) ;
    ao21 ix15342_ix3 (.Y (nx15341), .A0 (stack1_9), .A1 (nx24498), .B0 (nx15339)
         ) ;
    ao21 ix15352_ix3 (.Y (nx15351), .A0 (stack1_10), .A1 (nx24498), .B0 (nx15349
         )) ;
    ao21 ix15362_ix3 (.Y (nx15361), .A0 (debugpc[10]), .A1 (nx24374), .B0 (
         nx15357)) ;
    nor02 ix15358_ix5 (.Y (nx15357), .A0 (nx20136), .A1 (nx24374)) ;
    nor02 ix16509_ix1 (.Y (expwrite), .A0 (nx24176), .A1 (nx20149)) ;
    inv02 ix24177 (.Y (nx24176), .A (idecfwe)) ;
    nand04 modgen_or_13_ix31 (.Y (nx20149), .A0 (nx24179), .A1 (nx24185), .A2 (
           nx24187), .A3 (nx24202)) ;
    ao21 ix24186 (.Y (nx24185), .A0 (fsr_4), .A1 (nx24428), .B0 (debuginst[4])
         ) ;
    ao21 ix24188 (.Y (nx24187), .A0 (fsr_3), .A1 (nx24428), .B0 (debuginst[3])
         ) ;
    nor02 ix16521_ix5 (.Y (expread), .A0 (nx20149), .A1 (nx20151)) ;
    aoi22 ix20152_ix21 (.Y (nx20151), .A0 (nx21747), .A1 (alubsel_0), .B0 (
          nx24191), .B1 (aluasel_0)) ;
    inv04 ix24192 (.Y (nx24191), .A (aluasel_1)) ;
    inv02 ix24180 (.Y (nx24179), .A (modgen_or_13_nx12)) ;
    inv02 ix15844_ix1 (.Y (nx21107), .A (nx21884)) ;
    inv02 ix22454 (.Y (nx22453), .A (nx4_dup_0_dup_8746)) ;
    inv02 ix22443 (.Y (nx22442), .A (nx68)) ;
    inv02 ix22450 (.Y (nx22449), .A (nx4_dup_0_dup_8763)) ;
    inv02 ix22729 (.Y (nx22728), .A (nx278)) ;
    inv02 ix22663 (.Y (nx22662), .A (nx506)) ;
    inv02 ix22710 (.Y (nx22709), .A (nx748)) ;
    inv02 ix967_ix5 (.Y (nx966), .A (nx22733)) ;
    inv02 ix21852 (.Y (nx21851), .A (nx1028)) ;
    inv02 ix1079_ix5 (.Y (nx1078), .A (nx24446)) ;
    inv02 ix15608_ix1 (.Y (nx1170), .A (nx24444)) ;
    inv02 ix15539_ix1 (.Y (nx1350), .A (nx24440)) ;
    inv02 ix22876 (.Y (nx22875), .A (nx1762)) ;
    inv02 ix15689_ix9 (.Y (nx2094), .A (nx22927)) ;
    inv02 ix19024_ix1 (.Y (nx9126), .A (nx22547)) ;
    inv02 ix10847_ix11 (.Y (nx10846), .A (nx23678)) ;
    inv02 ix20024_ix1 (.Y (nx12642), .A (nx22569)) ;
    inv02 ix20128_ix1 (.Y (nx16370), .A (nx22592)) ;
    inv02 ix22677 (.Y (nx22676), .A (nx15438)) ;
    inv02 ix23844 (.Y (nx23843), .A (nx15499)) ;
    inv02 ix22803 (.Y (nx22802), .A (nx24424)) ;
    inv02 ix15602_ix5 (.Y (nx0_dup_0_dup_10978), .A (nx21802)) ;
    inv02 ix22764 (.Y (nx22763), .A (nx24420)) ;
    inv02 ix22743 (.Y (nx22742), .A (nx24418)) ;
    inv02 modgen_or_15_ix9 (.Y (nx0_dup_0), .A (nx21843)) ;
    inv02 ix16334_ix3 (.Y (nx0_dup_0_dup_11115), .A (nx22645)) ;
    inv02 ix22514 (.Y (nx22513), .A (nx2_dup_0_dup_20832)) ;
    inv02 ix22550 (.Y (nx22549), .A (nx18523)) ;
    inv02 ix22572 (.Y (nx22571), .A (nx19521)) ;
    inv02 ix24004 (.Y (nx24003), .A (nx19984)) ;
    inv02 ix22595 (.Y (nx22594), .A (nx20106)) ;
    inv02 ix21753 (.Y (nx21752), .A (nx20149)) ;
    inv02 ix22819 (.Y (nx22818), .A (nx20388)) ;
    inv08 ix22798 (.Y (nx22797), .A (nx24218)) ;
    inv02 ix22778 (.Y (nx22777), .A (nx20404)) ;
    inv02 ix22759 (.Y (nx22758), .A (nx20410)) ;
    inv02 ix16434_ix13 (.Y (nx20418), .A (nx22522)) ;
    inv02 ix21805 (.Y (nx21804), .A (expaddr[1])) ;
    inv02 ix21774 (.Y (nx21773), .A (expaddr[2])) ;
    inv02 ix21813 (.Y (nx21812), .A (expaddr[3])) ;
    inv02 ix21791 (.Y (nx21790), .A (expaddr[4])) ;
    inv02 ix299_ix3 (.Y (expaddr[6]), .A (nx21847)) ;
    inv02 ix24197 (.Y (nx24198), .A (nx21790)) ;
    inv02 ix24199 (.Y (nx24200), .A (nx21812)) ;
    inv02 ix24201 (.Y (nx24202), .A (nx21773)) ;
    buf02 ix24203 (.Y (nx24204), .A (debuginst[9])) ;
    buf02 ix24205 (.Y (nx24206), .A (nx20422)) ;
    buf02 ix24207 (.Y (nx24208), .A (nx20420)) ;
    inv08 ix24209 (.Y (nx24210), .A (nx22751)) ;
    inv08 ix24211 (.Y (nx24212), .A (nx22758)) ;
    inv08 ix24213 (.Y (nx24214), .A (nx22772)) ;
    inv08 ix24215 (.Y (nx24216), .A (nx22777)) ;
    buf04 ix24217 (.Y (nx24218), .A (nx20394)) ;
    inv08 ix24219 (.Y (nx24220), .A (nx22811)) ;
    inv08 ix24221 (.Y (nx24222), .A (nx22818)) ;
    buf02 ix24223 (.Y (nx24224), .A (nx2_dup_0_dup_8788)) ;
    buf02 ix24225 (.Y (nx24226), .A (nx20374)) ;
    buf02 ix24227 (.Y (nx24228), .A (nx4_dup_0_dup_8729)) ;
    buf02 ix24229 (.Y (nx24230), .A (nx20370)) ;
    buf02 ix24231 (.Y (nx24232), .A (nx20368)) ;
    buf02 ix24233 (.Y (nx24234), .A (nx20366)) ;
    buf02 ix24235 (.Y (nx24236), .A (nx20364)) ;
    buf02 ix24237 (.Y (nx24238), .A (nx20362)) ;
    buf02 ix24239 (.Y (nx24240), .A (nx20360)) ;
    buf02 ix24241 (.Y (nx24242), .A (nx20358)) ;
    buf02 ix24243 (.Y (nx24244), .A (nx20356)) ;
    buf02 ix24245 (.Y (nx24246), .A (nx20354)) ;
    buf02 ix24247 (.Y (nx24248), .A (nx20352)) ;
    buf02 ix24249 (.Y (nx24250), .A (nx20350)) ;
    buf02 ix24251 (.Y (nx24252), .A (nx20348)) ;
    buf02 ix24253 (.Y (nx24254), .A (nx20346)) ;
    buf02 ix24255 (.Y (nx24256), .A (nx20344)) ;
    buf02 ix24257 (.Y (nx24258), .A (nx20342)) ;
    buf02 ix24259 (.Y (nx24260), .A (nx20340)) ;
    buf02 ix24261 (.Y (nx24262), .A (nx20338)) ;
    buf02 ix24263 (.Y (nx24264), .A (nx20336)) ;
    buf02 ix24265 (.Y (nx24266), .A (nx20334)) ;
    buf02 ix24267 (.Y (nx24268), .A (nx20332)) ;
    buf02 ix24269 (.Y (nx24270), .A (nx20330)) ;
    buf02 ix24271 (.Y (nx24272), .A (nx20328)) ;
    buf02 ix24273 (.Y (nx24274), .A (nx20326)) ;
    buf02 ix24275 (.Y (nx24276), .A (nx20324)) ;
    buf02 ix24277 (.Y (nx24278), .A (nx20322)) ;
    buf02 ix24279 (.Y (nx24280), .A (nx20320)) ;
    buf02 ix24281 (.Y (nx24282), .A (nx20318)) ;
    buf02 ix24283 (.Y (nx24284), .A (nx20316)) ;
    buf02 ix24285 (.Y (nx24286), .A (nx20314)) ;
    buf02 ix24287 (.Y (nx24288), .A (nx20312)) ;
    buf02 ix24289 (.Y (nx24290), .A (nx20310)) ;
    buf02 ix24291 (.Y (nx24292), .A (nx20308)) ;
    buf02 ix24293 (.Y (nx24294), .A (nx20306)) ;
    buf02 ix24295 (.Y (nx24296), .A (nx20304)) ;
    buf02 ix24297 (.Y (nx24298), .A (nx20302)) ;
    buf02 ix24299 (.Y (nx24300), .A (nx20300)) ;
    buf02 ix24301 (.Y (nx24302), .A (nx20298)) ;
    buf02 ix24303 (.Y (nx24304), .A (nx20296)) ;
    buf02 ix24305 (.Y (nx24306), .A (nx20294)) ;
    buf02 ix24307 (.Y (nx24308), .A (nx20292)) ;
    buf02 ix24309 (.Y (nx24310), .A (nx20290)) ;
    buf02 ix24311 (.Y (nx24312), .A (nx20288)) ;
    buf02 ix24313 (.Y (nx24314), .A (nx20286)) ;
    buf02 ix24315 (.Y (nx24316), .A (nx20284)) ;
    buf02 ix24317 (.Y (nx24318), .A (nx20282)) ;
    buf02 ix24319 (.Y (nx24320), .A (nx20280)) ;
    buf02 ix24321 (.Y (nx24322), .A (nx20278)) ;
    buf02 ix24323 (.Y (nx24324), .A (nx20276)) ;
    buf02 ix24325 (.Y (nx24326), .A (nx20274)) ;
    buf02 ix24327 (.Y (nx24328), .A (nx20272)) ;
    buf02 ix24329 (.Y (nx24330), .A (nx20270)) ;
    buf02 ix24331 (.Y (nx24332), .A (nx20268)) ;
    buf02 ix24333 (.Y (nx24334), .A (nx20266)) ;
    buf02 ix24335 (.Y (nx24336), .A (nx20264)) ;
    buf02 ix24337 (.Y (nx24338), .A (nx20262)) ;
    buf02 ix24339 (.Y (nx24340), .A (nx20260)) ;
    buf02 ix24341 (.Y (nx24342), .A (nx20256)) ;
    buf02 ix24343 (.Y (nx24344), .A (nx20254)) ;
    buf02 ix24345 (.Y (nx24346), .A (nx20252)) ;
    buf02 ix24347 (.Y (nx24348), .A (nx20250)) ;
    buf02 ix24349 (.Y (nx24350), .A (nx20248)) ;
    buf02 ix24351 (.Y (nx24352), .A (nx20246)) ;
    buf02 ix24353 (.Y (nx24354), .A (nx20244)) ;
    buf02 ix24355 (.Y (nx24356), .A (nx20242)) ;
    buf02 ix24357 (.Y (nx24358), .A (nx20240)) ;
    buf02 ix24359 (.Y (nx24360), .A (nx20238)) ;
    buf02 ix24361 (.Y (nx24362), .A (nx20236)) ;
    buf02 ix24363 (.Y (nx24364), .A (nx20234)) ;
    buf02 ix24365 (.Y (nx24366), .A (nx20232)) ;
    buf02 ix24367 (.Y (nx24368), .A (nx20230)) ;
    buf02 ix24369 (.Y (nx24370), .A (nx20228)) ;
    buf02 ix24371 (.Y (nx24372), .A (nx20226)) ;
    buf02 ix24373 (.Y (nx24374), .A (nx20222)) ;
    buf02 ix24375 (.Y (nx24376), .A (nx20218)) ;
    buf02 ix24377 (.Y (nx24378), .A (nx20216)) ;
    inv02 ix24379 (.Y (nx24380), .A (nx22524)) ;
    inv02 ix24383 (.Y (nx24384), .A (nx23011)) ;
    buf02 ix24385 (.Y (nx24386), .A (aluop_2)) ;
    buf02 ix24387 (.Y (nx24388), .A (aluop_3)) ;
    buf02 ix24389 (.Y (nx24390), .A (isoption)) ;
    buf02 ix24391 (.Y (nx24392), .A (nx2_dup_0)) ;
    buf08 ix24393 (.Y (nx24394), .A (debuginst[0])) ;
    buf04 ix24395 (.Y (nx24396), .A (debuginst[1])) ;
    buf04 ix24397 (.Y (nx24398), .A (debuginst[2])) ;
    buf08 ix24399 (.Y (nx24400), .A (expdout[0])) ;
    buf08 ix24401 (.Y (nx24402), .A (expdout[1])) ;
    buf08 ix24403 (.Y (nx24404), .A (expdout[2])) ;
    buf08 ix24405 (.Y (nx24406), .A (expdout[3])) ;
    buf08 ix24407 (.Y (nx24408), .A (expdout[4])) ;
    buf08 ix24409 (.Y (nx24410), .A (expdout[5])) ;
    buf08 ix24411 (.Y (nx24412), .A (expdout[6])) ;
    inv08 ix24413 (.Y (nx24414), .A (nx22585)) ;
    inv02 ix24415 (.Y (nx24416), .A (nx22513)) ;
    buf04 ix24417 (.Y (nx24418), .A (nx15665)) ;
    buf04 ix24419 (.Y (nx24420), .A (nx15619)) ;
    inv08 ix24421 (.Y (nx24422), .A (nx22782)) ;
    buf04 ix24423 (.Y (nx24424), .A (nx15551)) ;
    inv02 ix24425 (.Y (nx24426), .A (nx22490)) ;
    buf02 ix24427 (.Y (nx24428), .A (nx15442)) ;
    inv02 ix24431 (.Y (nx24432), .A (nx22492)) ;
    inv02 ix24435 (.Y (nx24436), .A (nx21747)) ;
    buf04 ix24439 (.Y (nx24440), .A (nx21800)) ;
    inv08 ix24441 (.Y (nx24442), .A (nx1260)) ;
    buf04 ix24443 (.Y (nx24444), .A (nx21823)) ;
    buf04 ix24445 (.Y (nx24446), .A (nx21831)) ;
    buf02 ix24447 (.Y (nx24448), .A (nx21835)) ;
    buf02 ix24449 (.Y (nx24450), .A (nx21867)) ;
    buf02 ix24451 (.Y (nx24452), .A (nx22614)) ;
    buf02 ix24453 (.Y (nx24454), .A (nx22738)) ;
    buf02 ix24455 (.Y (nx24456), .A (nx22823)) ;
    buf02 ix24457 (.Y (nx24458), .A (nx22873)) ;
    buf02 ix24459 (.Y (nx24460), .A (nx22925)) ;
    and02 ix231_ix1 (.Y (nx230), .A0 (nx21812), .A1 (nx21790)) ;
    nor04 ix21781 (.Y (nx21780), .A0 (nx21812), .A1 (nx21790), .A2 (nx24466), .A3 (
          nx21847)) ;
    inv02 ix24465 (.Y (nx24466), .A (expaddr[5])) ;
    or02 ix15563_ix5 (.Y (nx22811), .A0 (nx1328), .A1 (nx966)) ;
    or02 ix1329_ix5 (.Y (nx1328), .A0 (nx21773), .A1 (nx21810)) ;
    or03 ix21809 (.Y (nx1260), .A0 (nx21802), .A1 (nx21810), .A2 (nx24202)) ;
    or02 ix21811 (.Y (nx21810), .A0 (expaddr[3]), .A1 (nx21790)) ;
    oai22 ix15411_ix5 (.Y (nx4_dup_0_dup_19312), .A0 (U$dummy_125), .A1 (nx22797
          ), .B0 (U$dummy_126), .B1 (nx24504)) ;
    or02 ix15640_ix5 (.Y (nx22772), .A0 (nx1148), .A1 (nx966)) ;
    or02 ix15686_ix5 (.Y (nx22751), .A0 (nx1056), .A1 (nx966)) ;
    or02 ix1013_ix1 (.Y (nx1012), .A0 (nx21812), .A1 (nx21790)) ;
    oai22 ix14629_ix5 (.Y (nx4_dup_0_dup_20214), .A0 (nx19926), .A1 (nx22797), .B0 (
          nx19931), .B1 (nx24504)) ;
    oai22 ix14823_ix5 (.Y (nx4_dup_0_dup_19980), .A0 (nx19836), .A1 (nx22797), .B0 (
          nx19841), .B1 (nx24504)) ;
    oai22 ix15019_ix5 (.Y (nx4_dup_0_dup_19737), .A0 (nx19745), .A1 (nx22797), .B0 (
          nx19750), .B1 (nx24504)) ;
    oai22 ix15213_ix5 (.Y (nx4_dup_0_dup_19510), .A0 (nx19654), .A1 (nx22797), .B0 (
          nx19659), .B1 (nx24504)) ;
    mux21 ix20083_ix11 (.Y (nx20082), .A0 (nx0_dup_0_dup_20541), .A1 (debugw[7])
          , .S0 (nx21747)) ;
    oai22 ix13647_ix5 (.Y (nx4_dup_0_dup_18029), .A0 (U$dummy_111), .A1 (nx22797
          ), .B0 (U$dummy_112), .B1 (nx24504)) ;
    oai22 ix12865_ix5 (.Y (nx4_dup_0_dup_18916), .A0 (nx19428), .A1 (nx22797), .B0 (
          nx19433), .B1 (nx24504)) ;
    oai22 ix13059_ix5 (.Y (nx4_dup_0_dup_18687), .A0 (nx19338), .A1 (nx22797), .B0 (
          nx19343), .B1 (nx24504)) ;
    oai22 ix13255_ix5 (.Y (nx4_dup_0_dup_18451), .A0 (nx19247), .A1 (nx22797), .B0 (
          nx19252), .B1 (nx24504)) ;
    oai22 ix13449_ix5 (.Y (nx4_dup_0_dup_18223), .A0 (nx19156), .A1 (nx22797), .B0 (
          nx19161), .B1 (nx24504)) ;
    mux21 ix20078_ix11 (.Y (nx20077), .A0 (nx0_dup_0_dup_19172), .A1 (debugw[6])
          , .S0 (nx21747)) ;
    oai22 ix11893_ix5 (.Y (nx4_dup_0_dup_16746), .A0 (U$dummy_97), .A1 (nx22797)
          , .B0 (U$dummy_98), .B1 (nx24504)) ;
    oai22 ix11111_ix5 (.Y (nx4_dup_0_dup_17629), .A0 (nx18930), .A1 (nx22797), .B0 (
          nx18935), .B1 (nx24504)) ;
    oai22 ix11305_ix5 (.Y (nx4_dup_0_dup_17404), .A0 (nx18840), .A1 (nx22797), .B0 (
          nx18845), .B1 (nx24504)) ;
    oai22 ix11501_ix5 (.Y (nx4_dup_0_dup_17165), .A0 (nx18749), .A1 (nx22797), .B0 (
          nx18754), .B1 (nx24504)) ;
    oai22 ix11695_ix5 (.Y (nx4_dup_0_dup_16943), .A0 (nx18658), .A1 (nx22797), .B0 (
          nx18663), .B1 (nx24504)) ;
    mux21 ix20073_ix11 (.Y (nx20072), .A0 (debuginst[5]), .A1 (debugw[5]), .S0 (
          nx21747)) ;
    oai22 ix10139_ix5 (.Y (nx4_dup_0_dup_15445), .A0 (U$dummy_82), .A1 (nx22797)
          , .B0 (U$dummy_83), .B1 (nx24504)) ;
    oai22 ix9357_ix5 (.Y (nx4_dup_0_dup_16323), .A0 (nx18430), .A1 (nx22797), .B0 (
          nx18435), .B1 (nx24504)) ;
    oai22 ix9551_ix5 (.Y (nx4_dup_0_dup_16097), .A0 (nx18340), .A1 (nx22797), .B0 (
          nx18345), .B1 (nx24504)) ;
    oai22 ix9747_ix5 (.Y (nx4_dup_0_dup_15867), .A0 (nx18249), .A1 (nx22797), .B0 (
          nx18254), .B1 (nx24504)) ;
    oai22 ix9941_ix5 (.Y (nx4_dup_0_dup_15644), .A0 (nx18158), .A1 (nx22797), .B0 (
          nx18163), .B1 (nx24504)) ;
    mux21 ix20068_ix11 (.Y (nx20067), .A0 (debuginst[4]), .A1 (debugw[4]), .S0 (
          nx21747)) ;
    oai22 ix8377_ix5 (.Y (nx4_dup_0_dup_14166), .A0 (U$dummy_67), .A1 (nx22797)
          , .B0 (U$dummy_68), .B1 (nx24504)) ;
    oai22 ix7595_ix5 (.Y (nx4_dup_0_dup_15063), .A0 (nx17932), .A1 (nx22797), .B0 (
          nx17937), .B1 (nx24504)) ;
    oai22 ix7789_ix5 (.Y (nx4_dup_0_dup_14862), .A0 (nx17842), .A1 (nx22797), .B0 (
          nx17847), .B1 (nx24504)) ;
    oai22 ix7985_ix5 (.Y (nx4_dup_0_dup_14630), .A0 (nx17751), .A1 (nx22797), .B0 (
          nx17756), .B1 (nx24504)) ;
    oai22 ix8179_ix5 (.Y (nx4_dup_0_dup_14377), .A0 (nx17660), .A1 (nx22797), .B0 (
          nx17665), .B1 (nx24504)) ;
    mux21 ix20063_ix11 (.Y (nx20062), .A0 (debuginst[3]), .A1 (debugw[3]), .S0 (
          nx21747)) ;
    oai22 ix6617_ix5 (.Y (nx4_dup_0_dup_12873), .A0 (U$dummy_52), .A1 (nx22797)
          , .B0 (U$dummy_53), .B1 (nx24504)) ;
    oai22 ix5835_ix5 (.Y (nx4_dup_0_dup_13757), .A0 (nx17432), .A1 (nx22797), .B0 (
          nx17437), .B1 (nx24504)) ;
    oai22 ix6029_ix5 (.Y (nx4_dup_0_dup_13557), .A0 (nx17342), .A1 (nx22797), .B0 (
          nx17347), .B1 (nx24504)) ;
    oai22 ix6225_ix5 (.Y (nx4_dup_0_dup_13339), .A0 (nx17251), .A1 (nx22797), .B0 (
          nx17256), .B1 (nx24504)) ;
    oai22 ix6419_ix5 (.Y (nx4_dup_0_dup_13089), .A0 (nx17160), .A1 (nx22797), .B0 (
          nx17165), .B1 (nx24504)) ;
    mux21 ix20058_ix11 (.Y (nx20057), .A0 (nx24398), .A1 (debugw[2]), .S0 (
          nx21747)) ;
    oai22 ix4841_ix5 (.Y (nx4_dup_0_dup_11609), .A0 (U$dummy_37), .A1 (nx22797)
          , .B0 (U$dummy_38), .B1 (nx24504)) ;
    oai22 ix4059_ix5 (.Y (nx4_dup_0_dup_12464), .A0 (nx16936), .A1 (nx22797), .B0 (
          nx16941), .B1 (nx24504)) ;
    oai22 ix4253_ix5 (.Y (nx4_dup_0_dup_12270), .A0 (nx16846), .A1 (nx22797), .B0 (
          nx16851), .B1 (nx24504)) ;
    oai22 ix4449_ix5 (.Y (nx4_dup_0_dup_12066), .A0 (nx16755), .A1 (nx22797), .B0 (
          nx16760), .B1 (nx24504)) ;
    oai22 ix4643_ix5 (.Y (nx4_dup_0_dup_11829), .A0 (nx16664), .A1 (nx22797), .B0 (
          nx16669), .B1 (nx24504)) ;
    mux21 ix20053_ix11 (.Y (nx20052), .A0 (nx24396), .A1 (debugw[1]), .S0 (
          nx21747)) ;
    oai22 ix2659_ix5 (.Y (nx4_dup_0_dup_9144), .A0 (U$dummy_18), .A1 (nx22797), 
          .B0 (U$dummy_19), .B1 (nx24504)) ;
    oai22 ix1323_ix5 (.Y (nx4_dup_0_dup_10687), .A0 (nx16177), .A1 (nx22797), .B0 (
          nx16185), .B1 (nx24504)) ;
    oai22 ix1665_ix5 (.Y (nx4_dup_0_dup_10307), .A0 (nx16029), .A1 (nx22797), .B0 (
          nx16035), .B1 (nx24504)) ;
    oai22 ix1997_ix5 (.Y (nx4_dup_0_dup_9904), .A0 (nx15905), .A1 (nx22797), .B0 (
          nx15911), .B1 (nx24504)) ;
    oai22 ix2329_ix5 (.Y (nx4_dup_0_dup_9580), .A0 (nx15772), .A1 (nx22797), .B0 (
          nx15782), .B1 (nx24504)) ;
    mux21 ix19538_ix11 (.Y (nx19537), .A0 (nx0_dup_0_dup_20541), .A1 (debugw[7])
          , .S0 (nx24191)) ;
    mux21 ix19543_ix11 (.Y (nx19542), .A0 (nx16334), .A1 (nx16064), .S0 (nx24191
          )) ;
    xor2 ix16335_ix1 (.Y (nx16334), .A0 (nx22388), .A1 (nx24494)) ;
    and03 ix22389 (.Y (nx22388), .A0 (debuginst[6]), .A1 (debuginst[7]), .A2 (
          debuginst[5])) ;
    mux21 ix19040_ix11 (.Y (nx19039), .A0 (nx0_dup_0_dup_19172), .A1 (debugw[6])
          , .S0 (nx24191)) ;
    mux21 ix19045_ix11 (.Y (nx19044), .A0 (nx16304), .A1 (nx14300), .S0 (nx24191
          )) ;
    xor2 ix16305_ix1 (.Y (nx16304), .A0 (nx22396), .A1 (nx24494)) ;
    and03 ix22397 (.Y (nx22396), .A0 (debuginst[6]), .A1 (debuginst[7]), .A2 (
          nx0_dup_0_dup_21182)) ;
    mux21 ix18542_ix11 (.Y (nx18541), .A0 (debuginst[5]), .A1 (debugw[5]), .S0 (
          nx24191)) ;
    mux21 ix18547_ix11 (.Y (nx18546), .A0 (nx16272), .A1 (nx12546), .S0 (nx24191
          )) ;
    xor2 ix16273_ix1 (.Y (nx16272), .A0 (nx22402), .A1 (nx24494)) ;
    and03 ix22403 (.Y (nx22402), .A0 (nx15399), .A1 (debuginst[7]), .A2 (
          debuginst[5])) ;
    mux21 ix18042_ix11 (.Y (nx18041), .A0 (debuginst[4]), .A1 (debugw[4]), .S0 (
          nx24191)) ;
    mux21 ix18047_ix11 (.Y (nx18046), .A0 (nx16240), .A1 (nx10792), .S0 (nx24191
          )) ;
    xor2 ix16241_ix1 (.Y (nx16240), .A0 (nx22408), .A1 (nx22390)) ;
    or03 ix22409 (.Y (nx22408), .A0 (debuginst[5]), .A1 (nx15396), .A2 (
         debuginst[6])) ;
    mux21 ix17544_ix11 (.Y (nx17543), .A0 (debuginst[3]), .A1 (debugw[3]), .S0 (
          nx24191)) ;
    mux21 ix17549_ix11 (.Y (nx17548), .A0 (nx16206), .A1 (nx9030), .S0 (nx24191)
          ) ;
    xor2 ix16207_ix1 (.Y (nx16206), .A0 (nx22414), .A1 (nx24494)) ;
    and03 ix22415 (.Y (nx22414), .A0 (debuginst[6]), .A1 (nx15396), .A2 (
          debuginst[5])) ;
    mux21 ix17044_ix11 (.Y (nx17043), .A0 (nx24398), .A1 (debugw[2]), .S0 (
          nx24191)) ;
    mux21 ix17049_ix11 (.Y (nx17048), .A0 (nx16174), .A1 (nx7270), .S0 (nx24191)
          ) ;
    xor2 ix16175_ix1 (.Y (nx16174), .A0 (nx22420), .A1 (nx22390)) ;
    or03 ix22421 (.Y (nx22420), .A0 (debuginst[5]), .A1 (debuginst[7]), .A2 (
         nx15399)) ;
    mux21 ix16548_ix11 (.Y (nx16547), .A0 (nx24396), .A1 (debugw[1]), .S0 (
          nx24191)) ;
    mux21 ix16553_ix11 (.Y (nx16552), .A0 (nx16140), .A1 (nx5494), .S0 (nx24191)
          ) ;
    xor2 ix16141_ix1 (.Y (nx16140), .A0 (nx22426), .A1 (nx22390)) ;
    or03 ix22427 (.Y (nx22426), .A0 (nx0_dup_0_dup_21182), .A1 (debuginst[7]), .A2 (
         debuginst[6])) ;
    mux21 ix15373_ix11 (.Y (nx15372), .A0 (nx24394), .A1 (debugw[0]), .S0 (
          nx24191)) ;
    mux21 ix15418_ix11 (.Y (nx15417), .A0 (nx16114), .A1 (nx3748), .S0 (nx24191)
          ) ;
    xor2 ix16115_ix1 (.Y (nx16114), .A0 (nx22432), .A1 (nx22390)) ;
    or03 ix22433 (.Y (nx22432), .A0 (debuginst[5]), .A1 (debuginst[7]), .A2 (
         debuginst[6])) ;
    oai21 ix22441 (.Y (nx22440), .A0 (nx68), .A1 (nx15399), .B0 (nx15407)) ;
    xor2 ix87_ix1 (.Y (nx4_dup_0_dup_8763), .A0 (aluz), .A1 (nx24488)) ;
    oai21 modgen_or_16_ix7 (.Y (paddr[0]), .A0 (debugpc[0]), .A1 (nx22513), .B0 (
          nx24468)) ;
    inv02 ix24467 (.Y (nx24468), .A (modgen_or_16_nx4)) ;
    aoi21 ix697_ix3 (.Y (nx22524), .A0 (nx24490), .A1 (nx22442), .B0 (
          nx0_dup_0_dup_11311)) ;
    or04 ix22523 (.Y (nx22522), .A0 (nx24470), .A1 (debuginst[4]), .A2 (
         debuginst[10]), .A3 (nx24488)) ;
    inv02 ix24469 (.Y (nx24470), .A (nx11288)) ;
    or03 ix287_ix9 (.Y (nx22492), .A0 (nx278), .A1 (nx15469), .A2 (nx24202)) ;
    or02 ix15493_ix5 (.Y (nx22490), .A0 (nx24432), .A1 (reset)) ;
    or02 ix397_ix5 (.Y (nx2_dup_0_dup_10979), .A0 (reset), .A1 (U$dummy_20)) ;
    nand02 ix16334_ix1 (.Y (nx0_dup_0_dup_11076), .A0 (prescaler_0), .A1 (
           prescaler_1)) ;
    and03 ix22646 (.Y (nx22645), .A0 (prescaler_0), .A1 (prescaler_1), .A2 (
          prescaler_2)) ;
    or04 ix22652 (.Y (nx22651), .A0 (nx16349), .A1 (nx0_dup_0_dup_21122), .A2 (
         nx16313), .A3 (nx0_dup_0_dup_11048)) ;
    or02 ix16370_ix5 (.Y (nx0_dup_0_dup_11208), .A0 (nx22651), .A1 (nx16359)) ;
    or02 ix16406_ix1 (.Y (nx4_dup_0_dup_11212), .A0 (nx506), .A1 (reset)) ;
    xor2 ix16384_ix1 (.Y (nx16383), .A0 (U$dummy_22), .A1 (nx16385)) ;
    mux21 ix4532_ix11 (.Y (nx4531), .A0 (nx16275), .A1 (nx16273), .S0 (nx23007)
          ) ;
    or03 ix383_ix9 (.Y (nx23011), .A0 (nx21802), .A1 (nx15469), .A2 (nx24202)) ;
    ao32 ix629_ix17 (.Y (nx628), .A0 (nx16313), .A1 (nx16321), .A2 (
         nx0_dup_0_dup_21122), .B0 (U$dummy_21), .B1 (nx24472)) ;
    or02 ix16342_ix1 (.Y (nx24472), .A0 (nx16313), .A1 (nx16321)) ;
    ao21 ix16357_ix11 (.Y (nx16356), .A0 (prescaler_4), .A1 (option_2), .B0 (
         nx24474)) ;
    inv02 ix24473 (.Y (nx24474), .A (nx22689)) ;
    ao21 ix16378_ix9 (.Y (nx0_dup_0_dup_11165), .A0 (U$dummy_22), .A1 (option_0)
         , .B0 (prescaler_6)) ;
    nor03 ix4560_ix9 (.Y (nx4559), .A0 (reset), .A1 (nx22471), .A2 (nx24498)) ;
    and02 ix853_ix3 (.Y (nx22715), .A0 (nx22720), .A1 (nx22466)) ;
    oai21 ix5882_ix11 (.Y (nx5881), .A0 (nx2_dup_0_dup_21289), .A1 (nx20212), .B0 (
          nx24476)) ;
    inv02 ix24475 (.Y (nx24476), .A (nx12652)) ;
    oai21 ix23014 (.Y (nx23013), .A0 (tmr0_1), .A1 (tmr0_0), .B0 (nx24506)) ;
    and03 ix5549_ix9 (.Y (a_4__dup_21624), .A0 (tmr0_0), .A1 (tmr0_1), .A2 (
          nx24506)) ;
    and03 ix16998_ix25 (.Y (a_1__dup_21627), .A0 (tmr0_0), .A1 (tmr0_1), .A2 (
          nx15465)) ;
    nor03 ix5900_ix9 (.Y (nx5899), .A0 (reset), .A1 (nx24478), .A2 (nx24498)) ;
    inv02 ix24477 (.Y (nx24478), .A (debugpc[1])) ;
    oai21 ix7232_ix11 (.Y (nx7231), .A0 (nx0_dup_0_dup_21246), .A1 (nx20212), .B0 (
          nx24480)) ;
    inv02 ix24479 (.Y (nx24480), .A (nx13929)) ;
    nand02 ix17496_ix1 (.Y (nx21248), .A0 (tmr0_0), .A1 (tmr0_1)) ;
    and04 ix7325_ix9 (.Y (a_4__dup_21641), .A0 (tmr0_0), .A1 (tmr0_1), .A2 (
          tmr0_2), .A3 (nx24506)) ;
    and04 ix17494_ix25 (.Y (a_1__dup_21644), .A0 (tmr0_0), .A1 (tmr0_1), .A2 (
          tmr0_2), .A3 (nx15426)) ;
    nor03 ix7250_ix9 (.Y (nx7249), .A0 (reset), .A1 (nx24482), .A2 (nx24498)) ;
    inv02 ix24481 (.Y (nx24482), .A (debugpc[2])) ;
    mux21 ix8572_ix11 (.Y (nx8571), .A0 (nx17993), .A1 (nx0_dup_0_dup_21288), .S0 (
          nx23007)) ;
    oai21 ix23345 (.Y (nx23344), .A0 (tmr0_3), .A1 (nx23515), .B0 (nx24506)) ;
    and04 ix23348 (.Y (nx23347), .A0 (tmr0_0), .A1 (tmr0_1), .A2 (tmr0_2), .A3 (
          tmr0_3)) ;
    nor03 ix8590_ix9 (.Y (nx8589), .A0 (reset), .A1 (nx22536), .A2 (nx24498)) ;
    mux21 ix9922_ix11 (.Y (nx9921), .A0 (nx18491), .A1 (nx18489), .S0 (nx23007)
          ) ;
    oai21 ix23513 (.Y (nx23512), .A0 (tmr0_4), .A1 (nx23347), .B0 (nx24506)) ;
    and03 ix23516 (.Y (nx23515), .A0 (tmr0_0), .A1 (tmr0_1), .A2 (tmr0_2)) ;
    and03 ix18492_ix9 (.Y (a_4__dup_21675), .A0 (tmr0_4), .A1 (nx23347), .A2 (
          nx24506)) ;
    and02 ix9073_ix5 (.Y (nx9072), .A0 (tmr0_4), .A1 (nx23347)) ;
    nor03 ix9940_ix9 (.Y (nx9939), .A0 (reset), .A1 (nx22545), .A2 (nx24498)) ;
    mux21 ix11272_ix11 (.Y (nx11271), .A0 (nx18991), .A1 (nx18989), .S0 (nx23007
          )) ;
    oai21 ix23679 (.Y (nx23678), .A0 (tmr0_5), .A1 (nx9072), .B0 (nx24506)) ;
    nor03 ix11290_ix9 (.Y (nx11289), .A0 (reset), .A1 (nx22557), .A2 (nx24498)
          ) ;
    mux21 ix12612_ix11 (.Y (nx12611), .A0 (nx19489), .A1 (nx19487), .S0 (nx23007
          )) ;
    nor03 ix12630_ix9 (.Y (nx12629), .A0 (reset), .A1 (nx22567), .A2 (nx24498)
          ) ;
    mux21 ix13952_ix11 (.Y (nx13951), .A0 (nx19992), .A1 (nx19990), .S0 (nx23007
          )) ;
    xnor2 ix19997_ix1 (.Y (nx19996), .A0 (tmr0_7), .A1 (nx12588)) ;
    or02 ix19985_ix5 (.Y (nx19984), .A0 (reset), .A1 (nx22585)) ;
    nor03 ix13980_ix9 (.Y (nx13979), .A0 (reset), .A1 (nx22579), .A2 (nx24498)
          ) ;
    oai32 ix13992_ix3 (.Y (nx13991), .A0 (reset), .A1 (nx22585), .A2 (nx22492), 
          .B0 (nx24484), .B1 (nx22490)) ;
    inv02 ix24483 (.Y (nx24484), .A (debugstatus[7])) ;
    nor03 ix15310_ix9 (.Y (nx15309), .A0 (reset), .A1 (nx22590), .A2 (nx24498)
          ) ;
    nor03 ix15340_ix9 (.Y (nx15339), .A0 (reset), .A1 (nx22601), .A2 (nx24498)
          ) ;
    nor03 ix15350_ix9 (.Y (nx15349), .A0 (reset), .A1 (nx24486), .A2 (nx24498)
          ) ;
    inv02 ix24485 (.Y (nx24486), .A (debugpc[10])) ;
    inv04 ix24487 (.Y (nx24488), .A (nx15413)) ;
    buf02 ix24489 (.Y (nx24490), .A (debuginst[11])) ;
    buf02 ix24491 (.Y (nx24492), .A (nx2_dup_0_dup_10979)) ;
    inv02 ix24493 (.Y (nx24494), .A (nx22390)) ;
    buf02 ix24495 (.Y (nx24496), .A (nx21780)) ;
    buf04 ix24497 (.Y (nx24498), .A (nx22715)) ;
    inv02 ix24499 (.Y (nx24500), .A (nx24210)) ;
    inv02 ix24501 (.Y (nx24502), .A (nx24214)) ;
    buf08 ix24503 (.Y (nx24504), .A (nx22792)) ;
    inv02 ix24505 (.Y (nx24506), .A (nx24384)) ;
endmodule


module sffr_macro ( D, SI, SE, CLK, R, Q, QB ) ;

    input D ;
    input SI ;
    input SE ;
    input CLK ;
    input R ;
    output Q ;
    output QB ;

    wire nx12, nx60, nx62;



    dffr SFFR_ix15 (.Q (Q), .QB (QB), .D (nx12), .CLK (CLK), .R (R)) ;
    mux21 SFFR_ix13 (.Y (nx12), .A0 (nx60), .A1 (nx62), .S0 (SE)) ;
    inv02 ix61 (.Y (nx60), .A (D)) ;
    inv02 ix63 (.Y (nx62), .A (SI)) ;
endmodule


module idec ( inst, aluasel, alubsel, aluop, wwe, fwe, zwe, cwe, bdpol, option, 
              tris ) ;

    input [11:0]inst ;
    output [1:0]aluasel ;
    output [1:0]alubsel ;
    output [3:0]aluop ;
    output wwe ;
    output fwe ;
    output zwe ;
    output cwe ;
    output bdpol ;
    output option ;
    output tris ;

    wire nx952, nx944, nx933, nx4_dup_0_dup_454, nx893, nx880, nx870, nx861, 
         nx852, nx845, nx4_dup_0_dup_254, nx282, nx250, nx230, nx218, nx196, 
         nx192, nx4_dup_0_dup_499, nx4_dup_0_dup_446, nx154, nx142, nx114, 
         nx0_dup_0_dup_421, nx4_dup_0_dup_387, nx86, nx2_dup_0_dup_511, 
         nx4_dup_0_dup_340, nx0_dup_0_dup_444, nx313, nx364, nx403, nx442, nx459, 
         nx539, nx547, nx575, modgen_or_11_nx2, modgen_or_11_nx4, nx649, nx651, 
         nx657, nx659, nx662, nx664, nx666, nx670, nx672, nx675, nx687, nx689, 
         nx695, nx697, nx703, nx705, nx710, nx713, nx718, nx720, nx724, nx730, 
         nx744, nx755;



    inv02 ix650 (.Y (nx649), .A (inst[8])) ;
    inv02 ix652 (.Y (nx651), .A (inst[10])) ;
    inv02 ix660 (.Y (nx659), .A (inst[9])) ;
    nor04 ix317_ix13 (.Y (tris), .A0 (nx662), .A1 (inst[5]), .A2 (nx664), .A3 (
          nx845)) ;
    inv02 ix663 (.Y (nx662), .A (inst[2])) ;
    inv02 ix667 (.Y (nx666), .A (inst[11])) ;
    oai21 ix846_ix9 (.Y (nx845), .A0 (inst[1]), .A1 (inst[0]), .B0 (nx86)) ;
    nor04 ix87_ix13 (.Y (nx86), .A0 (nx670), .A1 (inst[3]), .A2 (inst[6]), .A3 (
          inst[4])) ;
    inv02 ix673 (.Y (nx672), .A (inst[7])) ;
    nor04 ix309_ix13 (.Y (option), .A0 (inst[0]), .A1 (inst[2]), .A2 (nx675), .A3 (
          nx944)) ;
    inv02 ix676 (.Y (nx675), .A (inst[1])) ;
    nand02 ix945_ix5 (.Y (nx944), .A0 (nx86), .A1 (nx0_dup_0_dup_421)) ;
    nor03 ix109_ix9 (.Y (nx0_dup_0_dup_421), .A0 (inst[5]), .A1 (inst[11]), .A2 (
          inst[10])) ;
    nor04 ix353_ix13 (.Y (bdpol), .A0 (inst[8]), .A1 (inst[9]), .A2 (inst[11]), 
          .A3 (nx651)) ;
    ao221 ix349_ix7 (.Y (cwe), .A0 (aluop[3]), .A1 (nx880), .B0 (aluop[2]), .B1 (
          nx697), .C0 (nx4_dup_0_dup_254)) ;
    nor04 ix331_ix9 (.Y (aluop[3]), .A0 (inst[11]), .A1 (inst[10]), .A2 (nx313)
          , .A3 (inst[8])) ;
    oai21 ix875_ix11 (.Y (nx313), .A0 (nx852), .A1 (inst[6]), .B0 (inst[7])) ;
    nor02 ix853_ix5 (.Y (nx852), .A0 (inst[8]), .A1 (inst[9])) ;
    oai21 ix881_ix9 (.Y (nx880), .A0 (nx282), .A1 (inst[10]), .B0 (nx666)) ;
    ao21 ix283_ix3 (.Y (nx282), .A0 (inst[6]), .A1 (inst[7]), .B0 (nx657)) ;
    nor02 ix273_ix9 (.Y (aluop[2]), .A0 (nx687), .A1 (aluasel[1])) ;
    ao221 ix688 (.Y (nx687), .A0 (nx689), .A1 (nx649), .B0 (inst[7]), .B1 (
          nx4_dup_0_dup_454), .C0 (nx861)) ;
    inv02 ix690 (.Y (nx689), .A (inst[6])) ;
    oai21 ix862_ix9 (.Y (nx861), .A0 (nx250), .A1 (inst[10]), .B0 (nx666)) ;
    ao21 ix251_ix3 (.Y (nx250), .A0 (nx649), .A1 (inst[7]), .B0 (inst[9])) ;
    ao21 ix267_ix5 (.Y (aluasel[1]), .A0 (inst[10]), .A1 (nx666), .B0 (nx695)) ;
    aoi21 ix696 (.Y (nx695), .A0 (nx657), .A1 (inst[10]), .B0 (nx666)) ;
    nor02 ix698 (.Y (nx697), .A0 (inst[7]), .A1 (nx649)) ;
    nor04 ix343_ix13 (.Y (nx4_dup_0_dup_254), .A0 (nx689), .A1 (nx672), .A2 (
          aluasel[0]), .A3 (inst[11])) ;
    ao32 ix59_ix7 (.Y (zwe), .A0 (nx657), .A1 (inst[11]), .A2 (inst[10]), .B0 (
         nx0_dup_0_dup_444), .B1 (nx4_dup_0_dup_340)) ;
    nor02 ix11_ix5 (.Y (nx0_dup_0_dup_444), .A0 (inst[11]), .A1 (inst[10])) ;
    oai22 ix55_ix3 (.Y (nx4_dup_0_dup_340), .A0 (inst[9]), .A1 (nx703), .B0 (
          nx710), .B1 (inst[8])) ;
    nor03 ix704 (.Y (nx703), .A0 (inst[8]), .A1 (inst[7]), .A2 (nx705)) ;
    nor02 ix706 (.Y (nx705), .A0 (nx364), .A1 (nx689)) ;
    nor02 ix891_ix5 (.Y (nx364), .A0 (nx952), .A1 (inst[5])) ;
    nor04 ix41_ix13 (.Y (nx952), .A0 (inst[2]), .A1 (inst[4]), .A2 (inst[3]), .A3 (
          nx893)) ;
    or02 ix894_ix1 (.Y (nx893), .A0 (inst[0]), .A1 (inst[1])) ;
    ao21 ix711 (.Y (nx710), .A0 (inst[7]), .A1 (inst[6]), .B0 (nx659)) ;
    ao221 ix105_ix7 (.Y (fwe), .A0 (inst[5]), .A1 (nx0_dup_0_dup_444), .B0 (
          nx659), .B1 (nx713), .C0 (nx4_dup_0_dup_387)) ;
    nor04 ix93_ix9 (.Y (nx4_dup_0_dup_387), .A0 (nx403), .A1 (nx547), .A2 (
          inst[11]), .A3 (nx720)) ;
    nor02 ix899_ix5 (.Y (nx403), .A0 (inst[1]), .A1 (inst[0])) ;
    nor02 ix929_ix5 (.Y (nx547), .A0 (nx718), .A1 (inst[2])) ;
    inv02 ix719 (.Y (nx718), .A (inst[0])) ;
    inv02 ix721 (.Y (nx720), .A (nx86)) ;
    ao221 ix125_ix3 (.Y (wwe), .A0 (inst[10]), .A1 (inst[11]), .B0 (
          nx0_dup_0_dup_421), .B1 (nx114), .C0 (nx442)) ;
    nand02 ix115_ix3 (.Y (nx114), .A0 (nx724), .A1 (nx2_dup_0_dup_511)) ;
    nand02 ix725 (.Y (nx724), .A0 (inst[6]), .A1 (nx952)) ;
    nor03 ix75_ix9 (.Y (nx2_dup_0_dup_511), .A0 (inst[7]), .A1 (inst[8]), .A2 (
          inst[9])) ;
    nor03 ix123_ix9 (.Y (nx442), .A0 (inst[8]), .A1 (inst[9]), .A2 (nx666)) ;
    ao221 ix171_ix7 (.Y (aluop[0]), .A0 (nx0_dup_0_dup_444), .A1 (nx142), .B0 (
          nx666), .B1 (nx154), .C0 (nx4_dup_0_dup_446)) ;
    ao21 ix143_ix17 (.Y (nx142), .A0 (inst[7]), .A1 (nx730), .B0 (nx459)) ;
    nor02 ix731 (.Y (nx730), .A0 (inst[6]), .A1 (nx649)) ;
    nor04 ix143_ix9 (.Y (nx459), .A0 (inst[7]), .A1 (nx649), .A2 (inst[9]), .A3 (
          nx689)) ;
    oai22 ix169_ix13 (.Y (nx4_dup_0_dup_446), .A0 (inst[8]), .A1 (nx870), .B0 (
          nx651), .B1 (nx659)) ;
    nand02 ix871_ix5 (.Y (nx870), .A0 (inst[10]), .A1 (nx666)) ;
    ao221 ix239_ix7 (.Y (aluop[1]), .A0 (inst[11]), .A1 (inst[8]), .B0 (nx651), 
          .B1 (nx230), .C0 (nx4_dup_0_dup_499)) ;
    ao21 modgen_or_11_ix7 (.Y (nx230), .A0 (inst[7]), .A1 (nx730), .B0 (
         modgen_or_11_nx4)) ;
    ao221 modgen_or_11_ix5 (.Y (modgen_or_11_nx4), .A0 (inst[9]), .A1 (nx196), .B0 (
          nx2_dup_0_dup_511), .B1 (nx218), .C0 (modgen_or_11_nx2)) ;
    ao21 ix197_ix3 (.Y (nx196), .A0 (inst[6]), .A1 (nx697), .B0 (nx192)) ;
    nor03 ix193_ix9 (.Y (nx192), .A0 (inst[6]), .A1 (inst[8]), .A2 (inst[7])) ;
    ao21 ix219_ix3 (.Y (nx218), .A0 (inst[6]), .A1 (nx952), .B0 (inst[5])) ;
    ao21 modgen_or_11_ix3 (.Y (modgen_or_11_nx2), .A0 (nx539), .A1 (nx744), .B0 (
         inst[11])) ;
    nor03 ix215_ix9 (.Y (nx539), .A0 (nx675), .A1 (inst[9]), .A2 (inst[7])) ;
    nor04 ix745 (.Y (nx744), .A0 (nx547), .A1 (inst[3]), .A2 (inst[6]), .A3 (
          inst[4])) ;
    aoi21 ix183_ix11 (.Y (nx4_dup_0_dup_499), .A0 (nx666), .A1 (nx933), .B0 (
          inst[9])) ;
    ao21 ix934_ix3 (.Y (nx933), .A0 (nx651), .A1 (inst[6]), .B0 (nx649)) ;
    ao21 ix297_ix1 (.Y (alubsel[1]), .A0 (nx575), .A1 (nx651), .B0 (inst[11])) ;
    nor04 ix295_ix9 (.Y (nx575), .A0 (aluop[2]), .A1 (nx861), .A2 (nx672), .A3 (
          nx880)) ;
    inv02 ix665 (.Y (nx664), .A (nx0_dup_0_dup_444)) ;
    inv02 ix671 (.Y (nx670), .A (nx2_dup_0_dup_511)) ;
    inv02 ix658 (.Y (nx657), .A (nx852)) ;
    inv02 ix646 (.Y (aluasel[0]), .A (nx861)) ;
    inv02 ix714 (.Y (nx713), .A (nx870)) ;
    inv02 ix654 (.Y (alubsel[0]), .A (nx880)) ;
    inv02 ix913_ix5 (.Y (nx4_dup_0_dup_454), .A (nx730)) ;
    ao32 ix155_ix17 (.Y (nx154), .A0 (nx755), .A1 (inst[6]), .A2 (
         nx2_dup_0_dup_511), .B0 (inst[9]), .B1 (nx730)) ;
    inv02 ix754 (.Y (nx755), .A (nx364)) ;
endmodule


module alu ( op, a, b, y, cin, cout, zout ) ;

    input [3:0]op ;
    input [7:0]a ;
    input [7:0]b ;
    output [7:0]y ;
    input cin ;
    output cout ;
    output zout ;

    wire nx0_dup_0_dup_1195, nx863, nx849, nx842, nx833, nx831, nx829, nx810, 
         nx808, nx806, nx795, nx786, nx784, nx782, nx757, nx755, nx753, nx741, 
         nx732, nx730, nx728, nx711, nx709, nx707, nx688, nx686, nx684, nx674, 
         nx0_dup_0_dup_526, nx590, nx4_dup_0_dup_1198, nx578, nx564, nx540, 
         nx536, nx478, nx474, nx2_dup_0_dup_1083, nx448, nx410, nx406, nx348, 
         nx344, nx318, nx278, nx274, nx216, nx212, nx0_dup_0_dup_732, nx186, 
         nx98, nx84, nx66, nx56, nx42, nx32, nx2_dup_0, nx4_dup_0_dup_496, nx8, 
         nx2, a_2__dup_1291, modgen_and_2_nx4, modgen_and_2_nx10, 
         modgen_or_3_nx2, modgen_or_3_nx4, modgen_or_3_nx8, modgen_or_4_nx0, 
         modgen_or_4_nx4, modgen_or_4_nx6, modgen_or_4_nx10, modgen_or_5_nx2, 
         modgen_or_5_nx4, modgen_or_5_nx6, modgen_or_5_nx10, modgen_or_6_nx0, 
         modgen_or_6_nx4, modgen_or_6_nx6, modgen_or_6_nx10, modgen_or_7_nx0, 
         modgen_or_7_nx4, modgen_or_7_nx6, modgen_or_7_nx10, modgen_or_8_nx0, 
         modgen_or_8_nx4, modgen_or_8_nx6, modgen_or_8_nx10, modgen_or_9_nx2, 
         modgen_or_9_nx4, modgen_or_9_nx6, modgen_or_9_nx10, modgen_or_10_nx0, 
         modgen_or_10_nx4, modgen_or_10_nx6, modgen_or_10_nx10, nx1381, nx1384, 
         nx1386, nx1389, nx1391, nx1394, nx1396, nx1398, nx1400, nx1402, nx1404, 
         nx1406, nx1410, nx1414, nx1418, nx1425, nx1428, nx1430, nx1433, nx1438, 
         nx1440, nx1443, nx1452, nx1454, nx1457, nx1460, nx1463, nx1468, nx1477, 
         nx1479, nx1482, nx1484, nx1491, nx1495, nx1498, nx1500, nx1503, nx1512, 
         nx1514, nx1517, nx1520, nx1524, nx1542, nx1546, nx1549, nx1556, nx1562, 
         nx1568, nx1572, nx1575, nx1583, nx1586, nx1588, nx1595, nx1597, nx1599, 
         nx1601, nx1603, nx1605, nx1607, nx1609, nx1615;



    and02 modgen_and_2_ix13 (.Y (zout), .A0 (modgen_and_2_nx4), .A1 (
          modgen_and_2_nx10)) ;
    nor04 modgen_and_2_ix5 (.Y (modgen_and_2_nx4), .A0 (y[4]), .A1 (y[5]), .A2 (
          y[6]), .A3 (y[7])) ;
    oai21 modgen_or_7_ix15 (.Y (y[4]), .A0 (nx753), .A1 (nx1398), .B0 (nx1406)
          ) ;
    xnor2 ix754_ix1 (.Y (nx753), .A0 (nx755), .A1 (nx348)) ;
    ao21 ix756_ix3 (.Y (nx755), .A0 (b[4]), .A1 (a[4]), .B0 (nx757)) ;
    nor02 ix758_ix5 (.Y (nx757), .A0 (a[4]), .A1 (b[4])) ;
    ao21 ix349_ix3 (.Y (nx348), .A0 (a[3]), .A1 (nx278), .B0 (nx344)) ;
    ao21 ix279_ix3 (.Y (nx278), .A0 (a[2]), .A1 (nx216), .B0 (nx274)) ;
    ao21 ix217_ix3 (.Y (nx216), .A0 (a[1]), .A1 (nx2), .B0 (nx212)) ;
    nand02 ix3_ix5 (.Y (nx2), .A0 (b[0]), .A1 (nx1381)) ;
    inv02 ix1382 (.Y (nx1381), .A (a[0])) ;
    aoi21 ix213_ix11 (.Y (nx212), .A0 (nx1384), .A1 (nx1386), .B0 (b[1])) ;
    inv02 ix1385 (.Y (nx1384), .A (a[1])) ;
    aoi21 ix275_ix11 (.Y (nx274), .A0 (nx1389), .A1 (nx1391), .B0 (b[2])) ;
    inv02 ix1390 (.Y (nx1389), .A (a[2])) ;
    aoi21 ix345_ix11 (.Y (nx344), .A0 (nx1394), .A1 (nx1396), .B0 (b[3])) ;
    inv02 ix1395 (.Y (nx1394), .A (a[3])) ;
    inv02 ix1401 (.Y (nx1400), .A (op[1])) ;
    inv02 ix1403 (.Y (nx1402), .A (op[2])) ;
    inv02 ix1405 (.Y (nx1404), .A (op[0])) ;
    nor02 ix1407 (.Y (nx1406), .A0 (modgen_or_7_nx4), .A1 (modgen_or_7_nx10)) ;
    ao221 modgen_or_7_ix5 (.Y (modgen_or_7_nx4), .A0 (a[0]), .A1 (nx1597), .B0 (
          nx1410), .B1 (nx1605), .C0 (modgen_or_7_nx0)) ;
    inv02 ix1411 (.Y (nx1410), .A (a[4])) ;
    nor04 ix67_ix13 (.Y (nx66), .A0 (op[3]), .A1 (op[0]), .A2 (nx1402), .A3 (
          op[1])) ;
    oai22 modgen_or_7_ix1 (.Y (modgen_or_7_nx0), .A0 (nx1414), .A1 (nx1430), .B0 (
          nx757), .B1 (nx1433)) ;
    xor2 ix1415 (.Y (nx1414), .A0 (nx318), .A1 (nx755)) ;
    oai22 ix319_ix9 (.Y (nx318), .A0 (nx741), .A1 (nx732), .B0 (nx1394), .B1 (
          nx1428)) ;
    aoi22 ix742_ix21 (.Y (nx741), .A0 (a[2]), .A1 (b[2]), .B0 (nx1418), .B1 (
          nx186)) ;
    oai22 ix187_ix9 (.Y (nx186), .A0 (nx0_dup_0_dup_526), .A1 (nx688), .B0 (
          nx1384), .B1 (nx1425)) ;
    nand02 ix670_ix5 (.Y (nx0_dup_0_dup_526), .A0 (a[0]), .A1 (b[0])) ;
    nor02 ix689_ix5 (.Y (nx688), .A0 (a[1]), .A1 (b[1])) ;
    inv02 ix1426 (.Y (nx1425), .A (b[1])) ;
    nor02 ix733_ix5 (.Y (nx732), .A0 (a[3]), .A1 (b[3])) ;
    inv02 ix1429 (.Y (nx1428), .A (b[3])) ;
    nor02 ix9_ix5 (.Y (nx8), .A0 (op[3]), .A1 (op[0])) ;
    ao221 modgen_or_7_ix11 (.Y (modgen_or_7_nx10), .A0 (a[3]), .A1 (nx1603), .B0 (
          nx1438), .B1 (nx1607), .C0 (modgen_or_7_nx6)) ;
    nor04 ix85_ix13 (.Y (nx84), .A0 (op[3]), .A1 (op[0]), .A2 (nx1402), .A3 (
          nx1400)) ;
    nor04 ix1441 (.Y (nx1440), .A0 (nx1400), .A1 (op[2]), .A2 (nx1404), .A3 (
          op[3])) ;
    ao32 modgen_or_7_ix7 (.Y (modgen_or_7_nx6), .A0 (a[4]), .A1 (b[4]), .A2 (
         nx1609), .B0 (a[5]), .B1 (nx1601)) ;
    nor04 ix1444 (.Y (nx1443), .A0 (op[1]), .A1 (op[2]), .A2 (nx1404), .A3 (
          op[3])) ;
    nor04 ix99_ix13 (.Y (nx98), .A0 (op[3]), .A1 (nx1404), .A2 (nx1402), .A3 (
          op[1])) ;
    oai21 modgen_or_8_ix15 (.Y (y[5]), .A0 (nx782), .A1 (nx1398), .B0 (nx1454)
          ) ;
    xnor2 ix783_ix1 (.Y (nx782), .A0 (nx784), .A1 (nx410)) ;
    ao21 ix785_ix3 (.Y (nx784), .A0 (b[5]), .A1 (a[5]), .B0 (nx786)) ;
    nor02 ix787_ix5 (.Y (nx786), .A0 (a[5]), .A1 (b[5])) ;
    ao21 ix411_ix3 (.Y (nx410), .A0 (a[4]), .A1 (nx348), .B0 (nx406)) ;
    aoi21 ix407_ix11 (.Y (nx406), .A0 (nx1410), .A1 (nx1452), .B0 (b[4])) ;
    nor02 ix1455 (.Y (nx1454), .A0 (modgen_or_8_nx4), .A1 (modgen_or_8_nx10)) ;
    ao221 modgen_or_8_ix5 (.Y (modgen_or_8_nx4), .A0 (a[1]), .A1 (nx1597), .B0 (
          nx1457), .B1 (nx1605), .C0 (modgen_or_8_nx0)) ;
    inv02 ix1458 (.Y (nx1457), .A (a[5])) ;
    oai22 modgen_or_8_ix1 (.Y (modgen_or_8_nx0), .A0 (nx1460), .A1 (nx1430), .B0 (
          nx786), .B1 (nx1433)) ;
    xnor2 ix1461 (.Y (nx1460), .A0 (nx795), .A1 (nx784)) ;
    aoi22 ix796_ix21 (.Y (nx795), .A0 (a[4]), .A1 (b[4]), .B0 (nx1463), .B1 (
          nx318)) ;
    ao221 modgen_or_8_ix11 (.Y (modgen_or_8_nx10), .A0 (a[4]), .A1 (nx1603), .B0 (
          nx1468), .B1 (nx1607), .C0 (modgen_or_8_nx6)) ;
    ao32 modgen_or_8_ix7 (.Y (modgen_or_8_nx6), .A0 (a[5]), .A1 (b[5]), .A2 (
         nx1609), .B0 (a[6]), .B1 (nx1601)) ;
    oai21 modgen_or_9_ix15 (.Y (y[6]), .A0 (nx806), .A1 (nx1398), .B0 (nx1479)
          ) ;
    xnor2 ix807_ix1 (.Y (nx806), .A0 (nx808), .A1 (nx478)) ;
    ao21 ix809_ix3 (.Y (nx808), .A0 (b[6]), .A1 (a[6]), .B0 (nx810)) ;
    nor02 ix811_ix5 (.Y (nx810), .A0 (a[6]), .A1 (b[6])) ;
    ao21 ix479_ix3 (.Y (nx478), .A0 (a[5]), .A1 (nx410), .B0 (nx474)) ;
    aoi21 ix475_ix11 (.Y (nx474), .A0 (nx1457), .A1 (nx1477), .B0 (b[5])) ;
    nor02 ix1480 (.Y (nx1479), .A0 (modgen_or_9_nx4), .A1 (modgen_or_9_nx10)) ;
    ao221 modgen_or_9_ix5 (.Y (modgen_or_9_nx4), .A0 (nx1482), .A1 (nx1599), .B0 (
          nx2_dup_0_dup_1083), .B1 (nx1595), .C0 (modgen_or_9_nx2)) ;
    inv02 ix1485 (.Y (nx1484), .A (a[6])) ;
    nor04 ix15_ix13 (.Y (nx863), .A0 (op[2]), .A1 (op[3]), .A2 (op[0]), .A3 (
          nx1400)) ;
    xnor2 ix455_ix1 (.Y (nx2_dup_0_dup_1083), .A0 (nx448), .A1 (nx808)) ;
    oai22 ix449_ix9 (.Y (nx448), .A0 (nx795), .A1 (nx786), .B0 (nx1457), .B1 (
          nx1491)) ;
    inv02 ix1492 (.Y (nx1491), .A (b[5])) ;
    nor04 ix135_ix13 (.Y (nx0_dup_0_dup_1195), .A0 (op[3]), .A1 (op[0]), .A2 (
          op[1]), .A3 (op[2])) ;
    oai22 modgen_or_9_ix3 (.Y (modgen_or_9_nx2), .A0 (a[6]), .A1 (nx1495), .B0 (
          nx1389), .B1 (nx1498)) ;
    inv02 ix1501 (.Y (nx1500), .A (op[3])) ;
    ao221 modgen_or_9_ix11 (.Y (modgen_or_9_nx10), .A0 (a[5]), .A1 (nx1603), .B0 (
          nx1503), .B1 (nx1607), .C0 (modgen_or_9_nx6)) ;
    ao32 modgen_or_9_ix7 (.Y (modgen_or_9_nx6), .A0 (a[6]), .A1 (b[6]), .A2 (
         nx1609), .B0 (a[7]), .B1 (nx1601)) ;
    oai21 modgen_or_10_ix15 (.Y (y[7]), .A0 (nx829), .A1 (nx1398), .B0 (nx1514)
          ) ;
    xnor2 ix830_ix1 (.Y (nx829), .A0 (nx831), .A1 (nx540)) ;
    ao21 ix832_ix3 (.Y (nx831), .A0 (b[7]), .A1 (a[7]), .B0 (nx833)) ;
    nor02 ix834_ix5 (.Y (nx833), .A0 (a[7]), .A1 (b[7])) ;
    ao21 ix541_ix3 (.Y (nx540), .A0 (a[6]), .A1 (nx478), .B0 (nx536)) ;
    aoi21 ix537_ix11 (.Y (nx536), .A0 (nx1484), .A1 (nx1512), .B0 (b[6])) ;
    nor02 ix1515 (.Y (nx1514), .A0 (modgen_or_10_nx4), .A1 (modgen_or_10_nx10)
          ) ;
    ao221 modgen_or_10_ix5 (.Y (modgen_or_10_nx4), .A0 (a[3]), .A1 (nx1597), .B0 (
          nx1517), .B1 (nx1605), .C0 (modgen_or_10_nx0)) ;
    inv02 ix1518 (.Y (nx1517), .A (a[7])) ;
    oai22 modgen_or_10_ix1 (.Y (modgen_or_10_nx0), .A0 (nx1520), .A1 (nx1430), .B0 (
          nx833), .B1 (nx1433)) ;
    xnor2 ix1521 (.Y (nx1520), .A0 (nx842), .A1 (nx831)) ;
    aoi22 ix843_ix21 (.Y (nx842), .A0 (a[6]), .A1 (b[6]), .B0 (nx1482), .B1 (
          nx448)) ;
    ao221 modgen_or_10_ix11 (.Y (modgen_or_10_nx10), .A0 (a[6]), .A1 (nx1603), .B0 (
          nx1524), .B1 (nx1607), .C0 (modgen_or_10_nx6)) ;
    ao32 modgen_or_10_ix7 (.Y (modgen_or_10_nx6), .A0 (a[7]), .A1 (b[7]), .A2 (
         nx1609), .B0 (cin), .B1 (nx1601)) ;
    nor04 modgen_and_2_ix11 (.Y (modgen_and_2_nx10), .A0 (y[0]), .A1 (y[1]), .A2 (
          y[2]), .A3 (y[3])) ;
    or02 modgen_or_3_ix11 (.Y (y[0]), .A0 (modgen_or_3_nx4), .A1 (
         modgen_or_3_nx8)) ;
    ao221 modgen_or_3_ix5 (.Y (modgen_or_3_nx4), .A0 (nx1386), .A1 (nx42), .B0 (
          a[0]), .B1 (nx56), .C0 (modgen_or_3_nx2)) ;
    ao221 ix43_ix7 (.Y (nx42), .A0 (nx2_dup_0), .A1 (nx32), .B0 (nx1402), .B1 (
          nx8), .C0 (nx1615)) ;
    nor02 ix29_ix5 (.Y (nx2_dup_0), .A0 (op[3]), .A1 (nx1404)) ;
    nor02 ix33_ix5 (.Y (nx32), .A0 (op[2]), .A1 (nx1400)) ;
    nor04 ix25_ix13 (.Y (nx4_dup_0_dup_496), .A0 (op[1]), .A1 (op[2]), .A2 (
          nx1500), .A3 (op[0])) ;
    ao21 ix57_ix3 (.Y (nx56), .A0 (nx0_dup_0_dup_526), .A1 (nx42), .B0 (nx1599)
         ) ;
    oai22 modgen_or_3_ix3 (.Y (modgen_or_3_nx2), .A0 (a[0]), .A1 (nx1495), .B0 (
          nx0_dup_0_dup_526), .B1 (nx674)) ;
    ao221 modgen_or_3_ix9 (.Y (modgen_or_3_nx8), .A0 (cin), .A1 (nx1603), .B0 (
          a[1]), .B1 (nx1601), .C0 (a_2__dup_1291)) ;
    nor02 ix105_ix1 (.Y (a_2__dup_1291), .A0 (nx1410), .A1 (nx1498)) ;
    oai21 modgen_or_4_ix15 (.Y (y[1]), .A0 (nx684), .A1 (nx1398), .B0 (nx1542)
          ) ;
    xnor2 ix685_ix1 (.Y (nx684), .A0 (nx686), .A1 (nx2)) ;
    ao21 ix687_ix3 (.Y (nx686), .A0 (b[1]), .A1 (a[1]), .B0 (nx688)) ;
    nor02 ix1543 (.Y (nx1542), .A0 (modgen_or_4_nx4), .A1 (modgen_or_4_nx10)) ;
    ao221 modgen_or_4_ix5 (.Y (modgen_or_4_nx4), .A0 (a[5]), .A1 (nx1597), .B0 (
          nx1384), .B1 (nx1605), .C0 (modgen_or_4_nx0)) ;
    oai22 modgen_or_4_ix1 (.Y (modgen_or_4_nx0), .A0 (nx1546), .A1 (nx1430), .B0 (
          nx688), .B1 (nx1433)) ;
    xnor2 ix1547 (.Y (nx1546), .A0 (nx0_dup_0_dup_526), .A1 (nx686)) ;
    ao221 modgen_or_4_ix11 (.Y (modgen_or_4_nx10), .A0 (a[0]), .A1 (nx1603), .B0 (
          nx1549), .B1 (nx1607), .C0 (modgen_or_4_nx6)) ;
    ao32 modgen_or_4_ix7 (.Y (modgen_or_4_nx6), .A0 (a[1]), .A1 (b[1]), .A2 (
         nx1609), .B0 (a[2]), .B1 (nx1601)) ;
    oai21 modgen_or_5_ix15 (.Y (y[2]), .A0 (nx707), .A1 (nx1398), .B0 (nx1556)
          ) ;
    xnor2 ix708_ix1 (.Y (nx707), .A0 (nx709), .A1 (nx216)) ;
    ao21 ix710_ix3 (.Y (nx709), .A0 (b[2]), .A1 (a[2]), .B0 (nx711)) ;
    nor02 ix712_ix5 (.Y (nx711), .A0 (a[2]), .A1 (b[2])) ;
    nor02 ix1557 (.Y (nx1556), .A0 (modgen_or_5_nx4), .A1 (modgen_or_5_nx10)) ;
    ao221 modgen_or_5_ix5 (.Y (modgen_or_5_nx4), .A0 (nx1418), .A1 (nx1599), .B0 (
          nx0_dup_0_dup_732), .B1 (nx1595), .C0 (modgen_or_5_nx2)) ;
    xnor2 ix193_ix1 (.Y (nx0_dup_0_dup_732), .A0 (nx186), .A1 (nx709)) ;
    oai22 modgen_or_5_ix3 (.Y (modgen_or_5_nx2), .A0 (a[2]), .A1 (nx1495), .B0 (
          nx1484), .B1 (nx1498)) ;
    ao221 modgen_or_5_ix11 (.Y (modgen_or_5_nx10), .A0 (a[1]), .A1 (nx1603), .B0 (
          nx1562), .B1 (nx1607), .C0 (modgen_or_5_nx6)) ;
    ao32 modgen_or_5_ix7 (.Y (modgen_or_5_nx6), .A0 (a[2]), .A1 (b[2]), .A2 (
         nx1609), .B0 (a[3]), .B1 (nx1601)) ;
    oai21 modgen_or_6_ix15 (.Y (y[3]), .A0 (nx728), .A1 (nx1398), .B0 (nx1568)
          ) ;
    xnor2 ix729_ix1 (.Y (nx728), .A0 (nx730), .A1 (nx278)) ;
    ao21 ix731_ix3 (.Y (nx730), .A0 (b[3]), .A1 (a[3]), .B0 (nx732)) ;
    nor02 ix1569 (.Y (nx1568), .A0 (modgen_or_6_nx4), .A1 (modgen_or_6_nx10)) ;
    ao221 modgen_or_6_ix5 (.Y (modgen_or_6_nx4), .A0 (a[7]), .A1 (nx1597), .B0 (
          nx1394), .B1 (nx1605), .C0 (modgen_or_6_nx0)) ;
    oai22 modgen_or_6_ix1 (.Y (modgen_or_6_nx0), .A0 (nx1572), .A1 (nx1430), .B0 (
          nx732), .B1 (nx1433)) ;
    xnor2 ix1573 (.Y (nx1572), .A0 (nx741), .A1 (nx730)) ;
    ao221 modgen_or_6_ix11 (.Y (modgen_or_6_nx10), .A0 (a[2]), .A1 (nx1603), .B0 (
          nx1575), .B1 (nx1607), .C0 (modgen_or_6_nx6)) ;
    ao32 modgen_or_6_ix7 (.Y (modgen_or_6_nx6), .A0 (a[3]), .A1 (b[3]), .A2 (
         nx1609), .B0 (a[4]), .B1 (nx1601)) ;
    ao221 ix591_ix7 (.Y (nx590), .A0 (nx1595), .A1 (nx564), .B0 (nx1615), .B1 (
          nx578), .C0 (nx4_dup_0_dup_1198)) ;
    oai21 ix565_ix9 (.Y (nx564), .A0 (nx842), .A1 (nx833), .B0 (nx849)) ;
    nand02 ix850_ix5 (.Y (nx849), .A0 (a[7]), .A1 (b[7])) ;
    oai22 ix579_ix11 (.Y (nx578), .A0 (nx540), .A1 (nx1524), .B0 (a[7]), .B1 (
          nx1583)) ;
    inv02 ix1584 (.Y (nx1583), .A (b[7])) ;
    inv02 ix1387 (.Y (nx1386), .A (nx2)) ;
    inv02 ix1399 (.Y (nx1398), .A (nx4_dup_0_dup_496)) ;
    inv02 ix1496 (.Y (nx1495), .A (nx66)) ;
    inv02 ix1587 (.Y (nx1586), .A (nx84)) ;
    inv02 ix1589 (.Y (nx1588), .A (nx98)) ;
    inv02 ix1392 (.Y (nx1391), .A (nx216)) ;
    inv02 ix1397 (.Y (nx1396), .A (nx278)) ;
    inv02 ix1453 (.Y (nx1452), .A (nx348)) ;
    inv02 ix1478 (.Y (nx1477), .A (nx410)) ;
    inv02 ix1513 (.Y (nx1512), .A (nx478)) ;
    inv02 ix675_ix9 (.Y (nx674), .A (nx1443)) ;
    inv02 ix1550 (.Y (nx1549), .A (nx686)) ;
    inv02 ix1563 (.Y (nx1562), .A (nx709)) ;
    inv02 ix1419 (.Y (nx1418), .A (nx711)) ;
    inv02 ix1576 (.Y (nx1575), .A (nx730)) ;
    inv02 ix1439 (.Y (nx1438), .A (nx755)) ;
    inv02 ix1464 (.Y (nx1463), .A (nx757)) ;
    inv02 ix1469 (.Y (nx1468), .A (nx784)) ;
    inv02 ix1504 (.Y (nx1503), .A (nx808)) ;
    inv02 ix1483 (.Y (nx1482), .A (nx810)) ;
    inv02 ix1525 (.Y (nx1524), .A (nx831)) ;
    inv02 ix1434 (.Y (nx1433), .A (nx863)) ;
    inv02 ix1431 (.Y (nx1430), .A (nx0_dup_0_dup_1195)) ;
    inv02 ix1594 (.Y (nx1595), .A (nx1430)) ;
    inv02 ix1596 (.Y (nx1597), .A (nx1498)) ;
    inv02 ix1598 (.Y (nx1599), .A (nx1433)) ;
    inv02 ix1600 (.Y (nx1601), .A (nx1588)) ;
    inv02 ix1602 (.Y (nx1603), .A (nx1586)) ;
    inv02 ix1604 (.Y (nx1605), .A (nx1495)) ;
    buf02 ix1606 (.Y (nx1607), .A (nx1440)) ;
    inv02 ix1608 (.Y (nx1609), .A (nx674)) ;
    nand04 ix91_ix13 (.Y (nx1498), .A0 (nx1500), .A1 (op[0]), .A2 (op[2]), .A3 (
           op[1])) ;
    xor2 ix593_ix1 (.Y (cout), .A0 (nx590), .A1 (nx1615)) ;
    ao22 ix589_ix5 (.Y (nx4_dup_0_dup_1198), .A0 (a[7]), .A1 (nx84), .B0 (a[0])
         , .B1 (nx98)) ;
    inv02 ix1614 (.Y (nx1615), .A (nx1398)) ;
endmodule

